      SUBROUTINE TAXYZ (X,GMU,AA,EE,AII,OO,WW,TA)
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      INTEGER DOUBLE,REAL
      PARAMETER(DOUBLE=1,REAL=0)

C     SOFTWARE ORIGINALLY WRITTEN BY PHILLIP H. ROBERTS
C     SOFTWARE MAINTAINED BY R. STEPHEN SCHLAIFER
C     ********************WARNING**********************
C     DO NOT TRANSFER THIS SOFTWARE TO ANY INDIVIDUAL
C     OR INSTITUTION WITHOUT WRITTEN PERMISSION FROM

C             MISSION ANALYSIS SECTION (312)
C               JET PROPULSION LABORATORY
C          CALIFORNIA INSTITUTE OF TECHNOLOGY
C                 4800 OAK GROVE DRIVE
C             PASADENA, CALIFORNIA  91103
C                    (213) 354-4321

C                      2 MAY 1980

      DIMENSION X(6)

C *TAXYZ TRANSFORMS A SET OF ORBITAL ELEMENTS INTO A CARTESTIAN STATE
C *ALL ANGLES ARE ASSUMED TO BE IN RADIANS
C *OUTPUT POSITION AND VELOCITY ARE COMPUTED CONSISTENT WITH AA AND GMU


      THETA=WW+TA
      COSTH=COS(THETA)
      SINTH=SIN(THETA)
      COSO=COS(OO)
      SINO=SIN(OO)
      COSW=COS(WW)
      SINW=SIN(WW)
      COSI=COS(AII)
      SINI=SIN(AII)
      PP=AA*(1.0-EE*EE)
      RM=PP/(1.0+EE*COS(TA))
      VA=SQRT(GMU/PP)
      VB=SINTH+EE*SINW
      VC=COSTH+EE*COSW
      X(1)=RM*(COSO*COSTH-SINO*SINTH*COSI)
      X(2)=RM*(SINO*COSTH+COSO*SINTH*COSI)
      X(3)=RM*SINTH*SINI
      X(4)=-VA*(COSO*VB+SINO*COSI*VC)
      X(5)=-VA*(SINO*VB-COSO*COSI*VC)
      X(6)=+VA*VC*SINI
c	write(77,*) (X(i),i=1,6)
      RETURN

      END
