C-----------------------------------------------------------------------
C MODELFIT.INC
C-----------------------------------------------------------------------
C This common block is used by the program MODELFIT and most of its
C associated subroutines, via INCLUDE statements.
C
C Modified 28-Mar-1989 (TJP).
C-----------------------------------------------------------------------
C
C Parametric constants.
C
      INTEGER MXSTA,MXBAS,MXTRI,MXICLO,MAXWPB,MXREC,MXUNDMOD,MXMOD
      INTEGER MAXIT
      INTEGER INC,OUTC,INDAT,INMOD,INUND,OUTUND
C     -- Maximum number of stations, baselines, triangles
      PARAMETER (MXSTA=15)
      PARAMETER (MXBAS=MXSTA*(MXSTA-1)/2)
      PARAMETER (MXTRI=MXBAS*(MXSTA-2)/3)
C     -- Maximum number of independent triangles
      PARAMETER (MXICLO=(MXSTA-1)*(MXSTA-2)/2)
C     -- Maximum data words per baseline
      PARAMETER (MAXWPB=7)
C     -- Maximum number of data records
      PARAMETER (MXREC=350)
C     -- Maximum number of components in underlying model  ?!!
      PARAMETER (MXUNDMOD=MXBAS*MXREC)
C     -- Maximum number of model components
      PARAMETER (MXMOD=15)
C     -- Maximum number of iterations in GRIDLS or GRADLS
      PARAMETER (MAXIT=20)
C     -- I/O unit numbers
      PARAMETER (INC=5,OUTC=6,INDAT=8,INMOD=9,INUND=10,OUTUND=11)
C
      REAL PI,DEGRAD,RADHRS,TWOPI,HALFPI,SIDR,VELC,CONV1
C     -- pi
      PARAMETER (PI=3.14159265359)
      PARAMETER (TWOPI=2.*PI)
      PARAMETER (HALFPI=PI/2.)
C     -- degrees per radian
      PARAMETER (DEGRAD=PI/180.)
C     -- hours of UT per radian
      PARAMETER (RADHRS=1./(DEGRAD*15.))
C     -- seconds of ST per second of UT
      PARAMETER (SIDR=1.0027379093)
C     -- speed of light
      PARAMETER (VELC=2.997924580E8)
C     -- msec of arc per radian
      PARAMETER (CONV1 = 180.0*60.0*60.0*1000.0/PI)
C-----------------------------------------------------------------------
      COMMON/INFO/
C
C      Model parameters:
     1      FLUX(MXMOD), RADIUS(MXMOD), RTHETA(MXMOD), AXIS(MXMOD),
     2      RATIO(MXMOD), RPHI(MXMOD), TYPE(MXMOD), THETA(MXMOD),
     3      PHI(MXMOD), NCOMP, FRSTRY, VARY(6,MXMOD),
     4      DELTAP(6,MXMOD), SIGMAP(6,MXMOD), IMVIS(MXMOD,MXREC,MXBAS),
     5      REVIS(MXMOD,MXREC,MXBAS), FLSTRT(MXMOD), RASTRT(MXMOD),
     6      THSTRT(MXMOD), AXSTRT(MXMOD), ARSTRT(MXMOD), PHSTRT(MXMOD),
C
C      Parameters for contribution from underlying model:
     7      UNIMVIS(MXREC,MXBAS), UNREVIS(MXREC,MXBAS), UNDMOD,
C
C      Amplitude related data:
     8      UDATA(MXREC,MXBAS), VDATA(MXREC,MXBAS), OBSVIS(MXREC,MXBAS),
     9      WTVIS(MXREC,MXBAS), MODVIS(MXREC,MXBAS),
C
C      Closure phase related variables:
     1   OBSCLO(MXREC,MXTRI), WTCLO(MXREC,MXTRI), MODCLO(MXREC,MXTRI),
     2   ICBSNO(3,MXTRI), NUMCLO(MXREC), DOWNWT(MXREC),
C
C      Variables to describe limits of data:
     3   NINDCL, NUMBAS, NUMREC, NUMSTA, NUMTRI, NZCLO(MXTRI), TNZCLO,
     4   NZVIS(MXBAS), NZAMP, NINTRI(MXREC), LAMBDA, UT(MXREC),
     5   TNZDAT, NVPAR, JITER, NDAY, NYEAR, 
C
C      Variables used in the calculation of agreement factors:
     6   VISAF(MXBAS), CLOAF(MXTRI), AMPLAF, PHASAF, TOTLAF
C-----------------------------------------------------------------------
      REAL*8      STNAME, STX, STY, STZ, SOURCE, RAP, DECP, GASTM, FREQ,
     1            FLUX1
      COMMON /PARMS/
     1   STNAME(MXSTA), STX(MXSTA), STY(MXSTA), STZ(MXSTA), SOURCE(2),
     2   RAP, DECP, GASTM, FREQ, FLUX1
C-----------------------------------------------------------------------
      COMMON /ORDER/
     1   NSTA, NBAS, NTRI, NAVIS(MXBAS), NBVIS(MXBAS),
     2   NACLO(MXTRI), NBCLO(MXTRI), NCCLO(MXTRI), NVER, NDWPB
C-----------------------------------------------------------------------
      CHARACTER*64      INDSN, MODDSN, METHOD, UNDDSN, OUTUNDDSN
      COMMON /STRINGS/  INDSN, MODDSN, METHOD, UNDDSN, OUTUNDDSN
C-----------------------------------------------------------------------
      LOGICAL           CCFLAG
      COMMON /CONTROLC/ CCFLAG
C-----------------------------------------------------------------------
      REAL      MODVIS, MODCLO, LAMBDA, PARM(MXMOD,6), IMVIS
      EQUIVALENCE (FLUX(1),PARM(1,1))
!     INTEGER      NZCLO, NZVIS, INDTRI, TYPE, NITRI, ICBSNO, IC
!     LOGICAL      VARY, LDUMMY, FRSTRY, UNDMOD
      INTEGER      NZCLO, NZVIS, TYPE, ICBSNO
      LOGICAL      VARY, FRSTRY, UNDMOD
C-----------------------------------------------------------------------
