
	subroutine MOON(jd,ra,dec,rm)

C given Julian date returns ra and dec of the moon
C PDS pg.140

	double precision jd,jd1980,lae,lop,e,r,numd,x,y,rm,rs
	double precision nm,mm,ms,lamda,beta,lamdas,betas
	double precision ra,dec,pi,lan,i,ldash,ldash2,ras,decs
	double precision lm,ev,ae,a3,a4,ndash,v,c,mmdash,ec,ang

	pi=3.141592654

C moon's orbital elements at epoch 1980.0

	lae=64.975464d0
	lop=349.383063d0
	lan=151.950429d0
	  i=5.145396d0
	  e=0.054900d0
	  r=384401000.0d0

	call JUD(1,1,1980,0,0,0.0d0,jd1980)

	numd=jd-jd1980+1.0d0

	call SUN(jd,ras,decs,lamdas,betas,ms,rs)

	lm=13.1763966d0*numd+lae
	lm=dmod(lm,360.0d0)
	if(lm.le.0.0d0) lm=lm+360.0d0

	mm=lm-0.1114041d0*numd-lop
	mm=dmod(mm,360.0d0)
	if(mm.le.0.0d0) mm=mm+360.0d0

	nm=lan-0.0529539*numd
	nm=dmod(nm,360.0d0)
	if(nm.le.0.0d0) nm=nm+360.0d0

	c=lm-lamdas

	ev=1.2739d0*dsin((pi/180.0d0)*(2.0d0*c-mm))

	ae=0.1858d0*dsin(ms*pi/180.0d0)
	a3=0.37d0*dsin(ms*pi/180.0d0)	


	mmdash=mm+ev-ae-a3

	ec=6.2886d0*dsin(mmdash*pi/180.0d0)
	a4=0.214d0*dsin(2.0d0*mmdash*pi/180.0d0)

	ldash=lm+ev+ec-ae+a4

	v=0.6583*dsin(2.0d0*(ldash-lamdas)*pi/180.0d0)

	ldash2=ldash+v

	ndash=nm-0.16d0*dsin(ms*pi/180.0d0)

	y=dsin((ldash2-ndash)*pi/180.0d0)*dcos(i*pi/180.0d0)
	x=dcos((ldash2-ndash)*pi/180.0d0)

	ang=(180.0d0/pi)*datan2(y,x)	
	if(ang.le.0.0d0) ang=ang+360.0d0

	lamda=ang+ndash

	beta=dasin(dsin((ldash2-ndash)*pi/180.0d0)*dsin(i*pi/180.0d0))
	beta=(180.0d0/pi)*beta

	rm=r*(1-e*e)/(1+e*dcos((mmdash+ec)*pi/180.0d0))

	call cnvrt1(ra,dec,lamda,beta,-1)

!	write(*,*) 'MOON: numd,lamdas,ms,lm,mm '
!	write(*,*) numd,lamdas,ms,lm,mm
!	write(*,*) 'MOON: nm,ev,ae,a3,mmdash'
!	write(*,*) nm,ev,ae,a3,mmdash
!	write(*,*) 'MOON: ec,a4,ldash,v,ldash2'
!	write(*,*) ec,a4,ldash,v,ldash2
!	write(*,*) 'MOON: ndash,y,x,ang,lamda,beta'
!	write(*,*) ndash,y,x,ang,lamda,beta


	return
	end
