

	subroutine pgvport3(x1,x2,y1,y2,
     1  x1vp,x2vp,y1vp,y2vp,fracvp)

! This subroutine takes a set of pgvport coordinates x1,x2,y1,y2
! and creates a new set of pgvport coordinates which occupy the
! same relative position in a  sub-division of the viewport specified by 
! x1vp,x2vp,y1vp,y2vp and fracvp. fravp is the fraction of the
! sub-division that the sub-dvision viewport occupies.
! pgvport is then called with the new viewport coordinates.
! This subroutine is useful in converting graphics that orginally
! were designed to fill the whole viewport to be plotted in
! a specified subdivision

! DWM 5-May-94

	real x1,x2,y1,y2
	real x1vp,x2vp,y1vp,y2vp,fracvp
	logical debug

	debug = .false.

	if(debug) then
	write(*,*) 'pgvport3: x1,x2,y1,y2: ',x1,x2,y1,y2
	write(*,*) 'pgvport3: x1vp,x2vp,y1vp,y2vp,fracvp: ',x1vp,x2vp,y1vp,y2vp,fracvp
	end if

	x1vp_new = 0.5*(x1vp+x2vp) - fracvp*0.5*(x2vp-x1vp)
	x2vp_new = 0.5*(x1vp+x2vp) + fracvp*0.5*(x2vp-x1vp)
	y1vp_new = 0.5*(y1vp+y2vp) - fracvp*0.5*(y2vp-y1vp)
	y2vp_new = 0.5*(y1vp+y2vp) + fracvp*0.5*(y2vp-y1vp)

        x1_new = x1vp_new + (x2vp_new-x1vp_new)*x1
        x2_new = x1vp_new + (x2vp_new-x1vp_new)*x2
        y1_new = y1vp_new + (y2vp_new-y1vp_new)*y1
        y2_new = y1vp_new + (y2vp_new-y1vp_new)*y2

	if(debug) then
	write(*,*) 'pgvport3: x1_new,x2_new,y1_new,y2_new: ',x1_new,x2_new,y1_new
     1  ,y2_new
	end if

	call pgvport(x1_new,x2_new,y1_new,y2_new)

	return

	end







