         PROGRAM FAKE
!!!!!!   implicit none
C-----------------------------------------------------------------------
C FAKE generates artificial data in the form of a MERGE dataset.
C
C T.J. Pearson,  VAX-11 Fortran
C
C Version 1.0:  1979 Jul  5.
C Version 2.0:  1979 Oct 16 - Table lookUP for stations, 15 stations.
C Version 3.0:  1980 Jan 19 - Add precession; add random scaling errors;
C                             take account of telescope limits.
C Version 3.1:  1980 Mar 27 - Add NUP parameter.
C Version 3.2:  1980 Jun 24 - Correct bug ERRADD or ERRMULT = 0.
C Version 3.8:  1981 May 23 - Permit comments in model file.
C Version 4.0:  1981 Dec  9 - Add telescope phase errors and
C                             parameters PHASES, MODEL, OUTPUT.
C Version 4.1:  1981 Dec 19 - Correct bug in ERRSCALE handling.
C Version 4.2: ted from one that contains RADIOASTRON constraints
C
C Subroutine adapted to inlcude latest RADIOASTRON constraints, after
C discussions with L. Gurvits in Dwingeloo (8-MAY-90)
C DWM 1-JUN-90
C 1982 Feb  1 - Improved SCALE errors (RPL).
C Version 4.3:  1982 Jun  8 - Up to 2000 model components.
C Version 4.4:  1982 Nov 15 - Add parameter PERFECT; all model types.
C Version 4.5:  1983 Apr 26 - Correct divide by zero bug.
C Version 5.0:  1983 Jul  5 - Extended to include Merge format version 2.
C                             D. L. Meier
C Version 5.1:  1983 Aug  3 - Included W in version 2 files (DLM)
C Version 5.2:  1983 Aug 16 - Make ERRAD an array, one for each stn.
C Version 5.3:  1983 Aug 17 - Add LONG parameter (DLM)
C Version 5.4:  1983 Aug 21 - Added TELEMETRY stations option (DLM);
C                             Delete station type 0 (all baselines now
C                             computed with ROT(i,j) )
C Version 5.5:  1983 Aug 28 - Add NONOFF parameter (on/off source) and
C                             increase MAXS to 20 (DLM)
C Version 5.6:  1983 Oct 17 - Add history record specifying ERRSCALE and
C                             PHASES; add checks for errors in TELEMETRY.
C                             Allow FAKE to create a Merge format version 1
C                             file when no orbiters are present (DLM).
C Version 5.7:  1983 Dec  2 - Increase MAXS to 40 (DLM).
C Version 6.0:  1984 Jan  4 - Add NODATA and UVPLOT options with
C                             associated parameters (DLM). Add NGRDIL.
C Version 6.1:  1984 Jan 17 - Fix bugs introduced into V6.0. (DLM)
C Version 6.2:  1984 Apr  5 - Fix bug in UVPLOT axis-choosing routine
C                             (DLM)
C Version 6.3:  1984 Jul 17 - Add ability to do VLBI at more than one
C                             frequency (FREQ=freq1, freq2,...). (DLM)
C Version 6.4:  1984 Jul 25 - Add ability to compute ERRADD from TSYS,
C                             EFF, DIAM, POINT, BANDW, and INTEG. (DLM)
C Version 6.5:  1984 Aug 13 - Fix bugs introduced into 6.3 and 6.4 (DLM)
C Version 6.6:  1984 Oct 17 - Change default ERRMULT to 0, to agree
C                             with help file (TJP/DLM).
C Version 6.7:  1987 Feb  2 - Add parameter TELANGLE to sUPpress data
C                             when spacecraft telemetry antenna cannot
C                             point to a ground telemetry station (DJ).
C Version 6.8:  1987 Sep  4 - replace all GRPCKG calls with PGPLOT (TJP)
C Version 6.9:  1987 Oct 23 - add prompts when plotting on command
C                             terminal to avoid interference (TJP).
C Version 7.0:  1988 Apr  7 - changes for Convex; add SEED parameter
C                             (TJP).
C Version 8.0:  1990 Mar 6  - add ECLIPSE constraint (RPL)
C-----------------------------------------------------------------------
C     IMPLICIT NONE

       include 'svlbsched.inc'
       
       integer dbg,tsk,nra
       parameter (dbg = 99)
       parameter (tsk = 98)
       parameter (nra = 3000)       
       logical debug_v
       integer ndo390,ndo400,ndo400dbg,isdbg,do320dbg
        parameter  (nstmax=200)
        character*8 stname_in(nstmax)
	integer nst_total

      CHARACTER*(*) PROGNM, VERSN

C-gam INTEGER    MAXS,MAXB,MAXT,MAXMOD,NPARS,INC,OUTC,INSTA,INMOD,OUT
      INTEGER    MAXS,MAXB,MAXT,MAXMOD,NPARS,         INSTA,INMOD,OUT

      INTEGER    MAXWPB,MAXTE,MAXS2,MAXFRQ,MAXFRQ1,MAXORB,MAXSRC
!     REAL*8     PI,TWOPI,RPSA,RPST,RPDEG,RPMAS,VELC,SIDR
      REAL*8     RPSA,RPST,RPMAS,SIDR

C DWM variables
      CHARACTER*80 TITLEG,CONSNAME(20)*60
      LOGICAL OBSERVE,ROTATE,YZPLOT
      LOGICAL RAPCS,NORAPCS,TICKPLOT,RIG
      LOGICAL POWERBUD,POWERPLT,EXIST
      LOGICAL NOTFOUND1,NOTFOUND2,NOTFOUND3
      LOGICAL CONSAPP,VISOLD,eclip,cooler
      LOGICAL EFLAG,ETEST,EFLAGOLD           ! RPL variables
      INTEGER VAR,numyz,var2,ranum,decnum,NCONT,tabcount
      INTEGER raoption,consnum
      INTEGER yepoch,mepoch,depoch,INPLOTS,ISPARS
!     INTEGER PRIOR                       ! PRIOR is an RPL variable
      REAL*8 OBS(720,4),TOBS(720,4),maxyz(4),ADD,ANGYZ
      REAL*8 MAXOBS(5),rado(3),decdo(3),raloop,DECLOOP,SUM,TELANG,SUNANG
!VP-----------------
      REAL*8 raloop2, DECLOOP2
	LOGICAL PLOTS	     
      REAL*4     LEKHA1,LEKHA2
!VP    ^^^^^^
      real*8 rati(10000),rax(10000),ray(10000),raz(10000),timen,
     1  ravx(10000),ravy(10000),ravz(10000),rap(10000)     
      REAL*8 obsang(720,4),prad(100,100,5),maxrad(5),gps
      REAL*8 rotyzmin,rotyzmax,radtime,timerad,timetot
      REAL*8 obsrad(5),pobsonly(100,100,5),obsonly(5)
      REAL*8 datain(10,10),obsonlyin,miss,tick,teclip
      REAL*8 maxradin,conslist(20),plev,plev1,batcap,ang_es
      real   sumu,sumamp,smax,sumvis
C DWM variables for TELPLOT option
      REAL*8 aop(3),man(3),aopval,manval,TREC
      INTEGER telplotnum
      LOGICAL telplot,PLOTSAT,PLOTSAT2, debug, ignore,debug_p
      LOGICAL NOSUNANG
C DWM variables for PLOTAZEL option
      REAL*8 az,azdot,el,eldot,azeltime,north(3),east(3),n1(3)
      REAL XDPLOT(1000),YDPLOT(1000)
      REAL*8 dt1,dt2,range,rate,timehr,xdiff(3)
      REAL*8 RHSTPA(3),RHSTPB(3),RHTEA(3),RHTEB(3)
      REAL*8 easta(3),eastb(3),northa(3),northb(3),aza,ela,azb,elb
      REAL*8 DP1,DP2,ANG1,ANG2
      REAL*8 GSTA,GSTB,COSTA,COSTB,SINTA,SINTB
      REAL*8 GSTMA,GSTMB,rangeb,rangea
      LOGICAL PLOTAZEL,VIEWPLOT,ECLIPLOT,VIEWPLOT2
C DWM variables for COMPLOT option
      LOGICAL COMPLOT
      REAL*8 RHTE1A(3,20),RHTE1B(3,20)
C DWM variables for COMPLOT option
      REAL*8 timestart,timestop

      integer inum_info
      character*90 info(20),str6(4)*6,str40*40
      character string80*80,str5*5,plotf1*60,str5_sa*5


C DWM variables

	REAL*8 sd(2)
	INTEGER dn(2),hr(2),mn(2),INOW(6)
	logical printview1,printview2,VSOP
	real*8 ras,decs,lamdas,betas,mss,rss
	real*8 ejd, dt_uvplotg

! begin DLM variables needed for get_stat

!	character*(*) stafile
	character*80 stafile_gs
        character*2 stband_name_gs(nstbandmax)
        character*8 stname_gs, starray_name_gs(narraymax)
        character*8 sttapetype_name_gs(nsttapetypemax)
        integer outunit_gs, sttype_gs, yearorb_gs, mnthorb_gs 
        integer ier_gs, dayorb_gs, stnarray_gs
        double precision stlat_gs, stlong_gs, stx_gs, sty_gs, stz_gs
        double precision stzalim1_gs, stzalim2_gs 
        double precision sthalim_gs, stdiam_gs, stslew1_gs, stslew2_gs 
        double precision stband_tsys_gs(nstbandmax)
        double precision stband_effic_gs(nstbandmax) 
        double precision stband_tsys_jy_gs(nstbandmax) 
        double precision aeiowmorb_gs(6), utorb_gs, teledir_gs(3)
        double precision telangle_gs,eclipmult_gs, eclipadd_gs
        double precision sunavoid_gs(nsunavoidmax), antisunavoid_gs, moonavoid_gs
        
        double precision  sunavoid(nsunavoidmax),teldir2(3),telangle2

! end DLM variables  needed for get_stat


C RPL variables
      REAL*8 ECLIPMULT,ESTART,ESTOP,DUR,RAPOGEE,RPERIGEE         
      REAL*8 ORBR,ORBDEC50,ORBSINRA50,ORBCOSRA50,ORBRA50,ORBRA,ORBDEC  ! RPL
      REAL   ptel(100,100,5),CLEVEL(100),T(6),CMIN,CMAX,RAOUT,DECOUT
      REAL*8 ECLIPADD
      REAL   maxyzout(100,100,5)
      PARAMETER  (PROGNM='FAKE')
      PARAMETER  (VERSN='7.0 - 1988 Apr 7')
      PARAMETER  (MAXS=42)      ! maximum number of stations
      PARAMETER  (MAXS2=MAXS-2)
      PARAMETER  (MAXB=MAXS*(MAXS-1)/2)
      PARAMETER  (MAXT=MAXB*(MAXS-2)/3)
!     PARAMETER  (MAXTE=7)     ! maximum number of telem. stations, limited by
!                                the subroutine setmask
      PARAMETER  (MAXTE=10)     ! maximum number of telem. stations, limited by
!                                 the subroutine setmask DWM 9-feb-93
      PARAMETER  (MAXWPB=7)     ! maximum no. of words per baseline
      PARAMETER  (MAXMOD=2000)  ! maximum number of model components
      PARAMETER  (MAXFRQ=10)
      PARAMETER  (MAXFRQ1=MAXFRQ-1)
      PARAMETER  (MAXORB=2)     ! maximum number of orbiters
      PARAMETER  (MAXSRC=2)     ! maximum number of independently-observed
				! sources
      PARAMETER  (NPARS=280+11*MAXS+2*MAXTE+MAXFRQ)
      PARAMETER  (NPARS1=153+9*MAXS+2*MAXTE+MAXFRQ)
      PARAMETER  (NPARS2=NPARS-NPARS1)
C ! number of input parameters

!      PARAMETER  (INC=5)        ! unit for input
!      PARAMETER  (OUTC=6)       ! unit for output
!      PARAMETER  (PI=3.141592653589793 D0)
!      PARAMETER  (TWOPI=2D0*PI)
!      PARAMETER  (VELC=2.997925D8)
!      PARAMETER  (RPDEG=PI/180.D0)

      PARAMETER  (INSTA=90)     ! unit for stations catalog
      PARAMETER  (INMOD=4)      ! unit for input model
      PARAMETER  (OUT=10)       ! unit for output MERGE file
      PARAMETER  (RPSA=PI/648000 D0)
      PARAMETER  (RPST=PI/43200 D0)
      PARAMETER  (RPMAS=RPSA/1D3)
      PARAMETER  (SIDR=(PI/2592000D0)*1.0027379093D0)
C                (radians of ST per sec/60 of UT)
C
      REAL SCAL,TD,PD,XZL,TOTFLX,RAD,THETA,COSTHETA,
C-gam1   A,PH,ARG,PHASES,ERRADD,ERRMUL,ERRSCA,COSHAL,HA,HAL,HAA,
     1   A,PH, ARG, PHASES,ERRADD,ERRMUL,ERRSCA,COSHAL,HA,HAL,HAA,
     2   SCALB,U,V,W,VISR,VISI,ERR1,ERR2,ERR3,AMP0,AMP,AMPERR,CPHASE,
     3   YNTERP,RNGAUS,Q5,Q6,UMAXC,VMAXC,UMAXP,VMAXP,UMAX,
     4   VMAX,EPOCH,DAY,UMX1,VMX1,UMX2,VMX2,UU,VV,OLONG1,OLONG2,
     5   OLAT1,OLAT2,TLAT(MAXTE),TLONG(MAXTE),WLDMIN, WLDMAX
      REAL*8 IUT1,IUT2,IUT3,IUT4,IUT,PRIOR
      INTEGER MODE,IM,ID,IY,IER,NS,NB,NT,M,LEN1,NCPRIN,NCOMP,NUPMIN,
!    1   IUT1,IUT2,IDAY,IUT3,IUT4,IS,NTIME,IUT,NVER,NHIST,IB,IS1,IS2,
     1   IDAY,IS,NTIME,NVER,NHIST,IB,IS1,IS2,
     2   IT,IS3,JMAX,LENG,NHEAD,KFLAG,I0,J,ISEED,NUP,IPOS,I,STTYPE,
     3   STATYP(MAXS),NST,NSTOP,NFIRST,NPRT,J1,J2,NON,NOFF,NTOT,
     4   NTYME,JTYME,NDWPB,MARK,LINEWD,NFONT,NDOTSZ,L,L1,L2,JD,MONTH,
     5   NS1,NS2,NS3,NS4,BCOUNT(MAXB),IP,M1,M2,PGBEGIN,NGRDIL,NFRQ,
     6   NFREQ, NSEE, NSAT, NSSRC1, NORB, NTEASSGND,
     6   NORBASGND, COMNDPRI
      INTEGER PRIMESOU(MAXS),ISRC,PRIOMAT0(MAXORB,MAXTE),
     1        PRIOMAT(MAXORB,MAXTE),PRITMP,ORBASGND(MAXORB),
     2        TEASSGND(MAXTE),TELOPT(MAXS),TELOPTIN,SECONDSO(MAXS),
     3        NSRC,PSRC,OSRC,OPPOSITE,OUTSOU
      INTEGER TYPSAT(MAXS),TYPSATIN(MAXS)
      LOGICAL APPLY(20,MAXS),FIRST
      CHARACTER*3  FUNIT
      CHARACTER*80 MODFIL,OUTFIL,HISTRY,PLTFIL,PLTFIL2
      CHARACTER*20 NOTE, STRING
      CHARACTER*16 SOURCE(2)
      CHARACTER*17 BNAME(MAXB)
      CHARACTER*8  STNAME(MAXS),XON, Q,TIMEC, TENAME(MAXTE)
!     CHARACTER*40 LEGEN1
      CHARACTER*60 LEGEN1
      CHARACTER*(9*14) LEGEN2
      CHARACTER*(9*14) LEGEN3
      CHARACTER*(9*14) LEGEN4
      CHARACTER*50 LEGEN8
      CHARACTER*80 LEGEN10

      double precision yz1(MAXTE),angte(MAXTE),ang_source(3)


C DWM variables for PLOTSAT option
      REAL   U1(MAXB+MAXORB),V1(MAXB+MAXORB),W1(MAXB+MAXORB),
     1       U2(MAXB+MAXORB),V2(MAXB+MAXORB),W2(MAXB+MAXORB),
     2       UU1(MAXB+MAXORB), VV1(MAXB+MAXORB), 
     3       UU2(MAXB+MAXORB), VV2(MAXB+MAXORB), 
     4       REARTHSQ, RR1SQ, RR2SQ
      LOGICAL previous(MAXB+MAXORB)
c DWM variables for PLOTSAT2 option
      INTEGER icount,ICOUNT2,icount3,color(10000)
      integer yorb_in,morb_in,dorb_in
      REAL*8 normal(3),sat(3),earth(3),sateast(3), UTORB_IN
      REAL*8 earth0(3),earthsat(3),dt1h,AEIOWM_IN(6)
      REAL*8 rsat,rsateast,rearth,rearthsat,subsat0(3,10000)
      REAL*8 rls(3),vls(3),jdls,dtls0,dtls,raj,decj,distj
      REAL*8 betaj,lamdaj,dtlsin,jdlsh
      REAL   xplot(1000),yplot(1000),xtel(50),ytel(50),arg1
      REAL   angmax,ang1max,ang2max,ang2maxold
      REAL   xplot2(10000),yplot2(10000),azcos,azsin
      REAL   WTFACTOR,WTPOWER
      LOGICAL flagplot(1000)
c DWM variables for UVPLOTG option: G for global      
      LOGICAL UVPLOTG,UINV,UVPLOTS,color_menu
      REAL RAMIN,RAMAX,DECMIN,DECMAX
c DWM variables for UVPLOTT option: T for time    
      LOGICAL UVPLOTT,UVDIST,PLOTDEL,UVPLOTB,LSPERT,LSPLOT
      LOGICAL J2OFF,SUNOFF,MOONOFF,LSOUT,NORED,USEFWHM,MODELFIT
      LOGICAL PARAPLOT,MODVARY(6),GRADSRCH,BLUECONT,CIRCULAR
      LOGICAL NOSPSP,VELPLOT,velvis,J38ON,AFPLOT,AFMODEL(7)
      LOGICAL JUPITER, USEAEIOWM, SNRPLOT, SHOW_ANGLES, PSCOLOR
      LOGICAL TANTCALC, init_tant,simple_menu
      INTEGER NX,NY,NPLOTS,IERMOD,ICOL,IVALX,IVALY
      INTEGER NUMFIT1,NUMFIT2,CONSVER
      REAL    DTUVD,DTUVH,LOGTB,STOTJY,SNR,SNRFLAG,DEARTH
      REAL    LOGT1,LOGT2,LOGT3,LOGS1,LOGS2,LOGS3,DMAX
      REAL    LOGFWHM1,LOGFWHM2,LOGFWHM3,TB,FWHM,RATIO,PA
      REAL    PA1,PA2,PA3,RATIO1,RATIO2,RATIO3,MODIN(6)
      REAL    MODOUT(7,100,100),MODERR(6),PERDIFF(100,100),TR(6)
      REAL    MODTRUE(6,100,100),MODOUTAF(7)
      REAL    HIST1(100),HIST2(100),HIST3(100),HIST4(100),HIST5(100)
      REAL    HIST6(100),sumhist,sumhist2,numhist,meanhist,sdhist
      REAL    XTEXT,YTEXT,TOTLAF2,TOTLAF1,TOTLAF3,hkm(2),h1km,h2km
!     REAL AF(7,100,100,100)
      REAL AF(7,20,10,10)
      REAL    afxmin(10),afxmax(10),afx(100),afy(100)
      CHARACTER TEXT*8,texthist*20,afxlabel*20,afylabel*20
      CHARACTER CONSVERDATE*20, bandname*8
      INTEGER afnum(10)

      REAL*8 PARS1(NPARS1),PARS2(NPARS2),VALS1(NPARS1),VALS2(NPARS2)
      REAL*8 VALS0(NPARS)
      REAL*8 PARS(NPARS), VALS(NPARS), ENDMRK, D0,
     1       RA, DEC, RA50, DEC50, FLUX, RA2, DEC2, RA502, DEC502,
     2       COSRA(MAXSRC),SINRA(MAXSRC),COSDEC(MAXSRC),SINDEC(MAXSRC),
     3       SVEC(3,2),ROT(3,3,2),WAVE, WAVEMIN, FREQ, FREQU(MAXFRQ),
     4       RR, CLAT(MAXS), SLAT(MAXS), COSZAL,
     5       STX(MAXS), STY(MAXS), STZ(MAXS),
     6       RHST0(6,MAXS), RHST(6,MAXS), AEIOWM(6,MAXS), UTORB,
     7       EPOCHJD(MAXS), TODAYJD, DUMGST,
     8       GASTM, INTEG, GST, GSTM, COST, SINT, DT,ddt,rapx,
     9       BXIB, BYIB, BZIB, BEIB,dtobs,dtf,
     *       RE, GM, HJ2,
     *       SATRA, COSSATDEC, SINSATDEC, CLATTE(MAXTE),
     *       SLATTE(MAXTE), TEX(MAXTE), TEY(MAXTE), TEZ(MAXTE),
     *       RHTE0(3,MAXTE), RHTE1(3,MAXTE), RHTE(3), RHSTP(3),
     *       TSYS(MAXS), EFF(MAXS), DIAM(MAXS), POINT(MAXS),
     *       BANDW, FREQSUM, TELANGLE, TANG, FACTOR, EPSILON
      REAL   RAN
      REAL   FLXC(MAXMOD),X(MAXMOD),Y(MAXMOD),AA(MAXMOD),RAT(MAXMOD),
     1       PHI(MAXMOD),REC(MAXWPB*MAXB+2*MAXT),PHASE(MAXB),
     2       PHSERR(MAXB),FTIME(500),ERRSCL(500,MAXS),SCALFAC(MAXS),
     3       STAPHA(MAXS),HALIM(MAXS),ZALIM(MAXS),STLONG(MAXS),
     4       ERRSTN(MAXS),HALIMTE(MAXTE),ZALIMTE(MAXTE),TELONG(MAXTE),
     5       EXPECT(MAXS),CALERR(MAXS),HALIMST(MAXS,MAXSRC),
     6       TELEMAT(MAXORB,MAXTE), QUAL, QUAL1, QUAL2, QUALMAX,
     7       COMNDTIM(MAXORB), COMNDMIN, ELAPSED, COSTRAN, TAFACT0, 
     8       TAFACT, DHA, HALAST(MAXORB,MAXTE), HAFACT, TRLNGTIM
C DWM variable for plotazel option
      REAL*8 AEIOWM1(6,MAXS), AEIOWM2(6,MAXS),rhst1(6)
      REAL*8 RHSTA(6,MAXS),RHSTB(6,MAXS)
      REAL*8 YZ(3,MAXS),YZIN(3)


      REAL*8    UT
!     INTEGER   UT


      INTEGER   ITYPE(MAXMOD)
!     INTEGER   YEAR,UT,STIME(6),TYPE,LABELB(MAXB),LABELT(MAXT)
      INTEGER   YEAR,STIME(6),TYPE,LABELB(MAXB),LABELT(MAXT)
      INTEGER*2 IB1(MAXT),IB2(MAXT),IB3(MAXT)
      LOGICAL   FOUND(MAXS),UP(MAXS,MAXSRC),OK,SCREWY, PERFECT,SRCUP,
     1          ORBITERS,LONG,TELEMETRY,TEFOUND(MAXTE),VIS,HIST,
     2          ONSOURCE,DATA,UVPLOT,INVERT,COUNT,GRSKIP,
     3          CALCERR,FREQSYNTH,GROUND,VISIBLE(MAXTE),
C DWM 
     4	        CONSTRAINTS,OPTIMIZE,consplot1,OUT2,SKYPLOT,NOOUT,
c-gam5          TELOUT,ROTATE,YZPLOT,FOUNDSOME,FLAGGED(MAXORB,MAXTE),
     5          TELOUT,              FOUNDSOME,FLAGGED(MAXORB,MAXTE),
     6          UNIQUE,COMMAND,TRAKLONG,TRAKFAST,viscon(MAXTE)
      INTEGER IST, IORB, IST1, IORB1, IIST, IIORB, NTELEM
C DWM variables for VIEWPLOT option
      INTEGER IDAYSTOP,IDAYIN,IUT1IN,IUT2IN
       REAL*8 TSTART(20),TSTOP(20),TVIEW,TLENGTH
       LOGICAL VIEW(20),PARTIAL(20)
C DWM variables for PLOTSAT option
       REAL uearth,vearth,wearth,uearth1,vearth1,wearth1
       REAL uearth0,vearth0,wearth0
       INTEGER num_earth
       INTEGER DAY1,IHR1,IMIN1,ISEC1,DAY2,IHR2,IMIN2,ISEC2
       LOGICAL PDONE
       real COSTOLD,SINTOLD,REM  
      real      xc, yc,xpoly(40),ypoly(40),diffu,diffv
      logical    newcont,adduv
      character*8 timeout
      character*30 telemout
      real  aopt(2,maxte),mant(2,maxte)


	character def_file*80

       LOGICAL PLOTCONS,PLOTGRT,plotmenu,plot1x2y
       logical screen, init, plotprob,one_bit
       logical hardcopy,plotnum,grtmap,st_init
       logical grtnames

      REAL*8 dotpv
c-------------------------------------------------------------------------------
c     EAK's bits
c-------------------------------------------------------------------------------
      integer          tablun/3/
!     character        line*80
      character        line*98
      integer          nmatch(maxte),jtrack1,jtrack2
!     real             tmatch(maxte,2) 
      logical          tmatch(maxte,2) 
      logical          mask(maxte,2**maxte), match(2)
      logical          visibleold(maxte),visconold(maxte)

C-gam double precision combs(12,2**maxte), range, orb1(3), rhstold(3),
      double precision combs(12,2**maxte),        orb1(3), rhstold(3),
     -                 dispvec(3), disp, seearc, satarc

c-------------------------------------------------------------------------------
      common/ta/rapx
      COMMON /MODEL/ NCOMP,FLXC,X,Y,AA,RAT,PHI,ITYPE
      COMMON /EARTH/ RE,GM,HJ2
      COMMON /ECLIPSES/ ECLIPMULT,ECLIPADD,ESTART,ESTOP,DUR,
     2                  RAPOGEE,RPERIGEE,EFLAG,ETEST,EFLAGOLD
C

	CHARACTER*8 ENDMRKCH0
	EQUIVALENCE (ENDMRK,ENDMRKCH0)
        DATA ENDMRKCH0/'/'/

 

! change

      DATA STIME/6*0/, I0/0/, D0/0D0/, RE/6378140./, GM/3.986012D14/,
     1    HJ2/1.08263D-3/

       DATA PRIOR/2592000.0d0/     ! 12 hours
! change this DWM 23-sep-91

	CHARACTER*8 PARS1CH0(NPARS1) 
	EQUIVALENCE (PARS1,PARS1CH0)

C ***********NEXT initialization ************


C<<      REAL*8 PARS1(NPARS1)     
   
C<<      DATA     PARS1/'RA','DEC','TIMESCAL','NCPRINT','FLUX',
C<<     1 'YEAR','LONG','ERRMult','*','INTEG','SOUrce',' ',MAXS*'STATions',
C<<     2         'TITle',9*' ','NOCLOSE','DAY','STARt','STOP',
C<<     3         MAXS*'ERRScale','NUP', 'PHASES', 'PERFECT','*',
C<<     4         'OUTPUT',9*' ', 'MODEL',9*' ', MAXS*'ERRAdd',
C<<     5         MAXTE*'TELEM???', 2*'NONOFF', 'NODATA', 'UVPLOT',
C<<     6         'PLOTFile',9*' ', 'UMAX', 'VMAX', 'MARK', 'NOINVERT',
C<<     7         'LINEWidt', 'FONT', 'DOTSIZE', 'COUNT', 'NGRDIL',
C<<     8         MAXFRQ*'FREQuenc', MAXS*'TSYS', MAXS*'EFFicien',
C<<     9         MAXS*'DIAMeter', MAXS*'POINTing', 'BANDwidt', 'TELANgle',
C<<     A         'SEED', 'GROUND','WESTlimi',MAXS*'CALERR',
C<<     B             'CONSTRA','OPTIMIZE','ANGYZ','YZ1','YZ2','YZ3',
C<<     C         'PLOTS', 'OUTPUT2','SKYPLOT','RAMIN','RAMAX','RASTEP',
C<<     D       'DECMIN','DECMAX','DECSTEP','NCONT','CMIN','CMAX','TELOUT',
C<<     E         'RAPCS','TELOPT','TELANG','ECLIPMULT','SUNANG','ROTATE',
C<<     F 'TELPLOT','AOP1','AOP2','AOP3','MAN1','MAN2','MAN3','YZPLOT',
C<<     G 'RAOPTION','RADTIME','PLOTAZEL','AZELTIME','DAYSTOP','VIEWPLT',
C<<     H 'CONSAPP',20*'CONSLIST','PLOTSAT','ADDUV','COMPLOT','RA2','DEC2',
C<<     I 'SOURCE2',' ',MAXS*'PRIMESOU','OUTSOUrc',MAXTE*'TELECODe',
C<<     J 'UNIQue',2*'COMMAND','TRAKLong','TRAKFast','PLOTSAT2','ANGMAX'/


      DATA PARS1CH0(1),  PARS1CH0(2),  PARS1CH0(3), 
     R  PARS1CH0(4),  PARS1CH0(5),  PARS1CH0(6), 
     R  PARS1CH0(7),  PARS1CH0(8),  PARS1CH0(9), 
     R  PARS1CH0(10),  PARS1CH0(11),  PARS1CH0(12), 
     R  (PARS1CH0(i), i=13, 54), 
     R  PARS1CH0(55),  (PARS1CH0(i), i=56, 
     R 64), PARS1CH0(65),  PARS1CH0(66), 
     R  PARS1CH0(67),  PARS1CH0(68),  (PARS1CH0(i), 
     R i=69, 110), PARS1CH0(111), 
     R  PARS1CH0(112),  PARS1CH0(113),  PARS1CH0(114), 
     R  PARS1CH0(115),  (PARS1CH0(i), i=116, 
     R 124), PARS1CH0(125),  (PARS1CH0(i), 
     R i=126, 134), (PARS1CH0(i), 
     R i=135, 176), (PARS1CH0(i), 
     R i=177, 186), (PARS1CH0(i), 
     R i=187, 188), PARS1CH0(189), 
     R  PARS1CH0(190),  PARS1CH0(191),  (PARS1CH0(i), 
     R i=192, 200), PARS1CH0(201), 
     R  PARS1CH0(202),  PARS1CH0(203),  PARS1CH0(204), 
     R  PARS1CH0(205),  PARS1CH0(206),  PARS1CH0(207), 
     R  PARS1CH0(208),  PARS1CH0(209),  (PARS1CH0(i),
     R i=210, 219), (PARS1CH0(i), 
     R i=220, 261), (PARS1CH0(i), 
     R i=262, 303), (PARS1CH0(i), 
     R i=304, 345), (PARS1CH0(i), 
     R i=346, 387), PARS1CH0(388), 
     R  PARS1CH0(389),  PARS1CH0(390),  PARS1CH0(391), 
     R  PARS1CH0(392),  (PARS1CH0(i), i=393, 
     R 434), PARS1CH0(435),  PARS1CH0(436), 
     R  PARS1CH0(437),  PARS1CH0(438),  PARS1CH0(439), 
     R  PARS1CH0(440),  PARS1CH0(441),  PARS1CH0(442), 
     R  PARS1CH0(443),  PARS1CH0(444),  PARS1CH0(445), 
     R  PARS1CH0(446),  PARS1CH0(447),  PARS1CH0(448), 
     R  PARS1CH0(449),  PARS1CH0(450),  PARS1CH0(451), 
     R  PARS1CH0(452),  PARS1CH0(453),  PARS1CH0(454), 
     R  PARS1CH0(455),  PARS1CH0(456),  PARS1CH0(457), 
     R  PARS1CH0(458),  PARS1CH0(459),  PARS1CH0(460), 
     R  PARS1CH0(461),  PARS1CH0(462),  PARS1CH0(463), 
     R  PARS1CH0(464),  PARS1CH0(465),  PARS1CH0(466), 
     R  PARS1CH0(467),  PARS1CH0(468),  PARS1CH0(469), 
     R  PARS1CH0(470),  PARS1CH0(471),  PARS1CH0(472), 
     R  PARS1CH0(473),  PARS1CH0(474),  (PARS1CH0(i), 
     R i=475, 494), PARS1CH0(495), 
     R  PARS1CH0(496),  PARS1CH0(497),  PARS1CH0(498), 
     R  PARS1CH0(499),  PARS1CH0(500),  PARS1CH0(501), 
     R  (PARS1CH0(i), i=502, 543), 
     R PARS1CH0(544),  (PARS1CH0(i), i=545, 
     R 554), PARS1CH0(555),  (PARS1CH0(i), 
     R i=556, 557), PARS1CH0(558), 
     R  PARS1CH0(559),  PARS1CH0(560),  PARS1CH0(561) 
     R 
     R /'RA',  'DEC',  'TIMESCAL', 
     R  'NCPRINT',  'FLUX',   'YEAR', 
     R  'LONG',  'ERRMult',  '*', 
     R  'INTEG',  'SOUrce',  ' ', 
     R  MAXS*'STATions',          'TITle',  9*' ', 
     R 'NOCLOSE',  'DAY',  'STARt', 
     R  'STOP',  MAXS*'ERRScale', 'NUP', 
     R   'PHASES',   'PERFECT',  '*', 
     R           'OUTPUT',  9*' ',  'MODEL', 
     R  9*' ', MAXS*'ERRAdd', MAXTE*'TELEM???', 
     R 2*'NONOFF',  'NODATA',   'UVPLOT', 
     R           'PLOTFile',  9*' ',  'UMAX', 
     R   'VMAX',   'MARK',   'NOINVERT', 
     R           'LINEWidt',   'FONT',   'DOTSIZE', 
     R   'COUNT',   'NGRDIL',  MAXFRQ*'FREQuenc', 
     R MAXS*'TSYS', MAXS*'EFFicien', MAXS*'DIAMeter', 
     R MAXS*'POINTing',  'BANDwidt',   'TELANgle', 
     R           'SEED',   'GROUND',  'WESTlimi', 
     R  MAXS*'CALERR',              'CONSTRA',  'OPTIMIZE', 
     R  'ANGYZ',  'YZ1',  'YZ2', 
     R  'YZ3',           'PLOTS',   'OUTPUT2', 
     R  'SKYPLOT',  'RAMIN',  'RAMAX', 
     R  'RASTEP',         'DECMIN',  'DECMAX', 
     R  'DECSTEP',  'NCONT',  'CMIN', 
     R  'CMAX',  'TELOUT',           'RAPCS', 
     R  'TELOPT',  'TELANG',  'ECLIPMUL', 
     R  'SUNANG',  'ROTATE',   'TELPLOT', 
     R  'AOP1',  'AOP2',  'AOP3', 
     R  'MAN1',  'MAN2',  'MAN3', 
     R  'YZPLOT',   'RAOPTION',  'RADTIME', 
     R  'PLOTAZEL',  'AZELTIME',  'DAYSTOP', 
     R  'VIEWPLT',   'CONSAPP',  20*'CONSLIST', 
     R 'PLOTSAT',  'ADDUV',  'COMPLOT', 
     R  'RA2',  'DEC2',   'SOURCE2', 
     R  ' ',  MAXS*'PRIMESOU', 'OUTSOUrc', 
     R  MAXTE*'TELECODe',  'UNIQue',  2*'COMMAND', 
     R 'TRAKLong',  'TRAKFast',  'PLOTSAT2', 
     R  'ANGMAX' /
C ***********NEXT initialization ************

	CHARACTER*8 VALS1CH0(NPARS1) 
	EQUIVALENCE (VALS1,VALS1CH0)
	DATA VALS1(3),  VALS1(4),  VALS1(5), 
     R  VALS1(6),  VALS1(7),  VALS1(8), 
     R  VALS1(9),  VALS1(65),  VALS1(66), 
     R  (VALS1(i), i=69, 110), 
     R VALS1(111),  VALS1(112),  VALS1(113), 
     R  VALS1(114),  (VALS1(i), i=135, 
     R 176), VALS1(187),  VALS1(188), 
     R  VALS1(189),  VALS1(190),  VALS1(201), 
     R  VALS1(202),  VALS1(203),  VALS1(204), 
     R  VALS1(205),  VALS1(206),  VALS1(207), 
     R  VALS1(208),  VALS1(209),  (VALS1(i), 
     R i=211, 219), (VALS1(i), 
     R i=220, 261), (VALS1(i), 
     R i=262, 303), (VALS1(i), 
     R i=304, 345), (VALS1(i), 
     R i=346, 387), VALS1(388), 
     R  VALS1(389),  VALS1(390),  VALS1(391), 
     R  VALS1(392),  (VALS1(i), i=393, 
     R 434), VALS1(435),  VALS1(436), 
     R  VALS1(437),  VALS1(438),  VALS1(439), 
     R  VALS1(440),  VALS1(441),  VALS1(442), 
     R  VALS1(443),  VALS1(444),  VALS1(445), 
     R  VALS1(446),  VALS1(447),  VALS1(448), 
     R  VALS1(449),  VALS1(450),  VALS1(451), 
     R  VALS1(452),  VALS1(453),  VALS1(454), 
     R  VALS1(455),  VALS1(456),  VALS1(457), 
     R  VALS1(458),  VALS1(459),  VALS1(460), 
     R  VALS1(461),  VALS1(462),  VALS1(463), 
     R  VALS1(464),  VALS1(465),  VALS1(466), 
     R  VALS1(467),  VALS1(468),  VALS1(469), 
     R  VALS1(470),  VALS1(471),  VALS1(472), 
     R  VALS1(473),  VALS1(474),  (VALS1(i), 
     R i=475, 494), VALS1(495), 
     R  VALS1(496),  VALS1(497),  VALS1(498), 
     R  VALS1(499),  (VALS1(i), i=502, 
     R 543), VALS1(544),  (VALS1(i), 
     R i=545, 554), VALS1(555), 
     R  (VALS1(i), i=556, 557), 
     R VALS1(558),  VALS1(559),  VALS1(560), 
     R  VALS1(561) 
     R / 60D0,   25D0,   0D0, 
     R     0d0,  -1d0,  0D0, 
     R   -1D0,   -1D0,   0D0, 
     R  MAXS*0D0,  2D0,   360D0, 
     R   -1D0,   -1D0,  MAXS*0D0, 
     R  1D0,   0D0,   -1D0, 
     R   -1D0,   0D0,   0D0, 
     R   -1D0,   -1D0,           1D0, 
     R   1D0,   0D0,   -1D0, 
     R   1D0,  MAXFRQ1*0D0, MAXS*0D0, 
     R MAXS*0D0, MAXS*0D0, MAXS*0D0, 
     R  0D0,   180D0,           3456757D0, 
     R   -1D0,   190.0D0,  MAXS*1.0D0, 
     R              -1.0D0,  -1.0D0,  0.0D0, 
     R  0.0D0,  360.0D0,  5.0D0, 
     R           -1.0d0,  -1.0d0,  -1.0d0, 
     R  0.0d0,  22.0d0,  2.0d0, 
     R           -80.0d0,  80.0d0,  20.0d0, 
     R  11.0d0,  00.0d0,  100.0d0, 
     R  -1.0D0,           -1.0D0,  19.0D0, 
     R  90.0D0,   1.0D0 ,   90.D0, 
     R   -1.0d0,   -1.0d0,  0.0d0, 
     R  360.0d0,  10.0d0,  0.0d0, 
     R  360.0d0,  10.0d0,  -1.0d0, 
     R   3.0d0,  21.0d0,  -1.0d0, 
     R  1.0d0,   -1.0d0,  -1.0d0, 
     R   -1.0d0,  20*0.0D0, -1.0d0, 
     R  -1.0d0,   -1.0d0,   9999.0D0, 
     R   9999.0D0,  MAXS*1.0D0,  1.0D0, 
     R  MAXTE*0.D0,   0.0d0,  2*-1.0d0, 
     R  -1.0d0,   -1.0d0,   -1.0d0, 
     R   90.0d0 /

C ***********NEXT initialization ************

	DATA (VALS1CH0(i), i=1, 2), 
     R VALS1CH0(10),  (VALS1CH0(i), i=11, 
     R 12), (VALS1CH0(i), i=13, 
     R 14), (VALS1CH0(i), i=15, 
     R 54), (VALS1CH0(i), i=55, 
     R 64), (VALS1CH0(i), i=67, 
     R 68), VALS1CH0(115),  (VALS1CH0(i), 
     R i=116, 124), VALS1CH0(125), 
     R  (VALS1CH0(i), i=126, 134), 
     R (VALS1CH0(i), i=177, 186), 
     R VALS1CH0(191),  (VALS1CH0(i), i=192, 
     R 200), VALS1CH0(210),  (VALS1CH0(i), 
     R i=500, 501) 
     R /2*'***UNSET',  '***UNSET',  2*' ', 
     R 2*'***UNSET', MAXS2*' ', 10*' ', 
     R 2*'***UNSET',          'OUTPUT',  9*' ', 
     R  'MODEL',  9*' ', MAXTE*' ', 
     R          '?',  9*' ',          '***UNSET', 
     R  2*' ' /
C ***********NEXT initialization ************

 !    B	       -1.0D0,-1.0D0,0.0D0,145.0D0,215.0D0,5.0D0,


C<<        DATA PARS2/'ECLIPLOT',MAXS*'TYPSAT','UVPLOTG','TICK','RIG',
C<<     1  MAXS*'SECONDSO','UINV','POWERBUD','POWERPLT','GPS','COOLER',
C<<     2  'UVPLOTT','NX','NY','DTUVD','DTUVH','NPLOTS',
C<<     3 'UVDIST','SNRFLAG','NOTUSED1','NOTUSED2','PLOTDEL','UVPLOTB',
C<<     4   'LOGT1','LOGT2','LOGT3','LOGS1','LOGS2','LOGS3','DMAX',
C<<     5  'SNRPLOT','LSPERT','LSPLOT','DTLS','J2OFF','SUNOFF','MOONOFF',
C<<     6  'LSOUT','NORED','USEFWHM','LOGFWHM1','LOGFWHM2','LOGFWHM3',
C<<     7   'MODELFIT','RATIO','PA','PARAPLOT','PA1','PA2','PA3',
C<<     8   'RATIO1','RATIO2','RATIO3',6*'MODERR','TOTLAF1',
C<<     9   'TOTLAF2','NUMFIT1','NUMFIT2','GRADSRCH','PLOT2F',9*' ',
C<<     A    'BLUECONT','UVPLOTS','CIRCULAR','NOSPSP','VELPLOT','J38ON',
C<<     B    'AFPLOT','AFSEMI','AFRATIO','AFPA','JUPITER','H1KM','H2KM',
C<<     C    'CONSVER','PLOTCONS','PLOTGRT','WTFACTOR','WTPOWER','PDONE',
C<<     D    'USEAEIOW',6*'AEIOWM','YORB','MORB','DORB','UTORB',
C<<     E    'BNAME','DEF_FILE',9*' ','PLOTMENU','PLOT1X2Y','HARDCOPY',
C<<     F    'PLOTNUM','PLOTPROB','ONE_BIT','ANGLES','GRTMAP','GRTNAMES',
C<<     G    'TANTCALC','PSCOLOR','SIMPLEM','VIEWPLT2','NOSUNANG'/

	CHARACTER*8 PARS2CH0(NPARS2) 
	EQUIVALENCE (PARS2,PARS2CH0)
	
C ***********NEXT initialization ************

	DATA PARS2CH0(1),  (PARS2CH0(i), i=2, 
     R 43), PARS2CH0(44),  PARS2CH0(45), 
     R  PARS2CH0(46),  (PARS2CH0(i), i=47, 
     R 88), PARS2CH0(89),  PARS2CH0(90), 
     R  PARS2CH0(91),  PARS2CH0(92),  PARS2CH0(93), 
     R  PARS2CH0(94),  PARS2CH0(95),  PARS2CH0(96), 
     R  PARS2CH0(97),  PARS2CH0(98),  PARS2CH0(99), 
     R  PARS2CH0(100),  PARS2CH0(101),  PARS2CH0(102), 
     R  PARS2CH0(103),  PARS2CH0(104),  PARS2CH0(105), 
     R  PARS2CH0(106),  PARS2CH0(107),  PARS2CH0(108), 
     R  PARS2CH0(109),  PARS2CH0(110),  PARS2CH0(111), 
     R  PARS2CH0(112),  PARS2CH0(113),  PARS2CH0(114), 
     R  PARS2CH0(115),  PARS2CH0(116),  PARS2CH0(117), 
     R  PARS2CH0(118),  PARS2CH0(119),  PARS2CH0(120), 
     R  PARS2CH0(121),  PARS2CH0(122),  PARS2CH0(123), 
     R  PARS2CH0(124),  PARS2CH0(125),  PARS2CH0(126), 
     R  PARS2CH0(127),  PARS2CH0(128),  PARS2CH0(129), 
     R  PARS2CH0(130),  PARS2CH0(131),  PARS2CH0(132), 
     R  PARS2CH0(133),  PARS2CH0(134),  PARS2CH0(135), 
     R  (PARS2CH0(i), i=136, 141), 
     R PARS2CH0(142),  PARS2CH0(143),  PARS2CH0(144), 
     R  PARS2CH0(145),  PARS2CH0(146),  PARS2CH0(147), 
     R  (PARS2CH0(i), i=148, 156), 
     R PARS2CH0(157),  PARS2CH0(158),  PARS2CH0(159), 
     R  PARS2CH0(160),  PARS2CH0(161),  PARS2CH0(162), 
     R  PARS2CH0(163),  PARS2CH0(164),  PARS2CH0(165), 
     R  PARS2CH0(166),  PARS2CH0(167),  PARS2CH0(168), 
     R  PARS2CH0(169),  PARS2CH0(170),  PARS2CH0(171), 
     R  PARS2CH0(172),  PARS2CH0(173),  PARS2CH0(174), 
     R  PARS2CH0(175),  PARS2CH0(176),  (PARS2CH0(i), 
     R i=177, 182), PARS2CH0(183), 
     R  PARS2CH0(184),  PARS2CH0(185),  PARS2CH0(186), 
     R  PARS2CH0(187),  PARS2CH0(188),  (PARS2CH0(i), 
     R i=189, 197), PARS2CH0(198), 
     R  PARS2CH0(199),  PARS2CH0(200),  PARS2CH0(201), 
     R  PARS2CH0(202),  PARS2CH0(203),  PARS2CH0(204), 
     R  PARS2CH0(205),  PARS2CH0(206),  PARS2CH0(207), 
     R  PARS2CH0(208),  PARS2CH0(209),  PARS2CH0(210), 
     R  PARS2CH0(211) 
     R /'ECLIPLOT',  MAXS*'TYPSAT', 'UVPLOTG', 
     R  'TICK',  'RIG',  MAXS*'SECONDSO', 
     R 'UINV',  'POWERBUD',  'POWERPLT', 
     R  'GPS',  'COOLER',    'UVPLOTT', 
     R  'NX',  'NY',  'DTUVD', 
     R  'DTUVH',  'NPLOTS',   'UVDIST', 
     R  'SNRFLAG',  'NOTUSED1',  'NOTUSED2', 
     R  'PLOTDEL',  'UVPLOTB',     'LOGT1', 
     R  'LOGT2',  'LOGT3',  'LOGS1', 
     R  'LOGS2',  'LOGS3',  'DMAX', 
     R    'SNRPLOT',  'LSPERT',  'LSPLOT', 
     R  'DTLS',  'J2OFF',  'SUNOFF', 
     R  'MOONOFF',    'LSOUT',  'NORED', 
     R  'USEFWHM',  'LOGFWHM1',  'LOGFWHM2', 
     R  'LOGFWHM3',     'MODELFIT',  'RATIO', 
     R  'PA',  'PARAPLOT',  'PA1', 
     R  'PA2',  'PA3',     'RATIO1', 
     R  'RATIO2',  'RATIO3',  6*'MODERR', 
     R 'TOTLAF1',     'TOTLAF2',  'NUMFIT1', 
     R  'NUMFIT2',  'GRADSRCH',  'PLOT2F', 
     R  9*' ',     'BLUECONT',  'UVPLOTS', 
     R  'CIRCULAR',  'NOSPSP',  'VELPLOT', 
     R  'J38ON',      'AFPLOT',  'AFSEMI', 
     R  'AFRATIO',  'AFPA',  'JUPITER', 
     R  'H1KM',  'H2KM',      'CONSVER', 
     R  'PLOTCONS',  'PLOTGRT',  'WTFACTOR', 
     R  'WTPOWER',  'PDONE',      'USEAEIOW', 
     R  6*'AEIOWM', 'YORB',  'MORB', 
     R  'DORB',  'UTORB',      'BNAME', 
     R  'DEF_FILE',  9*' ', 'PLOTMENU', 
     R  'PLOT1X2Y',  'HARDCOPY',      'PLOTNUM', 
     R  'PLOTPROB',  'ONE_BIT',  'ANGLES', 
     R  'GRTMAP',  'GRTNAMES',      'TANTCALC', 
     R  'PSCOLOR',  'SIMPLEM',  'VIEWPLT2', 
     R  'NOSUNANG' /
C ***********NEXT initialization ************



C<<     1  MAXS*0.0d0,-1.0d0,-1.0d0,-1.0d0,-1.0d0,-1.0d0,
C<<     2  -1.0d0, 3.0d0, 4.0d0, 0.0d0,0.0d0,10.0d0,
C<<     3  -1.0d0, -1.0d0, 12.0d0, 1.0d0, 0.0d0,-1.0d0,
C<<     4  11.0d0,13.0d0,0.5d0,-1.0,1.0,0.5,-1.0d0,
C<<     5  -1.0d0,-1.0d0,-1.0d0,60.0d0,-1.0d0,-1.0d0,-1.0d0,
C<<     6  -1.0d0,-1.0d0,-1.0d0,-0.5d0,0.5d0,0.5d0,
C<<     7   -1.0d0,1.0d0,0.0d0,-1.0d0,0.0d0,150.0d0,30.0d0,
C<<     8   0.2d0,1.0d0,0.20d0,0.8d0,0.0d0,0.0d0,0.1d0,1.0d0,50.0d0,2.0d0,
C<<     9   2.0d0,4.0d0,4.0d0,0d0,'?', 9*' ',
C<<     A   -1.0d0,-1.0d0,-1.0d0,-1.0d0,-1.0d0,-1.0d0,
C<<     B   -1.0d0,0.0d0,0.0d0,0.0d0,-1.0d0,-1.0d10,1.0d10,
C<<     C   2.0d0,-1.0d0,-1.0d0,1.0d0,1.0d0,-1.0d0,
C<<     D   -1.0d0,6*0.0d0,0.0d0,0.0d0,0.0d0,0.0d0,
C<<     E    0.0d0,'no file',9*' ',-1.0d0, -1.0d0, -1.0d0,
C<<     F   -1.0d0, -1.0d0, 0.0d0, -1.0d0,-1.0d0,-1.0d0,
C<<     G   -1.0d0,-1.0d0,-1.0d0,-1.0d0,-1.0d0/

	CHARACTER*8 VALS2CH0(NPARS2) 
	EQUIVALENCE (VALS2,VALS2CH0)
	DATA VALS2(1),  (VALS2(i), i=2, 
     R 43), VALS2(44),  VALS2(45), 
     R  VALS2(46),  (VALS2(i), i=47, 
     R 88), VALS2(89),  VALS2(90), 
     R  VALS2(91),  VALS2(92),  VALS2(93), 
     R  VALS2(94),  VALS2(95),  VALS2(96), 
     R  VALS2(97),  VALS2(98),  VALS2(99), 
     R  VALS2(100),  VALS2(101),  VALS2(102), 
     R  VALS2(103),  VALS2(104),  VALS2(105), 
     R  VALS2(106),  VALS2(107),  VALS2(108), 
     R  VALS2(109),  VALS2(110),  VALS2(111), 
     R  VALS2(112),  VALS2(113),  VALS2(114), 
     R  VALS2(115),  VALS2(116),  VALS2(117), 
     R  VALS2(118),  VALS2(119),  VALS2(120), 
     R  VALS2(121),  VALS2(122),  VALS2(123), 
     R  VALS2(124),  VALS2(125),  VALS2(126), 
     R  VALS2(127),  VALS2(128),  VALS2(129), 
     R  VALS2(130),  VALS2(131),  VALS2(132), 
     R  VALS2(133),  VALS2(134),  VALS2(135), 
     R  VALS2(136),  VALS2(137),  VALS2(138), 
     R  VALS2(139),  VALS2(140),  VALS2(141), 
     R  VALS2(142),  VALS2(143),  VALS2(144), 
     R  VALS2(145),  VALS2(146),  VALS2(157), 
     R  VALS2(158),  VALS2(159),  VALS2(160), 
     R  VALS2(161),  VALS2(162),  VALS2(163), 
     R  VALS2(164),  VALS2(165),  VALS2(166), 
     R  VALS2(167),  VALS2(168),  VALS2(169), 
     R  VALS2(170),  VALS2(171),  VALS2(172), 
     R  VALS2(173),  VALS2(174),  VALS2(175), 
     R  VALS2(176),  (VALS2(i), i=177, 
     R 182), VALS2(183),  VALS2(184), 
     R  VALS2(185),  VALS2(186),  VALS2(187), 
     R  VALS2(198),  VALS2(199),  VALS2(200), 
     R  VALS2(201),  VALS2(202),  VALS2(203), 
     R  VALS2(204),  VALS2(205),  VALS2(206), 
     R  VALS2(207),  VALS2(208),  VALS2(209), 
     R  VALS2(210),  VALS2(211) 
     R /-1.0d0,  MAXS*1.0d0, -1.0d0, 
     R  1.0d0,  -1.0d0,  MAXS*0.0d0, 
     R -1.0d0,  -1.0d0,  -1.0d0, 
     R  -1.0d0,  -1.0d0,    -1.0d0, 
     R   3.0d0,   4.0d0,   0.0d0, 
     R  0.0d0,  10.0d0,    -1.0d0, 
     R   -1.0d0,   12.0d0,   1.0d0, 
     R   0.0d0,  -1.0d0,    11.0d0, 
     R  13.0d0,  0.5d0,  -1.0, 
     R  1.0,  0.5,  -1.0d0, 
     R    -1.0d0,  -1.0d0,  -1.0d0, 
     R  60.0d0,  -1.0d0,  -1.0d0, 
     R  -1.0d0,    -1.0d0,  -1.0d0, 
     R  -1.0d0,  -0.5d0,  0.5d0, 
     R  0.5d0,     -1.0d0,  1.0d0, 
     R  0.0d0,  -1.0d0,  0.0d0, 
     R  150.0d0,  30.0d0,     0.2d0, 
     R  1.0d0,  0.20d0,  0.8d0, 
     R  0.0d0,  0.0d0,  0.1d0, 
     R  1.0d0,  50.0d0,  2.0d0, 
     R     2.0d0,  4.0d0,  4.0d0, 
     R  0d0,     -1.0d0,  -1.0d0, 
     R  -1.0d0,  -1.0d0,  -1.0d0, 
     R  -1.0d0,     -1.0d0,  0.0d0, 
     R  0.0d0,  0.0d0,  -1.0d0, 
     R  -1.0d10,  1.0d10,     2.0d0, 
     R  -1.0d0,  -1.0d0,  1.0d0, 
     R  1.0d0,  -1.0d0,     -1.0d0, 
     R  6*0.0d0, 2.009d3,  1.1d1,      
     R  3.0d1,  1.990983d1,      0.0d0, 
     R  -1.0d0,   -1.0d0,   -1.0d0, 
     R     -1.0d0,   -1.0d0,   0.0d0, 
     R   -1.0d0,  -1.0d0,  -1.0d0, 
     R     -1.0d0,  -1.0d0,  -1.0d0, 
     R  -1.0d0,  -1.0d0 /
C ***********NEXT initialization ************

	DATA VALS2CH0(147),  (VALS2CH0(i), i=148, 
     R 156), VALS2CH0(188),  (VALS2CH0(i), 
     R i=189, 197) 
     R /'?',  9*' ', 'no file', 
     R  9*' ' /
C ***********NEXT initialization ************


      DATA EPSILON/1.E-6/
      DATA num_earth/50/

	do var=1,npars1
	  pars(var)=pars1(var)
	  vals0(var)=vals1(var)
	end do

	do var=1,npars2
	  pars(npars1+var)=pars2(var)
	  vals0(npars1+var)=vals2(var)
	end do
	IER = 0

 
C-----------------------------------------------------------------------
C Formats
C-----------------------------------------------------------------------
  480 FORMAT(10A8)
  510 FORMAT(A)
  515 FORMAT(' +++ERROR+++ ',A8,' cannot be used as a telemetry',/,
     1       ' station and an observatory at the same time.',/)
  520 FORMAT(A8,F12.0,2(F16.0,F3.0,F6.3),4F5.0,I5,I3,I4,
     1       (F16.0,F3.0,F6.3),I5)
  525 FORMAT(' +++ERROR+++ ',A8,' cannot be used as a telemetry',/,
     1       ' station.  Only ground stations may be telemetry',/,
     1       ' stations in this version of FAKE ',/)
  530 FORMAT(' +++ERROR+++ Station not found in catalog: ',A8)
  535 FORMAT(' +++ERROR+++ No telemetry stations given.  Specify',
     1      ' list or "NONE"')
  600 FORMAT(' ',A,' generates artificial MERGE-format VISibility',
     1         ' files from models'/' (Version ',A,')'/)
  603 FORMAT(///' Single Gaussian model parameters from fakesat_menu:'/)
  604 FORMAT(///' Model parameters from:  ',A/)
  614 FORMAT(1X,'      Flux','      Sepn.','   p.a.','  Axis Ratio',
     1          '    p.a.   Type'/)
  605 FORMAT(1X,F10.3,1X,F10.5,1X,F6.1,1X,F6.2,1X,F4.2,1X,F7.2,I6)
  606 FORMAT(' ++WARNING++ Invalid "type": type=1 assumed')
  607 FORMAT(/' Model consists of',I4,' components'/
     1        ' Total model flux = ',F7.3,' Jy')
  610 FORMAT(/' ++WARNING++  Model truncated: too many components.')
  620 FORMAT(//' Ground Radio Telescopes Observing ',A,':'
     1       //4X,'Name',13X,'X',12X,'Y',12X,'Z',6X,'HA limit'/)

  625 FORMAT(//' Spacecraft Orbital Elements at 0 hr UT on Start Date:'//
     1      4X,'Name',10X,'A',14X,'E',12X,'I',12X,'O',12X,'W',12X,'M')

  624 FORMAT(' Spacecraft Orbital Elements at 0 hr UT on Start Date:')
  626 FORMAT(4X,'Name',10X,'A',14X,'E',12X,'I',12X,'O',12X,'W',12X,'M')

  627 FORMAT(//' Spacecraft Tracking Stations:'
     1       //4X,'Name',13X,'X',12X,'Y',12X,'Z',/)

  630 FORMAT(2X,A8,2X,3F13.1,2X,F5.2,2X,A)
  635 FORMAT(2X,A8,2X,F13.1,5X,F6.3,4(5X,F8.3))


  425 FORMAT(' Orbital Elements at 0 hr UT on Start Date (AEIOWM):')
  435 FORMAT(1X,A8,1X,F13.1,1X,F6.3,4(1X,F8.3))




  645 FORMAT(' TELEMETRY="NONE" specified:',/,
     1      ' orbiter(s) assumed to have a VLBI terminal on board.',/)
  650 FORMAT(//' Random scaling factors (by station):'/)
  660 FORMAT(1X,A8,2X,15F7.3)
  670 FORMAT(/' Output in file: ',A)
  680 FORMAT('- Average ERRADD =',E9.2,' Jy',1X,'ERRMULT =',E9.2)
  690 FORMAT('- Average ERRSCAL=',E9.2,      4X,'PHASES  =',F9.2)
  700 FORMAT(' Umax = ',F10.2,'       Vmax = ',F10.2,
     1          '  million wavelengths'/
     2          ' Number of (u,v)-points = ',I6/
     3          ' Mean epoch = ',F7.2)
  701 FORMAT(' Umax = ',F10.2,'       Vmax = ',F10.2, /
     1          '  million wavelengths', i3, /
     3          ' Mean epoch = ',F7.2)
  705 FORMAT(1X,A,I6,' points')
  720 FORMAT(/1X,A/1X,A)
  725 FORMAT('(',A3,I5,', ',F7.3, 1X, A,')')
  726 FORMAT('(',F7.3, 1X, A,' )')
  800 FORMAT(/,' ERRADD is being calculated from thermal noise. ',
     1         'ERRADD  parameter is disabled.',/)
  810 FORMAT(' +++ERROR+++ Station system temperatures (TSYS) ',
     1         'unset')
  820 FORMAT(' +++ERROR+++ Station antenna efficiencies (EFF) ',
     1         'unset')
  830 FORMAT(' +++ERROR+++ Station antenna diameters (DIAM) ',
     1         'unset')
  840 FORMAT(' +++ERROR+++ Station antenna pointing efficiencies ',
     1         '(POINT) unset')
  850 FORMAT(' +++ERROR+++ Bandwidth cannot be zero or negative')
  860 FORMAT(' +++ERROR+++ Integration time cannot be zero or ',
     1       'negative')
  870 FORMAT(' +++ERROR+++ Either UVPLOT or GROUND plot - UVPLOT',
     1       ' assumed')
  900 FORMAT(' +++ERROR+++ Illegal ECLIPMULT value - 0 assumed')
  910 FORMAT(I2,L1,i2)
  920 FORMAT(10A8)
  925 FORMAT('VSOP constraints',10X,6A8)
  930 FORMAT('RADIOASTRON constraints',3X,6A8)
  940 FORMAT(' +++ERROR+++ Invalid value for PRIMESOU(',I2,')= ',I2)
  941 FORMAT(' +++ERROR+++ Invalid value for SECONDSO(',I2,')= ',I2)
  950 FORMAT(' +++ERROR+++ No stations observe output source OUTSOU')
  960 FORMAT(' +++ERROR+++ Number of orbiters greater than',I2)
  970 FORMAT(' +++ERROR+++ Too many digits in telem code for ',A8)
  980 FORMAT(' +++Internal ERROR+++ More than one telemetry station ',
     1       'assigned for ',A8)
c        open(dbg,access='append',file='gebug.log')


        debug_v=.true.
       debug_v=.false.	
c---------------------------------------------------------------------
C Read control parameters and set flags
C---------------------------------------------------------------------
C
C VP set debug to true 03/08/99
	if(debug_v) then
        open(dbg,file='gebug.log')		
	write(dbg,*)
	write(dbg,*)  '---------------------------------------------'
	write(dbg,*) '*** Read control parameters and set flags ***'
	write(dbg,*)  '---------------------------------------------'
	write(dbg,*)
	endif
!	debug = .true.
	ignore = .true.

! debug for orbit evolution

!	debug_p = .true.

! do not force re-reading of stations.cat file

	st_init = .false.


! set up pgvport characteristics

	     x1vp = 0.0
	     x2vp = 1.0

	     y1vp = 0.02
	     y2vp = 0.15
	     y3vp = 0.98
	     frac = 0.80

! x3vp used for uvdist and snrplots
! x4vp used for uvdist and snrplots

	     x3vp = 0.78
	     x4vp = 0.985

	     x3vp = 0.8
	     x4vp = 1.0



	     inum_info = 0

        iwhite=1
        ired=2
        igreen=3
        iblue=4
        icyan=5
	imagenta=6
        iyellow=7
        iorange=8
        iredmagenta=13
        idkgrey=14
        iltgrey=15

! colors for baselines
! ee = earth-earth eb = earth-space

!	iee =      iblue
	iee =      icyan
	ies =      igreen
	ieeflag =  iorange
	iesflag =  ired
	
	
!      WRITE (OUTC,600) PROGNM, VERSN

!     CALL IDATE(IM,ID,IY)

      CALL UDATE(INOW)
      IY = INOW(1)


      VALS(6) = IY+1900               ! default year
      VALS(12+MAXS+12) = 1            ! default day

        FIRST=.TRUE.


    6 MODE = 0
      OK = .TRUE.

	write(*,*) ' '
	write(*,*) 'ACS version of FAKE: FAKESAT'
	write(*,*) ' '
        write(*,*) 'version: 5.0'
        write(*,*) ' '
      WRITE (OUTC,510) 'Control parameters (end with /):'
	write(*,*) ' '

      DO ISPARS=1,NPARS
         VALS(ISPARS) = VALS0(ISPARS)
      END DO
      CALL KEYIN(PARS,VALS,NPARS,ENDMRK,MODE,INC,OUTC)
      do ispars=744,747
      VALS(ISPARS) = VALS0(ISPARS)
      end do
      if(debug_v) then
      do i=1,npars
      if(i.ge.11.and.i.le.64.or.i.ge.115.and.i.le.134.or.
     1i.ge.177.and.i.le.186.or.i.ge.191.and.i.le.200.or. 
     2i.ge.500.and.i.le.501.or.i.ge.708.and.i.le.717.or.
     3i.ge.748.and.i.le.758) then
      write(dbg,'(i5,a10,a10)') i,pars(i),vals(i)
	else
      write(dbg,'(i5,a10,d15.7)') i,pars(i),vals(i)      
      endif
      end do
      end if

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> after call kein()'
	write(dbg,*) 'RA,Dec=',vals(1),vals(2)
	write(dbg,*)
	endif

	if(debug_v) then
	write(dbg,*)
       write(dbg,*) '>read in prime source and secoundary source array'
	write(dbg,*)
	endif

!      write(*,*) 'FIRST, INTEG ',FIRST,VALS(10)/60
      IF(VALS(10).LE.0.0d0) GOTO 999


C
C     Read in prime source and secondary source arrays; check consistency
      DO I=1,MAXS
          PRIMESOU(I) = VALS(145+8*MAXS+MAXTE+MAXFRQ+I) + 0.1D0
	  IF (PRIMESOU(I).LE.0) PRIMESOU(I) = 1
	  IF (PRIMESOU(I).GT.2) THEN
	      WRITE(OUTC,940) I,PRIMESOU(I)
	      OK = .FALSE.
	  END IF
          SECONDSO(I) = VALS(157+10*MAXS+2*MAXTE+MAXFRQ+I) + 0.1D0
	  IF (SECONDSO(I).GT.2) THEN
	      WRITE(OUTC,941) I,SECONDSO(I)
	      OK = .FALSE.
	  END IF
      END DO
      
      if(debug_v) then
      write(dbg,*) 'primesou(i)=',(primesou(i),i=1,maxs)
      write(dbg,*) 'secondso(i)=',(secondso(i),i=1,maxs)
      endif
      
        JUPITER    =  VALS(236+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
        h1km       =  VALS(237+11*MAXS+2*MAXTE+MAXFRQ) 
        h2km       =  VALS(238+11*MAXS+2*MAXTE+MAXFRQ) 



! use h1km and h2km in TELOUT and ground options
! DWM 14-APR-93
!	write(*,*) 'h1km: ',h1km
!	write(*,*) 'h2km: ',h2km


        CONSVER       =  VALS(239+11*MAXS+2*MAXTE+MAXFRQ)

	If(CONSVER.eq.1) CONSVERDATE='before 30-APR-93'
	If(CONSVER.eq.2) CONSVERDATE='on     30-APR-93'
	If(CONSVER.eq.5) CONSVERDATE='RA, ver.5,  JUN-2009'	


!	write(*,*) 'spacecraft constraints were last changed'
!	write(*,'(20a)') CONSVERDATE
!	write(*,*) 'version of spacecraft contraints is: ',CONSVER
!	write(*,*) ' '


        PLOTCONS    =  VALS(240+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
        PLOTGRT     =  VALS(241+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

	if(PLOTCONS.or.PLOTGRT) then
	  consplot1=.true.
	else
	  consplot1=.false.
	end if

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'plotcons=',plotcons
	write(dbg,*) 'plotgrt=',plotgrt
	write(dbg,*) 'consplot1=',consplot1
	endif

        WTFACTOR    =  VALS(242+11*MAXS+2*MAXTE+MAXFRQ) 
        WTPOWER     =  VALS(243+11*MAXS+2*MAXTE+MAXFRQ) 

        if(DATA) then
         write(*,*) ' '
         write(*,*) 'WTFACTOR :',WTFACTOR
         write(*,*) 'WTPOWER  :',WTPOWER
         write(*,*) ' '
	end if

         PDONE  =  VALS(244+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

         USEAEIOWM  =  VALS(245+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

	do i=1,6	
         AEIOWM_IN(i)  =  VALS(i+245+11*MAXS+2*MAXTE+MAXFRQ) 
	end do

	 YORB_IN = VALS(252+11*MAXS+2*MAXTE+MAXFRQ)
	 MORB_IN = VALS(253+11*MAXS+2*MAXTE+MAXFRQ)
	 DORB_IN = VALS(254+11*MAXS+2*MAXTE+MAXFRQ)
	 UTORB_IN = VALS(255+11*MAXS+2*MAXTE+MAXFRQ)
         call raorb2(nra,yorb_in,morb_in,dorb_in,utorb_in)	 	 

		if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'AEIOWM_IN(1-6)=',(AEIOWM_IN(i),i=1,6)	
	write(dbg,*) 'YORB_IN=',YORB_IN
	write(dbg,*) 'MORB_IN=',MORB_IN
	write(dbg,*) 'DORB_IN=',DORB_IN
	write(dbg,*) 'UTORB_IN=',UTORB_IN	
	endif


	 write(bandname,'(a8)') VALS(256+11*MAXS+2*MAXTE+MAXFRQ)
	 call upcase(bandname)

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'jupiter=',jupiter
	write(dbg,*) 'consver=',consver
	write(dbg,*) 'plotcons=',plotcons
	write(dbg,*) 'plotgrt=',plotgrt
	write(dbg,*) 'wtfactor=',wtfactor
	write(dbg,*) 'data=',data
	write(dbg,*) 'pdone=',pdone
	write(dbg,*) 'bandname=',bandname
	endif


	 if(debug) then
	  write(*,'(a)') 'bandname is: ',bandname
         end if

	i1 = 257+11*MAXS+2*MAXTE+MAXFRQ
	i2 = i1 + 9

	WRITE (def_file, 480) (VALS(I),I=i1,i2) 

!	write(*,*) 'def_file is: '
!	write(*,'(a)') def_file 

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'i1=',i1
	write(dbg,*) 'i2=',i2
	write(dbg,*) 'def_file=',def_file
	endif

	plotmenu =  VALS(267+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	plot1x2y =  VALS(268+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	hardcopy =  VALS(269+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	plotnum  =  VALS(270+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	plotprob =  VALS(271+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	one_bit  =  VALS(272+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	show_angles=VALS(273+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

!	write(*,*) 'plotmenu is: ', plotmenu

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'plotmenu=',plotmenu
	write(dbg,*) 'plot1x2y=',plot1x2y
	write(dbg,*) 'hardcopy=',hardcopy
	write(dbg,*) 'plotnum=',plotnum
	write(dbg,*) 'plotprob=',plotprob
	write(dbg,*) 'one_bit=',one_bit
	write(dbg,*) 'show_angles=',show_angles
	endif

      IF(JUPITER) THEN
	IF(VALS(146+9*MAXS+MAXTE+MAXFRQ).NE.1.0D0) THEN
	   VALS(146+9*MAXS+MAXTE+MAXFRQ)=1.0D0
	 write(*,*) 'JUPITER option selected setting OUTSOURCE = 1'
	END IF
      END IF

      NSRC = 1

      IF (VALS(146+9*MAXS+MAXTE+MAXFRQ).EQ.1.0D0) THEN
C         Use source given by parameters 'RA' and 'DEC' as output source
          RA50   = VALS(1)*RPST           ! convert to radians
          DEC50  = VALS(2)*RPSA           ! convert to radians

!         RA502  = VALS(142+8*MAXS+MAXTE+MAXFRQ)*RPST	! second source
          RA502  = VALS(142+8*MAXS+MAXTE+MAXFRQ)	! second source
          IF (RA502 .NE. 9999.0D0) NSRC = 2
          RA502  = RA502*RPST	

          DEC502 = VALS(143+8*MAXS+MAXTE+MAXFRQ)*RPSA	! second source
          WRITE(SOURCE(1),'(2A8)') VALS(11),VALS(12)
          WRITE(SOURCE(2),'(2A8)') VALS(144+8*MAXS+MAXTE+MAXFRQ),
     1                          VALS(145+8*MAXS+MAXTE+MAXFRQ)
	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> about presentation of source'
	write(dbg,*) 'source(1) as vals(11),vals(12)=',source(1)
	write(dbg,*) 'source(1) as a character=',source(1)
	write(dbg,*) 
	write(dbg,*) 'ra50, dec50 =',ra50,dec50
	endif
      ELSE
C         Use source given by parameters 'RA2' and 'DEC2' as output source
          RA50   = VALS(142+8*MAXS+MAXTE+MAXFRQ)*RPST	! convert to radians
          DEC50  = VALS(143+8*MAXS+MAXTE+MAXFRQ)*RPSA	! convert to radians

!         RA502  = VALS(1)*RPST           ! second source
          RA502  = VALS(1)                ! second source
          IF (RA502 .NE. 9999.0D0) NSRC = 2
          RA502  = RA502*RPST             ! second source


          DEC502 = VALS(2)*RPSA           ! second source
          DO I=1,MAXS
	      PRIMESOU(I) = OPPOSITE(PRIMESOU(I))    ! If not 1 or 2, 
	      SECONDSO(I) = OPPOSITE(SECONDSO(I))    ! OPPOSITE does nothing
          END DO
          WRITE(SOURCE(1),'(2A8)') VALS(144+8*MAXS+MAXTE+MAXFRQ),
     1                          VALS(145+8*MAXS+MAXTE+MAXFRQ)
          WRITE(SOURCE(2),'(2A8)') VALS(11),VALS(12)
      END IF


      IUT4   = VALS(3)*60*60          ! error timescale (frames) min--> 1/60 s
      NCPRIN = VALS(4)
      FLUX   = VALS(5)
      YEAR   = VALS(6)
      LONG   = VALS(7).NE.-1D0
      ERRMUL = VALS(8)              ! ERRMULT, default 0.0
      IUT3   = VALS(10)*60          ! stepping interval   sec--> 1/60 s
C
	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'IUT4=',IUT4 ! error timescale (frames) in 1/60 s'
	write(dbg,*) 'NCPRIN=',NCPRIN
	write(dbg,*) 'FLUX=',FLUX
	write(dbg,*) 'LONG=',LONG
	write(dbg,*) 'ERRMUL=',ERRMUL
	write(dbg,*) 'IUT3=',IUT3
	endif

      NS=0
      DO 10 I=1,MAXS
      WRITE(STNAME(I),'(A)') VALS(12+I)
      IF (STNAME(I).EQ.' ') GOTO 20
   10 NS=NS+1
   20 IF (NS.LE.1) CALL ERROR('No stations specified.')
      NB=NS*(NS-1)/2            ! number of baselines
      NT=NB*(NS-2)/3            ! number of closure phase triangles
C
      WRITE (HISTRY, 480) (VALS(I),I=12+MAXS+1,12+MAXS+10)   ! TITLE
      IF (VALS(12+MAXS+11).EQ.0D00) NT = 0    ! NOCLOSE parameter
      IDAYIN = VALS(12+MAXS+12)
      IUT1IN = VALS(12+MAXS+13)*60      ! start      1/60 s
      IUT2IN = VALS(12+MAXS+14)*60      ! stop

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> observation date: start and stop'
	write(dbg,*) 'YEAR=',YEAR	
	write(dbg,*) 'day (IDAYIN)=',IDAYIN
	write(dbg,*) 'start (iut1in/60 s)=',iut1in/60
	write(dbg,*) 'stop (iut2in/60 s)=',iut2in/60
	endif
C
C     Count number of stations observing source #1 (the output source)

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'Count number of stations observing source #1'
	endif

      NSSRC1 = 0
      DO IS=1,NS 
          EXPECT(IS) = VALS(26+MAXS+IS)      ! ERRSCALE
          IF (PRIMESOU(IS).EQ.1) NSSRC1 = NSSRC1 + 1
      END DO
      IF (NSSRC1.EQ.0) THEN
          WRITE(OUTC,950)
          OK = .FALSE.
      END IF
C
      NUPMIN  = VALS(26+2*MAXS+1)
      PHASES  = VALS(26+2*MAXS+2)
      PERFECT = VALS(26+2*MAXS+3).NE.-1D0
      WRITE(OUTFIL,'(10A8)') (VALS(I),I=26+2*MAXS+5,26+2*MAXS+14)
      WRITE(MODFIL,'(10A8)') (VALS(I),I=26+2*MAXS+15,26+2*MAXS+24)
C
      DO IS=1,NS
            ERRSTN(IS) = VALS(50+2*MAXS+IS)     ! ERRADD parameters
      END DO
C
      NST=0
      DO I=1,MAXTE
            WRITE(TENAME(I),'(A)') VALS(50+3*MAXS+I)       ! Telemetry station
            IF ((TENAME(I).EQ.' ').OR.(TENAME(I).EQ.'NONE')) GOTO 2150
            DO M=1,NS
                IF (TENAME(I).EQ.STNAME(M)) THEN    ! You can't use a station
                    WRITE (OUTC,515) TENAME(I)      ! for both observing and
                    OK = .FALSE.                    ! telemetry
                END IF
            END DO
            NST=NST+1               ! NST = # of telemetry stations
      END DO
 2150 CONTINUE
C
      NON    = VALS(50+3*MAXS+MAXTE+1)        ! # intervals on source
      NOFF   = VALS(50+3*MAXS+MAXTE+2)        ! # intervals off source
      DATA   = VALS(50+3*MAXS+MAXTE+3)  .EQ. -1D0
      MODELFIT =  VALS(195+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 

      IF(MODELFIT) DATA=.true.

      UVPLOT = VALS(50+3*MAXS+MAXTE+4)  .EQ. 0D0

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'NON=',NON
	write(dbg,*) 'NOFF=',NOFF	
	write(dbg,*)	
	write(dbg,*) 'DATA=',DATA
	write(dbg,*) 'MODELFIT=',MODELFIT
	write(dbg,*)		
	write(dbg,*) 'UVPLOT=',UVPLOT
	endif

      WRITE(PLTFIL,'(10A8)') (VALS(I),I=50+3*MAXS+MAXTE+5,
     1      50+3*MAXS+MAXTE+14)
      UMAXP  = VALS(50+3*MAXS+MAXTE+15)*1D-6  ! Millions of wavelengths
      VMAXP  = VALS(50+3*MAXS+MAXTE+16)*1D-6
      MARK   = VALS(50+3*MAXS+MAXTE+17)
      INVERT = VALS(50+3*MAXS+MAXTE+18) .EQ. -1D0
      LINEWD = VALS(50+3*MAXS+MAXTE+19)
      NFONT  = VALS(50+3*MAXS+MAXTE+20)
      NDOTSZ = VALS(50+3*MAXS+MAXTE+21)
      COUNT  = VALS(50+3*MAXS+MAXTE+22) .EQ. 0D0
      NGRDIL = VALS(50+3*MAXS+MAXTE+23)       ! If UVPLOT, plot only every
      IF (NGRDIL.LE.0) NGRDIL = 1             ! NGRDIL ground-ground points
C
      NFREQ=0
      FREQSUM = 0D0
      FREQSYNTH = .FALSE.                           ! Use multiple frequencies?
      DO NFRQ=1,MAXFRQ
            IF (VALS(73+3*MAXS+MAXTE+NFRQ).NE.0D0) THEN
                NFREQ = NFREQ+1
                FREQU(NFREQ) = VALS(73+3*MAXS+MAXTE+NFRQ)*1D6
                FREQSUM = FREQSUM + FREQU(NFREQ)
            END IF
      END DO
      FREQ = FREQSUM/NFREQ
      IF (NFREQ.GT.1) FREQSYNTH = .TRUE.
C
      CALCERR = .FALSE.              ! Calculate ERRADD?
      DO IS=1,NS
            TSYS(IS)  = VALS(73+3*MAXS+MAXTE+MAXFRQ+IS)
            EFF(IS)   = VALS(73+4*MAXS+MAXTE+MAXFRQ+IS)
            DIAM(IS)  = VALS(73+5*MAXS+MAXTE+MAXFRQ+IS)
            POINT(IS) = VALS(73+6*MAXS+MAXTE+MAXFRQ+IS)
            CALCERR = CALCERR .OR. ((DABS(TSYS(IS))+DABS(EFF(IS))+
     1          DABS(DIAM(IS))+DABS(POINT(IS))) .NE. 0D0)
      END DO

! set CALCERR = .TRUE. as we always wish to calculate ERRSTN from
! stations.cat file  DWM 31-Jan-94

	CALCERR = .TRUE.
C
c       Distribute total bandwidth over frequency bands
      BANDW = VALS(74+7*MAXS+MAXTE+MAXFRQ)*1D6/NFREQ
C
      IF (CALCERR .AND. DATA) THEN    ! If user wants to calculate error
!           WRITE (OUTC,800)            ! make sure she/he has entered all

	   if(.not.ignore) then

            IF (TSYS(1).LE.0D0) THEN    ! information needed
                WRITE (OUTC,810)
                OK = .FALSE.
            END IF
            IF (EFF(1).LE.0D0) THEN
                WRITE (OUTC,820)
                OK = .FALSE.
            END IF
            IF (DIAM(1).LE.0D0) THEN
                WRITE (OUTC,830)
                OK = .FALSE.
            END IF
            IF (POINT(1).LE.0D0) THEN
                WRITE (OUTC,840)
                OK = .FALSE.
            END IF
            IF (BANDW.LE.0D0) THEN
                WRITE (OUTC,850)
                OK = .FALSE.
            END IF
            IF (IUT3.LE.0) THEN
                WRITE (OUTC,860)
                OK = .FALSE.
            END IF

	   end if


      END IF
C     ! Spacecraft telemetry antenna angle limit.
      TELANGLE = VALS(75+7*MAXS+MAXTE+MAXFRQ)    ! min. source-tel. ant. angle
C     ! Integer seed for random number generators.
      ISEED = VALS(76+7*MAXS+MAXTE+MAXFRQ) 
      GROUND = VALS(77+7*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0   ! Do a ground plot?


      WLDMIN = VALS(78+7*MAXS+MAXTE+MAXFRQ)      ! min long. for ground plot
      DO WHILE (WLDMIN.GT.180)
        WLDMIN = WLDMIN - 360.0
      END DO
      DO WHILE (WLDMIN.LT.-180)
        WLDMIN = WLDMIN + 360.0
      END DO
      WLDMAX = WLDMIN + 360.0
      DO IS=1,NS
        CALERR(IS) = VALS(78+7*MAXS+MAXTE+MAXFRQ+IS)
      END DO


      CONSTRAINTS = VALS(79+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      OPTIMIZE    = VALS(80+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      ANGYZ       = VALS(81+8*MAXS+MAXTE+MAXFRQ)
      YZIN(1)       = VALS(82+8*MAXS+MAXTE+MAXFRQ)
      YZIN(2)       = VALS(83+8*MAXS+MAXTE+MAXFRQ)
      YZIN(3)       = VALS(84+8*MAXS+MAXTE+MAXFRQ)
      PLOTS         = VALS(85+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0 

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'CONSTRAINTS=',CONSTRAINTS
	write(dbg,*) 'OPTIMIZE=',OPTIMIZE	
	write(dbg,*)  'ANGYZ=',ANGYZ
	write(dbg,*) 'YZIN(1-3)=',(YZIN(i),i=1,3)
	write(dbg,*) 'PLOTS=',PLOTS
	endif

!	write(*,*) 'consplot1 :'
!	write(*,'(l1)') consplot1


      OUT2        = VALS(86+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
c      out2     = 0.0D0 .eq. 0.0d0
      SKYPLOT     = VALS(87+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      rado(1)     = VALS(88+8*MAXS+MAXTE+MAXFRQ)     ! Do for multiple ra's
      rado(2)     = VALS(89+8*MAXS+MAXTE+MAXFRQ) 
      rado(3)     = VALS(90+8*MAXS+MAXTE+MAXFRQ) 
      decdo(1)    = VALS(91+8*MAXS+MAXTE+MAXFRQ)    ! Do for multiple dec's
      decdo(2)    = VALS(92+8*MAXS+MAXTE+MAXFRQ) 
      decdo(3)    = VALS(93+8*MAXS+MAXTE+MAXFRQ) 
      NCONT        = VALS(94+8*MAXS+MAXTE+MAXFRQ) 
      CMIN         = VALS(95+8*MAXS+MAXTE+MAXFRQ) 
      CMAX         = VALS(96+8*MAXS+MAXTE+MAXFRQ) 
      TELOUT       = VALS(97+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'OUT2=',OUT2
	write(dbg,*) 'SKYPLOT=',SKYPLOT	
	write(dbg,*) 'rado(1-3)=',(rado(i),i=1,3)
	write(dbg,*) 'decdo(1-3)=',(decdo(i),i=1,3)	
	write(dbg,*) 'NCONT=',NCONT
	write(dbg,*) 'CMIN,CMAX=',CMIN,CMAX
	write(dbg,*) 'TELOUT=',TELOUT	
	endif

! RAPCS      Radioastron Passive Cooling Subsystem is to be used
! NORAPCS NO Radioastron Passive Cooling Subsystem is to be used
! NORAPCS replaces VSOP logical that was used previous programs
! Two orbiters with constraints only possible if RAPCS is false
! DWM 26-JUL-91
      RAPCS        = VALS(98+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      NORAPCS=.NOT.RAPCS
      TELOPTIN     = VALS(99+8*MAXS+MAXTE+MAXFRQ)    ! Telemetry antenna config
      TELANG      = VALS(100+8*MAXS+MAXTE+MAXFRQ) 
      ECLIPMULT   = VALS(101+8*MAXS+MAXTE+MAXFRQ)
      SUNANG       = VALS(102+8*MAXS+MAXTE+MAXFRQ)   ! Sun avoidance angle
      ROTATE       = VALS(103+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      TELPLOT      = VALS(104+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      AOP(1)       = VALS(105+8*MAXS+MAXTE+MAXFRQ)     
      AOP(2)       = VALS(106+8*MAXS+MAXTE+MAXFRQ) 
      AOP(3)       = VALS(107+8*MAXS+MAXTE+MAXFRQ) 
      MAN(1)       = VALS(108+8*MAXS+MAXTE+MAXFRQ) 
      MAN(2)       = VALS(109+8*MAXS+MAXTE+MAXFRQ) 
      MAN(3)       = VALS(110+8*MAXS+MAXTE+MAXFRQ) 
      YZPLOT       =  VALS(111+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      RAOPTION     = VALS(112+8*MAXS+MAXTE+MAXFRQ) 
      RADTIME      = VALS(113+8*MAXS+MAXTE+MAXFRQ)
      PLOTAZEL     =  VALS(114+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      AZELTIME     =  VALS(115+8*MAXS+MAXTE+MAXFRQ)
      IDAYSTOP     =  VALS(116+8*MAXS+MAXTE+MAXFRQ)
      VIEWPLOT     =  VALS(117+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
      CONSAPP      =  VALS(118+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'RAPCS=',RAPCS
	write(dbg,*) 'NORAPCS=',NORAPCS	
	write(dbg,*) 'TELOPTIN=',TELOPTIN
	write(dbg,*) 'TELANG=',TELANG	
	write(dbg,*) 'ECLIPMULT=',ECLIPMULT
	write(dbg,*) 'SUNANG=',SUNANG	
	write(dbg,*) 'ROTATE=',ROTATE
	write(dbg,*) 'TELPLOT=',TELPLOT		
	write(dbg,*) 'AOP(1-3)=',(AOP(i),i=1,3)
	write(dbg,*) 'MAN(1-3)=',(MAN(i),i=1,3)	
	write(dbg,*) 'YZPLOT=',YZPLOT
	write(dbg,*) 'RAOPTION=',RAOPTION
	write(dbg,*) 'RADTIME=',RADTIME	
	write(dbg,*) 'PLOTAZEL=',PLOTAZEL
	write(dbg,*) 'AZELTIME=',AZELTIME
	write(dbg,*) 'IDAYSTOP=',IDAYSTOP	
	write(dbg,*) 'VIEWPLOT=',VIEWPLOT
	write(dbg,*) 'CONSAPP=',CONSAPP		
	endif

	do var=1,20
      CONSLIST(var)=  VALS(118+var+8*MAXS+MAXTE+MAXFRQ)
	end do
      PLOTSAT      =  VALS(118+20+1+8*MAXS+MAXTE+MAXFRQ).EQ.0.0D0
      ADDUV        =  VALS(119+20+1+8*MAXS+MAXTE+MAXFRQ).EQ.0.0D0
      COMPLOT     =   VALS(120+20+1+8*MAXS+MAXTE+MAXFRQ) .EQ. 0.0D0
C
C Set tracking rules
C
C     Assign orbiters which can be tracked by only 1 station first?
      UNIQUE      =   VALS(147+9*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
C
C     Give preference to command UPlink stations for COMMAND hours?
      COMMAND     =   VALS(148+9*MAXS+2*MAXTE+MAXFRQ) .GE. 0.0D0
      COMNDMIN    =   VALS(148+9*MAXS+2*MAXTE+MAXFRQ)
C     Default command UPlink time is round the clock
      IF (COMNDMIN.EQ.0.0D0) COMNDMIN = 24.0
      COMNDPRI    =   VALS(149+9*MAXS+2*MAXTE+MAXFRQ) + 0.1
C    Default command UPlink priority after command UPlink time is satisfied is 8
      IF (COMNDPRI.LT.0.0D0) COMNDPRI = 8
C
C     Track orbiters UP the longest, ignoring differences above TRAKLONG
C     hours?
C     Default maximum useful time is 24 hours
      TRAKLONG    =   VALS(150+9*MAXS+2*MAXTE+MAXFRQ) .GE. 0.0D0
      TRLNGTIM    =   VALS(150+9*MAXS+2*MAXTE+MAXFRQ)
      IF (TRLNGTIM.EQ.0.0D0) TRLNGTIM = 24.0
C
C     Track orbiters moving the fastest in true anomaly?
      TRAKFAST    =   VALS(151+9*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
C
C     PLOTSAT2 option?
      PLOTSAT2     =   VALS(152+9*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      ANGMAX       = sngl(VALS(153+9*MAXS+2*MAXTE+MAXFRQ))
      ECLIPLOT     =   VALS(154+9*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	do var=1,MAXS
      TYPSATIN(var)=   VALS(var+154+9*MAXS+2*MAXTE+MAXFRQ)
	end do 
      UVPLOTG     =   VALS(155+10*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      TICK        =   VALS(156+10*MAXS+2*MAXTE+MAXFRQ) 
      TICK = TICK * 60.0 * 60.0 * 60.0

! Introduce RIG -Recovery In Gaps
! Allows VSOP to preferential re-charge batteries when over constraints
! are broken   DWM 23-sep-91

      RIG     =   VALS(157+10*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      UINV    =   VALS(158+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      POWERBUD=   VALS(159+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      POWERPLT=   VALS(160+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
! POWERBUD is the new way to take into VSOP power. Therefore turn old
! ECLIPMULT and RIG parameters off !
	if(POWERBUD) then
          ECLIPMULT = -1.0d0
	end if
! GPS negative means GPS not used
! GPS positive is the time in minutes centered on perigee that the GPS
! is in high mode. Otherwise it is in propagate mode
      GPS    =   VALS(161+11*MAXS+2*MAXTE+MAXFRQ) 
      COOLER =   VALS(162+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

      UVPLOTT=  VALS(163+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      NX     =  VALS(164+11*MAXS+2*MAXTE+MAXFRQ)
      NY     =  VALS(165+11*MAXS+2*MAXTE+MAXFRQ)
      DTUVD   =  VALS(166+11*MAXS+2*MAXTE+MAXFRQ) 
      DTUVH   =  VALS(167+11*MAXS+2*MAXTE+MAXFRQ) 
       DTUVD=DTUVD+(DTUVH/24.0d0)
      NPLOTS  =  VALS(168+11*MAXS+2*MAXTE+MAXFRQ) 
      UVDIST =  VALS(169+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      if(UVDIST) then
! UVDIST - uvdist plots for brightness temperature vs source flux
      UVPLOTT=.true.
      end if

      SNRFLAG =  VALS(170+11*MAXS+2*MAXTE+MAXFRQ) 

! note: LOGTB no longer read in this way, use LOGT1
      LOGTB   =  VALS(171+11*MAXS+2*MAXTE+MAXFRQ) 

! note: STOTJY no longer read in this way, use LOGS1
      STOTJY  =  VALS(172+11*MAXS+2*MAXTE+MAXFRQ)

      PLOTDEL =  VALS(173+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

!	  ICOL=2   ! red
	  ICOL=8   ! orange


      UVPLOTB =  VALS(174+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      LOGT1   =  VALS(175+11*MAXS+2*MAXTE+MAXFRQ) 
      LOGT2   =  VALS(176+11*MAXS+2*MAXTE+MAXFRQ) 
      LOGT3   =  VALS(177+11*MAXS+2*MAXTE+MAXFRQ)      
      LOGS1   =  VALS(178+11*MAXS+2*MAXTE+MAXFRQ) 
      LOGS2   =  VALS(179+11*MAXS+2*MAXTE+MAXFRQ) 
      LOGS3   =  VALS(180+11*MAXS+2*MAXTE+MAXFRQ)

! LOGTB is defined via LOGT1 parameter
      LOGTB = LOGT1

! STOTJY is defined via LOGS1 parameter
      STOTJY = 10.0**LOGS1

 
      DMAX    =  VALS(181+11*MAXS+2*MAXTE+MAXFRQ) 
      SNRPLOT =  VALS(182+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
!     IF(SNRPLOT) uvdist = .true. 
      LSPERT  =  VALS(183+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      LSPLOT  =  VALS(184+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      dtlsin  =  VALS(185+11*MAXS+2*MAXTE+MAXFRQ) 
      J2OFF   =  VALS(186+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      SUNOFF  =  VALS(187+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      MOONOFF =  VALS(188+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
      LSOUT   =  VALS(189+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      NORED   =  VALS(190+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      USEFWHM =  VALS(191+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      LOGFWHM1 =  VALS(192+11*MAXS+2*MAXTE+MAXFRQ) 
      LOGFWHM2 =  VALS(193+11*MAXS+2*MAXTE+MAXFRQ) 
      LOGFWHM3 =  VALS(194+11*MAXS+2*MAXTE+MAXFRQ)
      MODELFIT =  VALS(195+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      RATIO    =  sngl(VALS(196+11*MAXS+2*MAXTE+MAXFRQ))

C VP add debug output
!       LSOUT=.TRUE.
      if(RATIO.LE.0.0.OR.RATIO.GT.1.0) then
	write(*,*) 'RATIO was set to be ',RATIO
	write(*,*) 'RATIO must be GT 0 and LE 1)'
	write(*,*) 'set RATIO = 1'
	RATIO = 1.0
      end if

      PA       =  sngl(VALS(197+11*MAXS+2*MAXTE+MAXFRQ))
      PARAPLOT =  VALS(198+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 

      if(PARAPLOT) then
	USEFWHM=.FALSE.
      end if

      PA1      =  VALS(199+11*MAXS+2*MAXTE+MAXFRQ) 
      PA2      =  VALS(200+11*MAXS+2*MAXTE+MAXFRQ) 
      PA3      =  VALS(201+11*MAXS+2*MAXTE+MAXFRQ)
      RATIO1   =  VALS(202+11*MAXS+2*MAXTE+MAXFRQ) 
      RATIO2   =  VALS(203+11*MAXS+2*MAXTE+MAXFRQ) 
      RATIO3   =  VALS(204+11*MAXS+2*MAXTE+MAXFRQ)
      MODERR(1)  =   sngl(VALS(205+11*MAXS+2*MAXTE+MAXFRQ))
      MODERR(2)  =   sngl(VALS(206+11*MAXS+2*MAXTE+MAXFRQ))
      MODERR(3)  =   sngl(VALS(207+11*MAXS+2*MAXTE+MAXFRQ))
      MODERR(4)  =   sngl(VALS(208+11*MAXS+2*MAXTE+MAXFRQ))
      MODERR(5)  =   sngl(VALS(209+11*MAXS+2*MAXTE+MAXFRQ))
      MODERR(6)  =   sngl(VALS(210+11*MAXS+2*MAXTE+MAXFRQ))
      TOTLAF1    =  sngl(VALS(211+11*MAXS+2*MAXTE+MAXFRQ))
      TOTLAF2    =  sngl(VALS(212+11*MAXS+2*MAXTE+MAXFRQ))
      NUMFIT1     =  IDINT(VALS(213+11*MAXS+2*MAXTE+MAXFRQ)+0.001)
      NUMFIT2     =  IDINT(VALS(214+11*MAXS+2*MAXTE+MAXFRQ)+0.001)
      GRADSRCH =  VALS(215+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      WRITE(PLTFIL2,'(10A8)') (VALS(I),I=216+11*MAXS+2*MAXTE+MAXFRQ,
     1     225+11*MAXS+2*MAXTE+MAXFRQ )

      BLUECONT   =  VALS(226+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      UVPLOTS    =  VALS(227+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      CIRCULAR   =  VALS(228+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      NOSPSP     =  VALS(229+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      VELPLOT    =  VALS(230+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      J38ON      =  VALS(231+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      AFPLOT     =  VALS(232+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      AFMODEL(4) =  VALS(233+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      AFMODEL(5) =  VALS(234+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 
      AFMODEL(6) =  VALS(235+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0 


	grtmap     =  VALS(274+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	grtnames   =  VALS(275+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

!	write(*,*) 'grtnames: ',grtnames


	if(grtmap) then
	 ground=.true.
	 plotgrt=.false.
	 consplot1=.false.
	 inumlab = 0
	end if

	tantcalc   =  VALS(276+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

	if(tantcalc) then
	 write(*,*) 'using antenna gain pattern to calculate system'
	 write(*,*) 'temperature increase due to earth and background.'
	 write(*,*)  'Model assumes that we will be unable to calibrate this'
	 write(*,*)  'so there will be a reduction in correlated flux'

	 init_tant = .true.

	end if

	pscolor     =VALS(277+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

! for b+w harcopy output do not plot red lines
!	if(hardcopy.and..not.pscolor) then
!	 nored=.true.
!	end if



	simple_menu =VALS(278+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

! viewplot2 is the same as viewplot but writes output data in a different format

	viewplot2   =VALS(279+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0
	if(viewplot2) viewplot=.true.
	
! switches off VSOP sun-angle constraints:- useful for calculating uv-coverages for
! observations that have already taken place.
	
        NOSUNANG    =VALS(280+11*MAXS+2*MAXTE+MAXFRQ) .EQ. 0.0D0

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) 'simple_menu=',simple_menu
	write(dbg,*) 'viewplot=',viewplot	
	write(dbg,*) 'viewplot2=',viewplot2
	write(dbg,*) 'NOSUNANG=',NOSUNANG	
	endif
!      write(*,*) 'UVPLOTS is ',UVPLOTS
 
! UVPLOTB - uvplot for brightness temperature vs source flux


      if(UVPLOTB) then

         UVPLOTG=.true.

        if(.NOT.MODELFIT) then
         DATA   =.false.
	end if

	if(.NOT.USEFWHM) then
         rado(1)     = LOGT1       
         rado(2)     = LOGT2 
         rado(3)     = LOGT3
	else
         rado(1)     = LOGFWHM1          
         rado(2)     = LOGFWHM2 
         rado(3)     = LOGFWHM3
        end if
 
         decdo(1)    = LOGS1
         decdo(2)    = LOGS2 
         decdo(3)    = LOGS3

      end if !if(UVPLOTB)


! a in this formula is TB in K/STOTJY 

	 if(USEFWHM) then
	   FWHM        = 10**LOGFWHM1
	   a = (1.1055E15/(FREQ*FWHM))**2
	   LOGTB       = LOG10(a * STOTJY/RATIO)
	 else
	  FWHM = (1.1055E15/FREQ)*SQRT(STOTJY/(10.0**LOGTB))
	  FWHM = FWHM/SQRT(RATIO)
	 end if

      if(UVDIST) then

       if(.NOT.PARAPLOT) then

        if(.NOT.USEFWHM) then
         NX=INT(((LOGT2-LOGT1)/LOGT3)+1.0001)
	else
         NX=INT(((LOGFWHM2-LOGFWHM1)/LOGFWHM3)+1.0001)
	end if

         NY=INT(((LOGS2-LOGS1)/LOGS3)+1.0001)

       else
         NX=INT(((PA2-PA1)/PA3)+1.0001)
         NY=INT(((RATIO2-RATIO1)/RATIO3)+1.0001)
       end if


      NPLOTS=NX*NY
      UINV = .FALSE.
      INVERT = .FAlSE.

      if(.NOT.MODELFIT) then
        DATA   =.false.
      end if

      DTUVD = 0.0
      DTUVH = 0.0
      UMAXP = -1.0
      VMAXP = -1.0
!      write(*,*) 'UVDIST option specified: '
!      write(*,*) 'NX, NY, NPLOTS ',NX, NY, NPLOTS

      end if ! if(UVDIST)


      if (PLOTSAT2) then
	write(*,*)  'PLOTSAT2 option has been selected'
	write(*,*) 'maximum angle to be plotted is ', angmax
      end if

 

C
C Determine Error Parameters 
C
      IF (ERRMUL.LT.0.0) CALL
     1    ERROR('ERRMULT may not be negative')
      IF (ERRSTN(1).LE.0D0) ERRSTN(1) = 0.02*FLUX
      DO IS=2,NS
          IF (ERRSTN(IS).LE.0D0) ERRSTN(IS) = ERRSTN(IS-1)
      END DO
      IF (CALCERR) THEN   ! Calculate station errors and
          DO IS=2,NS      ! turn off ERRADD parameter
              IF (TSYS(IS).LE.0D0)  TSYS(IS)  = TSYS(IS-1)
              IF (EFF(IS).LE.0D0)   EFF(IS)   = EFF(IS-1)
              IF (DIAM(IS).LE.0D0)  DIAM(IS)  = DIAM(IS-1)
              IF (POINT(IS).LE.0D0) POINT(IS) = POINT(IS-1)
          END DO
          DO IS=1,NS
!              ERRSTN(IS) = TSYS(IS)/
!     1            (2D-4*SQRT(BANDW*IUT3/60)*EFF(IS)*
!     2            DIAM(IS)*DIAM(IS)*POINT(IS))


!              ERRSTN(IS) = TSYS(IS)/
!     1            (4D-4*SQRT(BANDW*IUT3/60)*EFF(IS)*
!     2            DIAM(IS)*DIAM(IS)*POINT(IS)) 

	stname_gs = stname(is)

        call get_stat( outunit_gs, stafile_gs, stname_gs, sttype_gs, 
     1  stlat_gs, stlong_gs, stx_gs, sty_gs, stz_gs, stzalim1_gs, 
     2  stzalim2_gs,  sthalim_gs, stdiam_gs, stslew1_gs, stslew2_gs, 
     3  stband_name_gs, stband_tsys_gs, stband_effic_gs, 
     4  stband_tsys_jy_gs, aeiowmorb_gs, yearorb_gs, mnthorb_gs, 
     5  dayorb_gs, utorb_gs, teledir_gs, telangle_gs, sunavoid_gs, 
     6  antisunavoid_gs, 
     7  moonavoid_gs, eclipmult_gs, eclipadd_gs, stnarray_gs, starray_name_gs, 
     8  sttapetype_name_gs, ier_gs, nst_total, stname_in, st_init) 
     
	if(debug_v.and.is.eq.1) then
	write(dbg,*)
	write(dbg,*) '> after first call get_stat()'
	write(dbg,*) 'stname_gs=',stname_gs	
	write(dbg,*) 'sttype_gs=',sttype_gs
	endif 
! dwm 14-Jan-98 determine sun avoidance array    
    
c	   write(*,*) 'STTYPE_GS:', sttype_gs 
           if(sttype_gs.eq.31) then 
           
               VSOP = .true.
               
               ECLIPMULT = eclipmult_gs
               ECLIPADD  = eclipadd_gs

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> sun avoidance call get_stat() & inside 
     1	if(sttype_gs.eq.31)'
        write(dbg,*) 'ECLIPMULT=',ECLIPMULT
	write(dbg,*) '> sun avoidance angle' 	
	endif                
               
!               write(*,'(a,f5.1)') 'eclipmult       = ',eclipmult
!               write(*,'(a,f5.1)') 'eclipadd (min)  = ',eclipadd/(60*60)
             
             do i=1,nsunavoidmax
              sunavoid(i) =  sunavoid_gs(i)
!             write(*,'(a,i2,a,f5.1)') 'sun avoidange angle(',i,') = ',sunavoid(i)
	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> sun avoidance angle(',i,')=', sunavoid(i)
	endif                
             end do
             
              telangle2  = telangle_gs
              
!             write(*,'(a,f5.1)') 'telangle =  ',telangle2

             do i=1,3
              teldir2(i) = teledir_gs(i)
!             write(*,'(a,i1,a,f8.5)') 'teldir(',i,') = ',teldir2(i)
             end do
             
           end if

           do j=1,nstbandmax
	    if(stband_name_gs(j)(1:1).eq.bandname(1:1)) then

	    if(debug) then
	     write(*,'(a)') 'band found : ',bandname
	    end if

! use DLM code to calculate tsys_jy 

	   if(debug) then
	    write(*,*) stband_tsys_jy_gs(j)
	   end if

         if (stband_tsys_jy_gs(j) .gt. 1d10) then
             stband_tsys_jy_gs(j) = 
     1       3515.4d0*stband_tsys_gs(j)/
     2       (stband_effic_gs(j)*stdiam_gs*stdiam_gs)
	end if

	   if(debug) then
	    write(*,*) stband_tsys_jy_gs(j)
	   end if

! include quantisation losses pg 293 Thompson, Moran and Swenson
! one_bit = .true. is one_bit (2-level) quantisation at Nyquist rate
!         = .false.is two-bit (4-level) quantisation at Nyquist rate

	   if(one_bit) then	     
            factor_q =  0.637 	     
	   else
            factor_q =  0.881 	     
	   end if

! need to make sure we do do not divide by zero BANDW

          if(plotsat2.or.ground.or.plotazel.or.complot.or. 
     1       yzplot.or.ecliplot) then
	else
              ERRSTN(IS) = sngl(stband_tsys_jy_gs(j))/
     1                     (factor_q*SQRT(2.0*BANDW*IUT3/60))
	end if

	if(tantcalc) then
         if(sttype_gs.gt.29) then 
          tantcalc_errstn  = ERRSTN(IS) 
          tantcalc_tsys    = stband_tsys_gs(j)
	 end if
	end if

	     	 
	    end if
	   end do !  do j=1,nstbandmax
          

          END DO

	  if(.not.ignore) then

	     ICOUNT = 0
	    

          DO IS1=1,NS
           DO IS2=1,NS

	    IF(IS2.GT.IS1) THEN
	      ICOUNT = ICOUNT + 1
!	        SNR  = (10.0**LOGS1)/SQRT(ERRSTN(IS1)*ERRSTN(IS2))
	        SNR  = TOTFLX/SQRT(ERRSTN(IS1)*ERRSTN(IS2))
	      IF(ICOUNT.EQ.1) THEN
	       SNRMAX = SNR
	      ELSE
	        IF(SNR.GT.SNRMAX) SNRMAX = SNR
	      END IF
	    END IF

	   END DO
	  END DO

	    SNRMAX = 1.1*ALOG10(SNRMAX)

	 end if !if(.not.ignore) then


      END IF
  


 




  
      IF (ECLIPMULT.GT.0..AND.ECLIPMULT.LT.1.) THEN
          WRITE(OUTC,900)        ! illegal eclipse value
          ECLIPMULT = 0.D0
      END IF
      EFLAGOLD=.FALSE.
c
c     We can have either a UVPLOT or a GROUND or
c     a PLOTSAT plot. UVPLOT takes priority followed
c     GROUND
c

       

      IF (PLOTSAT2.AND.PLOTSAT) THEN
        PLOTSAT2 = .FALSE.
      END IF	

      IF (GROUND .AND. UVPLOT) THEN
        WRITE(OUTC,870)
        GROUND = .FALSE.
      END IF

      IF (PLOTSAT .AND. UVPLOT) THEN
        PLOTSAT = .FALSE.
      END IF

      IF (PLOTSAT .AND. GROUND) THEN
        PLOTSAT = .FALSE.
      END IF

      IF (UVPLOT.AND. UVPLOTT) THEN
        UVPLOTT = .FALSE.
      END IF

      IF (UVPLOT.AND. UVPLOTG) THEN
        UVPLOTG = .FALSE.
      END IF


	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '> before vitem < time and source parameters '
	write(dbg,*)  'plotsat=', plotsat
	write(dbg,*)  'plotsat2=', plotsat2	
	write(dbg,*) 'ground=',ground
	write(dbg,*) 'uvplotg=',uvplotg	
	endif


C
C---------------------------------------------------------------------
C Time and source parameters
C---------------------------------------------------------------------
C

	if(debug_v) then
	write(dbg,*)
	write(dbg,*)  '------------------------------------'
	write(dbg,*)  '   time and source parameters'
	write(dbg,*)  '------------------------------------'	
	write(dbg,*)	
	write(dbg,*)	'uvdist=',dist
	write(dbg,*)	'uvplott=',uvplott
	endif
	
	if(.not.uvdist) then
	IF(.NOT.UVPLOTT) then
	  NPLOTS=1
	end if
	end if

	IVALX=1
	IVALY=1

	i_info = 1

      DO 5000 INPLOTS=1,NPLOTS

	IUT1=IUT1IN
	IUT2=IUT2IN
	IDAY=IDAYIN
	
	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '*** begin loop <do 5000 inplots=1,nplots> ***'
	write(dbg,*)  'inplots,nplots=', inplots,nplots
	write(dbg,*) 'iut1=',iut1,' ! start obs. in 1/60 s'
	write(dbg,*) 'iut2=',iut2,' ! stop obs. in 1/60 s'
	write(dbg,*) 'iday=',iday
	write(dbg,*)		
	write(dbg,*) '> befor if (uvdist)'
	write(dbg,*) 'uvdist=',uvdist	
	endif

       if(UVDIST) then

	     smax=0.0
	     sumu=0.0
	     sumamp=0.0
	     sumvis=0.0

         IVALX=MOD(INPLOTS,NX)
	 IF(IVALX.eq.0) IVALX = NX
	 IVALY=(INPLOTS+NX-IVALX)/NX


	 IF(.NOT.PARAPLOT) then
	  IF(.NOT.USEFWHM) then
	   LOGTB=LOGT1 + LOGT3*(IVALX-1)
	  else
	   FWHM=  10.0**(LOGFWHM1 + LOGFWHM3*(IVALX-1))
	   LOGTB= LOG10((STOTJY/RATIO)* ((1.1055E15)/(FREQ*FWHM))**2)
	  end if
	   STOTJY=LOGS1+LOGS3*(NY-IVALY)
	   STOTJY=10.0**STOTJY
	 else
	   PA=PA1+PA3*FLOAT(IVALX-1)
	   RATIO=RATIO1+RATIO3*FLOAT(IVALY-1)
	 end if
			

!	 if(USEFWHM) then
!	   write(*,*) 'log(FWHM (mas))',FWHM 
!	 else	 
!	   write(*,*) 'log(brightness temperature (K)) ',LOGTB
!	 end if
!	   write(*,*) 'Flux density (Jy) ',STOTJY

	end if !  if(UVDIST) 
	
	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '> befor if (nupmin.gt.ns)'
	write(dbg,*) 'nupmin,ns=',nupmin,ns
	write(dbg,*)				
	write(dbg,*) 'viewplot=',viewplot
	write(dbg,*) 'ecliplot=',ecliplot	
	endif       
        
      IF (NUPMIN.GT.NS) CALL ERROR('NUP > number of stations')

      if((.not.viewplot).or.(.not.ecliplot)) then
      IF (IUT2.LE.IUT1) IUT2 = IUT2 + 86400*60
      end if

!     IUT1 = (IDAY-1)*86400*60 + IUT1      ! 1/60 s. past start of year
      IUT1 = dble(IDAY-1)*86400.0*60.0 + IUT1      ! 1/60 s. past start of year
c      IUT1 = IUT1 +DBLE(DTUVD)*DBLE(INPLOTS-1)*86400.0d0*60.0d0
        IUT1 = IUT1 +dble(mod(inplots-1,nx))*dble(200.0/nx)
     1	*3600.0d0*60.0d0+
     2 DBLE(DTUVD)*DBLE((INPLOTS-1-mod(inplots-1,nx))/nx)*
     3 86400.0d0*60.0d0    


C DWM change 15-JAN-91



      IF(VIEWPLOT.OR.ECLIPLOT) THEN
!     write(*,*) 'IUT2,IDAYSTOP ',IUT2,IDAYSTOP
!     IUT2 = (IDAYSTOP-1)*86400.0*60.0 + IUT2
      IUT2 = dble(IDAYSTOP-1)*86400.0*60.0 + IUT2
      ELSE
      IUT2 = dble(IDAY-1)*86400.0*60.0 + IUT2
c      IUT2 = IUT2 +DBLE(DTUVD)*DBLE(INPLOTS-1)*86400.0*60.0
        IUT2 = IUT2 +dble(mod(inplots-1,nx))*dble(200.0/nx)
     1	*3600.0d0*60.0d0+
     2 DBLE(DTUVD)*DBLE((INPLOTS-1-mod(inplots-1,nx))/nx)*
     3 86400.0d0*60.0d0          
      END IF

! note: DINT truncation to integer DWM 27-JAN-92


!     IDAY=IDAYIN+DINT(DTUVD*DBLE(INPLOTS-1))

      IDAY=DINT(1.0D0+(IUT1/(86400.0d0*60.0d0)))

	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '> after ! 1/60s. past start and stop of year'
	write(dbg,*) '> change meaning of iut1 and iut2'
	write(dbg,*)				
       write(dbg,*) 'IUT1=',IUT1,'!start of obs. from beg.current year'
       write(dbg,*) 'IUT2=',IUT2,'!stop of obs. from beg.current year'       
	write(dbg,*)		       
       write(dbg,*) 'IUT1(s)=',IUT1/60,'!start of obs. from beg.current
     1 years'       	
	write(dbg,*) 
       write(dbg,*) 'IUT2(s)=',IUT2/60,'!stop of obs. from beg.current
     1 years'       			
	write(dbg,*)      
	write(dbg,*) 'DTUVD=',DTUVD
	write(dbg,*) 'IDAY=',IDAY,
     2 	'!IDAY=DINT(1.0D0+(IUT1/(86400.0d0*60.0d0)))'
	write(dbg,*)           
	write(dbg,*)  '> before if(ecliplot)'
	write(dbg,*)  'ecliplot=',ecliplot	
	endif       
!       write(*,*) 'INPLOTS: ',INPLOTS
!	write(*,*) 'IUT1:  ',IUT1
!	write(*,*) 'IUT2:  ',IUT2
!	write(*,*) 'DTUVD: ',DTUVD
!       write(*,*) 'IDAY : ',IDAY
  
      IF(ECLIPLOT) then
	timestart=1.0+(IUT1/(86400.0*60.0))
	timestop =1.0+(IUT2/(86400.0*60.0))
      END IF

      IF (NOFF.LE.0) NON = 1
      NTOT = NON + NOFF

	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '> after if(noff.le.0) non=1'
	write(dbg,*)  'NOFF,NON,NTOT=',NOFF,NON,NTOT
	endif       
      CALL JULDA(YEAR,1,IDAY,TODAYJD,GASTM)
      
      
      GASTM = GASTM*RPST          ! convert to radians
C
      UT = (IDAY-1)*86400*60.0

      STIME(1) = YEAR-1900
      STIME(2) = 1              ! Day of year is all in IDAY
      STIME(3) = IDAY

	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '> after first call julda'
	write(dbg,*)  'YEAR=',YEAR
	write(dbg,*)  'IDAY=',IDAY
	write(dbg,*)  'TODAYJD=',TODAYJD
	write(dbg,*)  'GASTM=',GASTM
	write(dbg,*) 
	write(dbg,*)  'UT=',UT,' ! UT = (IDAY-1)*86400*60.0'
	write(dbg,*)  'STIME(1-3)=',STIME(1),STIME(2),STIME(3)
	write(dbg,*)  
	write(dbg,*)  '> before if(skyplot.or.uvplotg)'
	write(dbg,*)  'ra50=',ra50
	write(dbg,*)  'dec50=',dec50	
	write(dbg,*)  'skyplot=',skyplot
	write(dbg,*)  'uvplotg=',uvplotg
	write(dbg,*)  'norapcs=',norapcs
	write(dbg,*)  'telplot=',telplot
	write(dbg,*)  'plotazel=',plotazel	
	write(dbg,*)  'complot=',complot
	write(dbg,*)  'powerplt=',powerplt
	write(dbg,*)  'powerbud=',powerbud
	write(dbg,*)  'velplot=',velplot
	write(dbg,*)  'first=',first		
	endif       

      IF(SKYPLOT.OR.UVPLOTG) THEN
	IF(SKYPLOT) THEN
	open(22,file='skyplot.dat',status='new')
C       if(constraints) then       ! Do if constraints chosen
C          IF(.NOT.NORAPCS) THEN
C             IF(OPTIMIZE) THEN
C                open(21,file='maxyz.dat',status='new')
C             ELSE
C                open(21,file='maxyz.dat',status='old')
C             END IF
C          END IF
C       end if
	END IF
      ELSE

	rado(1)=ra50             ! R.A.(1950) in hr.
	rado(2)=ra50 + epsilon
!	rado(3)=1000.0d0
	rado(3)=1.0d0
	decdo(1)=dec50           ! Dec (1950) in deg.
        decdo(2)=dec50 + epsilon
!       decdo(3)=1000.0d0
        decdo(3)=1.0d0

      END IF

	  if(TELPLOT) then

	   open(23,file='telplot.dat',status='new')

	    write(23,'(3f8.1)') aop(1),aop(2),aop(3)
	    write(23,'(3f8.1)') man(1),man(2),man(3)
	    write(23,'(i5)') nst
	  end if

	

	noout=.not.(consplot1.or.out2)
	ranum=0

	telplotnum=0

	IF(.NOT.TELPLOT) then
	  aop(1)=0.0
          aop(2)=0.0
          aop(3)=10.0
          man(1)=0.0
          man(2)=0.0
          man(3)=10.0
        end if

	if(PLOTAZEL) then
	  call system('/bin/rm .fakesat_plotazel.dat')
	  open(24,file='.fakesat_plotazel.dat',status='new')
	end if

	if(COMPLOT) then
	  call system('/bin/rm .fakesat_complot.dat')
	  open(25,file='.fakesat_complot.dat',status='new')
	end if

	if(POWERPLT) then
	  open(26,file='powerplt.dat',status='new')
	  write(26,*) cooler,' cooler'
	  write(26,*)  gps,' GPS'
	  write(26,*) RIG,' RIG'
	end if

	if(POWERBUD) then
	  eclip=.false.
	end if

	if(VELPLOT.and.FIRST) then
	  open(36,file='velplot.dat',status='new')
	end if
	if(debug_v) then	
          open(37,file='uv.dat')
          
           write(37,*) YEAR	
           write(37,*) NST
          do var=1,NST
           write(37,*) TENAME(var)
          end do	


	write(dbg,*)		
	write(dbg,*) '> after open(37,file=<uv.dat>)'
	write(dbg,*)  'YEAR=',YEAR
	write(dbg,*)  'nst=',nst
	write(dbg,*)  'tename()=',(tename(i),i=1,nst)
	write(dbg,*) 
	write(dbg,*)  '> before if(telout)'
	write(dbg,*)  'telout=',telout
	endif       


	if(TELOUT) then
         open(unit=tablun,file='telemetry.dat',status='new' )
	 if(uvplotg) then
	    write(tablun,'(3(2x,f8.4))') rado(1),rado(2),rado(3)
	    write(tablun,'(3(2x,f8.4))') decdo(1),decdo(2),decdo(3)
	 else
	    write(tablun,'(3(2x,f8.4))') rado(1)*12.0/pi,rado(2)*12.0/pi,rado(3)
	    write(tablun,'(3(2x,f8.4))') decdo(1)/rpdeg,decdo(2)/rpdeg,decdo(3)
	 end if
	    write(tablun,'(i5)') nst
	end if

	ndo6000=0
       DO 6000 aopval=aop(1),aop(2),aop(3)
        ndo6000=ndo6000+1
	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '*** begin loop <do 6000 aopval=...> ***)'
	write(dbg,*)  'aopval=',aopval
	write(dbg,*)  'aop(1-3)=',(aop(i),i=1,3)
	endif       
       ndo7000=0
       DO 7000 manval=man(1),man(2),man(3)
        ndo7000=ndo7000+1
	telplotnum=telplotnum+1
	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '*** begin loop <do 7000 manval=...> ***)'
	write(dbg,*)  'manval=',manval
	write(dbg,*)  'man(1-3)=',(man(i),i=1,3)
	write(dbg,*)  'telplotnum=',telplotnum	
	endif       
!	nsat=0
!	satarc=0.0d0
!	 do j=1,2**nst
!	  do i=1,4
!	   combs(i,j)=0.0d0
!	  end do
!	 end do

	ndo8000=0
       DO 8000 raloop=rado(1),rado(2),rado(3)       
        ndo8000=ndo8000+1
	decnum=0
	ranum=ranum+1

	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '*** begin loop <do 8000 raloop=...> ***)'
	write(dbg,*)  'raloop=',raloop
	write(dbg,*)  'rado(1-3)=',(rado(i),i=1,3)
	write(dbg,*)  'decnum=',decnum	
	write(dbg,*)  'ranum=',ranum		
	endif    
	ndo9000=0   	
       DO 9000 DECLOOP=decdo(1),decdo(2),decdo(3)       
        ndo9000=ndo9000+1
	decnum=decnum+1

	nsat=0
	satarc=0.0d0

	if(debug_v) then
	write(dbg,*) 'ndo6000-9000=',ndo6000,ndo7000,ndo8000,ndo9000			
	write(dbg,*)		
	write(dbg,*) '*** begin loop <do 9000 decloop=...> ***)'
	write(dbg,*)  'decloop=',decloop
	write(dbg,*)  'decdo(1-3)=',(decdo(i),i=1,3)
	write(dbg,*)  'decnum=',decnum	
	write(dbg,*)  'nsat=',nsat		
	write(dbg,*)  'satarc=',satarc			
	endif       	

	 do j=1,2**nst
	  do i=1,12
	   combs(i,j)=0.0d0
	  end do
	 end do

	if(.NOT.UVPLOTB) then
	 if(SKYPLOT.OR.UVPLOTG) then
	  write(*,*) 'processing ra and dec ',raloop,decloop
	  ra50=raloop*rpdeg*15.0d0
	  dec50=decloop*rpdeg
	 end if
	end if

	if(UVPLOTB) then
	 IF(USEFWHM) then
	  FWHM=10.0**raloop
	 else
	  LOGTB=raloop
	 end if
	  STOTJY=10.0**DECLOOP
	end if

	  

      CALL SRCPAN(STIME,RA50,DEC50,RA,DEC)    ! precession to
      ra=ra50
      dec=dec50
	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '> precession to stime()'
	write(dbg,*)  'stime(1-6)=',(stime(i),i=1,6)
	write(dbg,*)  'ra50,dec50=',ra50,dec50	
	write(dbg,*)  'ra,dec=',ra,dec
	write(dbg,*)  			
	write(dbg,*)  '> in seconds	'	
	write(dbg,*)  'ra,dec=',ra/rpst,dec/rpsa
	endif       	
c         ra=ra50
c	 dec=dec50
      
      IF (RA502 .NE. 9999.0D0) THEN
          CALL SRCPAN(STIME,RA502,DEC502,RA2,DEC2) ! midnight before start
      ELSE
          RA2 = RA502
          DEC2 = DEC502
      END IF


	if(JUPITER) then


!	jdj=TODAYJD+IUT/(86400.0d0*60.0d0)-dble(iday-1)

! jupiter is 5th planet from the sun

	 call plan(TODAYJD,5,lamdaj,betaj,distj)
	 call cnvrt1(raj,decj,lamdaj,betaj,-1)


          RA2      = raj*pi/12.0d0           
          DEC2     = decj*rpdeg 
	  SOURCE(2)='Jupiter'


!	if(IUT.EQ.IUT1) then

	 write(*,*) 'JUPITER option selected: '
	 write(*,*) 'Jupiter is now second source'

	 write(*,*) 'TODAYJD  ',TODAYJD
	 write(*,*) 'raj,decj ',raj,decj
	 write(*,*) 'source is at  '
	 write(*,*) 'ra ,dec  ',ra ,dec 
	 write(*,*) 'jupiter is at '
	 write(*,*) 'ra2,dec2 ',ra2,dec2

!	end if

	end if 



      WAVEMIN = 1D32
      DO NFRQ=1,NFREQ
            WAVEMIN = MIN(VELC/FREQU(NFRQ), WAVEMIN)
      END DO
      COSDEC(1) = DCOS(DEC)
      SINDEC(1) = DSIN(DEC)
      COSRA(1)  = DCOS(RA)
      SINRA(1)  = DSIN(RA)
      SVEC(1,1) = COSDEC(1)*COSRA(1)
      SVEC(2,1) = COSDEC(1)*SINRA(1)
      SVEC(3,1) = SINDEC(1)
      ROT(1,1,1) = -SINRA(1)
      ROT(1,2,1) = COSRA(1)
      ROT(1,3,1) = 0.D0
      ROT(2,1,1) = -SINDEC(1)*COSRA(1)
      ROT(2,2,1) = -SINDEC(1)*SINRA(1)
      ROT(2,3,1) = COSDEC(1)
      ROT(3,1,1) = COSDEC(1)*COSRA(1)
      ROT(3,2,1) = COSDEC(1)*SINRA(1)
      ROT(3,3,1) = SINDEC(1)
C
      COSDEC(2)= DCOS(DEC2)
      SINDEC(2)= DSIN(DEC2)
      COSRA(2) = DCOS(RA2)
      SINRA(2) = DSIN(RA2)
      SVEC(1,2) = COSDEC(2)*COSRA(2)
      SVEC(2,2) = COSDEC(2)*SINRA(2)
      SVEC(3,2) = SINDEC(2)
      ROT(1,1,2) = -SINRA(2)
      ROT(1,2,2) = COSRA(2)
      ROT(1,3,2) = 0.D0
      ROT(2,1,2) = -SINDEC(2)*COSRA(2)
      ROT(2,2,2) = -SINDEC(2)*SINRA(2)
      ROT(2,3,2) = COSDEC(2)
      ROT(3,1,2) = COSDEC(2)*COSRA(2)
      ROT(3,2,2) = COSDEC(2)*SINRA(2)
      ROT(3,3,2) = SINDEC(2)
C
C
C-----------------------------------------------------------------------
C File names
C-----------------------------------------------------------------------
C

	if(debug_v) then
	write(dbg,*) 	
	write(dbg,*) '----------------------------------------------'
	write(dbg,*) ' File names'
	write(dbg,*) '----------------------------------------------'
	write(dbg,*) 	
	write(dbg,*)  '> before if(modelfit)'	
	write(dbg,*)  'modelfit=',modelfit		
	write(dbg,*)  'svec(1-3,1)=',(svec(i,1),i=1,3)		
	endif       	

	IF(MODELFIT) then
	 write(*,*) ' '
	 write(*,*) 'MODELFIT is true set OUTFIL to :'
	 write(*,*) 'data.dat'
	 OUTFIL='data.dat'
         call system('/bin/rm modelin.dat')
	 open(42,file='modelin.dat',status='new')
	end if

      IF (DATA.OR.UVDIST.OR.UVPLOT) THEN
	if(MODELFIT) then
           call system('/bin/rm data.dat')
           OPEN(UNIT=OUT,NAME=OUTFIL,STATUS='NEW',FORM='UNFORMATTED'
     1         ,IOSTAT=IER)
	else
          call system('/bin/rm OUTPUT')
          OPEN(UNIT=OUT,NAME=OUTFIL,STATUS='NEW',FORM='UNFORMATTED'
     1        ,IOSTAT=IER)
	end if
          IF (IER.NE.0) CALL ERROR('Cannot create file OUTPUT: '//
     1                              OUTFIL)
          INQUIRE(UNIT=OUT,NAME=OUTFIL)
C
          OPEN(UNIT=INMOD,NAME=MODFIL,STATUS='OLD',IOSTAT=IER)

!          IF (IER.NE.0) CALL ERROR('Cannot find file MODEL: '//
!     1                              MODFIL)

          INQUIRE(UNIT=INMOD,NAME=MODFIL)
	  IERMOD=IER
          IF(UVPLOTB)  IERMOD = 0
      END IF

	if(.not.ignore) then
	IF(UVPLOT) THEN
          INQUIRE(FILE=MODFIL,EXIST=EXIST)
	  IF(EXIST) THEN
	   IERMOD = 0
	  ELSE
	   IERMOD = 1
	  END IF
!	 WRITE(*,*) 'EXIST, IERMOD ', EXIST, IERMOD
	END IF
	end if


      IF (UVPLOT.OR.GROUND.OR.PLOTSAT.OR.PLOTSAT2) THEN
          IF (NDOTSZ.LT.1) NDOTSZ = LINEWD

	  if(plotmenu) then
!         IER = PGBEGIN(0,PLTFIL,2,2)

	   init = .false.
	   screen = .true.


	  if(plot1x2y) then
           IER = PGBEGIN(0,PLTFIL,1,2)
           call pgpage
	  else
           IER = PGBEGIN(0,PLTFIL,2,1)
	   call pgpage
	   color_menu = .false.
	   plotf1=' '
  	   call fakesat_menu1(def_file,init,screen,0.9,color_menu,
     1     plotf1,simple_menu)
	   call pgpage
	  end if

	  else

          IER = PGBEGIN(0,PLTFIL,1,1)

	  end if



          IF (IER.NE.1) CALL ERROR('Cannot open file PLOTFILE: '//
     1                               PLTFIL)
          CALL PGQINF('DEV/TYPE', PLTFIL, L)
          WRITE (OUTC,'(A)') ' Plot will go to '//PLTFIL(:L)
      END IF

      IF (UVPLOTG) THEN
       IF(ranum.eq.1.and.decnum.eq.1) then
          IF (NDOTSZ.LT.1) NDOTSZ = LINEWD

!         IER = PGBEGIN(0,PLTFIL,1,1)

	  if(plotmenu) then
!         IER = PGBEGIN(0,PLTFIL,2,2)

	   init = .false.
	   screen = .true.


	  if(plot1x2y) then
           IER = PGBEGIN(0,PLTFIL,1,2)
           call pgpage
	  else
           IER = PGBEGIN(0,PLTFIL,2,1)
	   call pgpage
	   color_menu = .false.
	   plotf1=' '
  	   call fakesat_menu1(def_file,init,screen,0.9,color_menu,
     1     plotf1,simple_menu)
	   call pgpage
	  end if

	  else

          IER = PGBEGIN(0,PLTFIL,1,1)
	  end if

          IF (IER.NE.1) CALL ERROR('Cannot open file PLOTFILE: '//
     1                               PLTFIL)
          CALL PGQINF('DEV/TYPE', PLTFIL, L)
          WRITE (OUTC,'(A)') ' Plot will go to '//PLTFIL(:L)
	end if
      END IF

      IF (UVPLOTT.OR.(UVPLOTS.AND.FIRST)) THEN
       IF(INPLOTS.eq.1) then
          IF (NDOTSZ.LT.1) NDOTSZ = LINEWD

!         IER = PGBEGIN(0,PLTFIL,NX,NY)
!         IER = PGBEGIN(0,PLTFIL,1,1)

	  if(plotmenu) then

!         IER = PGBEGIN(0,PLTFIL,2,2)

	   init = .false.
	   screen = .true.


	  if(plot1x2y) then
           IER = PGBEGIN(0,PLTFIL,1,2)
           call pgpage
	  else
           IER = PGBEGIN(0,PLTFIL,2,1)
	   call pgpage
           color_menu = .false.
	   plotf1=' '
  	   call fakesat_menu1(def_file,init,screen,0.9,color_menu,
     1     plotf1,simple_menu)
	   call pgpage
	  end if

	  else

          IER = PGBEGIN(0,PLTFIL,1,1)

	  end if

	  ch = 1.0/float(NY)
	  call PGSCH(ch)


          IF (IER.NE.1) CALL ERROR('Cannot open file PLOTFILE: '//
     1                               PLTFIL)
          CALL PGQINF('DEV/TYPE', PLTFIL, L)
          WRITE (OUTC,'(A)') ' Plot will go to '//PLTFIL(:L)
	end if
      END IF





!  SetUP the combinations of telemetry stations
!      call setmask( nst, maxte, mask )

C
C---------------------------------------------------------------------
C Station coordinates: search catalog
C---------------------------------------------------------------------
C
C
C Baseline and triangle labels for header,
C and constituent baselines of each triangle

	if(debug_v) then
	write(dbg,*) 	
	write(dbg,*) '----------------------------------------------'
	write(dbg,*) 'Station coordinates: search catalog'
	write(dbg,*) '----------------------------------------------'
	endif       	

      IB=0
      DO 31 IS2=2,NS
      DO 31 IS1=1,IS2-1
          IB = IB+1
   31     LABELB(IB) = 100*IS1 + IS2
      IT = 0
      DO 32 IS3=3,NS
      DO 32 IS2=2,IS3-1
      DO 32 IS1=1,IS2-1
          IT = IT+1
          IB1(IT) = IS1 + (IS2-1)*(IS2-2)/2
          IB2(IT) = IS1 + (IS3-1)*(IS3-2)/2
          IB3(IT) = IS2 + (IS3-1)*(IS3-2)/2
   32 LABELT(IT) = 10000*IS1 + 100*IS2 + IS3
C
      DO 2100 I=1,NS
          FOUND(I) = .FALSE.
 2100 CONTINUE
C
      DO I=1,NST
          TEFOUND(I) = .FALSE.
      END DO
C
C

! replace STATIONS with stations.cat file

!      OPEN ( UNIT=INSTA, NAME='STATIONS', 
!     1       FORM='FORMATTED', STATUS='OLD', ERR=2900 )


      ORBITERS = .FALSE.
      NORB = 0

! 2200  READ(INSTA,520,END=2400) XON, RR, TD,TM,TS, PD,PM,PS, XZL,XHL,
!     1   Q5, Q6, IY, IM, ID, UTH, UTM, UTS, STTYPE

	icount = 0
	itotal = ns + nst 

2200	continue

	icount = icount + 1

	if(icount.gt.itotal) goto 2400

	if(icount.le.ns) then
	 xon = stname(icount)
	else
	 xon = tename(icount-ns)
	end if

	 stafile_gs = 'stations.cat'
	 outunit_gs = 6
	 stname_gs  = xon

	 if(debug) then
	 write(*,'(a)') stafile_gs
	 write(*,'(a)') xon
	 end if


        call get_stat( outunit_gs, stafile_gs, stname_gs, sttype_gs, 
     1  stlat_gs, stlong_gs, stx_gs, sty_gs, stz_gs, stzalim1_gs, 
     2  stzalim2_gs,  sthalim_gs, stdiam_gs, stslew1_gs, stslew2_gs, 
     3  stband_name_gs, stband_tsys_gs, stband_effic_gs, 
     4  stband_tsys_jy_gs, aeiowmorb_gs, yearorb_gs, mnthorb_gs, 
     5  dayorb_gs, utorb_gs, teledir_gs, telangle_gs, sunavoid_gs, 
     6  antisunavoid_gs,  moonavoid_gs, eclipmult_gs, eclipadd_gs,
     7  stnarray_gs, starray_name_gs, 
     8  sttapetype_name_gs, ier_gs, nst_total, stname_in, st_init)



!     IF (STTYPE.LE.1) STTYPE = 1
	

        IF (sttype_gs.le.29) then 
          STTYPE = 1
	else
          STTYPE = 2
	end if
	if(debug_v) then
         if(sttype_gs.gt.29) then ! return to this point because of 26, vya 9/7/04
	write(dbg,*) 	
	write(dbg,*) '> after second call get_stat()'
	write(dbg,*) '> and only for sttype_gs.gt.29'
	write(dbg,*) 'sttype_gs=',sttype_gs
	write(dbg,*) 'sttype=',sttype	
	endif       	
	endif       	

	if(debug) then
	write(*,*) 'stname_gs, sttype_gs, stype: ', stname_gs, sttype_gs, sttype
	end if


      DO 2300 M=1,NS

	if(debug_v) then
         if(sttype.eq.2.and.m.eq.1) then 
	write(dbg,*) 	
	write(dbg,*) '*** begin <do 2300 m=1,ns> ***'
	write(dbg,*) '> it is radio telescopes (also SRT) loop'
	write(dbg,*) 'm,ns=',m,ns
	write(dbg,*) 	
	write(dbg,*) '> before if(xon.eq.stname(m))'
	write(dbg,*) '> only for sttype.eq.2.and.m.eq.1'
	write(dbg,*) 'xon=',xon
	write(dbg,*) 'stname()=',(stname(i),i=1,ns)		
	endif       	
	endif
          IF (XON.EQ.STNAME(M)) THEN
                STATYP(M) = STTYPE
                IF (STTYPE.EQ.1) THEN

	if(debug_v) then
         if(sttype.eq.2.and.m.eq.1) then 
	write(dbg,*) 	
	write(dbg,*) '> inside if(xon.eq.stname(m))'
	write(dbg,*) 'STTYPE=',STTYPE
	write(dbg,*) 'm,statyp(m)=',m,STATYP(M)
	endif       	
	endif

!                    TT = TD + TM/60D0 + TS/3600D0    ! latitude(deg)
!                    PP = PD + PM/60D0 + PS/3600D0    ! w longitude(deg)
!                    IF (RR.LT.6D6) CALL GEOID(RR,TT)
!                    SLAT(M) = DSIN(TT*RPDEG)
!                    CLAT(M) = DCOS(TT*RPDEG)
!                    STLONG(M) = PP*RPDEG
!                    STX(M) = RR*CLAT(M)*DCOS(PP*RPDEG)
!                    STY(M) = RR*CLAT(M)*DSIN(PP*RPDEG)
!                    STZ(M) = RR*SLAT(M)
!                    IF (XZL.EQ.0.0) XZL = 90.0
!                    IF (XHL.EQ.0.0) XHL = 12.0
!                    ZALIM(M) = XZL
!                    HALIM(M) = XHL

	             if(debug) then
		     write(*,'(a)') xon
		     write(*,*) 'stlat_gs, stlong_gs (degrees): ', stlat_gs,stlong_gs
	             end if

                     SLAT(M) = DSIN(stlat_gs*RPDEG)
                     CLAT(M) = DCOS(stlat_gs*RPDEG)
                     STLONG(M) = stlong_gs*RPDEG
                     STX(M) = stx_gs
                     STY(M) = sty_gs
                     STZ(M) = stz_gs

	             if(debug) then
		     write(*,*) 'stzalim1_gs,sthalim_gs: ',tzalim1_gs,sthalim_gs
		     end if
	
                     IF (stzalim1_gs.EQ.0.0) stzalim1_gs = 90.0
                     IF (sthalim_gs.EQ.0.0)  sthalim_gs = 12.0

                     ZALIM(M) = stzalim1_gs
                     HALIM(M) = sthalim_gs

		     if(debug) then
		     write(*,*) 'ZALIM, HALIM: ',ZALIM(M),HALIM(M)
		     end if

		    	      

                ELSE IF (STTYPE.EQ.2) THEN

                    ORBITERS = .TRUE.
                    NORB = NORB + 1
	            TYPSAT(M)=TYPSATIN(NORB)

	if(debug_v) then
	write(dbg,*) '> after else if(sttype.eq.2) then ! it is SRT'
	write(dbg,*) 'ORBITERS=',ORBITERS
	write(dbg,*) 'NORB=',NORB
	write(dbg,*) 'm,TYPSAT(M)=',m,TYPSAT(M)
	write(dbg,*) 
	write(dbg,*) '> before if(.not.useaeiown)'
	write(dbg,*) 'useaeiowm=',useaeiowm	
	endif






c		    if(.not.useaeiowm) then

	
c	            if(debug) write(*,*) 'using stations.cat orbital elements:'

c	            rr  = aeiowmorb_gs(1)
c	            td  = aeiowmorb_gs(2)
c	            pd  = aeiowmorb_gs(3)
c	            xzl = aeiowmorb_gs(4)
c	            q5  = aeiowmorb_gs(5)
c	            q6  = aeiowmorb_gs(6)

c		    IY = yearorb_gs
c		    IM = mnthorb_gs
c 		    ID = dayorb_gs

c		    utorb = utorb_gs

c	            else

	            if(debug)  write(*,*) 'using fakesat_csh orbital elements:'

		    IY = yorb_in
		    IM = morb_in
  		    ID = dorb_in
		    utorb = utorb_in
!                   UTORB = UTH + UTM/60.D0 + UTS/3600.D0    ! Epoch time

	            if(debug) write(*,*) 'utorb (hrs): ', utorb
		    if(debug) write(*,*) 'IY,IM,ID :',IY,IM,ID

                    CALL JULDA(IY,IM,ID,EPOCHJD(M),DUMGST)   ! of orbiter
                    EPOCHJD(M) = EPOCHJD(M) + UTORB/24.D0
C                   Propagate orbits from epoch date to 0 hr UT today
                    DT = (TODAYJD - EPOCHJD(M))*86400.D0
		    

	if(debug_v) then
      write(dbg,*) '> propagate orbit from epoch data to 0 hr to obs
     1 .session'
	write(dbg,*) ' > before calculation of sun angle for uv-plots'
	write(dbg,*) 
	write(dbg,*) '> DT = (TODAYJD - EPOCHJD(M))*86400.D0 ! in sec'
	write(dbg,*) 'TODAYJD=',TODAYJD
	write(dbg,*) 'EPOCHJD(M)',EPOCHJD(M)
	write(dbg,*) 'dt=',dt,'   ! in sec'
	endif


!		    write(*,*) 'TODAYJD   :  ',TODAYJD
!		    write(*,*) 'EPOCHJD(M): ',EPOCHJD(M)
!		    write(*,*) 'DT        : ',EPOCHJD(M)

c         call raorb(timen)

c	 print*,'timen=',timen
c	 print*,'iut1in,iut2in=',iut1in,iut2in
c	  print*,'dt,dt+iut1in/60.,dt+iut2in/60.=',
c     1	  dt,dt+iut1in/60.,dt+iut2in/60.
c          if(dt+iut1in/60..lt.0.or.dt+iut2in/60..gt.timen) then
c999	print*,'        time'	  
c	pause
c	  endif
	 dtf=todayjd
	call propgat2(nra,rhst(1,m),todayjd,ddt)
	call conic2(aeiowm_in(1),aeiowm_in(2),aeiowm_in(3),aeiowm_in(4),
     1 aeiowm_in(5),aeiowm_in(6),gm,rhst(1,m))

	if(debug_v) then
	write(dbg,*) 
        write(dbg,*) '> before call propgat()'
	write(dbg,*) '> and inside else ! another part if(lspert)'
	write(dbg,*) 'ddt,dt=',ddt,dt
	write(dbg,*) 'm,aeiowm_in(1-6)=',m,aeiowm_in(1),aeiowm_in(2),
     1 	(aeiowm_in(i)*180./3.14,i=3,6)
	write(dbg,*) 'rhst(1-6,m)=',(rhst(i,m),i=1,6)	
        write(*,*) 'dt, input mean anomaly: ',dt,AEIOWM(1,M)
         end if

             CALL PROPGAT(AEIOWM_in(1),DdT)
	if(debug_v) then
	write(dbg,*) 
        write(dbg,*) '> after call propgat()'
	write(dbg,*) 'm,aeiowm_in(1-6)=',m,aeiowm_in(1),aeiowm_in(2),
     1	(aeiowm_in(i)*180./3.14,i=3,6)
        write(*,*) 'output mean anomaly: ',AEIOWM(1,M)
         end if
  
       call cartes(rhst(1,m),gm,AEIOWM_in(1),AEIOWM_in(2),
     1	 AEIOWM_in(3),AEIOWM_in(4),AEIOWM_in(5),AEIOWM_in(6))

	if(debug_v) then
	write(dbg,*) 
  	write(dbg,*) 'rhst(1-6,m)=',(rhst(i,m),i=1,6)		
       write(dbg,*) '> after call propgat()'
	write(dbg,*) 'm,aeiowm(1-6,m)=',m,(aeiowm(i,m),i=1,6)
	endif

	            rr  = aeiowm_in(1)
	            td  = aeiowm_in(2)
	            pd  = aeiowm_in(3)/RPDEG
	            xzl = aeiowm_in(4)/RPDEG
	            q5  = aeiowm_in(5)/RPDEG
	            q6  = aeiowm_in(6)/RPDEG


c		    end if

	            if(debug) write(*,*) rr,td,pd,xzl,q5,q6

                    AEIOWM(1,M) = RR               ! a
                    AEIOWM(2,M) = TD               ! e
                    AEIOWM(3,M) = PD*RPDEG         ! i
                    AEIOWM(4,M) = XZL*RPDEG        ! Omega
                    AEIOWM(5,M) = Q5*RPDEG         ! omega
                    AEIOWM(6,M) = Q6*RPDEG         ! M

                    RPERIGEE    = RR*(1-TD)
                    RAPOGEE     = RR*(1+TD)

	if(debug_v) then
	write(dbg,*) '> after end if ! if(.not.useaeiown)'
	write(dbg,*) ' > angular aeiown(6,m) in rad'
	write(dbg,*) 
	write(dbg,*) 'rr, aeiowm(1,m)=',rr,AEIOWM(1,M),'   ! a'
	write(dbg,*) 'td, AEIOWM(2,M)=',td,AEIOWM(2,M),'   ! e'
	write(dbg,*) 'pd, AEIOWM(3,M)',pd,AEIOWM(3,M),'    ! w'
	write(dbg,*) 'xzl, AEIOWM(4,M)=',xzl,AEIOWM(4,M),'   ! o'
	write(dbg,*) 'q5, AEIOWM(5,M)=',q5,AEIOWM(5,M),'   ! w'
	write(dbg,*) 'q6, AEIOWM(6,M)=',q6,AEIOWM(6,M),'   ! m or v'	
	write(dbg,*) 	
	write(dbg,*) 'RPERIGEE=',RPERIGEE,'   ! = rr*(1-td)'
	write(dbg,*) 'RAPOGEE=',RAPOGEE,'   ! = rr*(1+td)'		
	write(dbg,*) 		
	write(dbg,*) '> before call julda() ! of orbiter'
	write(dbg,*) 'iy,im,id=',iy,im,id
	write(dbg,*) 'utorb (hrs) =',utorb		
	endif



! determine sun angle for uv-plots          
            
           call sun(todayjd,ras,decs,lamdas,betas,mss,rss)
           sa = cos(ra50-(ras*rpdeg*15))*cos(decs*rpdeg)*cos(dec50)
           sa = sa + sin(decs*rpdeg)*sin(dec50)
           sa = acos(sa)/rpdeg 
           write(str5_sa,'(f5.1)') sa
           	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '================='
	write(dbg,'(a5,f8.2)') str5_sa,sa
	endif

		    if(TYPSAT(M).eq.1) then
! this only works if we have only one VSOP type orbiter
		      yepoch=IY
		      mepoch=IM
		      depoch=ID
		    end if


		    if(ECLIPLOT) then
	              call system('/bin/rm .fakesat_ecliplot.dat')
                      open(41,file='.fakesat_ecliplot.dat',status='new')
		      write(41,'(1x,a)') stname(m)
          	      write(41,*)     RR/1000.0 ! a
          	      write(41,*)     TD         ! e 
                      write(41,*)     PD         ! i
                      write(41,*)    XZL         ! Omega
                      write(41,*)    Q5          ! omega
                      write(41,*)    Q6          ! M
	              write(41,'(1x,i4)')   YEAR
		      write(41,*) timestart
		      write(41,*) timestop
		   end if

		    IF(TELPLOT) then
		     AEIOWM(5,M)=aopval*rpdeg
		     AEIOWM(6,M)=manval*rpdeg
	            end if

		    if(PLOTAZEL.OR.COMPLOT) then
	             do var=1,6
	              aeiowm1(var,M)=aeiowm(var,M)
	              aeiowm2(var,M)=aeiowm(var,M)
		     end do
	              dt1=dt-0.5d0*60.0d0*azeltime
	              dt2=dt+0.5d0*60.0d0*azeltime
		    end if

! Add simple lunar-solar perturbation to orbit  DWM 5-feb-92

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> ! Add simple lunar-solar perturbation to orbit'
	write(dbg,*) 
	write(dbg,*) '> before if(ispert)'
	write(dbg,*) 'LSPERT=',LSPERT
	write(dbg,*) 'lsout=',lsout
	write(dbg,*) 'lsplot=',lsplot
	write(dbg,*) 'plotazel=',plotazel
	write(dbg,*) 'complot=',complot	
	endif



	       if(LSPERT) then

	              dtls    =    0.0d0
	              dt1h    =    0.d0
	              jdls=EPOCHJD(M)

	        
	        if(LSOUT) then
		write(*,*) 'LSPERT,J2OFF,SUNOFF,MOONOFF'
	        write(*,*) LSPERT,J2OFF,SUNOFF,MOONOFF
	        end if

		 if(J2OFF) HJ2=0.0d0 


		    if(LSPLOT) then
	         open(35,file='lsplot.dat',status='new')
 		write(*,*)  jdls-EPOCHJD(M)
 		write(35,*)  jdls-EPOCHJD(M)
 		write(35,777)  AEIOWM(1,M),AEIOWM(2,M),AEIOWM(3,M)/rpdeg,
     1                         AEIOWM(4,M)/rpdeg,AEIOWM(5,M)/rpdeg,
     2                         AEIOWM(6,M)/rpdeg
		    end if

! alter program so that state vectors are printed out every hour

	           write(*,*) 'jdls       :',jdls 
	           write(*,*) 'dtlsin     :',dtlsin
		   

! julian date at start of next hour

		   jdlsh = dint(24.0d0*jdls)+1.0d0
	           jdlsh = jdlsh/24.0d0

		    write(*,*) 'jdlsh :',jdlsh


		    dtls0 = jdlsh-jdls
	            write(*,*) 'dtls0     :',dtls0
		    dtls0 = dtls0*24.0d0*60.0d0*60.0d0/dtlsin
	            write(*,*) 'dtls0     :',dtls0
		    dtls0 = dtls0-dint(dtls0)
	            write(*,*) 'dtls0     :',dtls0
	            dtls0 = 60.0d0*dtls0
	            write(*,*) 'dtls0     :',dtls0


		   dt1h=(jdls-(jdlsh-(1.0d0/24.0d0)))*86400.0d0 
		   dt1h=dt1h


		
	            do while (DT.gt.dtls)

! NEED to make small correction here if there are not an exact # of time steps

	             if((DT-dtls).lt.dtlsin) then
	                dtls0=DT-dtls
	             end if


		 if(LSOUT) then
	         write(*,*) 'DT,JDLS-EPOCHJD(m) ',dt,jdls-EPOCHJD(M)
	         write(*,*) 'dtls,dtls0 ',dtls,dtls0
	         write(*,*) 'Start of loop:'
 		 write(*,777)  AEIOWM(1,M),AEIOWM(2,M),AEIOWM(3,M)/rpdeg,
     1                         AEIOWM(4,M)/rpdeg,AEIOWM(5,M)/rpdeg,
     2                         AEIOWM(6,M)/rpdeg
	         end if


c                print*,'1=====1',RHST(1,M),GM,AEIOWM(1,M),AEIOWM(2,M),
c     1              AEIOWM(3,M),AEIOWM(4,M),AEIOWM(5,M),
c     2              AEIOWM(6,M),m


                CALL CARTES(RHST(1,M),GM,AEIOWM(1,M),AEIOWM(2,M),
     1              AEIOWM(3,M),AEIOWM(4,M),AEIOWM(5,M),
     2              AEIOWM(6,M))


		if(LSOUT) then
		write(*,*) 'RHST after first CARTES'
		write(*,*) RHST(1,M),RHST(2,M),RHST(3,M)
		write(*,*) RHST(4,M),RHST(5,M),RHST(6,M)
	        end if

	        CALL LS(jdls,RHST(1,M),rls,vls,dtls0,SUNOFF,MOONOFF,LSOUT,J38ON)

		if(LSOUT) then
		write(*,*) 'RLS,VLS after LS'
		write(*,*) rls(1),rls(2),rls(3)
		write(*,*) vls(1),vls(2),vls(3)
	        end if


	         if(debug_p) then
	           write(*,*) 'dt, input mean anomaly: ',dtls0,AEIOWM(1,M)
	         end if



                CALL PROPGAT(AEIOWM(1,M),dtls0)



	         if(debug_p) then
	           write(*,*) 'output mean anomaly: ',AEIOWM(1,M)
	         end if


		if(LSOUT) then
	         write(*,*) 'After PROPGAT:'
 		 write(*,777)  AEIOWM(1,M),AEIOWM(2,M),AEIOWM(3,M)/rpdeg,
     1                         AEIOWM(4,M)/rpdeg,AEIOWM(5,M)/rpdeg,
     2                         AEIOWM(6,M)/rpdeg
	        end if

c                print*,'2=====2',RHST(1,M),GM,AEIOWM(1,M),AEIOWM(2,M),
c     1              AEIOWM(3,M),AEIOWM(4,M),AEIOWM(5,M),
c     2              AEIOWM(6,M),m
                CALL CARTES(RHST(1,M),GM,AEIOWM(1,M),AEIOWM(2,M),
     1              AEIOWM(3,M),AEIOWM(4,M),AEIOWM(5,M),
     2              AEIOWM(6,M))


		if(LSOUT) then
		write(*,*) 'RHST after second CARTES'
		write(*,*) RHST(1,M),RHST(2,M),RHST(3,M)
		write(*,*) RHST(4,M),RHST(5,M),RHST(6,M)
	        end if


	            RHST(1,M)=RHST(1,M)+rls(1)
	            RHST(2,M)=RHST(2,M)+rls(2)
	            RHST(3,M)=RHST(3,M)+rls(3)
	            RHST(4,M)=RHST(4,M)+vls(1)
	            RHST(5,M)=RHST(5,M)+vls(2)
	            RHST(6,M)=RHST(6,M)+vls(3)

		if(LSOUT) then
		write(*,*) 'RHST after adding RLS/VLS'
		write(*,*) RHST(1,M),RHST(2,M),RHST(3,M)
		write(*,*) RHST(4,M),RHST(5,M),RHST(6,M)
		end if



                CALL CONIC2(AEIOWM(1,M),AEIOWM(2,M),
     1              AEIOWM(3,M),AEIOWM(4,M),AEIOWM(5,M),
     2              AEIOWM(6,M),GM,RHST(1,M))


		if(LSOUT) then
	         write(*,*) 'After CONIC2:'
 		 write(*,777)  AEIOWM(1,M),AEIOWM(2,M),AEIOWM(3,M)/rpdeg,
     1                         AEIOWM(4,M)/rpdeg,AEIOWM(5,M)/rpdeg,
     2                         AEIOWM(6,M)/rpdeg
		end if



                dtls = dtls + dtls0
	        dt1h = dt1h + dtls0
                jdls = jdls+(dtls0/86400.D0)

!		if(jdls.le.jdlsh) dt1h=0.0d0


!	        write(*,*) 'dt1h, jdls :',dt1h, dmod(24.0*(jdls+0.5),24),jdls 

	       if(dt1h.ge.(3600.d0-0.001d0)) then

	         dt1h = 0.d0

		if(LSPLOT) then

C-gam	        if(abs(dmod(24.0*(jdls+0.5),24)-24.00).le.0.01) then
	        if( abs( mod( (24.0*(jdls+0.5)), dble(24.0) ) - 24.0 ) .le.0.01) then

 		 write(*,*) 'day from start of observation:', jdls-EPOCHJD(M)
	        end if


!	        write(35,*) ' '
! 		write(35,*) dmod(24.0*(jdls+0.5),24),jdls

C-gam 		write(35,*)  jdls-EPOCHJD(M), jdls, dmod(24.0*(jdls+0.5),24)
 		write(35,*)  jdls-EPOCHJD(M), jdls, mod( 24.0*(jdls+0.5), dble(24) )

 		write(35,777)  AEIOWM(1,M),AEIOWM(2,M),AEIOWM(3,M)/rpdeg,
     1                          AEIOWM(4,M)/rpdeg,AEIOWM(5,M)/rpdeg,
     2                          AEIOWM(6,M)/rpdeg

!		write(35,*) RHST(1,M),RHST(2,M),RHST(3,M)
!		write(35,*) RHST(4,M),RHST(5,M),RHST(6,M)



	

777	        FORMAT(f12.1,1x,f10.8,4(1x,f12.8))

		end if ! if(lsplot)

	       end if

	          dtls0=dtlsin
	           
	        end do ! do while (DT.gt.dtls)

	    else! another part if(lspert) => no lunar-solar pertub.




	    end if ! if(LSPERT)


	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> befor if(plotazel.or.complot)'
	write(dbg,*) 'PLOTAZEL=',PLOTAZEL
	write(dbg,*) 'COMPLOT=',COMPLOT	
	endif
		   if(PLOTAZEL.OR.COMPLOT) then
                    CALL PROPGAT(AEIOWM1(1,M),dt1)
                    CALL PROPGAT(AEIOWM2(1,M),dt2)
	           end if



                END IF
                FOUND(M) = .TRUE.
                GOTO 2300
          END IF
 2300 CONTINUE
      DO 2350 M=1,NST
          IF (XON.EQ.TENAME(M)) THEN
                IF (STTYPE.EQ.1) THEN

!                    TT = TD + TM/60D0 + TS/3600D0    ! latitude(deg)
!                    PP = PD + PM/60D0 + PS/3600D0    ! w longitude(deg)
!                    TLAT(M) = TT
!                    TLONG(M) = -PD
!                    IF (TLONG(M).GT.WLDMAX) TLONG(M)=TLONG(M)-360.0
!                    IF (TLONG(M).LT.WLDMIN) TLONG(M)=TLONG(M)+360.0
!                    IF (RR.LT.6D6) CALL GEOID(RR,TT)
!                    SLATTE(M) = DSIN(TT*RPDEG)
!                    CLATTE(M) = DCOS(TT*RPDEG)
!                    TELONG(M) = PP*RPDEG
!                    TEX(M) = RR*CLATTE(M)*DCOS(PP*RPDEG)
!                    TEY(M) = RR*CLATTE(M)*DSIN(PP*RPDEG)
!                    TEZ(M) = RR*SLATTE(M)
!                    IF (XZL.EQ.0.0) XZL = 90.0
!                    IF (XHL.EQ.0.0) XHL = 12.0
!                    ZALIMTE(M) = XZL
!                    HALIMTE(M) = XHL

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> inside do 2350 m=1,nst ! tracking station loop'
	write(dbg,*) 'xon=',xon
	write(dbg,*) 'stlat_gs, stlong_gs (degrees)=',stlat_gs,stlong_gs	
	endif

		     if(debug) then
		      write(*,'(a)') xon
		      write(*,*) 'stlat_gs, stlong_gs (degrees): ', stlat_gs,stlong_gs
		     end if

                     TLAT(M)  =  stlat_gs
                     TLONG(M) = -stlong_gs
                     IF (TLONG(M).GT.WLDMAX) TLONG(M)=TLONG(M)-360.0
                     IF (TLONG(M).LT.WLDMIN) TLONG(M)=TLONG(M)+360.0

                     SLATTE(M) = DSIN(stlat_gs*RPDEG)
                     CLATTE(M) = DCOS(stlat_gs*RPDEG)
                     TELONG(M) = stlong_gs*RPDEG
                     TEX(M) = stx_gs
                     TEY(M) = sty_gs
                     TEZ(M) = stz_gs
                     IF (stzalim1_gs.EQ.0.0) stzalim1_gs = 90.0
                     IF (sthalim_gs.EQ.0.0)  sthalim_gs = 12.0
                     ZALIMTE(M)  = stzalim1_gs
                     HALIMTE(M) = sthalim_gs

	              if(debug) then
  	             write(*,*) 'stlat_gs, stlong_gs (degrees): ', stlat_gs,stlong_gs
	              end if	      

                ELSE IF (STTYPE.EQ.2) THEN
                    WRITE (OUTC,525) TENAME(M)
                    OK = .FALSE.
                END IF
                TEFOUND(M) = .TRUE.
                GOTO 2350
          END IF
 2350 CONTINUE
      GOTO 2200
C
 2400 CLOSE(UNIT=INSTA)
C
C Decode input orbiter telemetry priority matrix and create initial internal 
C telemetry priority matrix 
C
      DO IORB=1,NORB
          DO IST=1,NST
              PRIOMAT0(IORB,IST) = 0
          END DO
      END DO
      DO IST=1,NST
          PRITMP = VALS(146+9*MAXS+MAXTE+MAXFRQ+IST) + 0.1D0
          IORB = NORB
          DO I=1,NS
              IS = NS-I+1
              IF (STATYP(IS).EQ.2) THEN
C                 Put right-most digit of "TELECODE" value in highest
C                 available position in PRIOMAT0
                  PRIOMAT0(IORB,IST) = PRITMP - 10*(PRITMP/10)
C                 Then shift right by one place and decrement position
                  PRITMP = PRITMP/10
                  IORB = IORB - 1
              END IF
          END DO
          IF (PRITMP.NE.0) THEN
              WRITE(OUTC,970) TENAME(IST)
              OK = .FALSE.
          END IF
      END DO
      PRITMP = 0
C
C     If user did not specify priorities, set default to all equal 
C     and high (9)
      DO IORB=1,NORB
          DO IST=1,NST
              PRITMP = PRITMP + PRIOMAT0(IORB,IST)
          END DO
      END DO
      IF (PRITMP.EQ.0) THEN
          DO IORB=1,NORB
              DO IST=1,NST
                  PRIOMAT0(IORB,IST) = 9
              END DO
          END DO
      END IF
C
C Check if all stations found in STATIONS file
C
      DO 2500 M=1,NS
          IF (.NOT.FOUND(M)) THEN
              WRITE(OUTC,530) STNAME(M)
              OK = .FALSE.
          END IF
 2500 CONTINUE
      IF (ORBITERS) THEN
            IF (TENAME(1).EQ.' ') THEN
                WRITE(OUTC,535)
                OK = .FALSE.
            ELSE IF (TENAME(1).EQ.'NONE') THEN      ! 'NONE' means full
                TELEMETRY = .FALSE.                 ! telemetry coverage
            ELSE
                TELEMETRY = .TRUE.
                DO 2550 M=1,NST
                    IF (TEFOUND(M)) GOTO 2550
                    WRITE(OUTC,530) TENAME(M)
                    OK = .FALSE.
 2550           CONTINUE
            END IF
            IF (NORB.GT.MAXORB) THEN
                WRITE(OUTC,960) MAXORB
                OK = .FALSE.
            END IF
      END IF
C
C Sort stations so those with source #1 are first
C
C
C	 num1t=0
C
C	do IS=1,NS
C	  final(is)=is
C	 if(primesou(is).eq.1) then
C	  num1t=num1t+1
C	 end if	 
C	end do
C
C35	continue
C
C	num1=0
C	num2=num1t
C
C	do IS=1,NS
C	 if(primesou(is).eq.1) then
C	  num1=num1+1
C	  final(is)=num1
C	 end if
C	 if(primesou(is).eq.2) then
C	  num2=num2+1
C	  final(is)=num2
C	 end if
C	end do
C
C	do IS=1,NS
C	write(*,*) 'IS,FINAL(IS),PRIMESOU(IS) ',IS,FINAL(IS),primesou(is)
C	end do

	   

C      NSTOP = NS
C   25 CONTINUE
C      IORB = 0
C      DO IS=1,NSTOP
C	  STTYPE = STATYP(IS)
C          IF (STTYPE.EQ.2) IORB = IORB + 1
C          IF (PRIMESOU(IS).NE.1) THEN
CC
CC             Shift each column of telemetry priority matrix
C              IF (STTYPE.EQ.2) THEN
C                  DO IST=1,NST
C                      PRITMP = PRIOMAT0(IORB,IST)
C                      DO I=IORB,NORB-1
C                          PRIOMAT0(I,IST) = PRIOMAT0(I+1,IST) 
C                      END DO
C                      PRIOMAT0(NORB,IST) = PRITMP
C                  END DO
C              END IF
CC
CC             Shift station observing secondary source to end
C              STNTMP = STNAME(IS)
C              STTTMP = STATYP(IS)
C              EXPTMP = EXPECT(IS)
C              ERRTMP = ERRSTN(IS)
C              TSYTMP = TSYS(IS)
C              EFFTMP = EFF(IS)
C              DIATMP = DIAM(IS)
C              POITMP = POINT(IS)
C              CALTMP = CALERR(IS)
C              SRCTMP = PRIMESOU(IS)
C              EPOTMP = EPOCHJD(IS)
C              HALTMP = HALIM(IS)
C              ZALTMP = ZALIM(IS)
C              SLATMP = SLAT(IS)
C              CLATMP = CLAT(IS)
C              STXTMP = STX(IS)
C              STYTMP = STY(IS)
C              STZTMP = STZ(IS)
C              STLTMP = STLONG(IS)
C	      TYPSATMP=TYPSAT(IS)
C              DO I=IS,NS-1
C                  STNAME(I)   = STNAME(I+1)
C                  STATYP(I)   = STATYP(I+1)
C                  EXPECT(I)   = EXPECT(I+1)
C                  ERRSTN(I)   = ERRSTN(I+1)
C                  TSYS(I)     = TSYS(I+1)
C                  EFF(I)      = EFF(I+1)
C                  DIAM(I)     = DIAM(I+1)
C                  POINT(I)    = POINT(I+1)
C                  CALERR(I)   = CALERR(I+1)
C                  PRIMESOU(I) = PRIMESOU(I+1)
C                  EPOCHJD(I)  = EPOCHJD(I+1)
C                  HALIM(I)    = HALIM(I+1)
C                  ZALIM(I)    = ZALIM(I+1)
C                  SLAT(I)     = SLAT(I+1)
C                  CLAT(I)     = CLAT(I+1)
C                  STX(I)      = STX(I+1)
C                  STY(I)      = STY(I+1)
C                  STZ(I)      = STZ(I+1)
C                  STLONG(I)   = STLONG(I+1)
C	          TYPSAT(I)   = TYPSAT(I+1)
C              END DO
C              STNAME(NS)   = STNTMP
C              STATYP(NS)   = STTTMP
C              EXPECT(NS)   = EXPTMP
C              ERRSTN(NS)   = ERRTMP 
C              TSYS(NS)     = TSYTMP 
C              EFF(NS)      = EFFTMP 
C              DIAM(NS)     = DIATMP 
C              POINT(NS)    = POITMP 
C              CALERR(NS)   = CALTMP 
C              PRIMESOU(NS) = SRCTMP
C              EPOCHJD(NS)  = EPOTMP
C              HALIM(NS)    = HALTMP
C              ZALIM(NS)    = ZALTMP
C              SLAT(NS)     = SLATMP
C              CLAT(NS)     = CLATMP
C              STX(NS)      = STXTMP
C              STY(NS)      = STYTMP
C              STZ(NS)      = STZTMP
C              STLONG(NS)   = STLTMP
C	      TYPSAT(NS)   = TYPSATMP
CC
CC             Shift orbiter elements as well
C              DO IEL=1,6
C                  AEITMP = AEIOWM(IEL,IS)
C                  DO I=IS,NS-1
C                      AEIOWM(IEL,I) = AEIOWM(IEL,I+1)
C                  END DO
C                  AEIOWM(IEL,NS) = AEITMP
C                  AEITMP = AEIOWM1(IEL,IS)
C                  DO I=IS,NS-1
C                      AEIOWM1(IEL,I) = AEIOWM1(IEL,I+1)
C                  END DO
C                  AEIOWM1(IEL,NS) = AEITMP
C                  AEITMP = AEIOWM2(IEL,IS)
C                  DO I=IS,NS-1
C                      AEIOWM2(IEL,I) = AEIOWM2(IEL,I+1)
C                  END DO
C                  AEIOWM2(IEL,NS) = AEITMP
C              END DO
CC
C              NSTOP = NSTOP - 1
C              GO TO 25
C          END IF
C      END DO
      IF ((.NOT.OK).AND.MODE.EQ.1)
     1      CALL ERROR('Parameter entry failed.')
      IF (.NOT.OK) GOTO 6  ! ask user to try again
      GOTO 3000
C

! 2900 CALL ERROR('Cannot read STATIONS catalog')

 3000 CONTINUE


!    SetUP the combinations of telemetry stations

      call setmask( nst, maxte, mask )



C
C---------------------------------------------------------------------
C DATA Section
C---------------------------------------------------------------------
C

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '-----------------------------------------------'
	write(dbg,*) '   DATA Section'
      write(dbg,*) '-----------------------------------------------'      
	write(dbg,*)       
	write(dbg,*) '> before if(data.or.uvdist.or.uvplot)'
	write(dbg,*) 'data=',data	
	write(dbg,*) 'UVDIST=',UVDIST	
	write(dbg,*) 'UVPLOT=',UVPLOT		
	endif


      IF (DATA.OR.UVDIST.OR.UVPLOT) THEN
C
C Read the model parameters from MODFIL
C

	if(IERMOD.EQ.0) then
            WRITE(OUTC,604) MODFIL(1:LEN1(MODFIL))
	else
            WRITE(OUTC,603) 
	end if

            WRITE(OUTC,614)
            TOTFLX = 0.0

	    if(IERMOD.EQ.0) then

             DO I=1,MAXMOD
C VP change &2 -> 2
                CALL GTMODL(INMOD,TYPE,FLXC(I),RAD,THETA,A,
     1                      RAT(I),PH,2,OUTC)

                IF (FLXC(I).EQ.0.0) GOTO 2

	        if(MODELFIT) then

	         MODTRUE(1,IVALX,IVALY)=FLXC(I)
	         MODTRUE(2,IVALX,IVALY)=RAD
	         MODTRUE(3,IVALX,IVALY)=THETA
	         MODTRUE(4,IVALX,IVALY)=A
	         MODTRUE(5,IVALX,IVALY)=RAT(I)
	         MODTRUE(6,IVALX,IVALY)=PH
!	         MODIN(1)=MODERR(1)*FLXC(I)
	         MODIN(2)=MODERR(2)*RAD
	         MODIN(3)=MODERR(3)+THETA
!	         MODIN(4)=MODERR(4)*A
	         MODIN(5)=MODERR(5)
	         MODIN(6)=MODERR(6)+PH
	         write(42,*) (MODIN(VAR),VAR=1,6),TYPE
!	         write(42,*) FLXC(I),RAD,THETA,A,RAT(I),PH,TYPE

	        end if !if(MODELFIT)

                IF (I.LE.NCPRIN) WRITE(OUTC,605) FLXC(I),RAD,THETA,A,
     1              RAT(I),PH,TYPE

                IF (TYPE.LT.0 .OR. TYPE.GT.5) THEN
                    WRITE(OUTC,606)
                    TYPE = 1
                END IF

                ITYPE(I) = TYPE
                TOTFLX = TOTFLX+FLXC(I)
                ARG = THETA*RPDEG
                X(I) = SIN(ARG)*RAD*RPMAS
                Y(I) = COS(ARG)*RAD*RPMAS
                AA(I) = A*RPMAS
                PHI(I) = PH*RPDEG

             END DO !DO I=1,MAXMOD

             WRITE(OUTC,610)
             I = MAXMOD+1
    2        NCOMP = I-1

	    else


		TYPE = 1
		FLXC(1) = STOTJY
	        RAD = 0.0
	        THETA = 0.0

	        IF(USEFWHM) then 
	         A  = FWHM
	         TB = STOTJY* ((1.1055E15)/(FREQ*A))**2
                 TB = TB/RATIO


	      	 else

	         A = (1.1055E15/FREQ)*SQRT(STOTJY/(10.0**LOGTB))
                 A = A/SQRT(RATIO)
                 FWHM = A

	        end if

                RAT(1)= RATIO
                PH=PA

	        if(MODELFIT) then

	         MODTRUE(1,IVALX,IVALY)=FLXC(1)
	         MODTRUE(2,IVALX,IVALY)=RAD
	         MODTRUE(3,IVALX,IVALY)=THETA
	         MODTRUE(4,IVALX,IVALY)=A
	         MODTRUE(5,IVALX,IVALY)=RAT(1)
	         MODTRUE(6,IVALX,IVALY)=PH
!	         MODIN(1)=MODERR(1)*FLXC(1)
	         MODIN(2)=MODERR(2)*RAD
	         MODIN(3)=MODERR(3)+THETA
!	         MODIN(4)=MODERR(4)*A
	         MODIN(5)=MODERR(5)
	         MODIN(6)=MODERR(6)+PH
	         write(42,*) (MODIN(VAR),VAR=1,6),TYPE
!	         write(42,*) FLXC(1),RAD,THETA,A,RAT(1),PH,TYPE

	        end if


                IF (1.LE.NCPRIN) WRITE(OUTC,605) FLXC(1),RAD,THETA,A,
     1              RAT(1),PH,TYPE


                IF (TYPE.LT.0 .OR. TYPE.GT.5) THEN
                    WRITE(OUTC,606)
                    TYPE = 1
                END IF

                ITYPE(1) = TYPE
                TOTFLX = STOTJY
                ARG = THETA*RPDEG
                X(1) = SIN(ARG)*RAD*RPMAS
                Y(1) = COS(ARG)*RAD*RPMAS
                AA(1) = A*RPMAS
                PHI(1) = PH*RPDEG
             NCOMP = 1


	   end if

	 if(IERMOD.ne.0) then
	  if(USEFWHM) then
            write(*,*) ' '
	    write(*,*) '=> log (brightness temperature in K): ',alog10(TB)
	    write(*,*) ' '
	  end if
	 end if


	IF(MODELFIT) close(42)

        end if


	IF(DATA) then


            WRITE(OUTC,607) NCOMP,TOTFLX
            IF (TOTFLX.EQ.0.0) CALL ERROR('Model has zero total flux.')
            CLOSE (UNIT=INMOD)
            IF (FLUX.LE.0D0) FLUX = TOTFLX
C
            SCREWY = .FALSE.
            ERRSCA = 0.0
            DO IS=1,NS
              ERRSCA = ERRSCA + EXPECT(IS)
              IF (EXPECT(IS).NE.0D0) SCREWY = .TRUE.
            END DO
            ERRSCA = ERRSCA/NS
            IF (PERFECT) THEN
              SCREWY = .FALSE.
              ERRSCA = 0.0
              PHASES = 0.0
            END IF
            IF (SCREWY) THEN
              NTIME = 0
              DO 100 IUT=IUT1,IUT2+IUT4,IUT4
              NTIME = NTIME+1
              IF (NTIME.GT.500) CALL ERROR('TIMESCALE too short')
              FTIME(NTIME) = IUT - IUT1
              DO 100 IS=1,NS
              SCAL = 1.0
              IF (EXPECT(IS).GT.0.0) CALL FAKSCL(SCAL,EXPECT(IS),ISEED)
  100         ERRSCL(NTIME,IS) = SCAL
            END IF
C
C Write out Header Records
C
            NVER = 1
            NDWPB = 4
            IF (ORBITERS) THEN          ! MERGE-format 2 has orbiters
                NVER = 2                ! stored in header and U,V, and
                NDWPB = MAXWPB          ! W stored for each baseline
            END IF
            IF (FREQSYNTH) THEN         ! MERGE-format 3 is just like
                NVER = 3                ! format 2 except that more
                NDWPB = MAXWPB          ! than one frequency band has
            END IF                      ! been specified
            NHIST = 5
            HIST = .FALSE.
            IF (HISTRY.NE.' ') THEN
                NHIST = NHIST + 1
                HIST = .TRUE.
            END IF
            IF (ORBITERS) NHIST = NHIST + 1
            JMAX = NDWPB*NB+2*NT
            LENG = JMAX+1
            NHEAD = 2+NHIST+NS
            IF (NB.GT.0) NHEAD = NHEAD+1
            IF (NT.GT.0) NHEAD = NHEAD+1
            KFLAG = 1
            WRITE(OUT) NVER,NHIST,NHEAD,NS,NB,NT,LENG,
     1                 KFLAG,(I0,J=9,20)
            IF (NB.GT.0) WRITE(OUT) (LABELB(IB),IB=1,NB)
            IF (NT.GT.0) WRITE(OUT) (LABELT(IT),IT=1,NT)
C
C               History (5, 6, or 7 records)
            IF (HIST) WRITE(OUT) HISTRY
            CALL MKHIST(PROGNM, VERSN, HISTRY)
            WRITE(OUT) HISTRY
            HISTRY = '- Input model: '//MODFIL
            WRITE(OUT) HISTRY
            IF (PERFECT) THEN
                HISTRY = '- No errors added to model'
            ELSE
                ERRADD = 1.0
                DO IS=1,NS
                    ERRADD = ERRADD*(ERRSTN(IS)**(1.0/NS))
                END DO
                WRITE (HISTRY, 680) ERRADD,ERRMUL
            END IF
            WRITE(OUT) HISTRY
            WRITE (HISTRY, 690) ERRSCA,PHASES
            WRITE(OUT) HISTRY
            IF (ORBITERS) THEN
                NSTOP = MAX(MIN(NST,15),1)
                NPRT = 5
                IF (NSTOP.GT.12) NPRT = 4
                HISTRY = '- TELEM='
                NFIRST = 8
                IF (NSTOP.EQ.15) THEN
                    HISTRY = '- TLM='
                    NFIRST = 6
                END IF
                DO IST=1,NSTOP
                    J1 = NFIRST + (IST-1)*(NPRT+1) + 1
                    J2 = J1 + NPRT - 1
                    WRITE(HISTRY(J1:J2),'(A)') TENAME(IST)(1:NPRT)
                    IF (IST.NE.NSTOP)
     1                  WRITE(HISTRY(J2+1:J2+1),'(A1)') ','
                END DO
                WRITE(OUT) HISTRY
            END IF
            HISTRY = '- Output file: '//OUTFIL
            WRITE(OUT) HISTRY
C
C               Source
            WRITE(OUT) SOURCE(1),RA50,DEC50,RA,DEC,FLUX,(D0,J=8,10)
C
C               Stations
            IF (NVER.EQ.1) THEN
                DO I=1,NS
                    WRITE(OUT) 
     1                STNAME(I),STX(I),STY(I),STZ(I),(D0,J=5,10)
                END DO
            ELSE
                DO I=1,NS
                    IF (STATYP(I).EQ.1) WRITE(OUT) STNAME(I),STX(I),
     1                  STY(I),STZ(I),(D0,J=5,10),STATYP(I)
                    IF (STATYP(I).EQ.2) THEN
                        WRITE(OUT) STNAME(I),(AEIOWM(J,I),J=1,6),
     1                      (D0,J=8,10),STATYP(I)
                    END IF
                END DO
            END IF
C
C               Miscellaneous
            INTEG = dble(IUT3)/60D0

!	    write(*,*) 'data for data.dat:'
!           WRITE(*,*) YEAR,UT,GASTM,FREQ,INTEG,D0,BANDW,(D0,J=7,10)

            WRITE(OUT) 
     1      YEAR,IDINT(UT+0.1d0),GASTM,FREQ,INTEG,D0,BANDW,(D0,J=7,10)


	ELSE

	if(.not.ignore) then
	if(SNRFLAG.ge.0.0.and.UVPLOT) then

		TYPE = 1
		FLXC(1) = STOTJY
	        RAD = 0.0
	        THETA = 0.0 

	        IF(USEFWHM) then 
	         A  = FWHM
	         TB = STOTJY* ((1.1055E15)/(FREQ*A))**2
                 TB = TB/RATIO
	        else
	         A = (1.1055E15/FREQ)*SQRT(STOTJY/(10.0**LOGTB))
	         A = A/SQRT(RATIO)
                 FWHM = A
	        end if
                RAT(1)= RATIO
                PH=PA

	    write(*,*) 'No MODEL set: using a gaussian with: '
	    write(*,*) 'Flux density (Jy)                      ',STOTJY
	    write(*,*) 'minor/major axis ratio :               ',RATIO
	    write(*,*) 'PA of major axis (N thur E in degrees) ',PA
	    if(.NOT.USEFWHM) then
	    write(*,*) 'Brightness Temperature (K)             ',10**LOGTB
	    else
	    write(*,*) 'FHWM (mas) of Gaussian                 ',FWHM
	    end if
	    write(*,*) 'At a frequency (MHz) of                 ',FREQ/1.0E6
	    if(.NOT.USEFWHM) then
	    write(*,*) 'this gives a FWHM (mas) of              ',a
	    else
	    write(*,*) 'this gives a Brightness Temperature (K)',TB
	    end if


                IF (1.LE.NCPRIN) WRITE(OUTC,605) FLXC(1),RAD,THETA,A,
     1              RAT(1),PH,TYPE
                IF (TYPE.LT.0 .OR. TYPE.GT.5) THEN
                    WRITE(OUTC,606)
                    TYPE = 1
                END IF
                ITYPE(1) = TYPE
                TOTFLX = STOTJY
                ARG = THETA*RPDEG
                X(1) = SIN(ARG)*RAD*RPMAS
                Y(1) = COS(ARG)*RAD*RPMAS
                AA(1) = A*RPMAS
                PHI(1) = PH*RPDEG
             WRITE(OUTC,610)
             NCOMP = 1

            WRITE(OUTC,607) NCOMP,TOTFLX
            IF (TOTFLX.EQ.0.0) CALL ERROR('Model has zero total flux.')
            CLOSE (UNIT=INMOD)
            IF (FLUX.LE.0D0) FLUX = TOTFLX

	end if ! if(SNRFLAG.ge.0.0)
	end if !if(.not.ignore) then

      END IF          ! End DATA Section
C
C---------------------------------------------------------------------
C UV and Visibility Calculation
C---------------------------------------------------------------------
C
C HA and ZA limits; Change to R.H. coordinate system
C

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '-----------------------------------------------'
	write(dbg,*) '  UV and Visibility Calculation '
      write(dbg,*) '-----------------------------------------------'      
	write(dbg,*)       
	write(dbg,*) '> before do isrc=1,nsrc'
	write(dbg,*) 'NSRC=',NSRC	
	endif


      DO ISRC=1,NSRC
        WRITE(OUTC,620) SOURCE(ISRC)

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> before do is=1,ns'
	write(dbg,620) source(isrc)
      write(dbg,*) '> inside do is=1,ns'      
	write(dbg,*)       
	endif

        DO IS=1,NS
            IF (STATYP(IS).EQ.1) THEN
                COSZAL = DCOS(ZALIM(IS)*RPDEG)
                COSHAL = (COSZAL-SLAT(IS)*SINDEC(ISRC))/(CLAT(IS)*
     1                    COSDEC(ISRC))
                IF (COSHAL.GE.1.0) THEN
                    NOTE = 'Source never VISIBLE'
                    HAL = 0.0
                ELSE IF (COSHAL.LE.-1.0) THEN
                    NOTE = 'Circumpolar source'
                    HAL = 12.0
                ELSE
                    NOTE = ' '
                    HAL = ACOS(COSHAL)/RPDEG/15.0
                END IF
                HALIMST(IS,ISRC) = AMIN1(HALIM(IS),HAL)
                WRITE(OUTC,630) STNAME(IS),STX(IS),STY(IS),STZ(IS),
     1                    HALIMST(IS,ISRC),NOTE
	if(debug_v) then 
	write(dbg,630) STNAME(IS),STX(IS),STY(IS),STZ(IS),
     1                    HALIMST(IS,ISRC),NOTE
	write(dbg,*)       
        endif
	
                RHST0(1,IS) = STX(IS)
                RHST0(2,IS) = -STY(IS)
                RHST0(3,IS) = STZ(IS)
            END IF
        END DO
      END DO

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> before if(orbiters)'
      write(dbg,*) 'orbiters=',orbiters      
      write(dbg,*) 'i_info=',i_info      
      write(dbg,*) 'inum_info=',inum_info            
	write(dbg,*)       
	endif


      IF (ORBITERS) THEN
            WRITE(OUTC,625)


	    if(i_info.eq.1) then
	     inum_info = inum_info + 1
	     write(info(inum_info),624)
	     info(inum_info) = 
     1      info(inum_info)(1:len1(info(inum_info)))//
     2      ' (a e i \gW \gw M)'
	    end if

             write(*,*) 'M_VP1=',AEIOWM(6,1),' RPDEG=',RPDEG
!	    inum_info = inum_info + 1
!	    write(info(inum_info),626)
            DO IS=1,NS
! VP bugs place
               IF (STATYP(IS).EQ.2) WRITE (OUTC,635) STNAME(IS),
     1              (AEIOWM(J,IS),J=1,2),((AEIOWM(J,IS)/RPDEG),J=3,6)

	     
	if(debug_v.and.is.eq.1) then
	write(dbg,*) 
      write(dbg,*) '> inside if(orbiters) & do is=1,ns'
      write(dbg,*) 'is,ns=',is,ns      
      write(dbg,*) 'statyp(is)=',statyp(is)      
      write(dbg,635) stname(is),(aeiowm(j,is),j=1,2),
     1 ((aeiowm(j,is)/rpdeg),j=3,6) 
      write(dbg,*) stname(is),(aeiowm(j,is),j=1,2),
     1 ((aeiowm(j,is)/rpdeg),j=3,6) 
	endif     
    		  if(i_info.eq.1.and.STATYP(IS).EQ.2) then
		   inum_info = inum_info + 1
	           e3 = AEIOWM(3,IS)/RPDEG

C-gam	           e4 = mod(AEIOWM(4,IS)/RPDEG,360.0)
C-gam	           e5 = mod(AEIOWM(5,IS)/RPDEG,360.0)
C-gam	           e6 = mod(AEIOWM(6,IS)/RPDEG,360.0)
	           e4 = mod( AEIOWM(4,IS)/RPDEG, dble(360.0) )
	           e5 = mod( AEIOWM(5,IS)/RPDEG, dble(360.0) )
	           e6 = mod( AEIOWM(6,IS)/RPDEG, dble(360.0) )
                 WRITE (info(inum_info),635) STNAME(IS),
     1         (AEIOWM(J,IS),J=1,2),e3,e4,e5,e6
	       end if

	       
	        i_info = 0
	

            END DO
            WRITE(OUTC,627)
	    
	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> inside if(orbiters) & before if(telemetry)'
      write(dbg,*) 'TELEMETRY=',TELEMETRY      
	endif     	    
	    
            IF (TELEMETRY) THEN

	if(debug_v) then
	write(dbg,627) 
	endif     	    
	    
                DO IST=1,NST
                    WRITE(OUTC,630) TENAME(IST),TEX(IST),TEY(IST),
     1                  TEZ(IST)

	if(debug_v) then
      write(dbg,630) TENAME(IST),TEX(IST),TEY(IST),TEZ(IST)
	endif     	    
     
                    RHTE0(1,IST) = TEX(IST)
                    RHTE0(2,IST) = -TEY(IST)
                    RHTE0(3,IST) = TEZ(IST)
                END DO
            ELSE
                WRITE (OUTC,645)
            END IF
      END IF
C
      DO 220 IS=1,NS
  220     SCALFAC(IS) = 1.0
      IF (SCREWY.AND.LONG) WRITE(OUTC,650)
C
C-----------------------------------------------------------------------
C UVPLOT and PLOTSAT Section
C-----------------------------------------------------------------------


             DAY1 =INT(IUT1/(24.*3600.*60.))
             REM = IUT1 - 24.*3600.*60.*DAY1
             IHR1 = INT(REM/(3600.*60.))
             REM = REM - 3600.*60.*IHR1
             IMIN1 = INT(REM/3600.)
             ISEC1 = (REM - 3600.*IMIN1 + 0.1)/60.

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '------------------------------------------------'
	write(dbg,*) ' UVPLOT and PLOTSAT Section'      
      write(dbg,*) '------------------------------------------------'      
      write(dbg,*) 'IUT1=',IUT1,' ! start of obs.from beg.current year'
      write(dbg,*) 'IUT1/(24.*3600.*60.)=',IUT1/(24.*3600.*60.)      
      write(dbg,*) 'day1=',day1,' ! number of days before obs.day from b
     1eg.current year'      
      write(dbg,*) 'IHR1=',IHR1,' ! hour of obs.from beginning'     
      write(dbg,*) 'imin1=',imin1,' ! min of obs.from beginning'           
      write(dbg,*) 'isec1=',isec1,' ! sec of obs.from beginning'           
      write(dbg,*) 
      write(dbg,*) '> before if(uvplot.or.uvplot.or.plotsat.or.uvplott
     1.or.uvplots)'                      
      write(dbg,*) 'UVPLOT=',UVPLOT          
      write(dbg,*) 'UVPLOTG=',UVPLOTG          
      write(dbg,*) 'PLOTSAT=',PLOTSAT          
      write(dbg,*) 'UVPLOTT=',UVPLOTT          
      write(dbg,*) 'UVPLOTS=',UVPLOTS                
	endif     	    
C
      IF (UVPLOT.OR.UVPLOTG.OR.PLOTSAT.OR.UVPLOTT.OR.UVPLOTS) THEN
C
C           Plot Legends
C
            IY = YEAR
            IM = 1
            ID = IDAY

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> before tdate'
      write(dbg,*) 'IY,IM,ID,JD,MONTH,DAY=',IY,IM,ID,JD
      write(dbg,'(a,a)') MONTH,DAY                
	endif     	    
	    
            CALL TDATE(IY,IM,ID,JD,MONTH,DAY)
	    
	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> after tdate'
      write(dbg,*) 'IY,IM,ID,JD,MONTH,DAY=',IY,IM,ID,JD          
      write(dbg,'(a10,a10)') MONTH,DAY                      
	endif     	    
	    
	    IF(UVPLOTG) then
	WRITE (TITLEG, 480) (VALS(I),I=12+MAXS+1,12+MAXS+10)   ! TITLE
            LEGEN1 = TITLEG
	    else
            LEGEN1 = SOURCE(1)
	    end if

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> after  if(uvplog)'
      write(dbg,*) 'legen1='      
      write(dbg,'(a16)') legen1                            
	endif     	    
	    
	    
            I = LEN1(LEGEN1)+3
            CALL PRFREQ(FREQ, FACTOR, FUNIT)
            WRITE (LEGEN1(I:),725) MONTH, IY, FREQ/FACTOR, FUNIT
	    if(UVPLOTT.OR.UVPLOTS) then
            WRITE (LEGEN1(I:),726) FREQ/FACTOR, FUNIT
	    end if

	if(debug_v) then
	write(dbg,*) 
      write(dbg,*) '> after  call prfreg()'
      write(dbg,*) 'legen1='      
      write(dbg,'(a80)') legen1                            
	endif     	    
	    
            LEGEN2 = STNAME(1)
            NS2 = MIN(14,NS)
            DO IS=2,NS2
                I = LEN1(LEGEN2)+2
                LEGEN2(I:) = STNAME(IS)
            END DO
	    
	if(debug_v) then
	write(dbg,*) 'legen2='
      write(dbg,'(a126)') legen2                            
	endif     	    
	    
            IF (NS.GE.15) LEGEN3 = STNAME(15)
            NS3 = MIN(28,NS)
            DO IS=NS2+2,NS3
                I = LEN1(LEGEN3)+2
                LEGEN3(I:) = STNAME(IS)
            END DO
	    
	if(debug_v) then
	write(dbg,*) 'legen3='
      write(dbg,'(a126)') legen3                            
	endif     	    	    
	    
            IF (NS.GE.29) LEGEN4 = STNAME(29)
            NS4 = MIN(42,NS)
            DO IS=NS3+2,NS4
                I = LEN1(LEGEN4)+2
                LEGEN4(I:) = STNAME(IS)
            END DO
            WRITE(OUTC,720) LEGEN1(1:LEN1(LEGEN1)),
     1                      LEGEN2(1:LEN1(LEGEN2)),
     2                      LEGEN3(1:LEN1(LEGEN3)),
     3                      LEGEN4(1:LEN1(LEGEN4))

	if(debug_v) then
	write(dbg,*) 
	write(dbg,*) 'legen1-4='
      write(dbg,'(a1)') legen4(1:len1(legen4))    
            WRITE(dbg,720) LEGEN1(1:LEN1(LEGEN1)),
     1                      LEGEN2(1:LEN1(LEGEN2)),
     2                      LEGEN3(1:LEN1(LEGEN3)),
     3                      LEGEN4(1:LEN1(LEGEN4))                              
	endif     	    	    
     
C
C           Initialization and Plot Limits
C
            EPOCH = 0.0

            DO IB=1,NB
                BCOUNT(IB) = 0
                IS1 = LABELB(IB)/100
                IS2 = LABELB(IB)-100*IS1
                L1 = LEN1(STNAME(IS1))
                L2 = LEN1(STNAME(IS2))
                BNAME(IB) = STNAME(IS1)(1:L1)//'-'//STNAME(IS2)(1:L2)
            END DO
C
            UMAXC = 0.0
            VMAXC = 0.0
	if(debug_v) then
	write(dbg,*)
	      write(dbg,*) 'ns=',ns    	
	endif     	    	    	    	    	    	    
            DO M2=2,NS
            NS1 = M2-1
	    ISRC = 1

c	if(debug_v) then
c	write(dbg,*)
c		write(dbg,*) '> before 1 uvmx'
c	      write(dbg,*) 'M2,ns,isrc=',M2,ns,isrc    	
c      write(dbg,*) 'STX(M2),STY(M2),stz(m2)=',STX(M2),STY(M2),STZ(M2)    
c      write(dbg,*) 'AEIOWM(1-6,M2)=',(AEIOWM(i,M2),i=1,6)
c      write(dbg,*) 'COSRA(ISRC)=',COSRA(ISRC)
c      write(dbg,*) 'SINRA(ISRC),COSDEC(ISRC)=',SINRA(ISRC),COSDEC(ISRC)
c      write(dbg,*) 'SINDEC(ISRC),STATYP(M2)=',SINDEC(ISRC),STATYP(M2)
c      write(dbg,*) 'UMX2,VMX2=',UMX2,VMX2
c	endif     	    	    	    	    
            CALL UVMX(STX(M2),STY(M2),STZ(M2),AEIOWM(1,M2),COSRA(ISRC),
     1          SINRA(ISRC),COSDEC(ISRC),SINDEC(ISRC),STATYP(M2),
     1          UMX2,VMX2)
c	if(debug_v) then
c	write(dbg,*)
cc		write(dbg,*) '> after 1 uvmx'
c	      write(dbg,*) 'M2,isrc=',M2,isrc    	
c      write(dbg,*) 'STX(M2),STY(M2),stz(m2)=',STX(M2),STY(M2),STZ(M2)    
c      write(dbg,*) '(AEIOWM(1-6,M2)=',(AEIOWM(i,M2),i=1,6)
c      write(dbg,*) 'COSRA(ISRC)=',COSRA(ISRC)
c      write(dbg,*) 'SINRA(ISRC),COSDEC(ISRC)=',SINRA(ISRC),COSDEC(ISRC)
c      write(dbg,*) 'SINDEC(ISRC),STATYP(M2)=',SINDEC(ISRC),STATYP(M2)
c      write(dbg,*) 'UMX2,VMX2=',UMX2,VMX2
c	endif     	    	    	    	         
            DO M1=1,NS1
c	if(debug_v) then
c	write(dbg,*)
c		write(dbg,*) '> before 2 uvmx'
cc	      write(dbg,*) 'M1,ns1,m2,isrc=',M1,ns1,m2,isrc    	
c      write(dbg,*) 'STX(M1),STY(M1),stz(m1)=',STX(M1),STY(M1),STZ(M1)    
c      write(dbg,*) 'AEIOWM(1-6,M2)=',(AEIOWM(i,M1),i=1,6)
c      write(dbg,*) 'COSRA(ISRC)=',COSRA(ISRC)
c      write(dbg,*) 'SINRA(ISRC),COSDEC(ISRC)=',SINRA(ISRC),COSDEC(ISRC)
c      write(dbg,*) 'SINDEC(ISRC),STATYP(M1)=',SINDEC(ISRC),STATYP(M1)
c      write(dbg,*) 'UMX1,VMX1=',UMX1,VMX1
c	endif     	    	    	    	    	    
                CALL UVMX(STX(M1),STY(M1),STZ(M1),AEIOWM(1,M1),
     1                    COSRA(ISRC),SINRA(ISRC),COSDEC(ISRC),
     1                    SINDEC(ISRC),STATYP(M1),UMX1,VMX1)
c	if(debug_v) then
c	write(dbg,*)     
c		write(dbg,*) '> after 2 uvmx'
c	      write(dbg,*) 'M1,ns1,m2,isrc=',M1,ns1,m2,isrc    	
c      write(dbg,*) 'STX(M1),STY(M1),stz(m1)=',STX(M1),STY(M1),STZ(M1)    
c      write(dbg,*) 'AEIOWM(1-6,M1)=',(AEIOWM(i,M1),i=1,6)
c      write(dbg,*) 'COSRA(ISRC)=',COSRA(ISRC)
c      write(dbg,*) 'SINRA(ISRC),COSDEC(ISRC)=',SINRA(ISRC),COSDEC(ISRC)
c      write(dbg,*) 'SINDEC(ISRC),STATYP(M1)=',SINDEC(ISRC),STATYP(M1)
c      write(dbg,*) 'UMX1,VMX1=',UMX1,VMX1
c	endif     	    	    	    	    	         
                IF ((STATYP(M1).EQ.1) .AND. (STATYP(M2).EQ.1)) THEN
                    BXIB = (STX(M1)-STX(M2))
                    BYIB = (STY(M1)-STY(M2))
                    BZIB = (STZ(M1)-STZ(M2))
                    BEIB = DSQRT(BXIB**2+BYIB**2)
                    UMAXC = AMAX1(UMAXC,REAL(BEIB))
                    VMAXC = AMAX1(VMAXC, REAL(ABS(BZIB*COSDEC(ISRC))) +
     1                                 REAL(ABS(BEIB*SINDEC(ISRC))) )
                ELSE
                    UMAXC = AMAX1(UMAXC,(ABS(UMX1)+ABS(UMX2)))
                    VMAXC = AMAX1(VMAXC,(ABS(VMX1)+ABS(VMX2)))
                END IF
            END DO
            END DO
            UMAXC = UMAXC*1E-6/WAVEMIN  ! Millions of wavelengths
            VMAXC = VMAXC*1E-6/WAVEMIN
            UMAX  = 1.2*UMAXC
            VMAX  = 1.2*VMAXC
	if(debug_v) then     
	write(dbg,*)     
	      write(dbg,*) 'umax,vmax=',umax,vmax    	
	endif     	    	    	    	    	         

            IF (UMAXP.GT.0.0) UMAX = UMAXP
            IF (VMAXP.GT.0.0) VMAX = VMAXP
	    if(UVDIST) then
! DEARTH = Earth diameter in millions of wavelengths
	      DEARTH=(2.0*6378.140*1000.0)*1E-6/WAVEMIN
             if(DMAX.lt.0.0) then
	      DMAX=SQRT(UMAX**2+VMAX**2)/DEARTH
	     end if
	    end if
	  
          CALL PGQINF('TERMINAL', STRING, L)
Cvms      IF (STRING.EQ.'YES')
Cvms 1        CALL LIB$GET_COMMAND(STRING, 'Type <CR> to see plot: ', L)

! initialize number of uvpoint counters

	   inee = 0
	   ineeflag = 0
	   ines = 0
	   inesflag = 0




	  IF(UVPLOT.OR.UVPLOTT.OR.UVPLOTS) THEN

           CALL PGBBUF
           CALL PGSLW(LINEWD)
           CALL PGSCF(NFONT)
!          CALL PGSCI(icyan)  !cyan
           CALLP GSCI(iwhite)


            If(UVDIST) then

	     if(.NOT.SNRPLOT) then

!             CALL PGENV(0.0,DMAX,0.0,1.1,0,0)

!	      call pgvport(0.2,0.8,0.2,0.8)
!	      call pgvport2(x1vp,x2vp,y2vp,y3vp,1,1,1,frac,0.0)

	      call pgvport2(x1vp,x3vp,y2vp,y3vp,1,1,1,frac,0.0)

	      ymax = 1.1 * TOTFLX

!	      call pgwindow(0.0,DMAX,0.0,1.1)
	    dmax=32.2
	      call pgwindow(0.0,DMAX,0.0,ymax)
	      call pgbox('BCNST',0.0,0,'BCNST',0.0,0)

	     else

!             CALL PGENV(0.0,DMAX,0.0,SNRPLOT,0,0)
!             CALL PGENV(0.0,DMAX,-1.0,SNRPLOT,0,0)
!             CALL PGENV(0.0,DMAX,-1.0,SNRMAX,0,0)
!	      call pgvport(0.2,0.8,0.2,0.8)
!	      call pgvport2(x1vp,x2vp,y2vp,y3vp,1,1,1,frac,0.0)

	      call pgvport2(x1vp,x3vp,y2vp,y3vp,1,1,1,frac,0.0)


	     ICOUNT = 0

          DO IS1=1,NS
           DO IS2=1,NS

	    IF(IS2.GT.IS1) THEN
	      ICOUNT = ICOUNT + 1
!	        SNR  = (10.0**LOGS1)/SQRT(ERRSTN(IS1)*ERRSTN(IS2))
	        SNR  = TOTFLX/SQRT(ERRSTN(IS1)*ERRSTN(IS2))
	      IF(ICOUNT.EQ.1) THEN
	       SNRMAX = SNR
	      ELSE
	        IF(SNR.GT.SNRMAX) SNRMAX = SNR
	      END IF
	    END IF

	   END DO
	  END DO

	    SNRMAX = 1.1*ALOG10(SNRMAX)



	      call pgwindow(0.0,DMAX,-1.0,SNRMAX)
	      call pgbox('BCNST',0.0,0,'BCLNST',0.0,0)

	      if(snrflag.gt.0.0) then
	       call pgsci(ired)
	       call pgsls(2)
	       yc = alog10(SNRFLAG)
	       call pgmove(0.0,yc)
	       call pgdraw(DMAX,yc)
	      end if

	      call pgsci(iwhite)
	      call pgsls(1)

	     end if ! (.not.snrplot)



	    else ! if(uvdist)





!           CALL PGENV(UMAX,-UMAX,-VMAX,VMAX,1,1)

	   if(UVPLOTT) then
	     call pgvport2(x1vp,x2vp,y2vp,y3vp,NX,NY,INPLOTS,frac,0.0)
	   else
	     call pgvport2(x1vp,x2vp,y2vp,y3vp,1,1,1,frac,0.0)
	   end if

           if(UINV) then
             call pgwnad(-UMAX,UMAX,-VMAX,VMAX,1,1)
	   else
	     call pgwnad(UMAX,-UMAX,-VMAX,VMAX)
	   end if 

	   call pgbox('ABCNST',0.0,0,'ABCNST',0.0,0)



	   end if ! if(uvdist)

	   


	   if(uvplot.and.IERMOD.ne.0.and.SNRFLAG.gt.0.0) then

! plot ellipse of constant correlated flux density from
! 0.1,0.2,...0.9 of peak flux density
            if(i12345.eq.99) then	    
	   do i=1,9

             snorm = 0.1 + 0.1*float(i-1)
	     snorm = 1/snorm

	     uv1 = 109.32*alog(snorm)/FWHM
	     uv2 = uv1/ratio

	     uv1 = uv1**2
	     uv2 = uv2**2

	   do j=1,100

	     ang = 360.0*float(j-1)/(100.0-1.0)

	     r = (cos(ang*rpdeg)**2/uv1)+(sin(ang*rpdeg)**2/uv2)
             r = 1/sqrt(r)
	     yc = r*cos((ang+pa)*rpdeg)
	     xc = r*sin((ang+pa)*rpdeg)

	     if(i.eq.5) then
	      if(debug) then
	      write(*,*) 'snorm, ratio, uv1,uv2: ',snorm, ratio, uv1,uv2
	      write(*,*) 'j,ang,pa,r,xc,yc: ',j,ang,pa,r,xc,yc
	      end if
	     end if

	       if(i.eq.5) then
	       call PGSCI(iwhite)
	       else
	       call PGSCI(iyellow)
	       end if

	       call pgsls(4)

	     if(j.eq.1) then
	       call pgmove(xc,yc)
	     else
	       call pgdraw(xc,yc)
	     end if

	       call PGSCI(iwhite)
	       call pgsls(1)      

            end do	
	   end do
	   	                endif ! 12345
	   end if ! if(uvplot.and.iermod.ne.0.and.snrflag.gt.0.0)




           if(UVDIST) then

            if(.NOT.SNRPLOT) then

!           CALL PGLABEL('Projected Baseline/Earth Diameter',
!     1     'Normalised Flux Density',' ')

           CALL PGLABEL('Projected Baseline/Earth Diameter',
     1     'S\dc\u (Correlated Flux Density in Jy)',' ')


	     if(IERMOD.NE.0) then

	     DO VAR=1,100
! see page 13 of Thomson, Moran and Swenson for formula
	      XDPLOT(VAR)=(FLOAT(VAR-1)/FLOAT(100-1))*DMAX
	      YDPLOT(VAR)=XDPLOT(VAR)*DEARTH*1E6*FWHM*RPMAS
	      YDPLOT(VAR)=YDPLOT(VAR)*PI/(2.0*SQRT(ALOG(2.0)))
	      YDPLOT(VAR)=1/EXP(YDPLOT(VAR)**2)
	      YDPLOT(VAR)=YDPLOT(VAR)*STOTJY
	     END DO

	      CALL PGLINE(100,XDPLOT,YDPLOT)

	     DO VAR=1,100
	      YDPLOT(VAR)=XDPLOT(VAR)*DEARTH*1E6*FWHM*RPMAS*RATIO
	      YDPLOT(VAR)=YDPLOT(VAR)*PI/(2.0*SQRT(ALOG(2.0)))
	      YDPLOT(VAR)=1/EXP(YDPLOT(VAR)**2)
	      YDPLOT(VAR)=YDPLOT(VAR)*STOTJY
	     END DO

	      CALL PGLINE(100,XDPLOT,YDPLOT)

	     end if

	    else

!           CALL PGLABEL('Projected Baseline/Earth Diameter',
!     1     'Log (Signal-to-Noise Ratio) ',' ')

           CALL PGLABEL('Projected Baseline/Earth Diameter',
     1     'SNR (Signal to Noise Ratio)',' ')


	    end if

	   else

           CALL PGLABEL('u  (10\u6\d \gl)','v  (10\u6\d \gl)',' ')

	   end if !if(UVDIST)



	   IF(UVPLOT) then
           CALL PGMTEXT('T',2.5,0.5,0.5,LEGEN1)
           CALL PGMTEXT('T',0.8,0.5,0.5,LEGEN2)
	      else
            if(UVDIST) then

	     if(iermod.eq.0) then
	     write(LEGEN10,731)  SNRFLAG,IUT3/60.0,MODFIL
  731        FORMAT('SNR>', f6.2,' t=',f5.0,' model = ',a20) 
	     else
	     write(LEGEN10,730) logtb,alog10(STOTJY),FWHM,
     1       ratio,pa,SNRFLAG,IUT3/60.0
  730       FORMAT('logT=',f5.2,' LogS=',f5.2, 
     1      ' a=',f7.3, ' b/a= ',f4.2, ' PA=',f7.2,' SNR>',
     2      f6.2,' t=',f5.0)
	    end if

	     if(.NOT.USEFWHM) then
!	     write(LEGEN10,728) logtb,alog10(STOTJY),SNRFLAG,IUT3/60.0
  728      FORMAT(' Log(T)= ',f5.2,' Log(S(Jy)) = ',f5.2, ' SNRFLAG = ',
     1      f6.2,' Int(sec) = ',f5.0)
	      else
!	     write(LEGEN10,729)	log10(FWHM),alog10(STOTJY)
!     1        ,SNRFLAG,IUT3/60.0
  729      FORMAT('Log(FWHM(mas))= ',f7.3,' Log(S(Jy)) = ',f5.2, 
     1      ' SNRFLAG = ',f6.2,' Int(sec) = ',f5.0)

	      end if
            CALL PGMTEXT('T',0.8,0.05,0.0,LEGEN10)
	    if(MOD(INPLOTS-1,NX*NY).eq.0) then
             CALL PGMTEXT('T',2.0,0.05,0.0,LEGEN2)
             CALL PGMTEXT('T',3.2,0.05,0.0,LEGEN1)
	    end if
	    else

!             DAY1 =INT(IUT1/(24.*3600.*60.))
!             REM = IUT1 - 24.*3600.*60.*DAY1
!             IHR1 = INT(REM/(3600.*60.))
!             REM = REM - 3600.*60.*IHR1
!             IMIN1 = INT(REM/3600.)
!             ISEC1 = (REM - 3600.*IMIN1 + 0.1)/60.

             DAY2 =INT(IUT2/(24.*3600.*60.))
             REM = IUT2 - 24.*3600.*60.*DAY2
             IHR2 = INT(REM/(3600.*60.))
             REM = REM - 3600.*60.*IHR2
             IMIN2 = INT(REM/3600.)
             ISEC2 = (REM - 3600.*IMIN2 + 0.1)/60.
! if observation lasts more than a day then add number of days to hours
             IHR2 = IHR2+24*(DAY2-DAY1)


	if(debug_v) then
	write(dbg,*)
		write(dbg,*) 'iut2=',iut2
	      write(dbg,*) 'day2=',day2    	
      write(dbg,*) 'rem=',rem    
      write(dbg,*) 'ihr2=',ihr2
      write(dbg,*) 'imin2=',imin2
      write(dbg,*) 'isec2=',isec2
	endif     	    	    	    	    



	WRITE (LEGEN8,727) IY,MONTH,ID,IHR1,IMIN1,ISEC1,IHR2,IMIN2,ISEC2
  727      FORMAT(I5,' ',A3,' ',I2,' ',I2,':',I2,':',I2,' - ',
     1             I4,':',I2,':',I2)
     
       LEGEN8 = LEGEN8(1:len1(LEGEN8))//' (SA: '//str5_sa//')'
       
       write(*,'(a)') LEGEN8

     
     
            CALL PGMTEXT('T',0.8,0.5,0.5,LEGEN8)
	    if(MOD(INPLOTS-1,NX*NY).eq.0) then
             CALL PGMTEXT('T',2.0,0.05,0.0,LEGEN2)
             CALL PGMTEXT('T',3.2,0.05,0.0,LEGEN1)
	    end if

            end if
	   end if ! if(uvplot)

           CALL PGSLW(NDOTSZ)

          END IF  ! if(uvplot.or.uvplotg.or.plotsat.or.uvplott.or.uvplots)

	if(debug_v) then
	write(dbg,*)
		write(dbg,*) '> befor if(uvplotg)'
	      write(dbg,*) 'uvplotg=',uvplotg    	
	endif     	    	    	    	    


	  IF(UVPLOTG) THEN

	   if(ranum.eq.1.and.decnum.eq.1) then
              CALL PGBBUF
              CALL PGSLW(LINEWD)
              CALL PGSCF(NFONT)
!             CALL PGSCI(icyan) !cyan
	      CALLPGSCI(iwhite)
	      RAMIN=rado(1)-0.5*rado(3)
	      RAMAX=rado(2)+0.5*rado(3)
	      DECMIN=decdo(1)-0.5*decdo(3)
	      DECMAX=decdo(2)+0.5*decdo(3)


!             CALL PGENV(RAMIN,RAMAX,DECMIN,DECMAX,0,0)

!	      call pgvport(0.1,0.9,0.1,0.9)
	      call pgvport2(x1vp,x2vp,y2vp,y3vp,1,1,1,frac,0.0)
	      call pgwindow(RAMIN,RAMAX,DECMIN,DECMAX)
	      call pgbox('BCNST',0.0,0,'BCNST',0.0,0)
	      

	      if(.not.uvplotb) then

		call pgsci(iyellow)
		

! need small text offset 

	         dy = -2.0*180.0/abs(decmax-decmin)


	        call sun(todayjd,ras,decs,lamdas,betas,mss,rss)
	        write(*,*) 'ra of sun: ',ras
	        write(*,*) 'dec of sun: ',decs
         if(pscolor)	  call pgsci(ired)		  		
               call pgptext(sngl(ras),sngl(decs)+dy,0.0,0.5,'SUN')
	        call pgpoint(1,sngl(ras),sngl(decs),27)
	        
!---------------------------------------------------------------------	        
! plot solar avoidance curve
!--------------------------------------------------------------------- 


	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '----------------------------------------------'
	write(dbg,*) ' plot solar avoidance curve'
	write(dbg,*) '----------------------------------------------'	
	      write(dbg,*) 'uvplotb=',uvplotb    	
	endif 

	           inum_var =1000
	           
	           call pgsls(1)

	        do var2 = 1, 2

!	           if(var2.eq.2) call pgsci(ired)

	           ra_plot_old = 1000.0
	           ra_dec_old = 1000.0
	           
	        if(VSOP) then
	          imax = nsunavoidmax
	        else
	          imax = 2
	        end if
	    
	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> before do isunavoid =1,imax'
	      write(dbg,*) 'imav=',imax    	
	endif 	    
	           
	        do isunavoid =1,imax
	        
	         if(VSOP) then
	          sa = sunavoid(isunavoid) 	
	         else
! this is not really the correct thing to do for Radioastron but is
! a reasonable approximation if sunang = 70
		    if(isunavoid.eq.1) then
	          sa = sunang
		  else
		  sa=165.
!       lavka
		  sa=160.
		  endif
	         end if
	              
         if(pscolor)	  call pgsci(ired)		  
	        do var = 1, inum_var

	           dec_plot = sngl(decs) - sa +
     1             2.0*sa*float(var-1)/float(inum_var-1)


               ra_plot=cos(sa*rpdeg)
     1         - (sin(dec_plot*rpdeg)*sin(sngl(decs)*rpdeg) )

               ra_plot=  ra_plot/
     1         (cos(dec_plot*rpdeg)*cos(sngl(decs)*rpdeg))


!	        if(abs(ra_plot).gt.1.01) then   goto 567

	            if(abs(ra_plot).gt.1) then

	              if(ra_plot.ge.0.0) then
!	               ra_plot=ras
!	               call pgmove(ra_plot,dec_plot)
		       ra_plot = 0.0
	              else
!	               ra_plot=ras+12.0
!	              if(ra_plot.lt.0.0) ra_plot = ra_plot +24.0
!	               call pgmove(ra_plot,dec_plot)
	               ra_plot = 3.141592654
                     end if

!                      goto 567

	            else
	              ra_plot = acos(ra_plot)
	            end if



       
	            if(var2.eq.1) then
	             ra_plot = ras + ra_plot/(15.0*rpdeg)
	            else
	             ra_plot = ras - ra_plot/(15.0*rpdeg)
	            end if


	            ra_plot = amod(ra_plot,24.0)
	            if(ra_plot.lt.0.0) ra_plot = ra_plot+24.0
	            

	            dra_plot  = abs(ra_plot-ra_plot_old)
	            ddec_plot = abs(dec_plot-dec_plot_old)


	          if(dra_plot.gt.3.0.or.ddec_plot.gt.10.0) then
            call pgmove(ra_plot,dec_plot)
	          else
	            if(dra_plot.eq.0.) then
	             call pgmove(ra_plot,dec_plot)
	            else
	             call pgdraw(ra_plot,dec_plot)
	            end if
	          end if


567	         continue      

	            ra_plot_old  = ra_plot
	            dec_plot_old = dec_plot

	          end do
	         end do
	        end do
	    
!--------------------------------------------------------------------

	        if(useaeiowm) then
	            rr  = aeiowm_in(1)
	            td  = aeiowm_in(2)
	            pd  = aeiowm_in(3)/rpdeg
	            xzl = aeiowm_in(4)/rpdeg
	            q5  = aeiowm_in(5)/rpdeg
	            q6  = aeiowm_in(6)/rpdeg

		    IY = yorb_in
		    IM = morb_in
  		    ID = dorb_in

		    utorb = utorb_in

                    AEIOWM1(1,1) = RR               ! a
                    AEIOWM1(2,1) = TD               ! e
                    AEIOWM1(3,1) = PD*RPDEG         ! i
                    AEIOWM1(4,1) = XZL*RPDEG        ! Omega
                    AEIOWM1(5,1) = Q5*RPDEG         ! omega
                    AEIOWM1(6,1) = Q6*RPDEG         ! M

                    CALL JULDA(IY,IM,ID,ejd,DUMGST)   ! of orbiter
                    ejd = ejd + UTORB/24.D0

!                   Propagate orbits from epoch date to 0 hr UT today
                    dt_uvplotg = (TODAYJD - ejd)*86400.D0
	if(debug_v) then
		write(dbg,*) 'ejd=',ejd                    
		write(dbg,*) '===                orbita        ==='
		write(dbg,*) 'AEIOWM1(1,1)=',(AEIOWM1(i,1),i=1,6)
		write(dbg,*) 'iy,im,id,utorb=',iy,im,id,utorb
		write(dbg,*) 'dt_uvplotg=',dt_uvplotg

	write(dbg,*)
	write(dbg,*) '> before CALL PROPGAT()'
	      write(dbg,*) 'AEIOWM1(1-6,1)=',(AEIOWM1(i,1),i=1,6)	         	
	 write(dbg,*) 'dt_uvplotg=',dt_uvplotg
	endif 	    
	dtf=todayjd
                   CALL PROPGAT2(nra,rhst1(1),dtf,ddt)
	   call conic2(aeiowm1(1,1),aeiowm1(2,1),aeiowm1(3,1),
     1  aeiowm1(4,1),aeiowm1(5,1),aeiowm1(6,1),gm,rhst1(1))
           CALL PROPGAT(AEIOWM1(1,1),ddt)


	if(debug_v) then
	write(dbg,*) 'AEIOWM1(1,1)=',(AEIOWM1(i,1),i=1,6)	   
		write(dbg,*) '===                orbita        ==='	
	write(dbg,*)
	write(dbg,*) '> before CALL PROPGAT(AEIOWM1(1,1),dt_uvplotg)'
	      write(dbg,*) 'useaeiowm=',useaeiowm
	      write(dbg,*) 'AEIOWM1(1-6,1)=',(AEIOWM1(i,1),i=1,6)	         	
	      write(dbg,*) 'dt_uvplotg=',dt_uvplotg	      
	endif 	    

! orbit normal

		  call pgsci(icyan)


	          ra_plot = (aeiowm1(4,1)/(15.0*rpdeg))+18.0
                  ra_plot = amod(ra_plot,24.0)
		  if(ra_plot.lt.0.0) ra_plot = ra_plot + 24.0
                  dec_plot = 90.0 - aeiowm1(3,1)/rpdeg
	          write(*,*) 'N: ra_plot,dec_plot: ',ra_plot,dec_plot
	         if(pscolor)  call pgsci(iblue)		  
	         if(pscolor)  call pgsci(igreen)	
	if(pscolor)		  call pgsci(icyan) 
	          call pgptext(ra_plot,dec_plot+dy,0.0,0.5,'N')
	          call pgpoint(1,ra_plot,dec_plot,26)




       	
	pio=3.1415/180.
	x274=pio*27.4
	bo=0.
	if(pscolor)		  call pgsci(icyan)
	if(pscolor)		  call pgsci(igreen)
	do  i=235,720+234
	xo=pio*(0.5*i-123.)
        y1o=sin(xo)
        y2o=cos(xo)*sin(x274)-tan(bo)*cos(x274)
	yy=atan2(y1o,y2o)/pio
	alphao=(yy+12.25)/15.
	if(alphao<0.) alphao=alphao+24.
        y1o=sin(bo)*sin(x274)+cos(bo)*cos(x274)*cos(xo)
        deltao=asin(y1o)/pio
	if(i.eq.235) 
     1 call pgptext(alphao+.5,deltao+4.,0.0,0.5,'GP')
        if(i.eq.235) call pgmove(alphao,deltao)
                    call pgdraw(alphao,deltao)
       end do
       		  call pgsci(icyan)






! orbit anti-normal

	          ra_plot =  ra_plot+12.0
                  ra_plot =  amod(ra_plot,24.0)
		  if(ra_plot.lt.0.0) ra_plot = ra_plot + 24.0
                  dec_plot = -dec_plot
	          write(*,*) 'S: ra_plot,dec_plot: ',ra_plot,dec_plot
	         if(pscolor)  call pgsci(iblue)		  
	         if(pscolor)  call pgsci(igreen)	
	if(pscolor)		  call pgsci(icyan)
	          call pgptext(ra_plot,dec_plot+dy,0.0,0.5,'N')
	          call pgpoint(1,ra_plot,dec_plot,26)
 

! perigee direction	    

	           dec_plot = asin(sin(aeiowm1(3,1))*sin(aeiowm(5,1)))/rpdeg

                   ra_plot=atan2(sin(aeiowm1(5,1))*cos(aeiowm1(3,1))
     1                    ,cos(aeiowm1(5,1)))/rpdeg


                   ra_plot = ra_plot + aeiowm1(4,1)/rpdeg
                   ra_plot = ra_plot/15.0
	           ra_plot = amod(ra_plot,24.0)
		   if(ra_plot.lt.0.0) ra_plot = ra_plot + 24.0
	           write(*,*) 'P: ra_plot,dec_plot: ',ra_plot,dec_plot
	         if(pscolor)  call pgsci(igreen)	
	if(pscolor)		  call pgsci(icyan)
	           call pgptext(ra_plot,dec_plot+dy,0.0,0.5,'P')
	           call pgpoint(1,ra_plot,dec_plot,26)



! Apogee direction

	           dec_plot = -dec_plot
                   ra_plot  = ra_plot + 12.0
	           ra_plot = amod(ra_plot,24.0)
		   if(ra_plot.lt.0.0) ra_plot = ra_plot + 24.0
	           write(*,*) 'A: ra_plot,dec_plot: ',ra_plot,dec_plot
	         if(pscolor)  call pgsci(igreen)	
	if(pscolor)		  call pgsci(icyan)
	           call pgptext(ra_plot,dec_plot+dy,0.0,0.5,'A')
	           call pgpoint(1,ra_plot,dec_plot,26)

! plot orbit equator

	           inum_var = 100
	           call pgsls(1)

	           ra_plot_old = 1000.0

	        do var = 1, inum_var

                   ra_plot = rpdeg*360.0*float(var-1)/float(inum_var-1)
                   ra_plot =rpdeg*15*(ramin
     1            +(ramax-ramin)*float(var-1)/float(inum_var-1) )

	           dec_plot = atan(tan(aeiowm1(3,1))*sin(ra_plot-aeiowm1(4,1)))

	           ra_plot = ra_plot/(15.0*rpdeg)
	           ra_plot = amod(ra_plot,24.0)
		   if(ra_plot.lt.0.0) ra_plot = ra_plot + 24.0

	           dec_plot = dec_plot/rpdeg


	            dra_plot = abs(ra_plot-ra_plot_old)

	          if(dra_plot.gt.10.0) then
	            call pgmove(ra_plot,dec_plot)
	          else
	            call pgdraw(ra_plot,dec_plot)
	          end if

	            ra_plot_old = ra_plot
	
	

	            call pgsls(1)


	        end do  ! if(useaeiown)


           	          
	        end if
		call pgsci(iwhite)
	     end if

	

	      if(UVPLOTB) then
	        if(USEFWHM) then
               CALL PGLABEL('log(FWHM (mas)) ',
     1        'Log(Flux Density (Jy))',' ')
	        else
              CALL PGLABEL('Log(Brightness Temperature (K))',
     1        'Log(Flux Density (Jy))',' ')
	        end if
	      else
               CALL PGLABEL('Right Ascension','Declination',' ')
	      end if

              CALL PGMTEXT('T',2.5,0.5,0.5,LEGEN1)
              CALL PGMTEXT('T',0.8,0.5,0.5,LEGEN2)

	     do raloop2=rado(1),rado(2),rado(3)
	      call PGMOVE(sngl(raloop2),sngl(decdo(1)-0.5*decdo(3)))
	      call PGDRAW(sngl(raloop2),sngl(decdo(2)+0.5*decdo(3)))
	     end do

	     do DECLOOP2=decdo(1),decdo(2),decdo(3)
	     call PGMOVE(sngl(rado(1)-0.5*rado(3)),sngl(DECLOOP2))
	       call PGDRAW(sngl(rado(2)+0.5*rado(3)),sngl(DECLOOP2))
	     end do
	   end if  ! if(ranum.eq.1.and.decnum.eq.1))

              CALL PGSLW(NDOTSZ)

          END IF   ! if(uvplotg)
	
	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> before if(plotsat)'
	      write(dbg,*) 'plotsat=',plotsat
	endif 	    	  

	  IF(PLOTSAT) THEN 
!           CALL PGENV(-UMAX,UMAX,-VMAX,VMAX,1,-1)

! key to PLOTSAT 

	  if(PLOTSAT) then

! plot color key here:

	 call pgsch(0.8)
         x1 = 0.0
         x2 = 0.03
 	 x3 = 0.05
         y_text1  = 0.85
         dy_text = 0.04

         y_text  = y_text1

	     frac_key = 1.0

	     call pgvport2(0.0,1.0,0.0,1.0,1,1,1,frac_key,0.0)
             call pgwindow(0.0,1.0,0.0,1.0)

! for hardcopy print out message that only data above
! snr limit is plotted, else show the color key

        call pgsci(iyellow)
        call pgptext(x1,y_text,0.0,0.0,'KEY')
        y_text = y_text - dy_text



	if(orbiters) then
	  inumkey = 2
	else
	  inumkey = 1
	end if


        do i=1,inumkey

! have to adjust text by a small amount

	 dy = -0.007
	 y_text2 = y_text + dy


        y1 = y_text - 0.25*dy_text
        y2 = y_text + 0.25*dy_text

        if(i.eq.1) call pgsci(iee)
        if(i.eq.2) call pgsci(ies)

	if(i.eq.1) string80='earth-earth data'
	if(i.eq.2) string80='earth-space data '
	
         call pgrect(x1,x2,y1,y2)
         call pgsci(iwhite)
         call pgmove(x1,y1)
         call pgdraw(x2,y1)
         call pgdraw(x2,y2)
         call pgdraw(x1,y2)
         call pgdraw(x1,y1)

        call pgsci(iwhite)
        call pgtext(x3,y_text,string80(1:len1(string80)))	     
        y_text = y_text - dy_text


!      y_text = y_text - dy_text
      
        end do

        call pgsci(iwhite)
        call pgptext(x1,y_text,0.0,0.0,'Note:')
        y_text = y_text - dy_text
        call pgsci(iwhite)
        call pgptext(x1,y_text,0.0,0.0,'No SNR flagging of data')
        y_text = y_text - dy_text


	if(.not.ignore) then

! draw box around key information

        call pgsci(iwhite)

	x1box = 0.0
	x2box = 1.0
	y1box = 0.0
	y2box = 1.0

	x1box = 0.0
	x2box = 1.0

	x1box = 0.01
	x2box = 0.95

!	y1box = 0.05
	y1box = y_text
!	y2box = 0.95
	y2box = y_text1+dy_text


        call pgmove(x1box,y1box)
        call pgdraw(x2box,y1box)
        call pgdraw(x2box,y2box)
        call pgdraw(x1box,y2box)
        call pgdraw(x1box,y1box) 

	end if !if(.not.ignore)

! end plotting key here


	  end if !if(PLOTSAT)


!	    call pgvport2(0.01,0.99,0.01,0.99,1,1,1,0.8,1.0)


	    frac_uv=0.8
	    call pgvport2(0.0,1.0,0.0,1.0,1,1,1,frac_uv,1.0)
	    call pgwindow(-UMAX,UMAX,-VMAX,VMAX)
            CALL pgbox('bc',0.0,1,'bc',0.0,1)

!           CALL PGENV(-UMAX,UMAX,-VMAX,VMAX,1,-1)

            CALL PGSCI(iwhite)
            CALL PGMTEXT('T',2.5,0.5,0.5,LEGEN1)
        CALL PGMTEXT('T',0.8,0.5,0.5,LEGEN2)
	   IF(adduv) THEN
	    xpoly(1)=-umax
	    ypoly(1)=0.0
	    xpoly(2)=umax
	    ypoly(2)=0.0
	    call PGLINE(2,xpoly,ypoly)
	   END IF	
	  END IF
      END IF

	IF(PLOTSAT2) then
         CALL PGENV(-angmax,angmax,-angmax,angmax,1,-2)
         CALLPGSCI(iwhite)
       END IF

	   
C
C-----------------------------------------------------------------------
C GROUND  Section
C-----------------------------------------------------------------------
C

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '--------------------------------------------'
	write(dbg,*) ' GROUND  Section'
	write(dbg,*) '---------------------------------------------'
		write(dbg,*)
	      write(dbg,*) '> before if(ground)' 		
	      write(dbg,*) 'ground=',ground
	endif 	    	  


      IF (GROUND) THEN
C
C           Plot lattitude, longitude and label axes
C
        CALL PGQINF('TERMINAL', STRING, L)
Cvms    IF (STRING.EQ.'YES')
Cvms 1      CALL LIB$GET_COMMAND(STRING, 'Type <CR> to see plot: ', L)

	 CALL PGSLW(LINEWD)


!        CALL PGENV( WLDMIN, WLDMAX, -90.0, 90.0, 0, 2 )

!	   call pgvport(0.1,0.9,0.1,0.9)
	   call pgvport2(x1vp,x2vp,y2vp,y3vp,1,1,1,frac,0.0)
	   call pgwindow(WLDMIN, WLDMAX, -90.0, 90.0)


	 if(grtmap) then
!	   call pgbox('ABCNST',0.0,0,'ABCNST',0.0,0)
	   call pgbox('BCNST',0.0,0,'BCNST',0.0,0)
	 else
	   call pgbox('ABCGNST',0.0,0,'ABCGNST',0.0,0)
	 end if

      
	 WRITE (TITLEG, 480) (VALS(I),I=12+MAXS+1,12+MAXS+10)   ! TITLE


C        CALL PGLABEL('Longitude','Lattitude','Orbiter Groundtrack')
!	 callPGSCI(iyellow)
	 callPGSCI(iwhite)

	 if(grtmap) then
         CALL PGLABEL('Longitude','Lattitude',
     1  'Ground Radio Telescopes')
	 else
         CALL PGLABEL('Longitude','Lattitude',TITLEG)
	 end if


        call pgbbuf
        CALL WRLDMP( WLDMIN )
        call pgebuf


	if(grtmap) then

        DO I=1,NS

	 if(statyp(i).eq.1) then


	  inumlab = inumlab + 1

	  stlat_gs = asin(SLAT(I))/RPDEG
	  stlong_gs=-STLONG(I)/RPDEG

          IF (stlong_gs.GT.WLDMAX) stlong_gs=stlong_gs-360.0
          IF (stlong_gs.LT.WLDMIN) stlong_gs=stlong_gs+360.0

	  x1=sngl(stlong_gs)
	  y1=sngl(stlat_gs)

	 if(grtnames) then

	 ilabfound = 0
	 dlx = 45.0
	 dly = 7.0
	 dr = 3.0

	 dxsp = 5.0


	  xl = x1 + dxsp
	  yl = y1

!	  write(*,*) 'original xl, yl: ',xl,yl



	 if(inumlab.ge.2) then

	    ilcount = 0

	  do while (ilabfound.lt.1)

	     ilnum = 0
	     ilcount = ilcount + 1

! check that labels do not overwrite each other

	   do j=1, i-1
	    if(statyp(j).eq.1) then
	     dlx1 = abs(xl - xtel(j))
	     dly1 = abs(yl - ytel(j))
	     if((dlx1.le.dlx).and.(dly1.le.dly)) ilnum = ilnum + 1
!	     write(*,*) 'inumlab,ilnum,j,dx,dy: '
!     1      ,inumlab,ilnum,j,xl-xtel(j),yl-ytel(j)
	    end if
	   end do

! check that line joining labels to telescopes do not cross one another

	   do j=1, i-1
	    if(statyp(j).eq.1) then

	     stlat_gs = asin(SLAT(j))/RPDEG
	     stlong_gs=-STLONG(j)/RPDEG

             IF (stlong_gs.GT.WLDMAX) stlong_gs=stlong_gs-360.0
             IF (stlong_gs.LT.WLDMIN) stlong_gs=stlong_gs+360.0

	     x2=sngl(stlong_gs)
	     y2=sngl(stlat_gs)

	     x2l = xtel(j)
	     y2l = ytel(j)

	     x1l = xl
	     y1l = yl

	    am1 = (y1l - y1)/(x1l-x1)
	    am2 = (y2l - y2)/(x2l-x2)

	    c1 = (y1*x1l - y1l*x1)/(x1l-x1)
	    c2 = (y2*x2l - y2l*x2)/(x2l-x2)

	    if(am1.ne.am2) then

! intersection of two lines between label and site

	     x3 = -(c2 - c1)/(am2 - am1)
	     y3 = (am2*c1 - am1*c2)/(am2 - am1)


	   if(x1.le.x1l) then
	     dlx3=  (x3-x1)
	     dlx4=  (x1l-x3)
	   else
	     dlx3 = (x1-x3)
	     dlx4=  (x3-x1l)     
	   end if

	   if(x2.le.x2l) then
	     dlx5=  (x3-x2)
	     dlx6=  (x2l-x3)
	   else
	     dlx5 = (x2-x3)
	     dlx6=  (x3-x2l)     
	   end if

	   if(y1.le.y1l) then
	     dly3=  (y3-y1)
	     dly4=  (y1l-y3)
	   else
	     dly3 = (y1-y3)
	     dly4=  (y3-y1l)     
	   end if

	   if(y2.le.y2l) then
	     dly5=  (y3-y2)
	     dly6=  (y2l-y3)
	   else
	     dly5 = (y2-y3)
	     dly6=  (y3-y2l)     
	   end if

	    if(dlx3.ge.0.0.and.dlx4.ge.0.0.and.
     1             dlx5.ge.0.0.and.dlx6.ge.0.0) then

	    if(dly3.ge.0.0.and.dly4.ge.0.0.and.
     1              dly5.ge.0.0.and.dly6.ge.0.0) then

	        ilnum = ilnum + 1

!	     write(*,*) '*** conflict label lines overlap ****'
!	     write(*,'(a)') stname(i)
!	     write(*,'(a)') stname(j)
!	     write(*,*) 'x1,y1,x1l,y1l:', x1,y1,x1l,y1l
!	     write(*,*) 'x2,y2,x2l,y2l:', x2,y2,x2l,y2l
!	     write(*,*) 'x3,y3,am1,am2,c1,c2:',x3,y3,am1,am2,c1,c2

!	    call pgsci(ired)
!	    call pgmove(x1,y1)
!	    call pgdraw(x1l,y1l)
!           CALL PGPOINT(1,x3,y3,2)

            
	     end if
	    end if
    	
	    end if

	    end if
	   end do


	   iuse = 0

	   if(iuse.eq.1) then

! check that line joining labels to telescopes do not cross other labels

	   do j=1, i-1
	    if(statyp(j).eq.1) then

	     x2 = xtel(j)
	     y2 = ytel(j)

	     x2l = xtel(j) + dlx
	     y2l = ytel(j) 

	     x1l = xl
	     y1l = yl

	    am1 = (y1l - y1)/(x1l-x1)
	    am2 = (y2l - y2)/(x2l-x2)

	    c1 = (y1*x1l - y1l*x1)/(x1l-x1)
	    c2 = (y2*x2l - y2l*x2)/(x2l-x2)

	    if(am1.ne.am2) then

! intersection of two lines between label and site

	     x3 = -(c2 - c1)/(am2 - am1)
	     y3 = (am2*c1 - am1*c2)/(am2 - am1)

	   if(x1.le.x1l) then
	     dlx3=  (x3-x1)
	     dlx4=  (x1l-x3)
	   else
	     dlx3 = (x1-x3)
	     dlx4=  (x3-x1l)     
	   end if

	   if(x2.le.x2l) then
	     dlx5=  (x3-x2)
	     dlx6=  (x2l-x3)
	   else
	     dlx5 = (x2-x3)
	     dlx6=  (x3-x2l)     
	   end if

	   if(y1.le.y1l) then
	     dly3=  (y3-y1)
	     dly4=  (y1l-y3)
	   else
	     dly3 = (y1-y3)
	     dly4=  (y3-y1l)     
	   end if

	   if(y2.le.y2l) then
	     dly5=  (y3-y2)
	     dly6=  (y2l-y3)
	   else
	     dly5 = (y2-y3)
	     dly6=  (y3-y2l)     
	   end if

	    if(dlx3.ge.0.0.and.dlx4.ge.0.0.and.
     1             dlx5.ge.0.0.and.dlx6.ge.0.0) then

	    if(dly3.ge.0.0.and.dly4.ge.0.0.and.
     1              dly5.ge.0.0.and.dly6.ge.0.0) then


	        ilnum = ilnum + 1

!	     write(*,*) '*** conflict label lines overlap ****'
!	     write(*,'(a)') stname(i)
!	     write(*,'(a)') stname(j)
!	     write(*,*) 'x1,y1,x1l,y1l:', x1,y1,x1l,y1l
!	     write(*,*) 'x2,y2,x2l,y2l:', x2,y2,x2l,y2l
!	     write(*,*) 'x3,y3,am1,am2,c1,c2:',x3,y3,am1,am2,c1,c2

!	    call pgsci(ired)
!	    call pgmove(x1,y1)
!	    call pgdraw(x1l,y1l)
!            CALL PGPOINT(1,x3,y3,2)

           
	     end if
	    end if
    	
	    end if

	    end if
	   end do

	 end if



! check that telescope site is not over-written by label

	   do j=1, ns
	    if(j.ne.i.and.statyp(j).eq.1) then
! re-use long,lat code from above here

	  stlat_gs = asin(SLAT(j))/RPDEG
	  stlong_gs=-STLONG(j)/RPDEG

           IF (stlong_gs.GT.WLDMAX) stlong_gs=stlong_gs-360.0
           IF (stlong_gs.LT.WLDMIN) stlong_gs=stlong_gs+360.0

	     x2=sngl(stlong_gs)
	     y2=sngl(stlat_gs)

	     dlx2 = abs(xl - x2)
	     dly2 = abs(yl - y2)
	     if((dlx2.le.dlx).and.(dly2.le.dly)) ilnum = ilnum + 1

	    end if
	   end do !do j=1, ns

	   if(ilnum.eq.0) then
	     ilabfound = 1
	   else
	     rl  = dr * aint(float(ilcount/72))
!	    angl = 135 + 5.0*float(mod(ilcount,72))
	    angl = 0.0 - 5.0*float(mod(ilcount,72))
	      xl = x1 + dxsp + rl*cos(angl*RPDEG)
	      yl = y1 +rl*sin(angl*RPDEG)
!	      write(*,*) 'ilcount,rl,angl,new xl,new yl: ',ilcount,rl,angl,xl,yl
	   end if

	  end do 

	  
	 end if



	  xtel(i) = xl
	  ytel(i) = yl

!	  write(*,'(a)') stname(i)
!	  write(*,*) x1,y1
!	  write(*,*) 'chosen xl, yl: ',xl,yl

	  call pgsch(0.8)
          call PGSCI(iwhite)
!         call PGSCI(igreen)

          CALL PGPTEXT(xl,yl,0.0,0.0,STNAME(I))

!	  call pgsci(iblue)
	  call pgsci(igreen)

	  call pgmove(x1,y1)
	  call pgdraw(xl,yl)


!         CALL PGPOINT(1,x1,y1,25)

	 end if  !if(grtnames) then

	  call pgsci(igreen)
	  if(grtnames) then
	   call pgsch(2.0)
           CALL PGPOINT(1,x1,y1,17)
	  else
!          CALL PGPOINT(1,x1,y1,24)
	   call pgsch(2.0)
           CALL PGPOINT(1,x1,y1,17)
	  end if

	  call pgsch(1.0)


	 end if


        END DO

	else


        DO I=1,NST
          CALL PGPOINT(1,TLONG(I),TLAT(I),16)
          call PGSCI(iwhite)
          CALL PGPTEXT(TLONG(I),TLAT(I)+5.0,0.0,0.5,TENAME(I))
        END DO


	end if



      END IF
C
C

C---------------------------------------------------------------------
C Generate the data records
C---------------------------------------------------------------------
C Only for NORAPCS can we have ECLIPMULT constraint
C
C Propagate the orbital parameters to beginning of experiment
C

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '--------------------------------------------'
	write(dbg,*) '  Generate the data records'
	write(dbg,*) '---------------------------------------------'
      write(dbg,*)
      write(dbg,*) 'dur=',dur 		
      write(dbg,*) 'trec=',trec
      write(dbg,*) 'estart=',estart
      write(dbg,*)
      write(dbg,*) '> before if(eclipmult.gt.1.0001)' 		
      write(dbg,*) 'eclipmult=',eclipmult,'! it is found in get_stat()'
      write(dbg,*) 'powerbud=',powerbud	      	      
      write(dbg,*)
      write(dbg,*) 'prior=',prior,' ! 12 hours in 1/60 s'
      write(dbg,*) 'iut3=',iut3,' ! stepping interval in 1/60 s'
	endif 	    	  

       DUR = 0.D0
       TREC= 0.0d0
       ESTART = -1.0D05
      IF (ECLIPMULT.GT.1.0001) THEN
         ETEST = .TRUE.
         EFLAG = .FALSE.
	 PRIOR=PRIOR/IUT3
         PRIOR = DINT(PRIOR)*IUT3 ! Convert to an integral # of time steps
      ELSE
        IF (POWERBUD) THEN
	 PRIOR=PRIOR/IUT3
         PRIOR = DINT(PRIOR)*IUT3 ! Convert to an integral # of time steps
         ETEST = .FALSE.
        ELSE      
         PRIOR = 0
         ETEST = .FALSE.
	END IF
      END IF
C 

	if(debug_v) then
	write(dbg,*)
      write(dbg,*) 'iut1=',iut1,' ! start of obs. from beg.current year' 		 
      write(dbg,*) 'ut=',ut,' ! ut=(iday-1)*86400*60.'
      write(dbg,*)
      write(dbg,*) 'etest=',etest
      write(dbg,*) 'prior=',prior,' ! prior=idint(prior/iut3)*uit3'	      	      
      write(dbg,*)
      write(dbg,*) 'dt=',dt,' ! before usage of the formula'
      write(dbg,*) '     ! DT = (IUT1-dble(UT)-PRIOR)/60D0'
	endif 	    	  

!     write(*,*) 'before DT: DT ',DT


      DT = ( IUT1-dble(UT)-PRIOR)/60D0

	if(debug_v) then
	write(dbg,*)
      write(dbg,*) 'iut1,ut,prior=',iut1,ut,prior	
      write(dbg,*) 'dt=',dt,' ! after usage of it'
	endif 	    	  
!      write(*,*) 'after DT: DT ',DT
!      write(*,*) 'UT:    ', UT
!      write(*,*) 'IUT1:  ',IUT1
!      write(*,*) 'PRIOR: ',PRIOR





      NTYME = 0
C

	if(debug_v) then
	write(dbg,*)
      write(dbg,*) '> before if(.not.NORAPCS)' 		 
      write(dbg,*) 'norapcs=',norapcs
	endif 	    	  

	if(.not.NORAPCS) then
      IF (ECLIPMULT.NE.0..AND.raloop.EQ.rado(1).AND.DECLOOP.EQ.decdo(1)) 
     2  THEN
          OPEN(UNIT=40,NAME='eclipse.dat',TYPE='NEW',FORM='FORMATTED')
          WRITE(40,480) (VALS(I), I = 13+MAXS, 22+MAXS)
       END IF
	end if

	         IORB=0
	
	    do M=1,NS

	     if(STATYP(M).eq.2) then

	        IORB=IORB+1

	if(debug_v) then
	write(dbg,*)
      write(dbg,*) '> inside do m=1,ns & if(stat(m).eq.2)'
	write(dbg,*) 'm,ns=',m,ns
	write(dbg,*) 'statyp(m)=',statyp(m)
	write(dbg,*) 'iorb=',iorb
	write(dbg,*)	
	write(dbg,*) '> before if(constraints)'
	write(dbg,*) 'constraints=',constraints
	endif 	    	  

		if(constraints) then

		consnum=0

! Spacecraft default constraints:
!
! NORAPCS=.true.
!          TYPSAT(M)=1 i.e., VSOP  constraints 1,14,16 and 20 apply
!          TYPSAT(M)=2 i.e., RADIOASTRON constraints 1 thru 19,
!                            except 4,5,6,15 apply
!          TYPSAT(M)=3 i.e., VSOP with no telemetry antenna constraint
!          TYPSAT(M)=4 i.e., RADIOASTRON with no telemetry antenna constraint
! NORAPCS=.false.
!                        RADIOASTRON  constraints 1 thru 19 except 15 apply
!
	
! list of constraints:
	  consname(1) ='01: telemetry antenna'
	  consname(2) ='02: power gen: sun-yxz'
	  consname(3) ='03: power gen: sun-xz'
	  consname(4) ='04: passive cooling: radiator normal-sun'
c          consname(5) ='05: passive cooling: sun-yz'
          consname(5) ='05: solar battery'	  
          consname(6) ='06: passive cooling: radiator normal-earth'
 	  consname(7) ='07: cooling + thermal control'
 	  consname(8) ='08: star sensors  '
  	  consname(9) ='09: star sensors  : moon'
 	  consname(10)='10: star sensors  : earth'
  	  consname(11)='11: active cooling: sun-z'
c 	  consname(12)='12: active cooling: sun earth'
 	  consname(12)='12: passive cool.: -Z-earth'	  
 	  consname(13)='13: cold plate'
c 	  consname(14)='14: receivers: sun'
c 	  consname(15)='15: receivers: moon'
c 	  consname(16)='16: receivers: earth'
 	  consname(14)='14: thermal control: X-sun'
 	  consname(15)='15: receivers: X-moon'
 	  consname(16)='16: receivers: X-earth'	  
 	  consname(17)='17: star sensors: AX0-2' 
c	  consname(18)='18: star sensor: AX1'
c 	  consname(19)='19: star sensor: AX2'
c 	  consname(17)='17: M-star sensor: sun'
c	  consname(18)='18: M-star sensor: moon'
c 	  consname(19)='19: M-star sensor: earth'	  
	  if(POWERBUD) then
 	   consname(20)='20: power budget'
	  else
 	   consname(20)='20: eclipse + re-recharge'
	  end if

!	write(*,*) 'RAPCS,NORAPCS,TYPSAT(M) ',RAPCS,NORAPCS,TYPSAT(M)

	  if(NORAPCS) then
	   if(TYPSAT(M).eq.1) then
	     do var=1,20
              apply(var,M)=.false.
	     end do
              apply(1,M)=.true.
              apply(14,M)=.true.
              apply(16,M)=.true.
              apply(20,M)=.true.
	      consnum=4
              TELOPT(M)=TELOPTIN
	   else if(TYPSAT(M).eq.2) then
	    do var=1,20
              apply(var,M)=.true.
	    end do
	    if(CONSVER.eq.1) then
               apply(4,M) =.false.
               apply(5,M) =.false.
               apply(6,M) =.false.
               apply(15,M)=.false.
               apply(20,M)=.false.
	       consnum=20-5
	       TELOPT(M)=9
	    end if
	    if(CONSVER.eq.2) then
               apply(2,M) =.false.
               apply(3,M) =.false.	    
               apply(4,M) =.false.
               apply(6,M) =.false.
               apply(7,M) =.false.	       
               apply(11,M) =.false.
               apply(13,M) =.false.	       
               apply(20,M)=.false.
c		apply(8,M) =.false.
               apply(9,M) =.false.
               apply(10,M) =.false.
               apply(17,M)=.false.	       
                apply(18,M) =.false.
                apply(19,M) =.false.
	       consnum=20-13
	       TELOPT(M)=9
	    end if
	   else if(TYPSAT(M).eq.3) then
	     do var=1,20
              apply(var,M)=.false.
	     end do
              apply(1,M)=.true.
              apply(14,M)=.true.
              apply(16,M)=.true.
              apply(20,M)=.true.
	      consnum=4
              TELOPT(M)=1
	   else if(TYPSAT(M).eq.4) then
	    do var=1,20
              apply(var,M)=.true.
	    end do
              apply(4,M) =.false.
              apply(5,M) =.false.
              apply(6,M) =.false.
              apply(15,M)=.false.
              apply(20,M)=.false.
	      consnum=20-5
	      TELOPT(M)=1
	   end if
	 else 
	    do var=1,20
              apply(var,M)=.true.
	    end do
              apply(15,M)=.false.
              apply(20,M)=.false.
	      consnum=20-2
	      TELOPT(M)=9
	 end if


	 if(consapp) then
	  if(NORB.eq.1) then
	   if(conslist(1).lt.0.0d0) then
	     do var=1,20
	       if(conslist(var).lt.0.0d0) then
!		 var2=iabs(idint(conslist(var)))
!	         apply(var2,M)=.false.
	         apply(var,M)=.false.
	         consnum=consnum-1
               end if
             end do
	   else
	        consnum=0
	     do var=1,20
                apply(var,M)=.false.
	     end do
	     do var=1,20
	       if(conslist(var).gt.0.0d0) then
!	        var2=idint(conslist(var))
!	        apply(var2,M)=.true.
	        apply(var,M)=.true.
	        consnum=consnum+1
	       end if
	     end do
           end if !if(conslist(1).lt.0.0d0)
	else
	 write(*,*) '*****   CONSAPP and CONSLIST not used *****'
         write(*,*) '(because there is more than one orbiter !!!)'	  
	end if ! if(NORB.eq.1)
       end if

	 
	write(*,*) ' '

	if(IORB.eq.1) then
	 write(*,*) 'First orbiter in (re-arranged) STATIONS list is:'
	end if
	
	if(debug_v) then
	write(dbg,*)
      write(dbg,*) 'First orbiter in (re-arranged) STATIONS list is:'
	endif 	    	  	
	
		
	if(IORB.eq.2) then
	 write(*,*) 'Second orbiter in (re-arranged) STATIONS list is:'
	end if
		
	if(IORB.eq.3) then
	 write(*,*) 'Third orbiter in (re-arranged) STATIONS list is:'
	end if	



	if(NORAPCS) then
	 if(TYPSAT(M).EQ.1) then
	  write(*,*)  'VSOP'
	if(debug_v) then
	write(dbg,*)
      write(dbg,*) 'VSOP'
	endif 	    	  	
	  
	 else
	  write(*,*) 'RADIOASTRON'
	  write(*,*) '(NO Passive Cooling Subsystem)'
	if(debug_v) then
	write(dbg,*)
      write(dbg,*) 'RADIOASTRON'
	  write(dbg,*) '(NO Passive Cooling Subsystem)'      
	endif 	    	  		  
	 end if
	else
	  write(*,*) 'RADIOASTRON'
	  write(*,*) '(with Passive Cooling Subsystem)'
	if(debug_v) then
	write(dbg,*)
      write(dbg,*) 'RADIOASTRON'
	  write(dbg,*) '(with Passive Cooling Subsystem)'      
	endif 	    	  
			  	  
	end if


	write(*,*) ' '
	write(*,*) 'applying the following constraints:'
	write(*,*) ' '

	if(debug_v) then
	write(dbg,*)
      write(dbg,*) 'applying the following constraints:'
	endif 	    	  

	do var=1,20
	 if(apply(var,M)) then
	  write(*,'(1x,a)') consname(var)
	 end if
        end do

	end if


! For PLOTGRT,PLOTCONS and ECLIPLOT options need to call CONS subroutine
! even though not using spacecraft constraints

	     if(PLOTGRT.or.PLOTCONS.or.ECLIPLOT) then
	      if(.not.constraints) then
	        TYPSAT(M)=1 
	      do var=1,20
               apply(var,M)=.false.
	      end do
               apply(1,M)=.true.
	       consnum=1
               TELOPT(M)=1
	      end if
	     end if
                    
         
	if(IORB.eq.1) then          

	 if(constraints.and.out2) then
	 call system('/bin/rm out.dat')
	   open(20,file='out.dat',status='new')
	 end if	

!	 if(constraints.and..not.NORAPCS.and.optimize.and.yzplot) then
	 if(yzplot) then
	  call system('/bin/rm .fakesat_plotyz.dat')
	  open(27,file='.fakesat_plotyz.dat',status='new')
	 end if

	end if


! 	if(constraints.and.consplot1) then

 	if(consplot1) then

	   if(IORB.eq.1) then
	      call system('/bin/rm .fakesat_consplot.dat')
	      open(19,file='.fakesat_consplot.dat',status='new')
	      write(19,*) NORB,' = # of Orbiters'
	      write(19,*) NS,' = # of STATIONS'
	    do i=1,ns
	     write(19,'(8a,i2)') stname(i)
	    end do
	   end if

	      write(19,'(a)') STNAME(M)

            write(19,910) nst,NORAPCS,raoption               
            write(19,920) (tename(i),i=1,nst)     ! names of telemetry stations

!          if (NORAPCS) then
!            write(19,*) NORAPCS
!          else
!            write(19,*) RAPCS
!          end if

	   write(19,*) 'oldtitle'

	     write(19,*) consnum,' = # of constraints to be applied'
	     write(19,'(20(1x,L1))') (apply(var,M),var=1,20)
  	  do var=1,20
	    if(apply(var,M)) then
	      write(19,'(1x,a)') consname(var)
	    end if
          end do

 	end if

	  if(constraints.and.NORAPCS.and.TYPSAT(M).eq.1) then
	     write(*,*) ' '
   	   write(OUTC,*) '**VSOP constraints being taken into account**'
             write(OUTC,*) ' '
   	   if(out2) then
	     write(20,*) '*VSOP constraints being taken into account*'
	   end if
            if(out2) write(20,*) ' '
	  end if

	  if(constraints.and.NORAPCS.and.TYPSAT(M).eq.2) then
	     write(*,*) ' '
   	   write(OUTC,*) '**RADIOASTRON constraints being taken into account**'
   	   write(OUTC,*) '**(NO Passive Cooling Subsystem)**'
             write(OUTC,*) ' '
   	   if(out2) then
   	   write(OUTC,*) '**RADIOASTRON constraints being taken into account**'
   	   write(OUTC,*) '**(NO Passive Cooling Subsystem)**'
	   end if
            if(out2) write(20,*) ' '
	  end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.1) then
	     write(*,*) ' '
             write(*,*) 'TELOPT=1 no telemetry antenna restriction'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' ' 	             
             write(20,*) 'TELOPT=1 no telemetry antenna restriction'
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.2) then
	     write(*,*) ' '
	     write(*,*) 'TELOPT=2 telemetry antenna has half hemisphere'
             write(*,*) 'field of view away from pointing direction' 
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(20,*) 'TELOPT=2 telemetry antenna has half hemisphere'
             write(20,*) 'field of view away from pointing direction'
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.3) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=3 telemetry antenna has' 
	     write(*,*) ' field of view determined by TELANG parameter'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(20,*) ' TELOPT=3 telemetry antenna has' 
	     write(20,*) ' field of view determined by TELANG parameter'
 	     write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.4) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=4 Standard NORAPCS telemetry option used in'
	     write(*,*) ' studies for 1990'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(20,*) ' TELOPT=4 Standard NORAPCS telemetry option used in'
	     write(20,*) ' studies for 1990' 	             
             write(20,*) ' '
            end if
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.5) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=5 Improved standard option used in studies'
	     write(*,*) ' for 1990'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' ' 
	     write(20,*) ' TELOPT=5 Improved standard option used in studies'
	     write(20,*) ' for 1990'	             
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.6) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT = 6 270mm boom option: boom along solar panel axis'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(20,*) ' TELOPT = 6 270mm boom option: boom along solar panel axis' 
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.7) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT = 7 700mm boom option: boom along solar panel axis'
             write(*,*) ' '
            if(out2) then 
	     write(20,*) ' '
	     write(20,*) ' TELOPT = 7 700mm boom option: boom along solar panel axis' 
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.8) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=8: 90 cm boom option'
	     write(*,*) ' crude approximation to Field of View provided by Kobayashi'
	     write(*,*) ' during teleconference 31-JAN-91'  
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(20,*) ' TELOPT=8: 90 cm boom option'
	     write(20,*) ' crude approximation to Field of View provided by Kobayashi'
	     write(20,*) ' during teleconference 31-JAN-91'  	             
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.9) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=9: RADIOASTRON telemetry option'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(20,*) ' TELOPT=9: RADIOASTRON telemetry option' 	             
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.10) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=10: 90 cm boom option'
	     write(*,*) ' Case A: bent boom option'
	     write(*,*) ' (data from June 91 meeting)'  
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(*,*) ' TELOPT=10: 90 cm boom option'
	     write(*,*) ' Case A: bent boom option'
	     write(*,*) ' (data from June 91 meeting)'  
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.11) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=11: 90 cm boom option'
	     write(*,*) ' Case B: offset tel antenna option'
	     write(*,*) ' (data from June 91 meeting)'  
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(*,*) ' TELOPT=11: 90 cm boom option'
	     write(*,*) ' Case B: offset tel antenna option'
	     write(*,*) ' (data from June 91 meeting)'  
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.12) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=12: 90 cm boom option'
	     write(*,*) ' Case B: offset tel antenna option'
	     write(*,*) ' (data from Nov 91 meeting)'  
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(*,*) ' TELOPT=12: 90 cm boom option'
	     write(*,*) ' Case B: offset tel antenna option'
	     write(*,*) ' (data from Nov 91 meeting)'  
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.13) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=13: mask out telemetry on X axis'
	     write(*,*) ' (***test only***)'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(*,*) ' TELOPT=13: mask out telemetry on X axis'
	     write(*,*) ' (***test only***)'
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.14) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=14: mask out telemetry on Y axis'
	     write(*,*) ' (***test only***)'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(*,*) ' TELOPT=14: mask out telemetry on Y axis'
	     write(*,*) ' (***test only***)'
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.15) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=15: mask out telemetry on +X (VSOP) axis'
	     write(*,*) ' (***test only***)'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(*,*) ' TELOPT=15: mask out telemetry on +X (VSOP) axis'
	     write(*,*) ' (***test only***)'
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.16) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=16: mask out telemetry on +Y axis'
	     write(*,*) ' (***test only***)'
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(*,*) ' TELOPT=16: mask out telemetry on +Y axis'
	     write(*,*) ' (***test only***)'
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.17) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=17: 90 cm boom option'
	     write(*,*) ' Case B: offset tel antenna option'
	     write(*,*) ' (data from June 92 ISAS/JPL meeting)'  
             write(*,*) ' '
            if(out2) then            
	     write(20,*) ' '
	     write(*,*) ' TELOPT=17: 90 cm boom option'
	     write(*,*) ' Case B: offset tel antenna option'
	     write(*,*) ' (data from June ISAS/JPL meeting)'  
             write(20,*) ' '
            end if 
	   end if

	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.18) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=18: used for calgary/SGO comparisons'
	     write(*,*) ' symmetric horizon mas with 110 degree telangle'
             write(*,*) ' '
            if(out2) then 
	     write(*,*) ' '
	     write(*,*) ' TELOPT=18: used for calgary/SGO comparisons'
	     write(*,*) ' symmetric horizon mas with 110 degree telangle'
             write(*,*) ' '         
            end if 
	   end if
	   
	   
	   if(constraints.and.NORAPCS.and.TELOPT(M).eq.19) then
	     write(*,*) ' '
	     write(*,*) ' TELOPT=19: Telmetry parameters from stations.cat file'
             write(*,*) ' '
            if(out2) then 
	     write(*,*) ' '
	     write(*,*) ' TELOPT=19: Telmetry parameters from stations.cat file'
             write(*,*) ' '         
            end if 
	   end if








	  if(constraints.and..not.NORAPCS) then
       write(*,*) '**RADIOASTRON constraints being taken into account**'
       write(*,*) '**(includes Passive Cooling Subsystem)**'
	  end if
	

	 if(constraints.and.optimize) then
	  write(*,*) ' '
	  write(*,*) '**optimization to find best yz-angle**'
	 end if

	 end if  !  if(STATYP(M).eq.2) then

	end do    ! do M=1,NS



	plev=10.0



C
C     Force a reset of command UPlink times and priorities at beginning of
C     experiment; set arbitrary true anomaly factor to number of time
C     steps in 1.5/TWOPI ~ 14 min period;  (gives fast, low-earth orbits
C     a weighting factor of about unity
      ELAPSED = 24.0
      TAFACT0 = 3.24E5/(TWOPI*IUT3)
!      write(*,*) 'IUT1,IUT2 ',IUT1,IUT2


	if(PDONE) then
	  plevel = 0.0
          pjump  = 5.0
	end if

        ndo400=0
	ndo400dbg=1
	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> befor do 400 IUT=IUT1-PRIOR,IUT2,IUT3'
	write(dbg,*) 'IUT1,PRIOR,IUT2,IUT3=',IUT1,PRIOR,IUT2,IUT3	
	endif 


      DO 400 IUT=IUT1-PRIOR,IUT2,IUT3
       ndo400=ndo400+1

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)
	write(dbg,*) '> begin <do 400 IUT=IUT1-PRIOR,...>  ***'
	write(dbg,*) 'only for ndo400=',ndo400	
	write(dbg,*) '> pro tempore without prior'
	write(dbg,*) 'iut=',iut,' ! in 1/60'		
	write(dbg,*) 'iut1=',iut1
	write(dbg,*) 'prior=',prior	
	write(dbg,*) 'iut2=',iut2,' ! upper limit'
	write(dbg,*) 'iut3=',iut3,' ! step'			
	write(dbg,*) 'pdone=',pdone		
	write(dbg,*) 'plevel=',plevel
	write(dbg,*) 'pjump=',pjump	
	write(dbg,*) 'tick=',tick
	write(dbg,*) 'constraints=',constraints
	write(dbg,*) 'optimize=',optimize		
	write(dbg,*) 'plotazel=',plotazel
	write(dbg,*) 'complot=',complot	
	write(dbg,*) 'tantcalc=',tantcalc
	endif 



!	write(*,*) '% IUT loop done ',100*(IUT-IUT1)/(IUT2-IUT1)

	if(PDONE) then
	   percent_done = 100*(IUT-IUT1)/(IUT2-IUT1)
	 if(percent_done.ge.plevel) then
	   write(*,'(''% time loop done:'',f5.1)') percent_done
	   plevel = plevel + pjump
	 end if
	end if


	if(IUT.ge.IUT1) then
	  if(dmod((IUT-IUT1),TICK).lt.IUT3) then
	   TICKPLOT=.true.
	  else
	   TICKPLOT=.false.
	  end if
	 end if



	if(TICK.le.0.0) then
	 TICKPLOT=.false.
	end if

C
C         Reset the command UPlink times and priorities if 24 hours has past
C         Start with telemetry quality factor matrix filled at unity
C
          ELAPSED = ELAPSED + IUT3/2.16E5
          IF (ELAPSED.GT.24.0) THEN
              ELAPSED = 0.0
              DO IORB=1,NORB
                  COMNDTIM(IORB) = 0.0
                  DO IST=1,NST
                      PRIOMAT(IORB,IST) = PRIOMAT0(IORB,IST)
                  END DO
              END DO
          END IF
        
	    if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)
	write(dbg,*) '> init >  ***'
	write(dbg,*) 'norb,nst=',norb,nst
	endif 	
	
	  DO IORB=1,NORB
              DO IST=1,NST
                  TELEMAT(IORB,IST) = 1.0
              END DO
          END DO

	 if(constraints.and.optimize) then
	   plev1=100.0*(IUT-IUT1)/(IUT2-IUT1)
	 if(plev1.gt.plev) then
	   write(*,'(f5.1,''% percent completed'')') plev
	   plev=plev+10.0
	 end if
	end if

	

	 


C write(*,*) 'time from start of obs(hrs)',  (IUT-IUT1)/(60.0*60.0*60)

	if(PLOTAZEL)then
	 if(IUT.eq.IUT1) then
		write(24,*) NST
	        do var=1,nst
	         write(24,'(1x,a)') tename(var)
	        end do


	 if(IUT.EQ.IUT1) then
            write(24,'(1x,I4,1x,I5,3(1x,I2))') 
     1          YEAR,DAY1+1,IHR1,IMIN1,ISEC1
	 end if

		 write(24,*) 0.0
		 write(24,*) (IUT2-IUT1)/(60.0*60.0*60.0)
		 write(24,*) (IUT3)/(60.0*60.0*60)
         end if
	end if

	if(COMPLOT)then
	 if(IUT.eq.IUT1) then
                write(25,*) NORAPCS
		write(25,*) NST
	        do var=1,nst
	         write(25,'(1x,a)') tename(var)
	        end do
	   if(IUT.EQ.IUT1) then
                write(25,'(1x,I4,1x,I5,3(1x,I2))') 
     1          YEAR,DAY1+1,IHR1,IMIN1,ISEC1
	    end if
		 write(25,*) 0.0
		 write(25,*) (IUT2-IUT1)/(60.0*60.0*60.0)
		 write(25,*) (IUT3)/(60.0*60.0*60)
         end if
	end if



      IF (IUT.GT.IUT1-PRIOR) DT = IUT3/60D0 ! Propagate orbiters forward
      IF (IUT.GE.IUT1) ETEST=.FALSE.

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
	write(dbg,*) '> after IF (IUT.GT.IUT1-PRIOR) '
	write(dbg,*) 'iut=',iut
	write(dbg,*) 'iut1=',iut1
	write(dbg,*) 'prior=',prior
	write(dbg,*) 'dt=',dt	
	write(dbg,*) 'etest=',etest
	write(dbg,*)		
	write(dbg,*) 'ntot=',ntot	
	write(dbg,*) 'non=',non		
	endif

C
C Is telescope on source?
C
      IF (.NOT.ETEST) THEN
         NTYME = NTYME + 1
      END IF
      JTYME = MOD(NTYME,NTOT)
      IF (JTYME.EQ.0) JTYME = NTOT
      ONSOURCE   = (JTYME.GE.1) .AND. (JTYME.LE.NON)
C
C Do we want to skip ground-ground baselines now?
C
      GRSKIP = MOD(NTYME,NGRDIL) .NE. 0
      
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
	write(dbg,*) '> only for ndo400=',ndo400
	write(dbg,*) '> is telescopy on source?'
	write(dbg,*) 'onsourcee=',onsource
      write(dbg,*) '> do we want to skip ground-ground baselines now?'
	write(dbg,*) 'ntype=',ntype	
	write(dbg,*) 'ngrdil=',ngrdil
	write(dbg,*) 'nrskip=',nrskip	
	endif      
      
      
C
C Calculate scaling factors; YNTERP is a CIT Computing Center subroutine
C
      IF (SCREWY) THEN
          DO 310 IS=1,NS
  310     SCALFAC(IS)=YNTERP(FTIME,ERRSCL(1,IS),REAL(IUT-IUT1),NTIME,2)

C-gam     Q = TIMEC(MOD(IUT,86400*60)/60)
          Q = TIMEC( int( MOD( IUT, dble(86400*60) ) )/60 )

          IF (LONG) WRITE(OUTC,660) Q,(SCALFAC(IS),IS=1,NS)
      END IF
C
C Random station phases (uniform in 0-PHASES; eg PHASES=0
C gives no errors, PHASES=360 gives completely random phases)
C
      DO IS=1,NS
            IF (PERFECT) THEN
                STAPHA(IS) = 0.0
            ELSE
                STAPHA(IS) = PHASES*RAN(ISEED)
            END IF
      END DO
C

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
	write(dbg,*) '> compute GST (firts appearance)'
	write(dbg,*) '> only for ndo400=',ndo400
	write(dbg,*) 
	write(dbg,*) 'iut,ut=',iut,ut
	write(dbg,*) 'gst,sidr,gastm=',gst,sidr,gastm	
	write(dbg,*) 'cost,sint=',cost,sint
	write(dbg,*) 'maxsrc,nsrc,ns=',maxsrc,nsrc,ns

	endif      



      GST = (IUT-UT)*SIDR + GASTM
      GSTM = DMOD(GST,TWOPI)
      COST = DCOS(GSTM)
      SINT = DSIN(GSTM)

      if(PLOTAZEL.OR.COMPLOT) then
       GSTA  = (IUT-UT-0.5*azeltime*60.0d0*60.0d0)*SIDR + GASTM
       GSTMA = DMOD(GSTA,TWOPI)
       COSTA = DCOS(GSTMA)
       SINTA = DSIN(GSTMA)
       GSTB  = (IUT-UT+0.5*azeltime*60.0d0*60.0d0)*SIDR + GASTM
       GSTMB = DMOD(GSTB,TWOPI)
       COSTB = DCOS(GSTMB)
       SINTB = DSIN(GSTMB)
      end if

      isdbg=1

      IORB = 0
      DO 315 IS=1,NS
	    DO ISRC=1,MAXSRC
	      UP(IS,ISRC) = .FALSE.
	    END DO
	if(debug_v) then	    
	write(dbg,*) 'is,STATYP(IS)',is,STATYP(IS)	    
	endif
            IF (STATYP(IS).EQ.1) THEN
		DO ISRC=1,NSRC
                    IF (ISRC.EQ.1) THEN
                        HAA = (GST-RA-STLONG(IS))/RPDEG/15.0
                    ELSE
                        HAA = (GST-RA2-STLONG(IS))/RPDEG/15.0
                    END IF
                    HA = AMOD(HAA,24.0)
                    IF (HA.LT.-12.0) HA = HA+24.0
                    IF (HA.GT.12.0)  HA = HA-24.0

                    UP(IS,ISRC) = ABS(HA).LT.HALIMST(IS,ISRC) .AND. 
     1                            ONSOURCE
	if(debug_v) then	         
	write(dbg,*) 'is,gst,ra,stlong(is),haa,ha,halimst(IS,ISRC),',
     1 'ONSOURCE,up(is,isrc)=', is,gst,ra,stlong(is),haa,ha,
     2   halimst(IS,ISRC),ONSOURCE,up(is,isrc)     
	    endif
                    RHST(1,IS) = RHST0(1,IS)*COST - RHST0(2,IS)*SINT
                    RHST(2,IS) = RHST0(1,IS)*SINT + RHST0(2,IS)*COST
                    RHST(3,IS) = RHST0(3,IS)
		END DO
C
C               Preferentially choose prime source for telescope if it is up,
C               otherwise, choice goes to secondary source (if it is up)
		PSRC = PRIMESOU(IS)
		OSRC = OPPOSITE(PSRC)
		IF (UP(IS,PSRC)) UP(IS,OSRC) = .FALSE.
	if(debug_v) then	               		
	write(dbg,*) 'psrc,osrc=',psrc,osrc		
	write(dbg,*) 'is,UP(IS,PSRC),UP(IS,OSRC)=',
     1 	is,UP(IS,PSRC),UP(IS,OSRC)	
	    endif
C
C       But don't go to the secondary source if it has not been specified
		IF (SECONDSO(IS).LE.0) UP(IS,OSRC) = .FALSE.
	if(debug_v) then	               				
      write(dbg,*) 'SECONDSO(IS),UP(IS,OSRC)=',SECONDSO(IS),UP(IS,OSRC)	
	    endif
            ELSE IF (STATYP(IS).EQ.2) THEN    ! propagate orbiters even
		IORB = IORB + 1               ! if .NOT. ONSOURCE
C
C               For orbiting antennas, ALWAYS choose prime source exclusively
                ISRC = PRIMESOU(IS)


	         if(debug_p) then
	           write(*,*) 'dt, input mean anomaly: ',dt,AEIOWM(1,M)
	         end if

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '>before call propgat(),inside do 315 (RT+SRT)loop'
	write(dbg,*) '> only for ndo400=',ndo400
	write(dbg,*) 'dt=',dt
	write(dbg,*) 'is,aeiowm(1-6,is)=',is,(aeiowm(i,is),i=1,6)	
	endif      
	    dtf=dtf+dt/86400.0d0
	call propgat2(nra,rhst(1,is),dtf,ddt)
	call conic2(aeiowm(1,is),aeiowm(2,is),aeiowm(3,is),aeiowm(4,is),
     1 aeiowm(5,is),aeiowm(6,is),gm,rhst(1,is))
c       write(*,*) 'before aeiowm(1-6,is)=',(aeiowm(i,is),i=1,6)       	
                 CALL PROPGAT(AEIOWM(1,is),DdT)	    
c       write(*,*) 'after aeiowm(1-6,is)=',(aeiowm(i,is),i=1,6)       	
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '>after call propgat(),inside do 315 (RT+SRT) loop'
	write(dbg,*) '> only for ndo400=',ndo400
	write(dbg,*) 'is,aeiowm(1-6,is)=',is,(aeiowm(i,is),i=1,6)	
	write(dbg,*) 'aeiowm(6,is)=',aeiowm(6,is)/rpdeg,' ! in deg'		
	endif      
	    

	         if(debug_p) then
	           write(*,*) 'output mean anomaly: ',AEIOWM(1,M)
	         end if


!	   write(*,*) 'DT: ',DT
!uncommnet debug VP
!	  do var=1,6
!	  write(*,*) 'var,AEIOWM(var,IS) : ',var,AEIOWM(var,IS),'IS=',IS
!	  end do

c                print*,'3=====3',RHST(1,is),GM,AEIOWM(1,is),AEIOWM(2,is),
c     1              AEIOWM(3,is),AEIOWM(4,is),AEIOWM(5,is),
c     2              AEIOWM(6,is),is




c	print*,'is,aeiowm(1-6,is)=',is,(aeiowm(i,is),i=1,6)	
                CALL CARTES(RHST(1,IS),GM,AEIOWM(1,IS),AEIOWM(2,IS),
     1              AEIOWM(3,IS),AEIOWM(4,IS),AEIOWM(5,IS),
     2              AEIOWM(6,IS))
c	print*,'aft RHST(1-6,IS)=',(RHST(i,IS)/1000.,i=1,6)

! calculate height above earth's center in km, hkm, for use with 
! TELOUT and ground options:
! DWM 14-apr-93

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '>after call cartes(),inside do 315 (RT+SRT) loop'
	write(dbg,*) '> only for ndo400=',ndo400
	write(dbg,*) 'is,aeiowm(1-6,is)=',is,(aeiowm(i,is),i=1,6)	
	write(dbg,*) 'is,rhst(1-6,is)=',is,(rhst(i,is),i=1,6)		
	endif      


		hkm(IORB) = DSQRT(RHST(1,IS)**2+RHST(2,IS)**2+RHST(3,IS)**2)
	        hkm(IORB) = (hkm(IORB)/1000.0d0) - re/1000.0d0

!		write(*,*) 'T(h), hkm ',(IUT-IUT1)/216000.0d0,hkm

C
C               Weight telemetry quality factor matrix by change in true
C               anomaly, scaled by an arbitrary factor to
C               bring the value near unity; this weights UP
C               an orbiter at periapsis, for example

                IF ((IUT.GT.(IUT1-PRIOR)).AND.TRAKFAST) THEN
                    COSTRAN = RHST0(1,IS)*RHST(1,IS) +
     1                        RHST0(2,IS)*RHST(2,IS) +
     2                        RHST0(3,IS)*RHST(3,IS)
                    COSTRAN = COSTRAN/DSQRT(RHST0(1,IS)**2 +
     1                        RHST0(2,IS)**2 + RHST0(3,IS)**2)
                    COSTRAN = COSTRAN/DSQRT(RHST(1,IS)**2 +
     1                        RHST(2,IS)**2 + RHST(3,IS)**2)
                    TAFACT = ABS(ACOS(COSTRAN)*TAFACT0)
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
	write(dbg,*) 'tafact=',tafact
	endif      		    
                    DO IST=1,NST
                        TELEMAT(IORB,IST) = TELEMAT(IORB,IST)*TAFACT
                    END DO
                END IF
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
      write(dbg,*) 
	write(dbg,*) '1.23 telemat(1,1)=',telemat(1,1)
		endif      		    
                RHST0(1,IS) = RHST(1,IS)
                RHST0(2,IS) = RHST(2,IS)
                RHST0(3,IS) = RHST(3,IS)
    
 ! Precess orbit XYZ to co-ord of date

!		if(VELPLOT) then 
!	          dotpv= RHST(4,IS)*SVEC(1,ISRC)
!     1                  +RHST(5,IS)*SVEC(2,ISRC)
!     2                  +RHST(6,IS)*SVEC(3,ISRC)
!	         write(36,*) sngl(iut-iut1)/216000.0,sngl(dotpv),IORB	   
!	         write(36,*) sngl(SVEC(1,ISRC)),
!     1                       sngl(SVEC(2,ISRC)),
!     2                       sngl(SVEC(3,ISRC))
!	         write(36,*) sngl(RHST(1,IS)),
!     1                       sngl(RHST(2,IS)),
!     2                       sngl(RHST(3,IS))
!	         write(36,*) sngl(RHST(4,IS)),
!     1                       sngl(RHST(5,IS)),
!     2                       sngl(RHST(6,IS))
!	        end if



	       if(PLOTAZEL.OR.COMPLOT) then
               CALL PROPGAT(AEIOWM1(1,IS),DT)   ! if .NOT. ONSOURCE
c                print*,'4=====4',RHST(1,is),GM,AEIOWM(1,is),AEIOWM(2,is),
c     1              AEIOWM(3,is),AEIOWM(4,is),AEIOWM(5,is),
c     2              AEIOWM(6,is),is
                CALL CARTES(RHSTA(1,IS),GM,AEIOWM1(1,IS),AEIOWM1(2,IS),
     1              AEIOWM1(3,IS),AEIOWM1(4,IS),AEIOWM1(5,IS),
     2              AEIOWM1(6,IS))
               CALL PROPGAT(AEIOWM2(1,IS),DT)   ! if .NOT. ONSOURCE
c                print*,'5=====5',RHST(1,is),GM,AEIOWM(1,is),AEIOWM(2,is),
c     1              AEIOWM(3,is),AEIOWM(4,is),AEIOWM(5,is),
c     2              AEIOWM(6,is),is	       
                CALL CARTES(RHSTB(1,IS),GM,AEIOWM2(1,IS),AEIOWM2(2,IS),
     1              AEIOWM2(3,IS),AEIOWM2(4,IS),AEIOWM2(5,IS),
     2              AEIOWM2(6,IS))
		end if      ! end if(PLOTAZEL.OR.COMPLOT)


c	if(debug_v) then
c	write(dbg,*)		
c      write(dbg,*) '>before CALL CONIC2'
c	write(dbg,*) 'is,rhst(1-6,is)=',is,(rhst(i,is),i=1,6)		
c	endif      
c
c
c
c                CALL CONIC2(AEIOWM(1,is),AEIOWM(2,is),
c     1              AEIOWM(3,is),AEIOWM(4,is),AEIOWM(5,is),
c     2              AEIOWM(6,is),GM,RHST(1,is))
c
c	if(debug_v) then
c	write(dbg,*)		
c      write(dbg,*) '>after CALL CONIC2'
c	write(dbg,*) 'AEIOWM(1-6,is)=',(AEIOWM(i,is),i=1,6)		
c	endif      


cv                ORBR = DSQRT(RHST(1,IS)**2+RHST(2,IS)**2+RHST(3,IS)**2)
cv                ORBDEC50 = DASIN(RHST(3,IS)/ORBR)
cv                ORBSINRA50 = RHST(2,IS)/(ORBR*DCOS(ORBDEC50))
cv                ORBCOSRA50 = RHST(1,IS)/(ORBR*DCOS(ORBDEC50))
cv                ORBRA50 = DATAN2(ORBSINRA50,ORBCOSRA50)


cv                CALL SRCPAN(STIME,ORBRA50,ORBDEC50,ORBRA,ORBDEC)
cv                RHST(1,IS) = ORBR*DCOS(ORBDEC)*DCOS(ORBRA)
cv                RHST(2,IS) = ORBR*DCOS(ORBDEC)*DSIN(ORBRA)
cv               RHST(3,IS) = ORBR*DSIN(ORBDEC)


                                                ! Check for Earth occultation.
                UP(IS,ISRC) = SRCUP(RHST(1,IS),SVEC(1,ISRC)) .AND. 
     1                        ONSOURCE


		if(tantcalc) then
	           call dotp(RHST(1,IS),RHST(1,IS),dp1,ang1)
	           rm = sngl(dsqrt(dp1))
	           call dotp(RHST(1,IS),SVEC(1,ISRC),dp,ang1)
		   ang1 = 180.0 - ang1

		 if(init_tant) then
	            call system('/bin/rm tant.dat')
	            write(*,*) ' creating file: tant.dat'
		    open(32,file='tant.dat',status='new')
	 	    write(32,*) ra50/(RPDEG*15),' source RA'
	  	    write(32,*) dec50/RPDEG, ' source dec'
	         end if	

	           ang1 = ang1 * rpdeg
                   call tant_calc(sngl(ang1),rm,bandname(1:1),
     1                            init_tant,.true.,tant)

		   rm = (rm/1000.0)-6378.14


			ang1=ang1/rpdeg	
	 	        t_now =   (iut-iut1)/216000.0
			dt = iut3/3600.0
			dang1 = ang1-ang1_old
			t_now1 = t_now - 0.5*dt/60.0

			drm =   (rm - rm_old)/dt
			dang1 = (ang1 - ang1_old)/dt
			dtant = (tant - tant_old)/dt

		
		      tmp = sngl(iut-iut1) - sngl(iut3/2)

		    if(sngl(iut-iut1) - sngl(iut3/2).gt.0.0) then 


		      if(UP(IS,ISRC)) then
			iupflag = 1
		      else
			iupflag = 0
		     end if
			
	            write(32,'(2(1x,f10.3,1x,f7.3,1x,f8.3,1x,f10.5),i2)') 
     1                 rm,ang1,tant,t_now,drm,dang1,dtant,t_now1,iupflag
!	            write(*,'(2(1x,f10.3,1x,f7.3,1x,f8.3,1x,f10.5))') 
!     1                   rm,ang1,tant,t_now,drm,dang1,dtant,t_now1


		    end if

			ang1_old = ang1
			  rm_old = rm
			tant_old = tant

		end if 


C*** ERROR : program was incorrectly calculating ground track as logical 
C***         VIS was not being set,if UP(IS,ISRC) was false. 
C****        Also PLOTAZEL data also not being calculated. DWM 10-MAY-91
C***            IF ((TELEMETRY) .AND. UP(IS,ISRC)) THEN
       
                IF (TELEMETRY) THEN
                                                ! Satellite can see source --
                                                ! now check that a telemetry
                                                ! station can see satellite
                                                ! and vice-versa.
                
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> visible() are generated in loop do ist=1,nst'
	write(dbg,*) '> which is inside if(telemetry)'
	write(dbg,*) 	
      write(dbg,*) '> it is in loop do ist=1,nst inside if(telemetry)'		
	endif      
		
		
		    VIS = .FALSE.
                    DO IST=1,NST
C
C                       Weight telemetry quality factor matrix by current 
C                       priority matrix scaled by highest priority (9)
C
                        TELEMAT(IORB,IST) = TELEMAT(IORB,IST)*
     1                                      FLOAT(PRIOMAT(IORB,IST))/9.0
C
                        VISIBLE(ist) = .false.
                        RHTE(1) = RHTE0(1,IST)*COST - RHTE0(2,IST)*SINT
                        RHTE(2) = RHTE0(1,IST)*SINT + RHTE0(2,IST)*COST
                        RHTE(3) = RHTE0(3,IST)

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> only for ndo400=',ndo400
	write(dbg,*) 'ist,rhte0(1-3)=',ist,(rhte0(n,ist),n=1,3)
	endif      



                        DO J=1,3
                            RHSTP(J) = RHST(J,IS) - RHTE(J)
	                    RHTE1(J,IST)=RHTE(J)
                        END DO

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> only for ndo400=',ndo400
	write(dbg,*) 'is,rhst(1-3,is)=',is,(rhst(n,is),n=1,3)
	write(dbg,*) 'is,rhte(1-3)=',is,(rhte(n),n=1,3)	
	endif      

		       if(PLOTAZEL.OR.COMPLOT) then

                      RHTEA(1) = RHTE0(1,IST)*COSTA - RHTE0(2,IST)*SINTA
                      RHTEA(2) = RHTE0(1,IST)*SINTA + RHTE0(2,IST)*COSTA
                      RHTEA(3) = RHTE0(3,IST)
                        DO J=1,3
                            RHSTPA(J) = RHSTA(J,IS) - RHTEA(J)
	                    RHTE1A(J,IST)=RHTEA(J)                   
                        END DO

                      RHTEB(1) = RHTE0(1,IST)*COSTB - RHTE0(2,IST)*SINTB
                      RHTEB(2) = RHTE0(1,IST)*SINTB + RHTE0(2,IST)*COSTB
                      RHTEB(3) = RHTE0(3,IST)
                        DO J=1,3
                            RHSTPB(J) = RHSTB(J,IS) - RHTEB(J)
	                    RHTE1B(J,IST)=RHTEB(J)
                        END DO

			end if   !end if(PLOTAZEL.OR.COMPLOT)

	     		if(PLOTAZEL) then

C ***ERROR***  At the moment I use geocentric instead of geodetic coordinates
C              to calculate azimuths and elevations   DWM 12-JAN-91
   
 			do j=1,3
			 east(1)=-rhte(2)/dsqrt(rhte(1)**2+rhte(2)**2)
	    		 east(2)= rhte(1)/dsqrt(rhte(1)**2+rhte(2)**2)
	                 east(3)=0.0d0
			end do

			  call vecp(rhte,east,n1)
			  call norm(n1,north)

			 call dotp(rhstp,rhte,dp1,ang1)
			 el=90.0d0-ang1

			 call dotp(rhstp,east,dp1,ang1)
			 call dotp(rhstp,north,dp2,ang2)

			az=DATAN2(DCOS(ang1*RPDEG),DCOS(ang2*RPDEG))/RPDEG
	                if(az.lt.0.0) az=az+360.0d0

c			write(*,*) 'start: '
c			write(*,*) 'rhte  ',rhte(1),rhte(2),rhte(3)
c			write(*,*) 'east  ',east(1),east(2),east(3)
c			write(*,*) 'north ',north(1),north(2),north(3)
c		        write(*,*) 'az,el ',az,el

			range=dsqrt(rhstp(1)**2+rhstp(2)**2+rhstp(3)**2)



			do j=1,3
			 easta(1)=-rhtea(2)/dsqrt(rhtea(1)**2+rhtea(2)**2)
	    		 easta(2)= rhtea(1)/dsqrt(rhtea(1)**2+rhtea(2)**2)
	                 easta(3)=0.0d0
			end do

			  call vecp(rhtea,easta,n1)
			  call norm(n1,northa)

			 call dotp(rhstpa,rhtea,dp1,ang1)
			 ela=90.0d0-ang1

			 call dotp(rhstpa,easta,dp1,ang1)
			 call dotp(rhstpa,northa,dp2,ang2)

			aza=DATAN2(DCOS(ang1*RPDEG),DCOS(ang2*RPDEG))/RPDEG
	                if(aza.lt.0.0) aza=aza+360.0d0




			do j=1,3
			 eastb(1)=-rhteb(2)/dsqrt(rhteb(1)**2+rhteb(2)**2)
	    		 eastb(2)= rhteb(1)/dsqrt(rhteb(1)**2+rhteb(2)**2)
	                 eastb(3)=0.0d0
			end do

			  call vecp(rhteb,eastb,n1)
			  call norm(n1,northb)

			 call dotp(rhstpb,rhteb,dp1,ang1)
			 elb=90.0d0-ang1

			 call dotp(rhstpb,eastb,dp1,ang1)
			 call dotp(rhstpb,northb,dp2,ang2)

			azb=DATAN2(DCOS(ang1*RPDEG),DCOS(ang2*RPDEG))/RPDEG
	                if(azb.lt.0.0) azb=azb+360.0d0

	 	      
	                azdot=azb-aza
	                if(abs(azb-aza+360.0d0).lt.abs(azdot)) azdot=azb-aza+360.0d0
	                if(abs(azb-aza-360.0d0).lt.abs(azdot)) azdot=azb-aza-360.0d0

		
			azdot=azdot/azeltime ! in units of deg/minute
			eldot=(elb-ela)/azeltime ! in units of deg/minute

C			call diff(rhstpa,rhstpb,n1)
C			call norm(rhte,rhteunit)
C			call dotp(n1,rhteunit,dp1,ang)
C			rate=dp1/(azeltime*60.0d0) !in units of m/s

			rangeb=dsqrt(rhstpb(1)**2+rhstpb(2)**2+rhstpb(3)**2)
			rangea=dsqrt(rhstpa(1)**2+rhstpa(2)**2+rhstpa(3)**2)

			rate=(rangeb-rangea)/(azeltime*60.0d0*1000.0d0) !in units of km/s


			range =range/1000.0d0 !in units of km
 
			timehr=(IUT-IUT1)/(60.0d0*60.0d0*60.0d0)

			write(24,345) ist,az,azdot,el,eldot,range,rate,timehr
345			FORMAT(2x,i3,2x,4(F8.3,2x),f14.3,2x,f10.3,f10.5)


			end if       !end if(PLOTAZEL) then



		

C
C                       THE PROCEDURE BELOW IS NECESSARY TO
C                       HANDLE EQUATORIAL AS WELL AS ALTAZ TELEMETRY
C                       STATIONS. THE "RA" AND "DEC" OF THE SATELITE
C                       ARE USED IN THE COMPUTATION. "RHSTP" IS THE
C                       POSITION VECTOR OF THE SATELITE RELATIVE TO THE
C                       TELEMETRY STATION.
C
                        IF (RHSTP(1).EQ.0D0) THEN
                            IF (RHSTP(2).GT.0D0) SATRA = PI/2D0
                            IF (RHSTP(2).LT.0D0) SATRA = -PI/2D0
                        ELSE
                            SATRA = DATAN2(RHSTP(2),RHSTP(1))
                            IF (SATRA.LT.0D0) SATRA = SATRA + 2D0*PI
                        END IF
                        SINSATDEC = RHSTP(3)/
     1                   DSQRT(RHSTP(1)**2 + RHSTP(2)**2 + RHSTP(3)**2)
                        COSSATDEC = DSQRT(1.D0 - SINSATDEC**2)
                        COSZAL = DCOS(ZALIMTE(IST)*RPDEG)

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> only for ndo400=',ndo400
	write(dbg,*) 'rhstp(1-3)=',(rhstp(n),n=1,3)
	write(dbg,*) 'satra=',satra	
      write(dbg,*)
	write(dbg,*) 'ist,zalimte(ist)=',ist,zalimte(ist)
	write(dbg,*) 'coszal=',coszal		
	endif      


                        COSHAL = (COSZAL - SLATTE(IST)*SINSATDEC)/
     1                      (CLATTE(IST)*COSSATDEC)
     
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> only for ndo400=',ndo400
      write(dbg,*) 'ist,slatte(),clatte()=',ist,slatte(ist),clatte(ist)
	write(dbg,*) 'coszal=',coszal	
	endif           
     
     
                        IF (COSHAL.GE.1.0) THEN
                            HAL = 0.0
                        ELSE IF (COSHAL.LE.-1.0) THEN
                            HAL = 12.0
                        ELSE
                            HAL = ACOS(COSHAL)/RPDEG/15.0
                        END IF

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> before hal=AMIN1(HALIMTE(IST),HAL)'
      write(dbg,*) 'ist,halimte(ist)=',ist,halimte(ist)
	write(dbg,*) 'hal=',hal	
      write(dbg,*) 'ist,gst,satra,telong(ist)=',ist,gst,satra,telong(ist)
	endif           

                        HAL = AMIN1(HALIMTE(IST),HAL)
                        HAA = (GST-SATRA-TELONG(IST))/RPDEG/15.0
                        HA = AMOD(HAA,24.0)
                        IF (HA.LT.-12.0) HA = HA+24.0
                        IF (HA.GT.12.0)  HA = HA-24.0

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> only for ndo400=',ndo400
      write(dbg,*) '> after hal=AMIN1(HALIMTE(IST),HAL)'
	write(dbg,*) 'ha,hal=',ha,hal	
	endif           
			
                                                ! Check pointing limits
                                                ! for the spacecraft's
                                                ! telemetry ant.  TANG
                                                ! is the angle between
                                                ! the spacecraft axis
                                                ! and the direction of
                                                ! the telemetry ant.
                                                ! TANG = 0 if telem ant
                                                ! points in opposite
                                                ! direction from main
                                                ! spacecraft ant.
                        TANG = (RHSTP(1)*SVEC(1,ISRC) + 
     1                         RHSTP(2)*SVEC(2,ISRC) +
     2                         RHSTP(3)*SVEC(3,ISRC)) /
     3                         (DSQRT(RHSTP(1)**2 + RHSTP(2)**2 +
     4                         RHSTP(3)**2))    ! Dot product.
                        TANG = DACOS(TANG)      ! Convert to radians.
                        TANG = TANG / RPDEG     ! Convert to degrees.
                        IF (TANG .LT. 0.D0) TANG = -1.0D0 * TANG
                                                ! Set VIS true if
                                                ! everything is OK.

C
C                       Weight telemetry quality factor matrix by estimate 
C                       of the number of hours satellite will be UP; anything
C                       more than TRLNGTIM hours is irrelevant;
C                       scale to unity; record current hour angle, NOT
C                       modulo 24 hours
C
                        IF ((IUT.GT.(IUT1-PRIOR)).AND.TRAKLONG) THEN
                            DHA = HAA - HALAST(IORB,IST)
                            IF (DHA.GT.0D0) THEN
                                HAFACT = IUT3*(6.0-HA)/(2.16E5*DHA)
                            ELSE IF (DHA.LT.0D0) THEN
                                HAFACT = IUT3*(6.0+HA)/(-2.16E5*DHA)
                            END IF
                            HAFACT = AMIN1(HAFACT,TRLNGTIM)/TRLNGTIM
                            TELEMAT(IORB,IST) = TELEMAT(IORB,IST)*HAFACT
                        END IF
                        HALAST(IORB,IST) = HAA

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> only for ndo400=',ndo400
      write(dbg,*) 'ist,priomat0(iorb,ist)=',ist,priomat0(iorb,ist)
	write(dbg,*) 'ha,hal=',ha,hal	
	write(dbg,*) 'hang,telangle=',hang,telangle		
	endif           

C
		       if(PRIOMAT0(IORB,ist).ge.1) then
                         VISIBLE(ist) = (abs(ha).lt.hal) .and. 
     -                                 (tang.le.telangle)
	               end if
c       write(*,*) 'visible(ist),ha,hal,tang,telangle=',
c     1  visible(ist),ha,hal,tang,telangle

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> visible() are generated in loop do ist=1,nst'
      write(dbg,*) '> which is inside if(telemetry):'
	write(dbg,*) '> visible(ist)= (abs(ha).lt.hal) .and. 
     -  (tang.le.telangle)'	
	write(dbg,*) '> and before vis = vis.or.visible(ist)'		
	endif           			

                        VIS = VIS .or. VISIBLE(ist)

! put viewplot stuff here

			if(VIEWPLOT) then
	   		 printview1=.false.
	   		 printview2=.false.
			  if(IUT.eq.IUT1) then
	                    if(ist.eq.1) then
				 open(29,file='viewplot.dat',status='new')
	    		     if(viewplot2) then
	 write(29,*) '======================================================
     1========================|'
		      write(29,425)
                      WRITE(29,435) ' ',STNAME(IS),
     1                (AEIOWM(J,IS),J=1,2),((AEIOWM(J,IS)/RPDEG),J=3,6)
	 write(29,*) '======================================================
     1========================|'
         write(29,'(1x,a,i4,a,f6.1)')
     1   'year: ',year,' integration step (seconds): ',iut3/60.0
	 write(29,*) '======================================================
     1========================|'
	 write(29,*) 'tracking  | pass    |  start time    |   stop time   
     1|start    stop    av arg |'
	 write(29,*) 'station   | length  |                |               
     1|mean     mean    of     |'
	 write(29,*) 'name      | in hr   | ddd:hh:mm:ss.s | ddd:hh:mm:ss.s
     1|anomaly  anomaly perigee|'
	 write(29,*) '==========|=========|================|===============
     1|========================|'
		             else
		                 write(29,'(1x,a)') stname(is)
			         write(29,*) nst
	                       do var=1,nst
		                 write(29,'(1x,a)') tename(var)
		               end do
			     end if 
			     end if
			     if(VISIBLE(ist)) then
				view(ist)=.true.
			        partial(ist)=.true.
			   tstart(ist)=1.0d0+(IUT)/(60.0d0*86400.0d0)
		           aopt(1,ist) = aeiowm(5,is)
		           mant(1,ist) = aeiowm(6,is)
                  	     else
	                        view(ist)=.false.
	                        partial(ist)=.false.
		             end if
			  else  ! else if(IUT.ne.IUT1)
		            if(view(ist).and.(.not.VISIBLE(ist))) then
                                 view(ist)=.false.
			    tstop(ist)=1.0d0+(IUT-IUT3)/(60.0d0*86400.0d0)
		           aopt(2,ist) = aeiowm(5,is)
		           mant(2,ist) = aeiowm(6,is)
		                tview=0.5d0*(tstart(ist)+tstop(ist))
	                 tlength=(tstop(ist)-tstart(ist))*24.0d0

	                      if(partial(ist)) then
!		write(29,291) ist,tview,tlength,aeiowm(5,is)/rpdeg
		                printview1=.true.
	                        partial(ist)=.false.
	 	              else
!		write(29,290) ist,tview,tlength,aeiowm(5,is)/rpdeg
			        printview2 = .true.
	                      end if

	
                           end if  ! end if(view(ist).and.(.not.VISIBLE

	                   if((.not.view(ist)).and.VISIBLE(ist)) then
	                       view(ist)=.true.
                         tstart(ist)=1.0d0+(IUT-IUT3)/(60.0d0*86400.0d0)
		           aopt(1,ist) = aeiowm(5,is)
		           mant(1,ist) = aeiowm(6,is)
	                   end if

		          if(IUT.gt.IUT2-IUT3) then
		            if(view(ist).and.VISIBLE(ist)) then
		               tstop(ist)=1.0+(IUT)/(60.0d0*86400.0d0)
		           aopt(2,ist) = aeiowm(5,is)
		           mant(2,ist) = aeiowm(6,is)
		            tview=0.5d0*(tstart(ist)+tstop(ist))
	                    tlength=(tstop(ist)-tstart(ist))*24.0d0

!		write(29,290) ist,tview,tlength,aeiowm(5,is)/rpdeg

			   printview2 = .true.
	    

			   end if
	                  end if  ! end if(IUT.gt.IUT2-IUT3)

	               end if  ! end if(IUT.eq.IUT1)


		   if(printview1.or.printview2) then
	            if(viewplot2) then

	 		 call cnvrt3(tstart(ist),dn(1),hr(1),mn(1),sd(1),1)
	 		 call cnvrt3(tstop(ist) ,dn(2),hr(2),mn(2),sd(2),1)

! correct for small time errors

		          do var = 1 ,2
		          if(sd(var).le. 0.0001) sd(var) = 0.0
		          if(sd(var).ge.59.9999) then
	                    sd(var) = 0.0
	  	            mn(var) = mn(var) + 1
		           if(mn(var).eq.60) then
				hr(var) = hr(var) + 1
	  			mn(var) = 0
			    end if
		           if(hr(var).eq.24) then
				dn(var) = dn(var) + 1
	  			hr(var) = 0
			    end if	                  	                   
	                 end if
			 end do

	    aopt(1,ist) = 0.5 * (aopt(1,ist) + aopt(2,ist))/rpdeg
	    aopt(1,ist) = amod(aopt(1,ist),360.0)


	 write(29,'(a8,1x,a2,f8.5,2(a2,i4,a1,i2,a1,i2,a1,f4.1),
     1   3(a1,f7.2),a2)')
     1     tename(ist),' |',tlength,
     1   ' |' ,dn(1),':',hr(1),':',mn(1),':',sd(1),
     1   ' |' ,dn(2),':',hr(2),':',mn(2),':',sd(2),
     1    '|' ,mant(1,ist)/rpdeg, ' ',mant(2,ist)/rpdeg,
     1   ' ',aopt(1,ist),' |'


!			 tlength=tlength*60.0

!	 write(29,'(1x,a8,1x,a15,f6.1,2(a7,1x,i4,1x,i2,1x,i2,1x,f4.1))')
!     1     tename(ist),' length(min): ',tlength,
!     1   ' start: ' ,dn(1),hr(1),mn(1),sd(1),
!     2   ' stop:  ' ,dn(2),hr(2),mn(2),sd(2)





		    else

	        if(printview1) then
		 write(29,291) ist,tview,tlength,aeiowm(5,is)/rpdeg
	        else
		 write(29,290) ist,tview,tlength,aeiowm(5,is)/rpdeg
		end if

	            end if

	             printview1 = .false.
	             printview2 = .false.

		   end if



290		format(i3,'  1 ',f12.6,1x,f12.6,1x,f12.2)
291		format(i3,' -1 ',f12.6,1x,f12.6,1x,f12.2)


		       end if  ! end if(VIEWPLOT)


                    END DO     ! END DO IST=1,NST


	if(debug_v.and.(ndo400.eq.ndo400dbg).and.is.eq.isdbg) then
	write(dbg,*)		
      write(dbg,*) '> after loop do ist=1,nst which is inside 
     1  if(telemetry)'
      write(dbg,*) '> only for ndo400 and is=',ndo400,isdbg
	write(dbg,*) 'nst,visible(1-nst)=',nst,(visible(n),n=1,nst)	
	write(dbg,*) 		
      write(dbg,*) '> and before up(is,isrc) = up(is,isrc).and.vis'
	write(dbg,*) 'is,isrc,up(is,isrc),vis=',is,isrc,up(is,isrc),vis		
	endif           			


                    UP(IS,ISRC) = UP(IS,ISRC).AND.VIS


	if(debug_v.and.(ndo400.eq.ndo400dbg).and.is.eq.isdbg) then
	write(dbg,*)		
      write(dbg,*) '> and after up(is,isrc) = up(is,isrc).and.vis'
	write(dbg,*) 'is,isrc,up(is,isrc)=',is,isrc,up(is,isrc)		
	endif           			


                END IF      ! END IF (TELEMETRY)

	


		if(IUT.eq.IUT1) then            
	          sum=0.0
		end if
	        IF (.NOT.ETEST) sum=sum+1.0

	        if(constraints) then
	         observe=.false.
	        else
	         observe=.true.
	        end if
 

	
		if(constraints.and.(IUT.eq.IUT1).and.(RAPCS)) then
		 if(optimize) then
	                 data=.false.
		         ground=.false.
		         uvplot=.false.
	                 maxobs(1)=0.0d0
	                 maxobs(2)=0.0d0
	                 maxobs(3)=0.0d0
	                 maxobs(4)=0.0d0
	                 maxobs(5)=0.0d0
	                 maxrad(5)=0.0d0
	                 obsrad(5)=0.0d0
	                 obsonly(5)=0.0d0
	                 yz(1,IS)=yzin(1)
	                 yz(2,IS)=yzin(2)
	                 yz(3,IS)=yzin(3)
                         rotyzmin=yzin(2)
                         rotyzmax=yzin(1) 
	         else
		   if(raoption.eq.6) then
                         yz(1,IS)=angyz
		         yz(2,IS)=angyz
		         yz(3,IS)=100.0d0
	           else
	                 open(28,file='optimize.dat',status='old')
	              do var2=1,5
		         read(28,*) (datain(var2,var),var=1,6)
	              end do
		      write(19,225) (datain(raoption,var),var=1,6)
	                 close(28)
	            if(raoption.le.4) then
	                 yz(1,IS)=datain(raoption,1)
		         yz(2,IS)=yz(1,IS)
		         yz(3,IS)=100.0d0
	   	    end if
	                 obsonlyin=datain(raoption,2)
	                 maxradin =datain(raoption,4)
C	                 write(*,*) 'reading from file optimize.dat'
C		         write(*,*) 'raoption, obsonlyin, maxradin '		     
C	                 write(*,*)  raoption, obsonlyin, maxradin 
		   end if      ! end if(raoption.eq.6)
	         end if      ! end if(optimize)
	        end if      ! end if(constraints.and.(IUT.eq.IUT1).and.(.not.
	        
	       
	           	        

		if(constraints.and.NORAPCS.and.(TYPSAT(IS).eq.1)
     1            .or.(TYPSAT(IS).eq.3)) then


		         yz(1,IS)=0.0
	 		 yz(2,IS)=0.0
	  	         yz(3,IS)=10.0

	 	 
                  if(TELOPT(IS).ge.4) then
                    if(skyplot.or.yzplot) then
                         yz(1,IS)=0.d0
                         yz(2,IS)=180.d0
                         yz(3,IS)=180.d0
                    else
                         yz(1,IS)=angyz
                         yz(2,IS)=angyz
                         yz(3,IS)=100.d0
                    end if
                  end if

		end if      ! end if(constraints.and.NORAPCS.(TYPSAT(IS).eq.1))
 
			
		if(constraints.and.NORAPCS.and.(TYPSAT(IS).eq.2)
     1            .or.(TYPSAT(IS).eq.4)) then
	         if(IUT.le.IUT1) then
!		         yz(1,IS)=0.0
!	 		 yz(2,IS)=360.0
!	  	         yz(3,IS)=5.0
	                 yz(1,IS)=yzin(1)
	                 yz(2,IS)=yzin(2)
	                 yz(3,IS)=yzin(3)	 	 
                 end if
		end if      ! end if(constraints.and.NORAPCS.(TYPSAT.eq.2(IS))) 

	        if(PLOTGRT.or.PLOTCONS.or.ECLIPLOT) then
	         if(.not.constraints) then
		         yz(1,IS)=0.0
	 		 yz(2,IS)=0.0
	  	         yz(3,IS)=10.0
	         end if
	        end if



		do IST=1,NST
	         viscon(IST) = VISIBLE(IST)
	        end do

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> viscon() is initiated by visible() before call 
     1 cons()'
      write(dbg,*) '> only for ndo400=',ndo400
      write(dbg,*) 'nst,viscon(1-nst)=',nst,(viscon(n),n=1,nst)	
	endif           			


!  		write(*,*) 'IS, TYPSAT(IS),YZ(1,IS),YZ(2,IS),YZ(3,IS) '
!		write(*,*)  IS, TYPSAT(IS),YZ(1,IS),YZ(2,IS),YZ(3,IS) 
			
	       if(constraints.or.PLOTGRT.or.PLOTCONS.or.ECLIPLOT) then
                IF (COMPLOT.OR.RAPCS.OR.VIS.
     1           OR.(.NOT.NOOUT).OR.(ECLIPMULT.NE.0.).
     2 	         OR.ECLIPLOT.or.plotsat) THEN

!	      write(*,*) 'CALL CONS at time (hr)',(IUT-IUT1)/(60.0**3)

		if(debug_v.and.(ndo400.eq.ndo400dbg)) then
c	write(dbg,*)		
c      write(dbg,*) '> before call cons()'
c      write(dbg,*) '> only for ndo400=',ndo400
c      write(dbg,*) 'todayjd,iday,IUT=',todayjd,iday,IUT	
       write(dbg,*) 'isrc,SVEC(1-3,ISRC)=',isrc,(SVEC(i,ISRC),i=1,3)	
c      write(dbg,*) 'is,RHST(1-6,is)=',is,(RHST(i,is),i=1,6)
c      write(dbg,*) 'RHTE1,nst,VISIBLE,obs=',RHTE1,nst,VISIBLE,obs
      write(dbg,*) 'consplot1,out2=',consplot1,out2
      write(dbg,*) 'nst,VISIBLE(1-nst)=',nst,(VISIBLE(i),i=1,nst)
      write(dbg,*) 'is,yz(1-3,IS)=',is,(yz(i,IS),i=1,3)
c      write(dbg,*) 'consplot1,out2,NORAPCS=',consplot1,out2,NORAPCS	
      write(dbg,*) 'is,TELOPT(IS)=',is,TELOPT(IS)	      
      write(dbg,*) 'TELANG,SUNANG=', tELANG,SUNANG
c      write(dbg,*) 'IUT1,azeltime,ECLIPLOT=',IUT1,azeltime,ECLIPLOT
c      write(dbg,*) 'is,AEIOWM(2,is),AEIOWM(6,is)=',is,AEIOWM(2,is),
c     1 AEIOWM(6,is)	      
      write(dbg,*) 'TYPSAT(IS)=',is,TYPSAT(IS)
c      write(dbg,*) 'is,apply(1-20,IS)=',is,(apply(i,IS),i=1,20)	      
c      write(dbg,*) 'RHSTA(1-6,is)=',(RHSTA(i,is),i=1,6)	      
      write(dbg,*) 'yz1(1-nst)=',(yz1(i),i=1,nst)
      write(dbg,*) 'is,telopt(is)=',is,telopt(is)
      write(dbg,*) 'nst,visible(1-nst)=',nst,(visible(i),i=1,nst)
      write(dbg,*) 'out1,consplot1 - out2=',consplot1,out2
      write(dbg,*) 'norapcs,vis,complot=',norapcs,vis,complot      
      write(dbg,*) 'ecliplot=',ecliplot            
      write(dbg,*) 'is,apply(1-20,is)=',is,(apply(i,is),i=1,20)                  
      write(dbg,*) 'rig,powerbud,powerplt=',rig,powerbud,powerplt                        
      write(dbg,*) 'eclip,cooler,yzplot,plotsat=',eclip,cooler,
     1  yzplot,plotsat
      write(dbg,*) 'nosunang=',nosunang      
c      write(dbg,*) '=',
c      write(dbg,*) '=',
c      write(dbg,*) '=',
c      write(dbg,*) '=',
c      write(dbg,*) '=',      
	endif           			    

             		CALL CONS(todayjd,iday,IUT,SVEC(1,ISRC),RHST(1,is),
     2          RHTE1,nst,VISIBLE,obs,yz(1,IS),consplot1,out2,NORAPCS,
     3          TELOPT(IS),TELANG,SUNANG,VIS,COMPLOT,
     4          IUT1,azeltime,ECLIPLOT,
     5          AEIOWM(2,is),AEIOWM(6,is),viscon,TYPSAT(IS),apply(1,IS),
     6          RHSTA(1,is),RHTE1A,RHSTB(1,is),RHTE1B,IORB,RIG,
     7	        AEIOWM(1,is),IUT3,TREC,year,yepoch,mepoch,depoch,
     8          POWERBUD,POWERPLT,batcap,eclip,teclip,gps,cooler,PRIOR,
     9          CONSVER,yzplot,PLOTSAT,yz1(1),angte(1),ang_source(1),
     A          ang_es,NOSUNANG,sunavoid(1),teldir2(1),telangle2)

		if(debug_v.and.(ndo400.eq.ndo400dbg)) then
       write(dbg,*) 'afther call cons()'
      write(dbg,*) 'nst,VISIBLE(1-nst)=',nst,(VISIBLE(i),i=1,nst)  
      write(dbg,*) 'norapcs,vis,complot=',norapcs,vis,complot                 	
      write(dbg,*) 'ecliplot=',ecliplot                  
      write(dbg,*) 'is,apply(1-20,is)=',is,(apply(i,is),i=1,20)                        
      write(dbg,*) 'rig,powerbud,powerplt=',rig,powerbud,powerplt                        
      write(dbg,*) 'eclip,cooler,yzplot,plotsat=',eclip,cooler,
     1  yzplot,plotsat
      write(dbg,*) 'nosunang=',nosunang      
	endif           			    
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> values of viscon() after call  cons()'
      write(dbg,*) '> only for ndo400=',ndo400
      write(dbg,*) 'nst,viscon(1-nst)=',nst,(viscon(n),n=1,nst)	
	endif           			



c                   IF(obs(1,2).gt.0.5d0) observe=.true.
                   IF(obs(1,2).gt.0.5d0) observe=.true.		   

		END IF
	       end if      ! end if(constraints)

                IF (constraints.and.ETEST) GO TO 400

		if(constraints) numyz=1+idint((yz(2,IS)-yz(1,IS))/yz(3,IS))

		if(constraints.and.yzplot) then
		 if(IUT.eq.IUT1) then
                  write(27,'(1x,I4,1x,I5,3(1x,I2))') 
     1            YEAR,DAY1+1,IHR1,IMIN1,ISEC1
		  write(27,*) 0.0,(IUT2-IUT1)/(60.0d0**3),IUT3/(60.0d0**3)
!		  write(27,*) yz(1,IS),yz(2,IS)
	          if(typsat(is).eq.1) then
		   write(27,*) -10.0,190.0,5.0
	          else
		   write(27,*) 0.0,360.0,yz(3,is)
	          end if
		 end if
		 do var=1,numyz	
	          if(obs(var,2).gt.0.5) then         

C-gam	           write(27,*) (IUT-IUT1)/(60.0d0**3),mod(obs(var,1),360)
	           write(27,*) (IUT-IUT1)/(60.0d0**3),mod(obs(var,1),dble(360))

		  end if
	         end do
		end if      ! end if(constraints.and.yzplot)

	        if(.not.constraints.and.skyplot) then
                  do var=1,ns
                    if(STATYP(var).eq.2.and.UP(var,ISRC)) maxobs(1)=maxobs(1)+1
                  end do
	        end if


	        if(constraints.and.NORAPCS) then
		  do add=1,numyz
		    if(IUT.eq.IUT1) then
		           tobs(add,1)=0.0d0
		    end if
		    if(VIS) then
		           tobs(add,1)=tobs(add,1)+obs(add,2)
		    end if
		  end do      ! end do add=1,numyz
		  if(IUT.ge.IUT2-IUT3) then
C		 write(OUTC,*) 'angle   number of times constraints met'
		    if(out2) then
		 write(20,*) 'angle   number of times constraints met'
		    end if
	       	    do add=1,numyz
C	                    write(OUTC,124) obs(add,1),tobs(add,1)
	                  if(out2) write(20,123) obs(add,1),tobs(add,1)
124		            format(1x,f8.3,2x,f6.2)
		    end do
		            maxobs(1)=tobs(1,1)
		            maxyz(1)=obs(1,1)
		    if(numyz.ge.2) then
		      do var=2,numyz
	                if(tobs(var,1).ge.maxobs(1)) then
	                    maxobs(1)=tobs(var,1)
	                    maxyz(1)=obs(var,1)
	                end if
		      end do
		    end if
C		            write(OUTC,*) ' '
	                    if(out2) write(20,*) ' '
		    if(maxobs(1).gt.0.0d0) then
C		            write(OUTC,*) 'optimum yz-angle is ',maxyz
		     if(out2) write(20,*) 'optimum yz-angle is ',maxyz
	            else
C	               write(OUTC,*)'***constraints cannot be met !***'
	        if(out2) write(20,*)'***constraints cannot be met !***'	               
  		    end if
		  end if      ! end if(IUT.ge.IUT2-IUT3) then
	  
	          if(STATYP(IS).eq.2) UP(IS,ISRC)=observe

	        end if      ! end if(constraints.and.NORAPCS)
	     





		if(constraints.and.(.not.NORAPCS).and.optimize) then
   		        notfound1=.true.  		    
		        notfound2=.true.
		        notfound3=.true.
		  do add=1,numyz
                        tobs(add,1)=obs(add,1)
		    if(IUT.eq.IUT1) then
		        tobs(add,2)=0.0d0
		        tobs(add,3)=0.0d0
		        tobs(add,4)=0.0d0
		    end if		 
		    if(VIS) then
		        tobs(add,2)=tobs(add,2)+obs(add,2)
		        tobs(add,3)=tobs(add,3)+obs(add,3)
	              if(notfound1.and.obs(add,3).gt.0.5) then
                         notfound1=.false.
	                 maxobs(5)=maxobs(5)+1.0d0
		      end if
		      if(notfound3.and.obs(add,2).gt.0.5) then
                         notfound3=.false.
	                 obsrad(5)=obsrad(5)+1.0d0
		      end if
		    end if
 		        tobs(add,4)=tobs(add,4)+obs(add,4)
		    if(notfound2.and.obs(add,4).gt.0.5) then
                         notfound2=.false.
	                 maxrad(5)=maxrad(5)+1.0d0
		    end if
C	                if(obs(add,1).lt.rotyzmin) rotyzmin=obs(add,1) 	            
C 		        if(obs(add,1).gt.rotyzmax) rotyzmax=obs(add,1) 	
C		        write(*,*) 'numyz ',add
C		        write(*,*) 'obs(add,i) i=1,4'
C	write(*,*) obs(add,1),obs(add,3),obs(add,3),obs(add,4)			
C		        write(*,*) 'tobs(add,i) i=1,4'
C	write(*,*) tobs(add,1),tobs(add,3),tobs(add,3),tobs(add,4)	
	          end do      ! end do add=1,numyz
	        end if      ! end if(constraints.and.(.not.NORAPCS).and.optimize

		if(constraints.and..not.NORAPCS) then
		     timerad=(radtime*60.0d0*60.0d0)/(IUT3/60.0d0)
		     timetot=(24.0*60.0d0*60.0d0)/(IUT3/60.0d0)
	        end if


	if(constraints.and..not.NORAPCS.and.IUT.gt.IUT2-IUT3.
     1  and.optimize) then


C  maxobs(1) 
C    is the amount of time we could observe  if all the constraints including
C    the radiator normal earth constraint had to be met at any given epoch 
C    to observe
C  maxobs(2) 
C    is the amount of time we could observe if we are NOT allowed to rotate the
C    satellite and the radiator normal earth constraint has to be met 
C    for 21/24 hrs
C  maxobs(3) 
C   is the amount of time we could observe if we are allowed to rotate the
C   satellite and the radiator normal earth constraint has to be met for 
C   21/24 hrs but NO rotation is allowed when we are 'observing'.
C maxobs(4) 
C   is the amount of time we could observe if there were no radiator normal
C   earth constraint
C maxobs(5) 
C  is the amount of time we could observe if we are allowed to rotate the
C  satellite and the radiator normal earth constraint has to be met 
C  for 21/24 hrs but rotation (about x-axis) is allowed 
C  when we are 'observing'.


		        obsonly(5)=maxobs(5)-obsrad(5)	
  
		   if((maxobs(5)-obsrad(5)).gt.(timetot-timerad)) then	              
		        maxobs(5)=obsrad(5)+(timetot-timerad)
	                maxrad(5)=timerad
	           else
	                maxrad(5)=timetot-(maxobs(5)-obsrad(5))
	           end if	               
		   do add=1,numyz	        	              
		        obsang(add,1)=tobs(add,2)
		        obsang(add,2)=tobs(add,3)
		        obsang(add,3)=tobs(add,3)
	                obsang(add,4)=tobs(add,3)
	               if(tobs(add,4).le.timerad)   obsang(add,2)=0.0d0
	             if((tobs(add,3)-tobs(add,2)).gt.(timetot-timerad))  then
	                obsang(add,3)=tobs(add,2)+(timetot-timerad)
	             end if
	           end do
	           do var=1,4
	                maxobs(var)=obsang(1,var)
	                maxyz(var)=obs(1,1)
			maxrad(var)=tobs(1,4)
	                obsrad(var)=tobs(1,2)
	                obsonly(var)=tobs(1,3)-tobs(1,2)
	           end do		     
		   if(numyz.ge.2) then
		     do var=2,numyz
	               do var2=1,4
	                 if(obsang(var,var2).ge.maxobs(var2)) then
	                       maxobs(var2)=obsang(var,var2)
	                       maxyz(var2)=obs(var,1)
		               maxrad(var2)=tobs(var,4)
	                       obsrad(var2)=tobs(var,2)
	                       obsonly(var2)=tobs(var,3)-tobs(var,2)
	                   if(var2.eq.3) then
	                     if((tobs(var,3)-tobs(var,2)).gt.(timetot-timerad))  then
			       maxrad(3)=timerad
	                     else
	                       maxrad(3)=timetot-(tobs(var,3)-tobs(var,2))
	                     end if
                           end if
                         end if	
	               end do      ! end do var2=1,4
		     end do      ! end do var=2,numyz
	             if(maxobs(2).lt.0.5) then
	                     maxrad(2)=tobs(1,4)
                             maxyz(2)=obs(1,1)
	               do var=2,numyz
	                 if(tobs(var,4).gt.maxrad(2)) then
	                     maxrad(2)=tobs(var,4)
                             maxyz(2)=tobs(var,1)
                         end if
	               end do
                     end if                   
		   end if      ! end if(numyz.ge.2)

	     if(.not.skyplot) then
C		 write(*,*) 'opening optimize.dat at IUT',IUT
		 open(28,file='optimize.dat',status='new')
	       do var=1,5	           
	        write(28,225) maxyz(var),obsonly(var),obsrad(var),
     1           maxrad(var),timerad,timetot
	       end do
	         write(28,*) ' '
	write(28,*) 'This file created using the options: OPTIMIZE'
	write(28,*) 'with NO SKYPLOT or UVPLOT'
 	write(28,*) 'Can be used with the options: UVPLOT, RAOPTION and'
	write(28,*) 'NO SKYPLOT or NO OPTIMIZE to produce UVPLOTS' 
	write(28,*) 'for different RAOPTIONs'
	write(28,*) ' '	     
        write(28,*) 'The columns are as follows'
	write(28,*) '(in units of integration time)'
	write(28,*) '1 = optimum yz rotation angle'
	write(28,*) '2 = time all other constraints are met '
	write(28,*) 'but radiator is broken'
	write(28,*) '(if we are NOT allowed to rotate to met'
	write(28,*) 'radiator constraint)'
	write(28,*) '3 = time all other constraints and radiator is met'
	write(28,*) '4 = time radiator constraint is met'
        write(28,*) '5 = time radiator constraint must be met '
	write(28,*) '(if applicable)'
	write(28,*) '6 = 24 hr observation'
	write(28,*) ' '
	write(28,*) 'Rows are for different values of RAOPTION.' 
	write(28,*) ' nth row is for RAOPTION = n'
 	         close(28)
225		 format(1x,f5.1,5(1x,f8.1))		
C  	write(OUTC,*) 'yz-angle Number of times constraints met'
	       if(out2) then		
	write(20,*) 'yz-angle Number of times constraints met'
	       end if
	       do add=1,numyz
C		 write(OUTC,123), tobs(add,1),obsang(add,3)
		 if(out2) write(20,123) tobs(add,1),obsang(add,3)
123		 format(1x,f8.3,2x,f6.2)
	       end do
C	write(*,*) 'timerad,timetot ',timerad,timetot
C	write(*,*) 'numyz ',add
C	write(*,*) 'tobs(add,i) i=1,4'
C	write(*,*) tobs(add,1),tobs(add,2),tobs(add,3),tobs(add,4)
C	write(*,*) 'maxobs(i) i=1,4'
C	write(*,*) maxobs(1),maxobs(2),maxobs(3),maxobs(4)
C	write(OUTC,*) ' '
	         if(out2) write(20,*) ' '
C	write(OUTC,*) 'ability to rotate spacecraft to meet'
C	write(OUTC,*) 'radiator constraint'
	       if(maxobs(3).gt.0.0d0) then
C	write(OUTC,*) 'optimum yz-angle is ',maxyz(3)
		  if(out2) write(20,*) 'optimum yz-angle is ',maxyz(3)
	       else
C	write(OUTC,*) '***constraints cannot be met !***'
	if(out2) write(20,*) '***constraints cannot be met !***'
	       end if
	     end if      ! end if(.not.skyplot)

	end if      ! end if(constraints.and.not.NORAPCS.and.IUT.gt.IUT2-IUT3.

	if(constraints.and.(.not.optimize).and.(.not.NORAPCS)) then
	  do var=1,ns	  
	    if(STATYP(var).eq.2) then
	              UP(var,ISRC)=.false.
	        if(IUT.eq.IUT1) then
		        miss=obsonlyin-(timetot-timerad)
C	write(*,*) 'raoption,maxyz(raoption),obsonlyin,maxradin '
C	write(*,*)  raoption,maxyz(raoption),obsonlyin,maxradin' 
C	write(*,*) 'time for obs start, miss, obsonlyin' 
C	write(*,*) 'timerad, timetot'
	        end if
C	write(*,*) (IUT-IUT1)/60.0**3, miss, obsonlyin, timerad, timetot
	  	if(raoption.eq.1) then
                        if(obs(1,2).gt.0.5) UP(var,ISRC)=.true.
	        end if
	        if(raoption.eq.2) then
	          if(maxradin.gt.timerad) then
                        if(obs(1,3).gt.0.5) UP(var,ISRC)=.true.
	          end if
	        end if                
	        if(raoption.eq.3) then
                        if(obs(1,2).gt.0.5) UP(var,ISRC)=.true.
	          if((obs(1,3)-obs(1,2)).gt.0.5) then
                        if(miss.le.0.5) UP(var,ISRC)=.true.
	                miss=miss-1.0d0
	          end if
	        end if
	        if(raoption.eq.4) then
                       if(obs(1,3).gt.0.5) UP(var,ISRC)=.true.
	        end if
	        if(raoption.eq.5) then
                       if(.not.notfound2) UP(var,ISRC)=.true.
	          if(notfound2.and.(.not.notfound1)) then
                       if(miss.le.0.5) UP(var,ISRC)=.true.
	               miss=miss-1.0d0
	          end if
	        end if
	    end if      ! end if(STATYP(var).eq.2)
	  end do      ! end do var=1,ns	  
	end if      ! end if(constraints.and.(.not.optimize).and.(.not.NORAPCS))


		if(VELPLOT) then

! VELPLOT only works with one spacecraft because
! conflict resolution is not taken into account
! DWM 23-June-92

		    velvis=.false.

		  do var=1,nst
		   if(viscon(var)) velvis=.true.
		  end do

	          dotpv= RHST(4,IS)*SVEC(1,ISRC)
     1                  +RHST(5,IS)*SVEC(2,ISRC)
     2                  +RHST(6,IS)*SVEC(3,ISRC)

	         write(36,*) sngl(iut-iut1)/216000.0,sngl(dotpv),
     1            velvis,(viscon(var),var=1,nst)
	       
	         write(36,*) sngl(SVEC(1,ISRC)),
     1                       sngl(SVEC(2,ISRC)),
     2                       sngl(SVEC(3,ISRC))

	         write(36,*) sngl(RHST(1,IS)),
     1                       sngl(RHST(2,IS)),
     2                       sngl(RHST(3,IS))

	         write(36,*) sngl(RHST(4,IS)),
     1                       sngl(RHST(5,IS)),
     2                       sngl(RHST(6,IS))


	        end if






	        if(TELOUT.or.ground.or.telplot) then
		
		
C
C  Extract orbiter lattitude and longitude
C
                orb1(1) =  rhst(1,is)*cost + rhst(2,is)*sint
                orb1(2) = -rhst(1,is)*sint + rhst(2,is)*cost
                orb1(3) = rhst(3,is)
                range = dsqrt(orb1(1)**2+orb1(2)**2+orb1(3)**2)
                olat1 = dasin(orb1(3)/range)/rpdeg
                olong1 = datan2( orb1(2), orb1(1) )/rpdeg
                if (olong1.gt.wldmax) olong1 = olong1 - 360.0
                if (olong1.lt.wldmin) olong1 = olong1 + 360.0


c  Calculate change in displacement of orbiter

                disp = 0.0d0

                if (IUT.gt.IUT1) then

                  do i=1,3
!                   dispvec(i) = rhstold(i) - rhst(i,ist)
                    dispvec(i) = rhstold(i) - rhst(i,is)
                    disp = disp + dispvec(i)**2
                    rhstold(i) = rhst(i,ist)
                  end do
                  disp = dsqrt(disp)
                  costheta = 0.0
                  do i=1,3
                    dispvec(i) = dispvec(i)/disp
                    costheta = costheta + dispvec(i)*svec(i,ISRC)
                  end do
                  disp = disp*sqrt(1.0-costheta**2)
c  If first time then displacement=0
                else
                  disp = 0
                  do i=1,3
!                   rhstold(i) = rhst(i,ist)
                    rhstold(i) = rhst(i,is)
                  end do

                end if      !end if (IUT.gt.IUT1)


!               if (IUT.eq.IUT1) then
                if (IUT.le.IUT1) then
	         if(ground.and..not.grtmap) then
                  call pgmove( olong1, olat1 )
	         end if
                  seearc = 0.0d0
                  satarc = 0.0d0
                  nsee = 0
	          nsat = 0
  	          VISold=VIS

		do i=1,12
	         do j=1,2*nst
	    	  combs(i,j)=0.0d0
	         end do
	        end do		

                end if      !end if (IUT.le.IUT1)
!               end if      !end if (IUT.eq.IUT1)




c  Add UP the various VISibility quantities for the different telemetry stations

                if (VIS) then
                  nsee = nsee + 1
                  seearc = seearc + disp
                  if (ground.and..not.grtmap) then
	            CALL PGSLW(LINEWD)
!		    call pgslw(2)
		    call PGSCI(igreen) ! 3 = green
	            call pgsls(1)
                  end if
                else
                  if (ground.and..not.grtmap) then
		    CALL PGSLW(LINEWD)
!		    call pgslw(1)
		    call PGSCI(ired)         
		    call pgsls(4)
	         end if
                end if      !end if (VIS)

		if(ground.and..not.grtmap) then

	         if(VISold.ne.VIS) then

		   call PGSCI(iyellow)   

	           CALL PGSLW(LINEWD)
!	           call pgslw(1)
	           call pgsls(3)
	 	 end if

		   VISold=VIS

		end if


c  Now run through all the combinations and see what we can and can't see

!                i = 0
!                gotcomb = .false.
!                do while (.not.gotcomb .and. i.lt.2**nst)
!                  i = i + 1
!                  j = 0
!                  match = .true.
!                  do while (j.lt.nst .and. match)
!                    j = j + 1
!                    match = match .and. VISIBLE(j).eq.mask(j,i)
!                  end do
!                  gotcomb = match
!                end do
!                if (gotcomb) then
!                  combs(1,i) = combs(1,i) + 1.0
!                  combs(2,i) = combs(2,i) + disp
!                end if




! include a limited range of heights  DWM 5-AUG-92


	       if(NORB.eq.1) then

                 do i=1,2**nst
                  match(1) = .false.
                  j = 0
                  do while (.not.match(1) .and. j.lt.nst)
                    j = j + 1
                    match(1) = VISIBLE(j) .and. mask(j,i)
  		    if(hkm(var).lt.h1km.or.hkm(var).gt.h2km) match(1)=.false.
                  end do
                  if (match(1)) then
                    combs(3,i) = combs(3,i) + 1.0
                    combs(4,i) = combs(4,i) + disp
                  end if
                end do !do i=1,2**nst

	        else

	         if(IORB.eq.1) then

	           do j=1,nst
	            VISIBLEOLD(j)=VISIBLE(j)
	           end do

	         else

                 do i=1,2**nst
	          do var = 1, 2

	            nmatch(var)  = 0
	            match(var) = .false.

!		   write(*,*) 'var,hkm(var),h1km,h2km: ',var,hkm(var),h1km,h2km
	            

                  do j = 1, nst
                    tmatch(j,var)  = .false.
	           if(PRIOMAT0(var,j).gt.0) then
	            if(var.eq.1) then
                    tmatch(j,var)    = VISIBLEOLD(j) .and. mask(j,i)
	            else
                    tmatch(j,var)    = VISIBLE(j) .and. mask(j,i)
	            end if

  		    if(hkm(var).lt.h1km.or.hkm(var).gt.h2km) then
	              tmatch(j,var)=.false.
		    end if


	            if(tmatch(j,var)) then
	              match(var) = .true.
	              nmatch(var) = nmatch(var) + 1
	              if(var.eq.1) then
	               jtrack1=j
	              else
	               jtrack2=j
	              end if	      
	            end if
	           end if 
                  end do !do j = 1, nst 


                  if (var.eq.2) then
	           if(match(1)) then
                    combs(3,i) = combs(3,i) + 1.0
                    combs(4,i) = combs(4,i) + disp
                   end if
	           if(match(2)) then
                    combs(7,i) = combs(7,i) + 1.0
                    combs(8,i) = combs(8,i) + disp
                   end if
	           if(nmatch(1).eq.1.and.nmatch(2).eq.1) then
	            if(jtrack1.eq.jtrack2) then
                     combs(11,i) = combs(11,i) + 1.0
                     combs(12,i) = combs(12,i) + disp
	            end if
	           end if
	          end if ! if (NORB.eq.2)
      
	          end do ! do var = 1, NORB
                 end do !do i=1,2**nst

	         end if !if(IORB.eq.1)

	        end if !if(NORB.eq.1)

! include effect of spacecraft constraints DWM 5-AUG-92


	       if(NORB.eq.1) then

                do i=1,2**nst
                  match(1) = .false.
                  j = 0
                  do while (.not.match(1) .and. j.lt.nst)
                    j = j + 1
                    match(1) = viscon(j) .and. mask(j,i)
  		    if(hkm(var).lt.h1km.or.hkm(var).gt.h2km) match(1)=.false.
                  end do
                  if (match(1)) then
                    combs(1,i) = combs(1,i) + 1.0
                    combs(2,i) = combs(2,i) + disp
                  end if
                end do

         
	        else

	         if(IORB.eq.1) then

	           do j=1,nst
	            visconold(j)=viscon(j)
	           end do

	         else

                 do i=1,2**nst
	          do var = 1, 2

	            nmatch(var)  = 0
	            match(var) = .false.
	            

                  do j = 1, nst
                    tmatch(j,var)  = .false.
	           if(PRIOMAT0(var,j).gt.0) then
	            if(var.eq.1) then
                    tmatch(j,var)    = VISIBLEOLD(j) .and. mask(j,i)
	            else
                    tmatch(j,var)    = VISIBLE(j) .and. mask(j,i)
	            end if

  		    if(hkm(var).lt.h1km.or.hkm(var).gt.h2km) then
	               tmatch(j,var)=.false.
	            end if

	            if(tmatch(j,var)) then
	               match(var) = .true.
	               nmatch(var) = nmatch(var) + 1 
	              if(var.eq.1) then
	               jtrack1=j
	              else
	               jtrack2=j
	              end if	      
	            end if
	           end if 
                  end do !do j = 1, nst 


                  if (var.eq.2) then
	           if(match(1)) then
                    combs(1,i) = combs(1,i) + 1.0
                    combs(2,i) = combs(2,i) + disp
                   end if
	           if(match(2)) then
                    combs(5,i) = combs(5,i) + 1.0
                    combs(6,i) = combs(6,i) + disp
                   end if
	           if(nmatch(1).eq.1.and.nmatch(2).eq.1) then
	            if(jtrack1.eq.jtrack2) then
                     combs(9,i) = combs(9,i) + 1.0
                     combs(10,i) = combs(10,i) + disp
	            end if
	           end if
	          end if ! if (NORB.eq.2)
      
	          end do ! do var = 1, NORB
                 end do !do i=1,2**nst

	         end if !if(IORB.eq.1)

	        end if !if(NORB.eq.1)












! Note: satarc and disp only work with one orbiter 
! DWM 16-Dec-93

		if(IORB.eq.1) then
                 nsat = nsat + 1
                 satarc = satarc + disp
	        end if



                if (ground.and..not.grtmap) then
                  if ( sqrt((olong1-olong2)**2+(olat1-olat2)**2)
     -               .gt.90.0) then
                    call pgmove( olong1, olat1 )
                  else
		   if((.NOT.VIS.AND.NORED).OR.(hkm(IORB).lt.h1km).OR.(hkm(IORB).gt.h2km)) then
                    call pgmove( olong1, olat1 )
	           else
                    call pgdraw( olong1, olat1 )
		   end if
                  end if

!               end if      !end if (ground)

                olong2 = olong1
                olat2 = olat1

	          if(TICKPLOT) then
                    CALL PGSLW(NDOTSZ)
	           if((hkm(IORB).ge.h1km).and.(hkm(IORB).le.h2km)) then
	            if(NORED) then
	             if(VIS) then
       call pgpoint(1,olong1,olat1,17)
		     end if
		    else
               call pgpoint(1,olong1,olat1,17)
 	            end if
	           end if
	            CALL PGSLW(LINEWD)
	          end if

                end if      !end if (ground)


            end if      ! end if(TELOUT.or.ground.or.telplot)
C
C           Apply the results of the constraints tests to the
C           telemetry quality factor matrix
C
            DO IST=1,NST

! *** alter program to take spacecraft constraints into account !
! *** DWM 1 AUGUST 1991 
!                IF (.NOT.VISIBLE(IST)) TELEMAT(IORB,IST)=0.0

                 IF (.NOT.viscon(IST)) TELEMAT(IORB,IST)=0.0


            END DO
C
          end if      ! end ELSE IF (STATYP(IS).EQ.2)

  315 CONTINUE      ! END DO 315 IS=1,NS
C
C Apply telemetry rules, if appropriate, to see if orbiters can be tracked
C with the current set of stations
C
     
      IF (ORBITERS.AND.TELEMETRY) THEN
C
C         Assign orbiters which can be tracked by only one station
C         to that station, if desired.  Note:  this can assign more
C         than one orbiter to a given station if those orbiters can
C         only be seen by that station
C

!	  write(*,*) 'time (hr) ',(iut-iut1)/(60*60*60)
!	  write(*,*) 'PRIOMAT in :'
!	  DO IORB=1,NORB
!	  write(*,*) (PRIOMAT(IORB,IST),IST=1,NST)
!	  END DO
!	  write(*,*) 'TELEMAT in :'
!	  DO IORB=1,NORB
!	  write(*,*) (TELEMAT(IORB,IST),IST=1,NST)
!	  END DO



          IF (UNIQUE) THEN
              DO IORB=1,NORB
                  DO IST=1,NST
                      FLAGGED(IORB,IST) = .FALSE.
                  END DO
              END DO
              FOUNDSOME = .TRUE.
              DO WHILE (FOUNDSOME)
                  DO IST=1,NST
                      TEFOUND(IST) = .FALSE.
                  END DO
                  FOUNDSOME = .FALSE.
                  DO IORB=1,NORB
                      NTELEM = 0
                      DO IST=1,NST
                          IF (TELEMAT(IORB,IST).GT.0.0) THEN
                              NTELEM = NTELEM + 1
                              IST1 = IST
                          END IF
                      END DO
C                     Flag orbiters with only one tracking station
C                     (flag only those not already flagged)
                      IF ((NTELEM.EQ.1).AND. .NOT.FLAGGED(IORB,IST1))
     1                    THEN
                          FLAGGED(IORB,IST1) = .TRUE.
                          TEFOUND(IST1) = .TRUE.
                          FOUNDSOME = .TRUE.
                      END IF
                  END DO
C                 Now eliminate other orbiters which those stations can track
C                 if they can be tracked by some other station
                  DO IST=1,NST
                      IF (TEFOUND(IST)) THEN
                          DO IORB=1,NORB
                              IF (.NOT.FLAGGED(IORB,IST)) THEN
                                  TELEMAT(IORB,IST) = 0.0
                              END IF
                          END DO
                      END IF
                  END DO
              END DO
          END IF
C
C
C         Assign orbiters to one of their command UPlink stations for
C         a minimum of COMNDMIN hours, if desired.  Note:  this
C         creates a unique pair -- one orbiter, one station.
C         Pair is downgraded to COMNDPRI after minimum is met
C
          IF (COMMAND) THEN
C
              DO IORB=1,NORB
                  IF (COMNDTIM(IORB).GE.COMNDMIN) THEN
                      DO IST=1,NST
C                Downgrade pair if command UPlink constraint has been met
                          IF ((TELEMAT(IORB,IST).GT.0.0) .AND.
     1                        (PRIOMAT(IORB,IST).EQ.9)) THEN
                              TELEMAT(IORB,IST) = COMNDPRI*
     1                                            TELEMAT(IORB,IST)/9.0
                              PRIOMAT(IORB,IST) = COMNDPRI
                          END IF
                      END DO
                  END IF
              END DO
C
              DO IORB=1,NORB
C                 Assign the command UPlink station if it can see orbiter,
C                 and lock out other stations and orbiters to prevent
C                 conflicts later
                  DO IST=1,NST
                      IF ((PRIOMAT(IORB,IST).EQ.9).AND.  
     1                    (COMNDTIM(IORB).LT.COMNDMIN).AND.
     1                    (TELEMAT(IORB,IST).GT.0.0)) THEN
                          DO IIST=1,NST
                              IF (IIST.NE.IST) THEN
                                  TELEMAT(IORB,IIST)  = 0.0
                              END IF
                          END DO
                          DO IIORB=1,NORB
                              IF (IIORB.NE.IORB) THEN
                                  TELEMAT(IIORB,IST)  = 0.0
                              END IF
                          END DO
                          COMNDTIM(IORB) = COMNDTIM(IORB)+IUT3/2.16E5
                      END IF
                  END DO
              END DO
          END IF
C
C
C         Prepare for quality factor analysis:  
C         initialize assignment arrays by looking for one-to-one assignments
C         or no possIBLE assignments
          DO IORB=1,NORB
              ORBASGND(IORB) = 0
          END DO
          DO IST=1,NST
              TEASSGND(IST) = 0
          END DO
          DO IORB=1,NORB
              NTEASSGND = 0
              DO IST=1,NST
                  IF (TELEMAT(IORB,IST).GT.0.0) THEN
                      NTEASSGND = NTEASSGND + 1
                      IST1 = IST
                  END IF
              END DO
              IF (NTEASSGND.EQ.1) THEN
                  NORBASGND = 0
                  IORB1 = 0
                  DO IIORB=1,NORB
                      IF (TELEMAT(IIORB,IST1).GT.0.0) THEN
                          NORBASGND = NORBASGND + 1
                          IORB1 = IIORB
                      END IF
                  END DO
                  IF (NORBASGND.EQ.1) THEN
                      ORBASGND(IORB1) = IST1
                      TEASSGND(IST1) = IORB1
                  END IF
              END IF
          END DO
C
C         Main quality factor analysis loop
C
C         Asses the consequences of choosing each possIBLE pair;  
C         quality factors from pairs eliminated by each choice
C         are subtracted from the quality factor of the current pair;  
C         then, for those orbiters thus eliminated, we add back in 
C         the best pair still possIBLE 
C
          QUALMAX = 1.0
          DO WHILE (QUALMAX.GT.0.0)
              IORB1 = 0
              IST1  = 0
              QUALMAX = 0.0
              DO IORB=1,NORB
C                 For unassigned orbiters and stations, search for each 
C                 non-zero quality factor in the matrix
                  DO IST=1,NST
                      QUAL = 0.0
                      IF ((ORBASGND(IORB).EQ.0) .AND.
     1                    (TEASSGND(IST).EQ.0)) QUAL = TELEMAT(IORB,IST)
C                     Search for other non-zero factors in that
C                     column and subtract from current factor
                      IF (QUAL.NE.0.0) THEN
                          DO IIORB=1,NORB
                              QUAL1 = TELEMAT(IIORB,IST)
                              IF ((IIORB.NE.IORB).AND.
     1                            (QUAL1.NE.0.0)) THEN
                                  QUAL = QUAL - QUAL1
C                                 Search for next highest factor in this
C                                 row and add back in
                                  QUAL2 = 0.0
                                  DO IIST=1,NST
                                      IF (TELEMAT(IIORB,IIST).GT.QUAL2)
     1                                   QUAL2 = TELEMAT(IIORB,IIST)
                                  END DO
                                  QUAL = QUAL + QUAL2
                              END IF      ! END IF ((IIORB.NE.IORB).AND.
                          END DO      ! END DO IIORB=1,NORB
                      END IF      ! END IF (QUAL.NE.0.0)) THEN
C                     Test for maximum
                      IF (QUAL.GT.QUALMAX) THEN
                          QUALMAX = QUAL
                          IORB1 = IORB
                          IST1  = IST
                      END IF
                  END DO      ! END DO IST=1,NST
              END DO      ! END DO IORB=1,NORB
C
C             Now that we know where the maximum MODIFIED quality
C             factor is, assign that pair and lock out other stations
C             and orbiters
              IF (QUALMAX.GT.0.0) THEN
                  DO IST=1,NST
                      IF (IST.NE.IST1) THEN
                          TELEMAT(IORB1,IST)  = 0.0
                      END IF
                  END DO
                  TEASSGND(IST1) = IORB1
                  DO IORB=1,NORB
                      IF (IORB.NE.IORB1) THEN
                          TELEMAT(IORB,IST1)  = 0.0
                      END IF
                  END DO
                  ORBASGND(IORB1) = IST1
              END IF      ! END IF (QUALMAX.GT.0.0) THEN
          END DO      ! END DO WHILE(QUALMAX.GT.0.0)


C
C         Is source UP?
C         Also, a consistency check:  every orbiter should be assigned or
C         unassignable by now
C
          IORB = 0
          DO IS=1,NS
	      ISRC = PRIMESOU(IS)
              IF (STATYP(IS).EQ.2) THEN
                  IORB = IORB + 1
                  NTEASSGND = 0
                  DO IST=1,NST
                      IF (TELEMAT(IORB,IST).GT.0.0)
     1                    NTEASSGND = NTEASSGND + 1
                  END DO
                  IF (NTEASSGND.EQ.0) THEN
                      UP(IS,ISRC) = .FALSE.
                  ELSE IF (NTEASSGND.EQ.1) THEN
                      UP(IS,ISRC) = .TRUE.
                  ELSE IF (NTEASSGND.GT.1) THEN
                      WRITE(OUTC,980) STNAME(IS)
                  END IF
              END IF
	  END DO      ! END DO IS=1,NS
      END IF      ! END IF (ORBITERS.AND.TELEMETRY) THEN


!	    write(*,*) 'TELEMAT out :'
!	    DO IORB=1,NORB
!	    write(*,*) (TELEMAT(IORB,IST),IST=1,NST)
!	    END DO

! write out tantcalc up flag now

	 if(tantcalc) then
	    tmp = sngl(iut-iut1) - sngl(iut3/2)
          if(sngl(iut-iut1) - sngl(iut3/2).gt.0.0) then 
	 do is=1,ns
           IF (STATYP(IS).EQ.2) THEN
	    if(up(is,1)) then
	     write(32,*) 1
	    else
	     write(32,*) 0
	    end if    
	  end if
	 end do
	 end if
	 end if

 	  if(consplot1.and.(IUT.GE.IUT1)) then
	   do IORB=1,NORB
	    write(19,*) (TELEMAT(IORB,IST),IST=1,NST)
	   end do
	   do ISRC=1,MAXSRC
	    write(19,*) (UP(i,ISRC),i=1,ns)
	   end do
	    write(19,'(4(2x,F9.5))') ra50/(RPDEG*15),dec50/RPDEG,
     1                               ra502/(RPDEG*15), dec502/RPDEG
	  end if

C
C     Calculate number of telescopes up based on OUTSOURCE only
C
      NUP = 0
      DO IS=1,NS
          IF (UP(IS,1)) NUP = NUP+1
      END DO
      
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> after item'
      write(dbg,*) '> calculate number of telescope up based on 
     1  outsource only'
      write(dbg,*) 'only for ndo400==',ndo400	
      write(dbg,*) 'ns=',ns
      write(dbg,*) 'up(1-ns,1)=',(up(i,1),i=1,ns) 
      write(dbg,*) 'nup,nupmin=',nup,nupmin      
	endif           			      
      
      
C
C Calculate amp and phase
C
	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> before loop <do 390 nfrq=1,nfreq>'
      write(dbg,*) 'only for ndo400==',ndo400	
      write(dbg,*) 'nfreq=',nfreq
      write(dbg,*) 'nfrequ(nfrq)=',frequ(1) 
	endif           			      
	ndo390=0

      DO 390 NFRQ=1,NFREQ
      ndo390=ndo390+1
      WAVE = VELC/FREQU(NFRQ)
      IPOS = 0

	if(debug_v.and.(ndo400.eq.ndo400dbg)) then
	write(dbg,*)		
      write(dbg,*) '> inside do 390 and before loop do 320 ib=1,nb>'
      write(dbg,*) 'only for ndo400=',ndo400	
      write(dbg,*) 'nfrq,ndo390=',nfrq,ndo390
      write(dbg,*) 'wave,frequ(nfrq)=',wave,frequ(nfrq) 
      write(dbg,*) 'nup,nupmin=',nup,nupmin       
	endif           			      

C
      IF (NUP.LT.NUPMIN) GOTO 325
      OUTSOU = 1

      do320dbg=1
      
      DO 320 IB=1,NB
      IS1 = LABELB(IB)/100
      IS2 = LABELB(IB)-100*IS1

	if(debug_v.and.(ndo400.eq.ndo400dbg).and.do320dbg.eq.1) then
	write(dbg,*)		
      write(dbg,*) '> begin loop <do 320 ib=1,nb>'
      write(dbg,*) 'only for ndo400=',ndo400	
      write(dbg,*) 'nb=',nb
      write(dbg,*) 'for ib=',ib 
      write(dbg,*) 'is1,labelb(ib)=',is1,labelb(ib)
      write(dbg,*) 'is2,labelb(ib)=',is2,labelb(ib) 
      write(dbg,*) 
      write(dbg,*) 'nospsp=',nospsp 
      write(dbg,*) 'statyp(is1)=',statyp(is1)
      write(dbg,*) 'statyp(is2)=',statyp(is2)      
      write(dbg,*) 'outsou=',outsou       
      write(dbg,*) 'up(is1,outsou)=',up(is1,outsou)
      write(dbg,*) 'up(is2,outsou)=',up(is2,outsou)            
	endif           			      

! do not use space-space baselines if NOSPSP is true

      IF(.NOT.NOSPSP.OR.(STATYP(IS1)*STATYP(IS2).NE.4)) THEN
	if(debug_v) then	               
      write(dbg,*) 'is1,is2,outsou=',is1,is2,outsou                                               
      write(dbg,*) 'UP(IS1,OUTSOU),UP(IS2,OUTSOU)=',UP(IS1,OUTSOU),
     1      UP(IS2,OUTSOU)                                                     
	    endif
      IF (UP(IS1,OUTSOU).AND.UP(IS2,OUTSOU)) THEN

            BXIB = RHST(1,IS1) - RHST(1,IS2)    ! Compute intanta-
            BYIB = RHST(2,IS1) - RHST(2,IS2)    ! neous baseline
            BZIB = RHST(3,IS1) - RHST(3,IS2)    !
            	if(debug_v) then
c        write(dbg,*) '>    UV UV UV'
c	write(dbg,*) 'is1= ',is1
c	write(dbg,*) 
c	write(dbg,*) 'RHST(1,IS1)=',RHST(1,IS1)
c	write(dbg,*) 'RHST(2,IS1)=',RHST(2,IS1)
c	write(dbg,*) 'RHST(3,IS1)=',RHST(3,IS1)
c	write(dbg,*) 'stname(is1)(1:l1)=',stname(is1)(1:l1)
c	write(dbg,*) 'is2= ',is2
c	write(dbg,*) 
c	write(dbg,*) 'RHST(1,IS2)=',RHST(1,IS2)
c	write(dbg,*) 'RHST(2,IS2)=',RHST(2,IS2)
c	write(dbg,*) 'RHST(3,IS2)=',RHST(3,IS2)
c	write(dbg,*) 'stname(is2)(1:l2)=',stname(is2)(1:l2)
	write(dbg,*) 'wave=',wave
	write(50,*) stname(is1)(1:l2),RHST(1,IS1),RHST(2,IS1),RHST(3,IS1)
	write(50,*) stname(is2)(1:l2),RHST(1,IS2),RHST(2,IS2),RHST(3,IS2)
	write(dbg,*) ROT(1,1,OUTSOU),ROT(1,2,OUTSOU),ROT(1,3,OUTSOU)
	write(dbg,*) ROT(2,1,OUTSOU),ROT(2,2,OUTSOU),ROT(2,3,OUTSOU)
	write(dbg,*) ROT(3,1,OUTSOU),ROT(3,2,OUTSOU),ROT(3,3,OUTSOU)
	write(dbg,*) 'BXIB=',BXIB,'BYIB=',BYIB,'BZIB=',BZIB
	endif
c	print*,'statyp(is1),is1,RHST(1,IS1),RHST(2,IS1),RHST(3,IS1)=',
c     1 statyp(is1),is1,RHST(1,IS1),RHST(2,IS1),RHST(3,IS1)	
c	print*,'statyp(is2),is2,RHST(1,IS2),RHST(2,IS2),RHST(3,IS2)=',
c     1 statyp(is2),is2,RHST(1,IS2),RHST(2,IS2),RHST(3,IS2)	     
c	print*,'bxib,byib,bzib=',bxib,byib,bzib
            U = (ROT(1,1,OUTSOU)*BXIB + ROT(1,2,OUTSOU)*BYIB)/WAVE
            V = (ROT(2,1,OUTSOU)*BXIB + ROT(2,2,OUTSOU)*BYIB 
     1           +ROT(2,3,OUTSOU)*BZIB)/WAVE
c	print*,'u,v=',u,v
            	if(debug_v) then
        write(dbg,*) '>    UV UV UV'
        write(dbg,*) 'RHST(1,IS1)=',RHST(1,IS1),' RHST(1,IS2)=',RHST(1,IS2)
        write(dbg,*) 'RHST(2,IS1)=',RHST(2,IS1),' RHST(2,IS2)=',RHST(2,IS2)
        write(dbg,*) 'RHST(3,IS1)=',RHST(3,IS1),' RHST(3,IS2)=',RHST(3,IS2)
	write(dbg,*) 'BXIB=',BXIB,' BYIB=',BYIB,' BZIB=',BZIB
	write(dbg,*) 'U=',U,'V=',V
	endif
            IF (DATA.OR.UVDIST.OR.(SNRFLAG.ge.0.0)) THEN
                W = (ROT(3,1,OUTSOU)*BXIB + ROT(3,2,OUTSOU)*BYIB 
     1              +ROT(3,3,OUTSOU)*BZIB)/WAVE
                ERRADD = SQRT(ERRSTN(IS1)*ERRSTN(IS2))

		if(tantcalc) then
	  	 if((STATYP(IS1).eq.2).or.(STATYP(IS1).eq.2)) then
	  	  tsys_factor =  sqrt((tantcalc_tsys + tant)/tantcalc_tsys)
	  	  ERRADD      = ERRADD * tsys_factor
	 	 end if 
		end if


C                  ! Needed for error bars
                CALL CMODEL(U,V,VISR,VISI)
                ERR1 = 1.0
                ERR2 = 0.0
                ERR3 = 0.0

                IF (.NOT.PERFECT) THEN
                    IF (ERRMUL.GT.0.0) ERR1 = 1.0 + ERRMUL*RNGAUS(ISEED)
                    IF (ERRADD.GT.0.0) THEN
                        ERR2 = ERRADD*RNGAUS(ISEED)
                        ERR3 = ERRADD*RNGAUS(ISEED)
                    END IF
                END IF


                SCALB = SCALFAC(IS1)*SCALFAC(IS2)
                AMP0 = SQRT(VISR**2+VISI**2)*SCALB
                VISR = (VISR*ERR1+ERR2)*CALERR(IS1)*CALERR(IS2)
                VISI = (VISI*ERR1+ERR3)*CALERR(IS1)*CALERR(IS2)
                AMP = SQRT(VISR**2+VISI**2)*SCALB

		if(tantcalc) then
	  	 if((STATYP(IS1).eq.2).or.(STATYP(IS1).eq.2)) then
		  AMP = AMP/tsys_factor
	 	 end if
		end if

                PHASE(IB) = 0.0

                IF (AMP.GT.0.0) PHASE(IB) = ATAN2(VISI,VISR)/RPDEG +
     1              STAPHA(IS1) - STAPHA(IS2) + 720.0
                PHASE(IB) = MOD(PHASE(IB),360.0)
                AMPERR = SQRT((AMP*ERRMUL)**2 + ERRADD**2)
                IF (AMP.LE.0.0) AMPERR = 0.0
                IF (AMP.LE.0.0) THEN
                    PHSERR(IB) = 0.0
                ELSE IF (AMP0.LE.0.0) THEN
                    PHSERR(IB) = 180.0
                ELSE
                    PHSERR(IB) = (ERRADD/AMP0)/RPDEG
                END IF

	        if(amperr.eq.0.0) then
! create very large SNR if AMPERR is zero
	           SNR=1.0E30
	         else	      
		  SNR=AMP/AMPERR
	        end if

                REC(IPOS+1) = AMP

! for model-fitting set all amplitude errors to unity => equal weighting
!	         IF(MODELFIT) then AMPERR=1.0


! Introduce WTFACTOR and WTPOWER
! DWM 22-aug-93

                AMPERR = WTFACTOR * (AMPERR**WTPOWER)

	        IF(SNRFLAG.lt.0.0) then
                  REC(IPOS+2) = AMPERR
	        else
	         if(SNR.LE.SNRFLAG) then
                  REC(IPOS+2) = -AMPERR
	         else
                  REC(IPOS+2) =  AMPERR
	         end if
	        end if
                REC(IPOS+3) = PHASE(IB)
                REC(IPOS+4) = PHSERR(IB)
                IF (NVER.GE.2) THEN
                    REC(IPOS+5) = U
                    REC(IPOS+6) = V
                    REC(IPOS+7) = W
                END IF

	     if(modelfit.and.amperr.ge.0.0) then
	      if(amp.gt.smax) smax=amp
!	       write(*,*) 'IUT,amperr,amp,smax ',IUT,amperr,amp,smax
               sumvis=sumvis+1.0
!	       sumu=sumu+(1.0/(u**2+v**2))
!	       sumamp=sumamp+(alog(amp)/(u**2+v**2))
 	       sumu=sumu+sqrt(u**2+v**2)
	       sumamp=sumamp+amp
	       
	    end if


	   
            END IF ! IF (DATA) THEN

! calculate number of visibilities here
! even if NGRDIL is set it will produce the
! correct number of visibilities. DWM 19-Aug-94

	
	   if(uvplot.or.uvdist) then
	        if((SNRFLAG.ge.0.0).and.(SNR.le.SNRFLAG)) then
                 if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then
		   inesflag = inesflag + 1
		  else
		   ineeflag = ineeflag + 1
	          end if     
	        else                
	           if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then
	            ines = ines + 1
		   else
		    inee = inee + 1
	           end if
	        end if
	      end if

c/////////////////////////////////	

            IF ((UVPLOT.OR.UVPLOTT.OR.UVPLOTS) .AND.
     1        .NOT.(GRSKIP .AND. (STATYP(IS1).EQ.1) .AND.
     2        (STATYP(IS2).EQ.1))) THEN    ! Skip if GRSKIP and ground-ground
                UU = U*1E-6
                VV = V*1E-6

! write data out to uv.dat file
                
              if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then  	    
	      
	if(debug_v.and.(ndo400.eq.ndo400dbg).and.do320dbg.eq.1) then
	write(dbg,*)		
      write(dbg,*) '> after item: write  data out to uv.dat file'
      write(dbg,*) 'only for ndo400=',ndo400	
	endif           			      	      
	if(debug_v) then	      
   	        write(37,*) 
     1           IUT/60,' ',STNAME(IS1),' ',STNAME(IS2),' ',
     1           UU,VV,(viscon(i),i=1,nst)
   	      else
c   	        write(37,*) IUT/60,' ',STNAME(IS1),' ',STNAME(IS2),' ',UU,VV
	endif           			      	      
	if(debug_v.and.(ndo400.eq.ndo400dbg).and.do320dbg.eq.1) then
	write(dbg,*)		
      write(dbg,*) '> after item: write data out to uv.dat file'
      write(dbg,*) 'only for ndo400=',ndo400	
	endif           			      

   	      end if

	        if(UVDIST) then
	          UU=SQRT(UU**2+VV**2)/DEARTH
	         if(.NOT.SNRPLOT) then
!	          VV=AMP/TOTFLX
	          VV=AMP
	         else
	          VV=alog10(AMP/ABS(AMPERR))
	         end if
	        end if

                BCOUNT(IB) = BCOUNT(IB)+1
                EPOCH = EPOCH + REAL(IUT)/(365.25*24*3600*60)

	        if((SNRFLAG.ge.0.0).and.(SNR.le.SNRFLAG)) then
	         if(PLOTDEL) then
	           if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then
                    CALL PGSCI(iesflag)
		   else
                    CALL PGSCI(ieeflag)
	           end if

	           if(INVERT) then
                    CALL PGPOINT(1,-UU,-VV,MARK)
	           end if
                    CALL PGPOINT(1,UU,VV,MARK)
		   
	         end if

	        else
                   
	           if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then
                    CALL PGSCI(ies)
		   else
                    CALL PGSCI(iee)
	           end if
c		       CALL PGSCI(ired)
!         if(pscolor)	  call pgsci(iblue)		  		
	           if(INVERT) then
                    CALL PGPOINT(1,-UU,-VV,MARK)
c	           if(wave<0.02) then
c                    CALL PGPOINT(1,-UU*25.132/22.,-VV*25.132/22.,MARK)
c                    CALL PGPOINT(1,-UU*18.372/22.,-VV*18.372/22.,MARK)
c                    else
c                    CALL PGPOINT(1,-UU,-VV,MARK)
c                    endif
	           end if
                    CALL PGPOINT(1,UU,VV,MARK)
c	           if(wave<0.02) then
c                    CALL PGPOINT(1,UU*25.132/22.,VV*25.132/22.,MARK)
c                    CALL PGPOINT(1,UU*18.372/22.,VV*18.372/22.,MARK)
c		else
c                    CALL PGPOINT(1,UU,VV,MARK)
c                    endif
	        end if !  if((SNRFLAG.ge.0.0).and.(SNR.le.SNRFLAG))

   	    END IF ! IF ((UVPLOT.OR.UVPLOTT.OR.UVPLOTS) .AND. ...
   	       
	if(debug_v) then
	write(dbg,*)		
      write(dbg,*) 'UVPLOTG,GRSKIP,STATYP(IS1),STATYP(IS2)=',
     1 UVPLOTG,GRSKIP,STATYP(IS1),STATYP(IS2)      
	endif           			      	      
  
          IF (UVPLOTG .AND.
     1        .NOT.(GRSKIP .AND. (STATYP(IS1).EQ.1) .AND.
     2        (STATYP(IS2).EQ.1))) THEN    ! Skip if GRSKIP and ground-ground
	        if(UINV) then
                UU = raloop+((U*1E-6)/UMAX)*0.5*rado(3)
		else
                UU = raloop-((U*1E-6)/UMAX)*0.5*rado(3)
		end if

                VV = DECLOOP+((V*1E-6)/VMAX)*0.5*decdo(3)
                BCOUNT(IB) = BCOUNT(IB)+1
                EPOCH = EPOCH + REAL(IUT)/(365.25*24*3600*60)
		
	if(debug_v) then
	write(dbg,*)		
      write(dbg,*) 'raloop,DECLOOP,vv,uu=',vv,uu,raloop,DECLOOP
	endif           			      	      		

	        if((SNRFLAG.ge.0.0).and.(SNR.le.SNRFLAG)) then

	         if(PLOTDEL) then

            	  if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then
                    CALL PGSCI(iesflag)
		  else
                    CALL PGSCI(ieeflag)
	          end if
                    if(pscolor)       CALL PGSCI(imagenta)
!                    if(pscolor)       CALL PGSCI(iblue)
	            CALL PGPOINT(1,UU,VV,MARK)

	         end if

	        else

            	  if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then
                    CALL PGSCI(ies)
                    CALL PGSCI(iblue)
		   else
                    CALL PGSCI(iee)
                    CALL PGSCI(icyan)
                    CALL PGSCI(iorange)
!                    CALL PGSCI(iorange)
	           end if
!                    if(pscolor)       CALL PGSCI(imagenta)
!                    if(pscolor)       CALL PGSCI(iblue)
!                    if(pscolor)       CALL PGSCI(igreen)
                 CALL PGPOINT(1,UU,VV,MARK)

	        end if

                IF (INVERT) THEN

	        if(UINV) then
                UU = raloop-((U*1E-6)/UMAX)*0.5*rado(3)
	        else
                UU = raloop+((U*1E-6)/UMAX)*0.5*rado(3)
		end if

                VV = DECLOOP-((V*1E-6)/VMAX)*0.5*decdo(3)


	         if((SNRFLAG.ge.0.0).and.(SNR.le.SNRFLAG)) then
	          if(PLOTDEL) then

            	  if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then
                    CALL PGSCI(iesflag)
		   else
                    CALL PGSCI(ieeflag)
	           end if
                    if(pscolor)       CALL PGSCI(imagenta)
!                    if(pscolor)       CALL PGSCI(iblue)
                   CALL PGPOINT(1,UU,VV,MARK)

	          end if

	         else

            	  if(STATYP(IS1).EQ.2.or.STATYP(IS2).EQ.2) then
                    CALL PGSCI(ies)
                    CALL PGSCI(iblue)
		   else
                    CALL PGSCI(iee)
                    CALL PGSCI(icyan)
                    CALL PGSCI(iorange)
!                    CALL PGSCI(iorange)
	           end if
!                    if(pscolor)       CALL PGSCI(imagenta)
!                    if(pscolor)       CALL PGSCI(iblue)
!                    if(pscolor)       CALL PGSCI(igreen)
                   CALL PGPOINT(1,UU,VV,MARK)

	          end if

                END IF

	     END IF

        ELSE    ! not UP
            IF (DATA) THEN
                REC(IPOS+1) = 0.0
                REC(IPOS+2) = 0.0
                REC(IPOS+3) = 0.0
                REC(IPOS+4) = 0.0
                IF (NVER.GE.2) THEN
                    REC(IPOS+5) = 0.0
                    REC(IPOS+6) = 0.0
                    REC(IPOS+7) = 0.0
                END IF
                PHSERR(IB) = 0.0
            END IF
      END IF  ! end test for UP(IS1,OUTSOU) and UP(IS2,OUTSOU)
      END IF  ! IF(.NOT.NOSPSP.OR.(STATYP(IS1)*STATYP(IS2).NE.4)) THEN

      IPOS = IPOS+NDWPB
  320 CONTINUE
  325 CONTINUE



C
C	PLOTSAT section
C

	if(debug_v) then
	write(dbg,*)		
      write(dbg,*) '------------------------------------'
      write(dbg,*) '	PLOTSAT section'	
      write(dbg,*) '------------------------------------'
      write(dbg,*) 'plotsat=',plotsat 
	endif           			      
	
      IF (PLOTSAT) THEN
C
C           Plot vectors joining satellite to Earth,etc
C
C        CALL PGQINF('TERMINAL', STRING, L)
Cvms    IF (STRING.EQ.'YES')
Cvms 1      CALL LIB$GET_COMMAND(STRING, 'Type <CR> to see plot: ', L)
C	CALL PGENV(UMAX,-UMAX,-VMAX,VMAX,1,1)
      
C

       do  IB=1,NB+NORB
	if(IUT.eq.IUT1) then
	  previous(ib)=.false.
	end if
       end do      ! end do  IB=1,NB+NORB
 
      call PGBBUF

      do  IB=1,NB+NORB
 
	if(previous(ib)) then
	  CALL PGSCI(0)
	  CALL PGSLS(1)
	  CALL PGSLW(LINEWD)
	  CALL PGMOVE(UU1(ib),VV1(ib))
	  CALL PGDRAW(UU2(ib),VV2(ib))
          previous(ib)=.false.
	end if
	if((IUT.gt.IUT1).and.(ib.gt.NB)) then
	  CALL PGSCI(0)
	  CALL PGSLS(1)
	  CALL PGSLW(LINEWD)
	  CALL PGPOINT(1,UU1(ib),VV1(ib),22)
	end if


      end do      ! end do  IB=1,NB+NORB


	if(IUT.gt.IUT1) then

	    call PGSCI(0)

!            open( unit=30, file='.worldmap', form='formatted',
!     -      status='old', err=1002 )


        if(GROUND) then
            open( unit=30, file='.worldmap', form='formatted',
     -      status='old',  err=1002 )
	else
            open( unit=30, file='.worldmap2', form='formatted',
     -      status='old', err=1002 )
	end if

   
102 	continue


           read(30,*,end=1002) xc, yc

!           read(30,202,err=1002) xc, yc
!202 	format(2f7.1)

	  if(xc.gt.500.0) then
            newcont=.true.
	  else

	  uearth0=6.378*cos(rpdeg*yc)*cos(rpdeg*xc)/WAVE
	  vearth0=6.378*cos(rpdeg*yc)*sin(rpdeg*xc)/WAVE
	  wearth0=6.378*sin(rpdeg*yc)/WAVE

          uearth = uearth0*COSTOLD - vearth0*SINTOLD
          vearth = uearth0*SINTOLD + vearth0*COSTOLD
          wearth = wearth0


          uearth1  = (ROT(1,1,1)*uearth + ROT(1,2,1)*vearth)
          vearth1  = (ROT(2,1,1)*uearth + ROT(2,2,1)*vearth 
     1           +ROT(2,3,1)*wearth)
          wearth1  = (ROT(3,1,1)*uearth + ROT(3,2,1)*vearth 
     1           +ROT(3,3,1)*wearth)

	if(adduv) uearth1=0.5*uearth1
	if(adduv) vearth1=0.5*(vearth1-vmax)
	  
	
      if (newcont .or. wearth1.le.0.0 ) then
        call pgmove(uearth1,vearth1)
      else
        call pgdraw(uearth1,vearth1)
      endif

	 newcont=.false.
      end if      ! end if(xc.gt.500.0) then


      goto 102
        

1002  continue

      close(30)


	end if      ! end if(IUT.gt.IUT1) then

c      call PGSCI(iblue)
c      callPGSCI(iyellow)
c      callPGSCI(iwhite)

C change 22-NOV-91

	if(BLUECONT) then
          call PGSCI(iblue)
	else
          callPGSCI(iyellow)
	end if


        if(GROUND) then
            open( unit=31, file='.worldmap', form='formatted',
     -      status='old', err=1000 )
	else
            open( unit=31, file='.worldmap2', form='formatted',
     -      status='old', err=1000 )
	end if
  
	
!      open( unit=31, file='.worldmap2', form='formatted',
!     -      status='old', err=1000 )


   
101 	continue

            read(31,*,end=1000) xc, yc

!           read(31,201,err=1000) xc, yc
!201 	format(2f7.1)

	 if(xc.gt.500.0) then
	  newcont=.true.
	 else
	  uearth0=6.378*cos(rpdeg*yc)*cos(rpdeg*xc)/WAVE
	  vearth0=6.378*cos(rpdeg*yc)*sin(rpdeg*xc)/WAVE
	  wearth0=6.378*sin(rpdeg*yc)/WAVE

          uearth = uearth0*COST - vearth0*SINT
          vearth = uearth0*SINT + vearth0*COST
          wearth = wearth0


          uearth1  = (ROT(1,1,1)*uearth + ROT(1,2,1)*vearth)
          vearth1  = (ROT(2,1,1)*uearth + ROT(2,2,1)*vearth 
     1           +ROT(2,3,1)*wearth)
          wearth1  = (ROT(3,1,1)*uearth + ROT(3,2,1)*vearth 
     1           +ROT(3,3,1)*wearth)

	if(adduv) uearth1=0.5*uearth1
	if(adduv) vearth1=0.5*(vearth1-vmax)
	  

      if (newcont .or. wearth1.le.0.0 ) then
        call pgmove(uearth1,vearth1)
      else
        call pgdraw(uearth1,vearth1)
      endif

         newcont = .false.
	end if
     

      goto 101
        

 1000 continue

      close(31)


	  SINTOLD=SINT
          COSTOLD=COST

	 uearth1=6.378/WAVE
         vearth1=0.0
	 if(adduv) uearth1=0.5*uearth1
	 if(adduv) vearth1=0.5*(vearth1-vmax)
	  call PGMOVE(uearth1,vearth1)
          call PGSCI(icyan)
	do var=1,num_earth
	 uearth1=6.378*cos(float(var)*2.0*PI/float(num_earth))/WAVE
	 vearth1=6.378*sin(float(var)*2.0*PI/float(num_earth))/WAVE
	 if(adduv) uearth1=0.5*uearth1
	 if(adduv) vearth1=0.5*(vearth1-vmax)
	 call PGDRAW(uearth1,vearth1)
	end do

	xpoly(1)=  0.7 *umax
        ypoly(1)=- 0.97*vmax
	xpoly(2)=  0.98 *umax
        ypoly(2)= -0.97*vmax
	xpoly(3)=  0.98 *umax
        ypoly(3)= -0.85*vmax
	xpoly(4)=  0.7 *umax
        ypoly(4)= -0.85*vmax
	
	call PGSCI(0)
        call pgpoly(4,xpoly,ypoly)
        callPGSCI(iwhite)
	write(timeout,'(f8.3)') ((IUT-IUT1)/(60.0*60.0*60.0))
        call pgtext(0.7*umax,-0.95*vmax,timeout)

	if(show_angles) then

! New version of xwindow driver does not allow pgpoly
! to plot outside viewport thus need to change viewport size

	call pgqvp(0,xq1,xq2,yq1,yq2)

	umax1 = umax/(xq2-xq1)
	vmax1 = vmax/(yq2-yq1)

!	write(*,*) 'xq1,xq2,yq1,uq2: ',xq1,xq2,yq1,uq2
!	write(*,*) 'umax,vmax: ',umax,vmax
!	write(*,*) 'umax1,vmax1: ',umax1,vmax1

	call pgvport(0.0,1.0,0.0,1.0)
	call pgwindow(-umax1,umax1,-vmax1,vmax1)


!	u_text = 0.8*umax
!	u_text = 0.6*umax

	u_text = 0.7*umax

!	v_text = 0.9*vmax
	v_text = 1.0*vmax

!	dv_text = 0.07*vmax
	dv_text = 0.06*vmax

	du_text = 0.05*umax

	u_text1 = u_text -du

!	u_text2 = 2.0*umax
	u_text2 = 1.4*umax


	u_text2 = umax1


	v_text2 = v_text
 	v_text1 = v_text - 1.0*float(nst+ns+13)*dv_text


	xpoly(1)=  u_text1
        ypoly(1)=  v_text1
	xpoly(2)=  u_text2
        ypoly(2)=  v_text1
	xpoly(3)=  u_text2
        ypoly(3)=  v_text2
	xpoly(4)=  u_text1
        ypoly(4)=  v_text2

	call PGSCI(0)

!  turn on blue color for easy debugging
	call PGSCI(iblue)

        call pgpoly(4,xpoly,ypoly)
        callPGSCI(iwhite)

	call pgmove(u_text1,v_text1)
!	write(*,*) 'pgmove: ', u_text1,v_text1
!	call pgsci(5)
	call pgdraw(u_text2,v_text1)
!	write(*,*) 'pgdraw: ', u_text2,v_text1
!	call pgsci(6)
	call pgdraw(u_text2,v_text2)
!	write(*,*) 'pgdraw: ', u_text2,v_text2
!	call pgsci(7)
	call pgdraw(u_text1,v_text2)
!	write(*,*) 'pgdraw: ', u_text1,v_text2
!	call pgsci(8)
	call pgdraw(u_text1,v_text1)
!	write(*,*) 'pgdraw: ', u_text1,v_text1


	call pgsch(0.7)

	v_text = v_text - dv_text

	str40 = ' time (hr) from start of observation: '
	call pgsci(iwhite)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	str40 = ' '
	write(timeout,'(f8.3)') ((IUT-IUT1)/(60.0*60.0*60.0))
	str40 = ' '//timeout
	call pgsci(iyellow)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	if(orbiters) then

	str40 = ' spacecraft height (km) : '
	call pgsci(iwhite)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	str40 = ' '
	write(str40,'(f9.1)') hkm(1)
	str40 = ' '//str40
	call pgsci(iyellow)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	str40 = ' spacecraft pointing angles:' 
	call pgsci(iwhite)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	if(constraints) then
	 str40=' earth   moon  sun  orbit_normal'
	 call pgtext(u_text,v_text,str40)
	 v_text = v_text - dv_text
	else
	 str40=' orbit_normal'
	 call pgtext(u_text,v_text,str40)
	 v_text = v_text - dv_text
	end if

	str40= ' '

	if(constraints) then
	 write(str6(1),'(f6.1)') ang_source(1)
	 write(str6(2),'(f6.1)') ang_source(2)
	 write(str6(3),'(f6.1)') ang_source(3)
	end if

	do var=1,ns
	 if(statyp(var).eq.2) then
	   ang1 = 270.0 + (aeiowm(4,var)/RPDEG)
	   ang2 = 90.0 - (aeiowm(3,var)/RPDEG)
	   call polar(1.0d0,ang1,ang2,xdiff(1))
	   call dotp(xdiff,svec,dp1,ang1)
!	   if(ang1.ge.90.0d0) ang1 = 180.0d0 - ang1
           write(str6(4),'(f6.1)') ang1	  
	 end if
	end do

	if(constraints) then
	 str40 = str6(1)(1:6)//' '//str6(2)(1:6)//' '
     1   //str6(3)(1:6)//' '//str6(4)(1:6)
	else
	 str40=' '//str6(4)(1:6)
	end if

	call pgsci(iyellow)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

! earth half cone angle:

	do var=1,ns
	 if(statyp(var).eq.2) then
	   rsat=dsqrt(rhst(1,var)**2+rhst(2,var)**2+rhst(3,var)**2)
	   ang1 = dasin(re/rsat)/RPDEG
           write(str6(1),'(f6.1)') ang1	  
	 end if
	end do

        write(str6(2),'(f6.1)') ang_es	  
        write(str6(3),'(f6.1)') ang_es-ang1	  

	str40=' angles from center of the earth:'
	call pgsci(iwhite)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	str40=' earth limb  sun  sun-earth limb'


	call pgsci(iwhite)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	    call pgsci(iyellow)

	do var=1,ns
	 if(statyp(var).eq.2.and.typsat(var).eq.1) then
	   if(ang_es-ang1.gt.0.0) then
	     call pgsci(igreen)
	   else
	    call pgsci(ired)
	   end if
	 end if
	end do


	str40=str6(1)//'     '//str6(2)//'   '//str6(3)

	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text


	str40 = ' tracking stations:' 
	call pgsci(iwhite)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	if(constraints) then
	 str40 = ' (name        elev  ang_yz ang_tel)' 
	else
	 str40 = ' (name        elevation)' 
	end if

	call pgsci(iwhite)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text



	do var=1,nst

	str6(1)= ' '
	str6(2)= ' '
	str6(3)= ' '


	do var2=1,ns
	 if(STATYP(var2).eq.2) then
	 call diff(RHTE1(1,var),RHST(1,var2),xdiff(1))
	 call dotp(RHTE1(1,var),xdiff(1),dp1,ang1)
	 ang1 = 90.0 - ang1
	 end if
	end do

        write(str6(1),'(f6.1)') ang1

	if(constraints) then
	 write(str6(2),'(f6.1)') yz1(var)
	 write(str6(3),'(f6.1)') angte(var)
	end if

	if(constraints) then
	 if(yz1(var).gt.-5.0) then
	  call pgsci(igreen)
	 else
	 call pgsci(ired)
	 end if
	else
	 if(visible(var)) then
	  call pgsci(igreen)
	 else
	  call pgsci(ired)
	 end if
	end if


	str40 = ' '

	str40 = ' '//tename(var)(1:8)//' '//str6(1)(1:6)//' '
     1  //str6(2)(1:6)//' '//str6(3)(1:6)


	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	end do

	end if !if(orbiters)

	str40 = ' radio telescopes and source elevation:' 
	call pgsci(iwhite)
	call pgtext(u_text,v_text,str40)
	v_text = v_text - dv_text

	do var=1,ns

	if(STATYP(var).eq.1) then
	 if(UP(var,1)) then
	  call pgsci(igreen)
	 else
	  call pgsci(ired)
	 end if


	   call dotp(rhst(1,var),svec(1,1),dp1,ang1)
	   ang1 = 90.0 - ang1
           write(str6(1),'(f6.1)') ang1

	   str40 = ' '
	   str40 = ' '//stname(var)(1:8)//' '//str6(1)
	   call pgtext(u_text,v_text,str40)
	   v_text = v_text - dv_text
	end if

	end do

!	v_text2 = v_text

	call pgsch(1.0)

! at end of writing text need to return to old viewport
! so that uv-data can be plotted correctly

	call pgvport2(0.0,1.0,0.0,1.0,1,1,1,frac_uv,1.0)
	call pgwindow(-UMAX,UMAX,-VMAX,VMAX)

	end if !if(show_angles) then


	if(NORB.ge.1) then

	xpoly(1)= -0.97*umax
        ypoly(1)= -0.97*vmax
	xpoly(2)=  0.0
        ypoly(2)= -0.97*vmax
	xpoly(3)=  0.0
        ypoly(3)= -0.75*vmax
	xpoly(4)= -0.97*umax
        ypoly(4)= -0.75*vmax
	
	call PGSCI(0)
        call pgpoly(4,xpoly,ypoly)
        IORB = 0
        DO IS=1,NS
          IF (STATYP(IS).EQ.2) THEN
            IORB = IORB + 1
            IST1 = ORBASGND(IORB)
	    IF (IST1.LE.0) THEN
              call PGSCI(ired)
	      write(telemout,'(a8,a8,a8)') STNAME(IS),' TELEM: ',
     1          'NONE!'
	    ELSE
              call PGSCI(igreen)
	      write(telemout,'(a8,a8,a8)') STNAME(IS),' TELEM: ',
     1          TENAME(IST1)
	    END IF
            call pgtext(-0.95*umax,(-0.95+0.1*(IORB-1))*vmax,telemout)
	  END IF
        END DO
	end if  ! end if(NORB.ge.1) then

        callPGSCI(iwhite)

      REARTHSQ = 6.378*6.378/(WAVE*WAVE)
      IF (ADDUV) REARTHSQ = 0.25*REARTHSQ
      DO  IB=1,NB+NORB

      IF (IB.LE.NB) THEN

      IS1 = LABELB(IB)/100
      IS2 = LABELB(IB)-100*IS1

      DO ISRC=1,NSRC
! Do not plot space-space bselines if NOSPSP is true 
      IF(.NOT.NOSPSP.OR.(STATYP(IS1)*STATYP(IS2).NE.4)) THEN
        IF (UP(IS1,ISRC).AND.UP(IS2,ISRC)) THEN
C
C           Plot only baselines observing the same source, and draw 
C           these baselines as viewed from the primary source (ISRC=1)
	    previous(ib)=.true.
            U1(ib) = (ROT(1,1,1)*RHST(1,IS1) 
     1           +ROT(1,2,1)*RHST(2,IS1))/WAVE
            V1(ib) = (ROT(2,1,1)*RHST(1,IS1) 
     1           +ROT(2,2,1)*RHST(2,IS1) 
     2           +ROT(2,3,1)*RHST(3,IS1))/WAVE
            W1(ib) = (ROT(3,1,1)*RHST(1,IS1) 
     1           +ROT(3,2,1)*RHST(2,IS1) 
     2           +ROT(3,3,1)*RHST(3,IS1))/WAVE
            U2(ib) = (ROT(1,1,1)*RHST(1,IS2) 
     1           +ROT(1,2,1)*RHST(2,IS2))/WAVE
            V2(ib) = (ROT(2,1,1)*RHST(1,IS2) 
     1           +ROT(2,2,1)*RHST(2,IS2) 
     2           +ROT(2,3,1)*RHST(3,IS2))/WAVE
            W2(ib) = (ROT(3,1,1)*RHST(1,IS2) 
     1           +ROT(3,2,1)*RHST(2,IS2) 
     2           +ROT(3,3,1)*RHST(3,IS2))/WAVE

	    
	    U1(ib) = U1(ib)*1E-6
	    V1(ib) = V1(ib)*1E-6
	    U2(ib) = U2(ib)*1E-6
	    V2(ib) = V2(ib)*1E-6

	 if(adduv) then 
	     u1(ib)=0.5*u1(ib)	     
             u2(ib)=0.5*u2(ib)
	     diffu=-(u1(ib)-u2(ib))
	     diffv= (v1(ib)-v2(ib))
	     diffv= 0.5*(diffv+vmax)
             v1(ib)=0.5*(v1(ib)-vmax)
	     v2(ib)=0.5*(v2(ib)-vmax)
	 end if



	CALL PGSCI(iee)
	IF(STATYP(IS1).eq.2.or.STATYP(IS2).eq.2) CALL PGSCI(ies)
	IF(STATYP(IS1).eq.2.and.STATYP(IS2).eq.2) CALLPGSCI(iyellow)

        UU1(ib) = U1(ib)
        VV1(ib) = V1(ib)
	RR1SQ   = UU1(ib)*UU1(ib) + VV1(ib)*VV1(ib)
        UU2(ib) = U2(ib)
        VV2(ib) = V2(ib)
	RR2SQ   = UU2(ib)*UU2(ib) + VV2(ib)*VV2(ib)

	IF ((W1(ib).le.0.0).and.(RR1SQ.le.REARTHSQ)
     1     .and.(RR2SQ.gt.REARTHSQ)) 
     2     CALL INTERSECT(UU1(ib),VV1(ib),UU2(ib),VV2(ib),REARTHSQ)
	IF ((W2(ib).le.0.0).and.(RR2SQ.le.REARTHSQ)
     1     .and.(RR1SQ.gt.REARTHSQ)) 
     2     CALL INTERSECT(UU2(ib),VV2(ib),UU1(ib),VV1(ib),REARTHSQ)

	IF (((W1(ib).gt.0.0).and.(W2(ib).gt.0.0)).or.
     1      (RR1SQ.gt.REARTHSQ) .or.(RR2SQ.gt.REARTHSQ)) THEN
	  CALL PGSLS(1)
	  CALL PGSLW(LINEWD)
	  CALL PGMOVE(UU1(ib),VV1(ib))
	  CALL PGDRAW(UU2(ib),VV2(ib))
	  if(adduv.and.(ib.le.NB).and.(NUP.ge.NUPMIN)) then
            call pgpoint(1,diffu,diffv,1)
            diffv=-diffv+vmax
	    call pgpoint(1,-diffu,diffv,1)
	  end if
	END IF


	


	END IF      ! END IF (UP(IS1,ISRC).AND.UP(IS2,ISRC))
       END IF ! IF(.NOT.NOSPSP.OR.(STATYP(IS1)*STATYP(IS2).NE.4)) THEN

      END DO  ! end DO ISRC=1,NSRC

      ELSE      ! ELSE IF (IB.GT.NB)

            IORB = ib - NB
	    IORB1 = 0
	    DO IS=1,NS
	      IF (STATYP(IS).EQ.2) THEN
		IORB1 = IORB1 + 1
		IF (IORB1.EQ.IORB) THEN

		  IS1 = IS
                  IS2 = ORBASGND(IORB)
                  U1(ib) = (ROT(1,1,1)*RHST(1,IS1) 
     1                 +ROT(1,2,1)*RHST(2,IS1))/WAVE
                  V1(ib) = (ROT(2,1,1)*RHST(1,IS1) 
     1                 +ROT(2,2,1)*RHST(2,IS1) 
     2                 +ROT(2,3,1)*RHST(3,IS1))/WAVE
                  W1(ib) = (ROT(3,1,1)*RHST(1,IS1) 
     1                 +ROT(3,2,1)*RHST(2,IS1) 
     2                 +ROT(3,3,1)*RHST(3,IS1))/WAVE

	          U1(ib) = U1(ib)*1E-6
	          V1(ib) = V1(ib)*1E-6

	          if(adduv) then 
	              u1(ib)=0.5*u1(ib)	     
                      v1(ib)=0.5*(v1(ib)-vmax)
	          end if

                  UU1(ib) = U1(ib)
                  VV1(ib) = V1(ib)
	          RR1SQ   = UU1(ib)*UU1(ib) + VV1(ib)*VV1(ib)

	          if (RR1SQ.gt.REARTHSQ) then
	           CALL PGSCI(imagenta)
	           CALL PGPOINT(1,UU1(ib),VV1(ib),22)
 	          end if

		  IF (IS2.GT.0) THEN
	            previous(ib)=.true.
                    U2(ib) = (ROT(1,1,1)*RHTE1(1,IS2) 
     1                   +ROT(1,2,1)*RHTE1(2,IS2))/WAVE
                    V2(ib) = (ROT(2,1,1)*RHTE1(1,IS2) 
     1                   +ROT(2,2,1)*RHTE1(2,IS2) 
     2                   +ROT(2,3,1)*RHTE1(3,IS2))/WAVE
                    W2(ib) = (ROT(3,1,1)*RHTE1(1,IS2) 
     1                   +ROT(3,2,1)*RHTE1(2,IS2) 
     2                   +ROT(3,3,1)*RHTE1(3,IS2))/WAVE

	            U2(ib) = U2(ib)*1E-6
	            V2(ib) = V2(ib)*1E-6

	            if(adduv) then 
                        u2(ib)=0.5*u2(ib)
	                v2(ib)=0.5*(v2(ib)-vmax)
	            end if

                    UU2(ib) = U2(ib)
                    VV2(ib) = V2(ib)
	            RR2SQ   = UU2(ib)*UU2(ib) + VV2(ib)*VV2(ib)

C                   IF ((W1(ib).le.0.0).and.(RR1SQ.le.REARTHSQ)
C    1                 .and.(RR2SQ.gt.REARTHSQ)) 
C    2                 CALL INTERSECT(UU1(ib),VV1(ib),UU2(ib),VV2(ib),
C    3                 REARTHSQ)
	            IF ((W2(ib).le.0.0).and.(RR2SQ.le.REARTHSQ)
     1                 .and.(RR1SQ.gt.REARTHSQ)) 
     2                 CALL INTERSECT(UU2(ib),VV2(ib),UU1(ib),VV1(ib),
     3                 REARTHSQ)

	            if (RR1SQ.gt.REARTHSQ) then
	             CALLPGSCI(iwhite)
	             CALL PGPOINT(1,UU1(ib),VV1(ib),1)
 	            end if

C                   if (RR2SQ.gt.REARTHSQ) then
C                    CALLPGSCI(iwhite)
C                    CALL PGPOINT(1,U2(ib),V2(ib),1)
C	            end if

	            CALL PGSCI(iorange)
	            CALL PGSLS(1)
	            CALL PGSLW(LINEWD)
	            CALL PGMOVE(UU1(ib),VV1(ib))
	            CALL PGDRAW(UU2(ib),VV2(ib))

		  END IF      ! END IF (IS2.GT.0)

		END IF      ! END IF (IORB1.EQ.IORB)
	      END IF      ! END IF (STATYP(IS).EQ.2)
	    END DO      ! END DO IS=1,NS

      END IF      ! END IF (IB.LE.NB) THEN

	END DO      ! END DO  IB=1,NB+NORB

	call PGEBUF

	END IF      ! END IF (PLOTSAT)
C
C	PLOTSAT2 section
C


	if(debug_v) then
	write(dbg,*)		
      write(dbg,*) '------------------------------------'
      write(dbg,*) '	PLOTSAT2 section'	
      write(dbg,*) '------------------------------------'
      write(dbg,*) 'plotsat2=',plotsat2 
	endif           			      

      IF (PLOTSAT2) THEN
C
C           Plot Earth as viewed from satellite
C           'north' is in direction of orbit normal
C           'east' is along direction perpendicular to both
C            orbit normal and direction of earth's center
C
C
C        CALL PGQINF('TERMINAL', STRING, L)
Cvms    IF (STRING.EQ.'YES')
Cvms 1      CALL LIB$GET_COMMAND(STRING, 'Type <CR> to see plot: ', L)
C	CALL PGENV(UMAX,-UMAX,-VMAX,VMAX,1,1)
      
C

  
      call PGBBUF


	if(IUT.gt.IUT1) then

	    call PGSCI(0)

	 uearth1=ang2maxold
         vearth1=0.0
	  call PGMOVE(uearth1,vearth1)
 	do var=1,50
	 uearth1=ang2max*cos(float(var)*2.0*PI/50.0)
	 vearth1=ang2max*sin(float(var)*2.0*PI/50.0)
	 call PGDRAW(uearth1,vearth1)
	end do


         do var=1,icount	  	 	
          if (flagplot(var)) then
           call pgmove(xplot(var),yplot(var))
          else
           call pgdraw(xplot(var),yplot(var))
          endif
	 end do

	if(adduv) then
         do var=1,icount3	  	 
          call pgdraw(xplot2(var),yplot2(var))  
	 end do

	  call pgpoint(icount2,xtel,ytel,16)
	
	else
         do var=1,icount2	  	 	
          call pgmove(xtel(var),ytel(var))
          call pgdraw(0.0,0.0)
 	 end do
	end if

     
	end if

	if(BLUECONT) then
          call PGSCI(iblue)
	else
          callPGSCI(iyellow)
	end if


        if(GROUND) then
            open( unit=31, file='.worldmap', form='formatted',
     -      status='old', err=1004 )
	else
            open( unit=31, file='.worldmap2', form='formatted',
     -      status='old', err=1004 )
	end if


	
!      open( unit=31, file='.worldmap2', form='formatted',
!     -      status='old', err=1004 )


	  newcont=.true.
	  icount=0
   
105 	continue

           read(31,*,end=1004) xc, yc

!           read(31,203,err=1004) xc, yc
!203	format(2f7.1)


	  icount2=0
	

	   
 

	 if(xc.lt.500.0) then

            icount=icount+1


	  earth0(1)=6378000*cos(rpdeg*yc)*cos(rpdeg*xc)
	  earth0(2)=6378000*cos(rpdeg*yc)*sin(rpdeg*xc)
	  earth0(3)=6378000*sin(rpdeg*yc)

          earth(1) = earth0(1)*COST - earth0(2)*SINT
          earth(2) = earth0(1)*SINT+ earth0(2)*COST
          earth(3)  = earth0(3)



	  do is=1,ns

	   if(STATYP(is).eq.2) then

  
	     sat(1)=rhst(1,is)
	     sat(2)=rhst(2,is)
	     sat(3)=rhst(3,is)

   		   

	     earthsat(1)=earth(1)-sat(1)
	     earthsat(2)=earth(2)-sat(2)
	     earthsat(3)=earth(3)-sat(3)


	     normal(1) =   dsin(aeiowm(4,is))*dsin(aeiowm(3,is))
	     normal(2) =  -dcos(aeiowm(4,is))*dsin(aeiowm(3,is))
	     normal(3) =   dcos(aeiowm(3,is))

 		
	   end if

	  end do

	     rearth=dsqrt(earth(1)**2+earth(2)**2+earth(3)**2)

	     earth(1)=earth(1)/rearth		   	     
	     earth(2)=earth(2)/rearth
             earth(3)=earth(3)/rearth

	     rsat=dsqrt(sat(1)**2+sat(2)**2+sat(3)**2)

	     sat(1)=sat(1)/rsat		   	     
	     sat(2)=sat(2)/rsat
             sat(3)=sat(3)/rsat	

	     rearthsat=dsqrt(earthsat(1)**2+earthsat(2)**2+earthsat(3)**2)

	     earthsat(1)=earthsat(1)/rearthsat		   	     
	     earthsat(2)=earthsat(2)/rearthsat
             earthsat(3)=earthsat(3)/rearthsat

  	     arg1=rearth/rsat
	     ang1max=acos(arg1)/rpdeg

	
	    ang1=dacos(earth(1)*sat(1)+earth(2)*sat(2)+earth(3)*sat(3))/rpdeg

	 if(ang1.gt.ang1max.or.newcont.or.icount.eq.1) then
	   flagplot(icount)=.true.
	 else
	   flagplot(icount)=.false.
	 end if
	   
	  ang2=earthsat(1)*sat(1)+earthsat(2)*sat(2)+earthsat(3)*sat(3)
	  ang2=dacos(-1.0*ang2)/rpdeg

	  sateast(1)=normal(2)*sat(3)-normal(3)*sat(2)
	  sateast(2)=normal(3)*sat(1)-normal(1)*sat(3)
	  sateast(3)=normal(1)*sat(2)-normal(2)*sat(1)

	  rsateast=dsqrt(sateast(1)**2+sateast(2)**2+sateast(3)**2)

	  sateast(1)=sateast(1)/rsateast		   	     
	  sateast(2)=sateast(2)/rsateast
          sateast(3)=sateast(3)/rsateast

	azcos=sateast(1)*earthsat(1)+sateast(2)*earthsat(2)+sateast(3)*earthsat(3)
	azsin=normal(1)*earthsat(1)+normal(2)*earthsat(2)+normal(3)*earthsat(3)

	arg1=atan2(azsin,azcos)	
	xplot(icount)=ang2*cos(arg1)
	yplot(icount)=ang2*sin(arg1)
	
	 	 	  
      if (flagplot(icount)) then
        call pgmove(xplot(icount),yplot(icount))
      else
        call pgdraw(xplot(icount),yplot(icount))
      endif

	  newcont=.false.

	else

	  newcont=.true.
	
 
	end if

	     

      goto 105
        

 1004 continue

      close(31)

	   icount2=0
	
	    do ist=1,nst

            earth(1) = RHTE0(1,ist)*COST - RHTE0(2,ist)*SINT
            earth(2) = RHTE0(1,ist)*SINT+ RHTE0(2,ist)*COST
            earth(3)  = RHTE0(3,ist)

	     rearth=dsqrt(earth(1)**2+earth(2)**2+earth(3)**2)


	    earth(1)=earth(1)/rearth		   	     
	    earth(2)=earth(2)/rearth
            earth(3)=earth(3)/rearth

            earthsat(1)=rearth*earth(1)-rsat*sat(1)
	    earthsat(2)=rearth*earth(2)-rsat*sat(2)
	    earthsat(3)=rearth*earth(3)-rsat*sat(3)

	     rearthsat=dsqrt(earthsat(1)**2+earthsat(2)**2+earthsat(3)**2)

	    earthsat(1)=earthsat(1)/rearthsat		   	     
	    earthsat(2)=earthsat(2)/rearthsat
            earthsat(3)=earthsat(3)/rearthsat

 	  ang1=dacos(earth(1)*sat(1)+earth(2)*sat(2)+earth(3)*sat(3))/rpdeg

	 if(ang1.lt.ang1max) then
	   
	   icount2 = icount2 +1
	   
	  ang2=earthsat(1)*sat(1)+earthsat(2)*sat(2)+earthsat(3)*sat(3)
	  ang2=dacos(-1.0*ang2)/rpdeg


	azcos=sateast(1)*earthsat(1)+sateast(2)*earthsat(2)+sateast(3)*earthsat(3)
	azsin=normal(1)*earthsat(1)+normal(2)*earthsat(2)+normal(3)*earthsat(3)

	arg1=atan2(azsin,azcos)	
	xtel(icount2)=ang2*cos(arg1)
	ytel(icount2)=ang2*sin(arg1)

	 if(VISIBLE(ist)) then
	   call PGSCI(igreen)
	 else
	   call PGSCI(ired)
	 end if

	  if(adduv) then
	   call pgpoint(1,xtel(icount2),ytel(icount2),16)
	  else	     	
	   call pgmove(xtel(icount2),ytel(icount2))
	   call pgdraw(0.0,0.0)
	  end if

	end if

	 end do

	if(adduv) then 

	if(IUT.eq.IUT1) icount3=0

	icount3=icount3+1

	 color(icount3)=2

	 do ist=1,nst
	  if(VISIBLE(ist)) color(icount3)=3
	 end do


 	    rearth=6378000.0
           
	    subsat0(1,icount3) =  sat(1)*COST + sat(2)*SINT
            subsat0(2,icount3) = -sat(1)*SINT + sat(2)*COST
            subsat0(3,icount3) =  sat(3)


	 do var=1,icount3
	
            earth(1) = subsat0(1,var)*COST - subsat0(2,var)*SINT
            earth(2) = subsat0(1,var)*SINT+ subsat0(2,var)*COST
            earth(3) = subsat0(3,var)
 
            earthsat(1)=rearth*earth(1)-rsat*sat(1)
	    earthsat(2)=rearth*earth(2)-rsat*sat(2)
	    earthsat(3)=rearth*earth(3)-rsat*sat(3)

	     rearthsat=dsqrt(earthsat(1)**2+earthsat(2)**2+earthsat(3)**2)

	    earthsat(1)=earthsat(1)/rearthsat		   	     
	    earthsat(2)=earthsat(2)/rearthsat
            earthsat(3)=earthsat(3)/rearthsat

 	
	  arg1=earth(1)*sat(1)+earth(2)*sat(2)+earth(3)*sat(3)

	  if(arg1.ge.1.0) then
	     ang1=0.0
	  else
	     ang1=dacos(earth(1)*sat(1)+earth(2)*sat(2)+earth(3)*sat(3))/rpdeg
	  end if
	   
	  arg1=earthsat(1)*sat(1)+earthsat(2)*sat(2)+earthsat(3)*sat(3)

	  if(arg1.ge.1.0) then
	    ang2=0.0
	  else
	    ang2= (1/rpdeg)*dacos(-1.0d0*dble(arg1))
	  end if

	  azcos=sateast(1)*earthsat(1)+sateast(2)*earthsat(2)+sateast(3)*earthsat(3)
	  azsin=normal(1)*earthsat(1)+normal(2)*earthsat(2)+normal(3)*earthsat(3)

	arg1=atan2(azsin,azcos)	
	xplot2(var)=ang2*cos(arg1)
	yplot2(var)=ang2*sin(arg1)

	  call PGSCI(color(var))

	if(var.eq.1)  then
            call pgmove(xplot2(var),yplot2(var))
	else		 	 	  
         if(ang1.gt.ang1max) then
           call pgmove(xplot2(var),yplot2(var))
         else
           call pgdraw(xplot2(var),yplot2(var))
         end if
	end if

	
	end do

	end if


		 	  
	 


	     


	  SINTOLD=SINT
          COSTOLD=COST
	
	     arg1=rearth/rsat
	     ang2max=(1/rpdeg)*asin(arg1)


	 uearth1=ang2max
         vearth1=0.0
	  call PGMOVE(uearth1,vearth1)
          call PGSCI(icyan)
	do var=1,num_earth
	 uearth1=ang2max*cos(float(var)*2.0*PI/num_earth)
	 vearth1=ang2max*sin(float(var)*2.0*PI/num_earth)
	 call PGDRAW(uearth1,vearth1)
	end do

  	 ang2maxold=ang2max  

	  callPGSCI(iwhite)
	
 	  call pgmove(-5.0,0.0)
 	  call pgdraw(-2.0,0.0)
	  call pgmove(5.0,0.0)
          call pgdraw(2.0,0.0)
	  call pgmove(0.0,-5.0)
	  call pgdraw(0.0,-2.0)
 	  call pgmove(0.0,5.0)
 	  call pgdraw(0.0,2.0)

  

 
	xpoly(1)=  0.7 * angmax
        ypoly(1)=- 0.97* angmax
	xpoly(2)=  0.98 * angmax
        ypoly(2)= -0.97* angmax
	xpoly(3)=  0.98 * angmax
        ypoly(3)= -0.85* angmax
	xpoly(4)=  0.7 * angmax
        ypoly(4)= -0.85* angmax
	
	call PGSCI(0)
        call pgpoly(4,xpoly,ypoly)
        callPGSCI(iwhite)
	write(timeout,'(f8.3)') ((IUT-IUT1)/(60.0*60.0*60.0))
        call pgtext(0.7*angmax,-0.95*angmax,timeout)

	xpoly(1)= -0.65 * angmax
        ypoly(1)= -0.97 * angmax
	xpoly(2)= -0.98 * angmax
        ypoly(2)= -0.97 * angmax
	xpoly(3)= -0.98 * angmax
        ypoly(3)= -0.90 * angmax
	xpoly(4)=- 0.65 * angmax
        ypoly(4)= -0.90 * angmax


	
	call PGSCI(0)
        call pgpoly(4,xpoly,ypoly)
        callPGSCI(iwhite)
	write(timeout,'(f6.0)') (rsat/1000.0)-6378.0
        call pgtext(-0.98*angmax,-0.95*angmax,timeout)
	   
     
 
	call PGEBUF

	END IF



C
C Calculate closure phases
C


	if(debug_v) then
	write(dbg,*)		
      write(dbg,*) '------------------------------------'
      write(dbg,*) 'Calculate closure phases	'	
      write(dbg,*) '------------------------------------'
      write(dbg,*) 'data=',data 
      write(dbg,*) 'nup,nupmin=',nup,nupmin       
      write(dbg,*) 'nt=',nt             
	endif           			      

      IF ((DATA).AND.(NUP.GE.NUPMIN)) THEN
            DO IT=1,NT
              CPHASE = PHASE(IB1(IT))-PHASE(IB2(IT))+PHASE(IB3(IT))
              REC(IPOS+1) = AMOD(CPHASE+180.,360.)-180.
              IF (   PHSERR(IB1(IT)).GT.1.0E10 
     1          .OR. PHSERR(IB2(IT)).GT.1.0E10 
     2          .OR. PHSERR(IB3(IT)).GT.1.0E10 ) THEN
                REC(IPOS+2) = 180.0
              ELSE
                REC(IPOS+2) = AMIN1( 180.0,
     1              SQRT( PHSERR(IB1(IT))**2
     1                   +PHSERR(IB2(IT))**2
     2                   +PHSERR(IB3(IT))**2 ) )
              END IF
              IF (PHSERR(IB1(IT)).LE.0.0 .OR.
     1            PHSERR(IB2(IT)).LE.0.0 .OR.
     2            PHSERR(IB3(IT)).LE.0.0) THEN
                    REC(IPOS+1) = 0.0   ! delete unmeasured
                    REC(IPOS+2) = 0.0   ! closure phases
              END IF
              IPOS = IPOS+2
            END DO
            WRITE(OUT) IDINT(IUT),(REC(J),J=1,JMAX)
!            WRITE(*,*) IDINT(IUT),(REC(J),J=1,JMAX)
      END IF
  390 CONTINUE
  400 CONTINUE


	if(constraints) then
	 if(out2) then
	  write(20,*) ' '
	  if(NORAPCS) then
	   write(20,*) 'for VSOP only constraints 1,14,16 and 20 apply'
	  else
	   write(20,*) 'for RADIOASTRON only constraints 1 to 19 except 15 apply'
	  end if 
	  write(20,*) 'list of constraints'
	  write(20,*) '01 telemetry antenna'
	  write(20,*) '02 power generating: sun xz-plane'
	  write(20,*) '03 power generating: sun -z axis'
	  write(20,*) '04 passive cooling : radiator normal-sun'
	  write(20,*) '05 passive cooling : sun yz-plane'
	  write(20,*) '06 passive cooling : radiator normal-earth'
	  write(20,*) '07 cooling and thermal control'
	  write(20,*) '08 star sensors: sun'
	  write(20,*) '09 star sensors: moon'
	  write(20,*) '10 star sensors: earth'
	  write(20,*) '11 active cooling: sun +z-axis'
	  write(20,*) '12 active cooling: sun earth'
	  write(20,*) '13 cold plate'
	  write(20,*) '14 receivers_sun'
	  write(20,*) '15 receivers_moon'
	  write(20,*) '16 receivers_earth'
	  write(20,*) '17 M-star sensor : sun'
	  write(20,*) '18 M-star sensor : moon'
	  write(20,*) '19 M-star sensor : earth'
	  write(20,*) '20 Earth eclipse + recovery'


	do var=1,nst
	 write(20,111) var+19,var
111	format(1x,i2,' telemetry station ',i2,' can see the satellite')
	end do
	
	end if
	end if


C
C End record
C

!	 if(UVPLOT.OR.GROUND.OR.UVPLOTG) then
!	  if(plot1x2y) then
!	   call pgpage
!          call fakesat_menu1(def_file,init,screen,0.9,color_menu)
!	  end if
!	 end if


      IF (UVPLOT) THEN
          CALL PGEBUF
C         CALL PGADVANCE

!          CALL PGIDEN
!          CALL PGEND


! This code calculates the number of UV-points. However if 
! NGRDIL is used it does not count correctly the number of
! visibilities that would be collected on earth-earth baselines
! still keep this calculation but do no longer write out IP


          IP = 0
          DO IB=1,NB
              IP = IP + BCOUNT(IB)
          END DO
          IF (IP.EQ.0) THEN
             EPOCH=0.
          ELSE
             EPOCH = EPOCH/REAL(IP) + YEAR
          END IF
!         WRITE (OUTC,700) UMAXC,VMAXC,IP,EPOCH
          WRITE (OUTC,701) UMAXC,VMAXC,IP,EPOCH
          IF (COUNT) WRITE (OUTC,705) (BNAME(IB),BCOUNT(IB),IB=1,NB)
      END IF
C

	if(skyplot) then
	  if(NORAPCS.or..not.constraints) then

C-gam	              ptel(ranum,decnum,1)=100.0d0*maxobs(1)/float(sum)
	              ptel(ranum,decnum,1)=real(100.0d0*maxobs(1)/sum)

	  else	   
            do var=1,5

C-gam         ptel(ranum,decnum,var)=100.0d0*maxobs(var)/float(sum)
C-gam         prad(ranum,decnum,var)=100.0d0*maxrad(var)/float(sum)
C-gam         pobsonly(ranum,decnum,var)=100.0d0*obsonly(var)/float(sum)
! ptel is real*4 prad is real*8 pobsonly is real*8

              ptel(ranum,decnum,var)=real(100.0d0*maxobs(var)/sum) 
              prad(ranum,decnum,var)=100.0d0*maxrad(var)/sum       
              pobsonly(ranum,decnum,var)=100.0d0*obsonly(var)/sum   

              maxyzout(ranum,decnum,var)=maxyz(var)
	    end do
C	      if(skyplot) then
C	       if(.not.NORAPCS) then
C write(*,*) 'ra,dec %telemetry',raloop,decloop,ptel(ranum,decnum,3)
C write(*,*) '(raoption=3)'
C		else
C write(*,*) 'ra,dec %telemetry',raloop,decloop,ptel(ranum,decnum,1)	
C		end if	
C	      end if

	   end if
	 end if



	if(TELOUT.or.telplot) then

c  Produce a table of telemetry times, and an 
c  output file of telemetry station combinations

        if (orbiters) then

          write(outc,880) 100.0*float(nsee)/float(nsat)

  880     format(' Total proportion of TIME  telemetry available =',
     -         f6.1,' %')

	 if(satarc.gt.0.0d0) then

          write(outc,890) 100.0*seearc/satarc
  890     format(' Proportion of ORBIT telemetry available =',f6.1,' %')

	end if ! if(satarc.gt.0.0d0)



	 if(TELOUT) then

	  if(ranum.eq.1.and.decnum.eq.1) then
           do i=2,2**nst
             line = ' '
            do j=1,nst
             if (mask(j,i)) line((j-1)*9+1:(j-1)*9+8) = tename(j)
            end do
	     write(tablun,'(98a)') line(1:(nst-1)*9+8)
	   end do
          end if

            write(tablun,'(1x,80a1)') ('-',j=1,80)

	     write(tablun,*) 'RA is  ',raloop
	     write(tablun,*) 'Dec is ',decloop


!       open( unit=tablun, file='telemetry.dat',
!    -        form='formatted', status='new' )

!       write(tablun,'(1x,8(1x,a8))') (stname(i),i=1,ns)


!       write(tablun,'(1x,22x,a18,22x,2x,a5,1x,a9)')
!    -       'Telemetry Stations','%time','% uv dist'

        write(tablun,'(1x,a10,1x,a12,22x,a18,22x,2x)')
     -       '%time-cons','%time-nocons','Telemetry Stations'
        write(tablun,'(1x,80a1)') ('-',j=1,80)

	  tabcount=0

	  end if ! if(TELOUT)

 	 if(TELPLOT) then
	  if(telplotnum.eq.1) then
           do i=1,2**nst
             line = ' '
            do j=1,nst
             if (mask(j,i)) line((j-1)*9+1:(j-1)*9+8) = tename(j)
            end do
	     write(23,*) line(1:(nst-1)*9+8)
	   end do
	  end if
	 end if


!       do i=1,2**nst

        do i=2,2**nst
          combs(1,i) = 100.0*combs(1,i)/dble(nsat)
          combs(3,i) = 100.0*combs(3,i)/dble(nsat)
          combs(5,i) = 100.0*combs(5,i)/dble(nsat)
          combs(7,i) = 100.0*combs(7,i)/dble(nsat)
          combs(9,i) = 100.0*combs(9,i)/dble(nsat)
          combs(11,i) = 100.0*combs(11,i)/dble(nsat)
	 if(satarc.gt.0.0d0) then
          combs(2,i) =  100.0*combs(2,i)/satarc
          combs(4,i) =  100.0*combs(4,i)/satarc
          combs(6,i) =  100.0*combs(6,i)/satarc
          combs(8,i) =  100.0*combs(8,i)/satarc
          combs(10,i) = 100.0*combs(10,i)/satarc
          combs(12,i) = 100.0*combs(12,i)/satarc
	 end if
          line = ' '
          do j=1,nst
            if (mask(j,i)) line((j-1)*9+1:(j-1)*9+8) = tename(j)
          end do

	if(TELOUT) then
	 tabcount=tabcount+1
	
!         write(tablun,'(1x,a62,2(f8.1))') line(1:(nst-1)*9+8),
!    -                                     combs(3,i),combs(4,i)

	IF(NORB.eq.1) then
C-gam (removed trailing commas in the format strings 
C      of the next three write stmts:
          write(tablun,'(1x,2(f8.1),a62)') combs(1,i),combs(3,i),
     -                                     line(1:(nst-1)*9+8)
	else
          write(tablun,'(1x,3(f8.1),a62)') combs(3,i),combs(7,i), 
     -                             combs(11,i),line(1:(nst-1)*9+8)
          write(tablun,'(1x,3(f8.1),a62)') combs(1,i),combs(5,i), 
     -                             combs(9,i),line(1:(nst-1)*9+8)
	end if

	end if


	if(TELPLOT) then
	 write(23,'(f8.1,i5,3f8.1)') combs(3,i),i,aopval,manval
	end if
	                                
        end do !  do i=2,2**nst


!       if(TELOUT) close( unit=tablun )


!	end if ! if(satarc.gt.0.0d0)

       end if ! if (orbiters)

      end if ! if(TELOUT.or.telplot) 


C
      IF (DATA) THEN
!         IUT = -1
          IUT = -1.0d0
!         WRITE(OUT) (IDINT(IUT),J=1,LENG)
          WRITE(OUT) (-1,J=1,LENG)
          CLOSE (UNIT=OUT)
          WRITE(OUTC,670) OUTFIL(1:LEN1(OUTFIL))
      END IF
C


! Do model-fitting here if required
         
	if(debug_v) then
	write(dbg,*)		
      write(dbg,*) '------------------------------------'
      write(dbg,*) 'Do model-fitting here if required'	
      write(dbg,*) '------------------------------------'
      write(dbg,*) 'modelfit=', modelfit
      write(dbg,*) 'nup,nupmin=',nup,nupmin       
      write(dbg,*) 'nt=',nt             
	endif           			      

	IF(MODELFIT) then

	 write(*,*) ' '
	 write(*,*) '*** starting model-fitting ***'
	 write(*,*) ' '

!	 write(*,*) 'NUMFIT1 is ',NUMFIT1
!	 write(*,*) 'Critical AF1 is ',TOTLAF1
!	 write(*,*) 'NUMFIT2 is ',NUMFIT2
!	 write(*,*) 'Critical AF2 is ',TOTLAF2

	      modin(1)=smax
!	      modin(4)= 2.0*alog(2.0)*sqrt(alog(smax)*sumu-sumamp)/sumvis
!	      modin(4)=modin(4)*(180.0*60.0*60.0*1000.0)/sngl(PI**2)
	      sumu=sumu/sumvis
	      sumamp=sumamp/sumvis
	      modin(4)=(2.0*alog(2.0)/sngl(PI))*
     1        (sqrt(alog(smax/sumamp))/sumu)
	      modin(4)=modin(4)*(180.0*60.0*60.0*1000.0)/sngl(PI)

!	    write(*,*) 'smax,sumvis, sumu, sumamp ',smax,sumvis, sumu,sumamp

	if(circular) then
	 write(*,*) 'Fitting only a circular Gaussian model:'
	 modin(6)=0.0
	end if

	write(*,*) '*** Input model to model-fitting: ***'
	write(*,*) ' '
	write(*,*) 'Flux density:     ',modin(1)
	write(*,*) 'Major axis:       ',modin(4)
	write(*,*) 'Axial ratio (b/a):',modin(5)
	write(*,*) 'Position Angle    ',modin(6)
	write(*,*) ' '

	MODVARY(1)=.true.   ! vary flux density
	MODVARY(2)=.false.  
	MODVARY(3)=.false.
	MODVARY(4)=.true.   ! vary semi-major axis
	MODVARY(5)=.true.   ! vary axial ratio
	MODVARY(6)=.true.   ! vary position angle

	 TOTLAF3=1000.0

!	  write(*,*) 'call FITMOD2'
!	  write(*,*) 'MODIN: '
!	  write(*,*) (MODIN(var),var=1,6)
!	  write(*,*) 'MODOUT: '
!	  write(*,*) (MODOUT(var,IVALX,IVALY),var=1,6)
!	  write(*,*) 'MODTRUE: '
!	  write(*,*) (MODTRUE(var,IVALX,IVALY),var=1,6)
!	  write(*,*) 'MODVARY: '
!	  write(*,*) (MODVARY(var),var=1,6)
!         write(*,*) 'NUMFIT1,NUMFIT2,TOTLAF1,TOTLAF2,TOTLAF3,CIRCULAR'
!	  write(*,*)  NUMFIT1,NUMFIT2,TOTLAF1,TOTLAF2,TOTLAF3,CIRCULAR


         CALL FITMOD2(MODIN, MODOUT(1,IVALX,IVALY),
     1   MODTRUE(1,IVALX,IVALY),MODVARY,
     2   NUMFIT1,NUMFIT2,TOTLAF1,TOTLAF2,TOTLAF3,CIRCULAR)

	  if(debug) then
	  write(*,*) 'after FITMOD2'
	  write(*,*) 'MODIN: '
	  write(*,*) (MODIN(var),var=1,6)
	  write(*,*) 'MODOUT: '
	  write(*,*) (MODOUT(var,IVALX,IVALY),var=1,6)
	  write(*,*) 'MODTRUE: '
	  write(*,*) (MODTRUE(var,IVALX,IVALY),var=1,6)
	  write(*,*) 'MODVARY: '
	  write(*,*) (MODVARY(var),var=1,6)
	  write(*,*) 'NUMFIT1,NUMFIT2,TOTLAF1,TOTLAF2,TOTLAF3,CIRCULAR'
	  write(*,*)  NUMFIT1,NUMFIT2,TOTLAF1,TOTLAF2,TOTLAF3,CIRCULAR
	  end if

!	  write(*,*) ' '
!	  write(*,*) 'best-fitting model         : '
!	  write(*,*) 'flux density               : ', MODOUT(1,IVALX,IVALY)
!	  write(*,*) 'semi-major axis (mas)      : ', MODOUT(4,IVALX,IVALY)
!	  write(*,*) 'axial ratio = b/a          : ', MODOUT(5,IVALX,IVALY)
!	  write(*,*) 'PA of semi-major axis (deg): ', MODOUT(6,IVALX,IVALY)
!	  write(*,*) ' '

	  write(*,*) ' '
	  write(*,*) '*** model-fitting has finished ***'
	  write(*,*) ' '




! if required work out how AF changes about best fit value
! vary parameters a,b/a and PA separately and re-converge model

	if(AFPLOT) then

	 write(*,*) 'AFPLOT model-fitting :'

! use log(semi-major axis) instead of semi-major axis

	  afxmin(4)=ALOG10(MODTRUE(4,IVALX,IVALY)/2)
          afxmax(4)=ALOG10(2*MODTRUE(4,IVALX,IVALY))
	  afnum(4)= 9

	  afxmin(5)=0.0
          afxmax(5)=1.0
	  afnum(5)= 11

	  afxmin(6)=0.0
          afxmax(6)=180.0
	  afnum(6)= 19

	do var=4,6
	 if(afmodel(var)) then
	 do var2=1,afnum(var)

	 MODIN(1)=MODOUT(1,IVALX,IVALY)
	 MODIN(2)=MODOUT(2,IVALX,IVALY)
 	 MODIN(3)=MODOUT(3,IVALX,IVALY)
	 MODIN(4)=MODOUT(4,IVALX,IVALY)
	 MODIN(5)=MODOUT(5,IVALX,IVALY)
 	 MODIN(6)=MODOUT(6,IVALX,IVALY)

	 MODVARY(1)=.true.   ! vary flux density
	 MODVARY(2)=.false.  ! vary distance of component from origin
	 MODVARY(3)=.false.  ! vary PA of component from origin
	 MODVARY(4)=.true.   ! vary flux semi-major axis
	 MODVARY(5)=.true.   ! vary axial ratio
	 MODVARY(6)=.true.   ! vary component PA

	 MODVARY(var)=.false.
	 MODIN(var)=afxmin(var)
     1   +(afxmax(var)-afxmin(var))*float(var2-1)/float(afnum(var)-1)

	  write(*,*) 'var,var2,afxmin(var),afxmax(var),afnum(var) '
	  write(*,*)  var,var2,afxmin(var),afxmax(var),afnum(var) 


	 if(var.eq.4) then
	  MODIN(var)=10.0**MODIN(var)
	 end if

	 AF(var,var2,IVALX,IVALY)=1000.0

         CALL FITMOD2(MODIN, MODOUTAF,
     1   MODTRUE(1,IVALX,IVALY),MODVARY,
     2   NUMFIT1,NUMFIT2,TOTLAF1,TOTLAF2,
     3   AF(var,var2,IVALX,IVALY),CIRCULAR)

	 
	write(*,*) 'Brute Force: IVALX,IVALY,var2, AF: '
        write(*,*) IVALX,IVALY,var2, AF(var,var2,IVALX,IVALY)

	  end do  ! 
	  end if 
	 end do ! do var=1,afnum(var2)	 


	end if 	! if(AFPLOT) then








	 if(UVDIST) then
	     call PGSCI(icyan)

	     DO VAR=1,100
! see page 13 of Thomson, Moran and Swenson for formula
	      XDPLOT(VAR)=(FLOAT(VAR-1)/FLOAT(100-1))*DMAX
	      YDPLOT(VAR)=XDPLOT(VAR)*DEARTH*1E6*RPMAS
              YDPLOT(VAR)=YDPLOT(VAR)*MODOUT(4,IVALX,IVALY)
	      YDPLOT(VAR)=YDPLOT(VAR)*PI/(2.0*SQRT(ALOG(2.0)))
	      YDPLOT(VAR)=(1/EXP(YDPLOT(VAR)**2))
     1        *(MODOUT(1,IVALX,IVALY)/STOTJY)
	     END DO
	      CALL PGLINE(100,XDPLOT,YDPLOT)
	     DO VAR=1,100
	      YDPLOT(VAR)=XDPLOT(VAR)*DEARTH*1E6*RPMAS
              YDPLOT(VAR)=YDPLOT(VAR)*MODOUT(4,IVALX,IVALY)
              YDPLOT(VAR)=YDPLOT(VAR)*MODOUT(5,IVALX,IVALY)
	      YDPLOT(VAR)=YDPLOT(VAR)*PI/(2.0*SQRT(ALOG(2.0)))
	      YDPLOT(VAR)=(1/EXP(YDPLOT(VAR)**2))
     1        *(MODOUT(1,IVALX,IVALY)/STOTJY)

	     END DO
	      CALL PGLINE(100,XDPLOT,YDPLOT)
	      callPGSCI(iwhite)

	end if

	   	 
         OPEN(OUT,FILE=OUTFIL,STATUS='OLD')
	 CLOSE(OUT,STATUS='DELETE') 
         OPEN(42,FILE='modelin.dat',STATUS='OLD')
	 CLOSE(42,STATUS='DELETE')  
             
	end if !IF(MODELFIT)



9000	CONTINUE
8000	CONTINUE
7000	CONTINUE
6000    CONTINUE
5000    CONTINUE





!	if(UVPLOTG.or.UVPLOTT.or.UVDIST.or.UVPLOTS) then
!	if(UVPLOTG.or.UVPLOTT.or.UVDIST.or.AFPLOT) then

	 IF(AFPLOT) then 

	   do var=4,6
	   if(AFMODEL(var)) then
	    do var2=1,NX
	     do var3=1,NY

 	    call PGADVANCE
	    call PGENV(afxmin(var),afxmax(var),0.0,100.0,0,0)
	                 afylabel='Agreement factor'
	    if(var.eq.4) afxlabel='Log(a)'
	    if(var.eq.5) afxlabel='b/a'
	    if(var.eq.6) afxlabel='position angle'
	    call PGLABEL(afxlabel,afylabel,' ')
	    do var4=1,afnum(var)
	     afy(var4)=af(var,var4,var2,var3)

C-gam     afx(var4)=afxmin(var)+(afxmax(var)-afxmin(var))
C    1    *float(var4-1)/float(afnum(var)-1)

          afx(var4)=afxmin(var)+(afxmax(var)-afxmin(var))
     1    *real(var4-1)/real(afnum(var)-1) !all real*4

	   write(*,*) 'var,var4,afx(var4),afy(var4) ',var,var4,afx(var4),afy(var4) 
	    end do !var4=1,afnum(var)
	   call PGLINE(afnum(var),afx,afy)

	   end do !do var3=1,NY
	  end do !do var2=1,NX
	  end if
	 end do !do 
	     
	 end if

!       call PGEND
!	end if

        if(TELOUT) then
	   write(tablun,*) ' '
	   write(tablun,*) 'spacecraft height must lie between h1km and h2km:'
	   write(tablun,*)  h1km,' (= h1km)'
	   write(tablun,*)  h2km,' (= h2km)'
	   write(tablun,*) '  '
	   write(tablun,*) 'without this height constraint :'
           write(tablun,880) 100.0*float(nsee)/float(nsat)
	  close( unit=tablun )
	end if



	if(MODELFIT.AND.UVDIST.AND.PARAPLOT) then

! percentage differences between true model and model fit except for
! angles where just difference in angle is calculated 


	  NC=0

!	 write(*,*) 'contour levels:'

	do var=1,81
	 CLEVEL(var)=-200.0+5*FLOAT(var-1)
         NC=NC+1
!	 write(*,*) nc,clevel(var)
	end do

	TR(1)=PA1-PA3
	TR(2)=PA3
	TR(3)=0.0
	TR(4)=RATIO1-RATIO3
	TR(5)=0.0
	TR(6)=RATIO3

           IER = PGBEGIN(0,PLTFIL2,2,2)
           IF (IER.NE.1) CALL ERROR('Cannot open file PLOTFILE: '//
     1                               PLTFIL2)


	 call PGENV(PA1,PA2,RATIO1,RATIO2,0,0)
	 call PGLABEL('Position Angle','Ratio = b/a','% error in semi-major axis')

	write(*,*) '% error in semi-major axis:'



	do var=1,NX
	 do var2=1,NY
	  PERDIFF(var,var2)=MODOUT(4,var,var2)-MODTRUE(4,var,var2)
	  PERDIFF(var,var2)= 100.0*PERDIFF(var,var2)/MODTRUE(4,var,var2)
	  write(*,*) 'fit,true,%diff ',MODOUT(4,var,var2),MODTRUE(4,var,var2),
     1    PERDIFF(var,var2)
	  xtext=TR(1)+TR(2)*float(var)
	  ytext=TR(4)+TR(6)*float(var2)
	  write(TEXT,'(F7.2)') PERDIFF(var,var2)
	  call PGTEXT(xtext,ytext,text)
	  hist2(var2+NX*(var-1))=PERDIFF(var,var2)
	 end do
	end do
	 
         call PGCONT(PERDIFF,100,100,1,NX,1,NY,CLEVEL,NC,TR)


	 call PGENV(PA1,PA2,RATIO1,RATIO2,0,0)
	 call PGLABEL('Position Angle','Ratio = b/a','% error in axial ratio (b/a)') 

	write(*,*) '% error in b/a:'


	do var=1,NX
	 do var2=1,NY
	  PERDIFF(var,var2)=MODOUT(5,var,var2)-MODTRUE(5,var,var2)
	  PERDIFF(var,var2)= 100.0*PERDIFF(var,var2)/MODTRUE(5,var,var2)
	  write(*,*) 'fit,true,%diff ',MODOUT(5,var,var2),MODTRUE(5,var,var2),
     1    PERDIFF(var,var2)
	  xtext=TR(1)+TR(2)*float(var)
	  ytext=TR(4)+TR(6)*float(var2)
	  write(TEXT,'(F7.2)') PERDIFF(var,var2)
	  call PGTEXT(xtext,ytext,text)
	  hist3(var2+NX*(var-1))=PERDIFF(var,var2)
	 end do
	end do
	 
         call PGCONT(PERDIFF,100,100,1,NX,1,NY,CLEVEL,NC,TR)

	 call PGENV(PA1,PA2,RATIO1,RATIO2,0,0)
	 call PGLABEL('Position Angle','Ratio = b/a','% error in flux density')

	write(*,*) '% error in flux density:'	 

	do var=1,NX
	 do var2=1,NY
	  PERDIFF(var,var2)=MODOUT(1,var,var2)-MODTRUE(1,var,var2)
	  PERDIFF(var,var2)= 100.0*PERDIFF(var,var2)/MODTRUE(1,var,var2)
	  write(*,*) 'fit,true,%diff ',MODOUT(1,var,var2),MODTRUE(1,var,var2),
     1    PERDIFF(var,var2)
	  xtext=TR(1)+TR(2)*float(var)
	  ytext=TR(4)+TR(6)*float(var2)
	  write(TEXT,'(F7.2)') PERDIFF(var,var2)
	  call PGTEXT(xtext,ytext,text)
	  write(*,*) 'xtext,ytext,text ',xtext,ytext,text
	  hist1(var2+NX*(var-1))=PERDIFF(var,var2)
	 end do
	end do

         call PGCONT(PERDIFF,100,100,1,NX,1,NY,CLEVEL,NC,TR)



	 call PGENV(PA1,PA2,RATIO1,RATIO2,0,0)
	 call PGLABEL('Position Angle','Ratio = b/a','Agreement Factor') 

	write(*,*) 'Agreement factor'


	do var=1,NX
	 do var2=1,NY
	  PERDIFF(var,var2)=MODOUT(7,var,var2)
	  xtext=TR(1)+TR(2)*float(var)
	  ytext=TR(4)+TR(6)*float(var2)
	  write(TEXT,'(F7.2)') PERDIFF(var,var2)
	  call PGTEXT(xtext,ytext,text)
	  write(*,*) 'xtext,ytext,text ',xtext,ytext,text
	  hist5(var2+NX*(var-1))=PERDIFF(var,var2)
	 end do
	end do
	 
         call PGCONT(PERDIFF,100,100,1,NX,1,NY,CLEVEL,NC,TR)



	 call PGENV(PA1,PA2,RATIO1,RATIO2,0,0)
	 call PGLABEL('Position Angle','Ratio = b/a',
     1   '% error in Brightness Temperature')

	write(*,*) '% error in Brightness Temperature:'

	do var=1,NX
	 do var2=1,NY
	  if(MODOUT(5,var,var2).gt.0.0.and.MODOUT(4,var,var2).gt.0.0) then
	  PERDIFF(var,var2)=((FWHM**2)*RATIO)
     1    /(MODOUT(4,var,var2)*MODOUT(4,var,var2)*MODOUT(5,var,var2))
	  PERDIFF(var,var2)=PERDIFF(var,var2)*
     1    (MODOUT(1,var,var2)/STOTJY)
	  PERDIFF(var,var2)=100.0*(PERDIFF(var,var2)-1.0)
	   if(PERDIFF(var,var2).gt.1000.0) then
	     PERDIFF(var,var2)=1000.0
	   end if
	  else
	    PERDIFF(var,var2)=1000.0
	  end if
	  write(*,*) '%diff ',PERDIFF(var,var2)
	  xtext=TR(1)+TR(2)*float(var)
	  ytext=TR(4)+TR(6)*float(var2)
	  write(TEXT,'(F7.2)') PERDIFF(var,var2)
	  call PGTEXT(xtext,ytext,text)
	  hist6(var2+NX*(var-1))=PERDIFF(var,var2)
	 end do
	end do
	 
         call PGCONT(PERDIFF,100,100,1,NX,1,NY,CLEVEL,NC,TR)

	 call PGENV(PA1,PA2,RATIO1,RATIO2,0,0)
	 call PGLABEL('Position Angle','Ratio = b/a','error in Position Angle (deg)')

	write(*,*) '% error in Position Angle:'


	do var=1,NX
	 do var2=1,NY
	  PERDIFF(var,var2)=MODOUT(6,var,var2)-MODTRUE(6,var,var2)
	  if(PERDIFF(var,var2).gt.90.0) then
	    PERDIFF(var,var2)=PERDIFF(var,var2)-180.0
	  end if
	  if(PERDIFF(var,var2).lt.-90.0) then
	    PERDIFF(var,var2)=PERDIFF(var,var2)+180.0
	  end if
	  write(*,*) 'fit,true,%diff ',MODOUT(6,var,var2),MODTRUE(6,var,var2),
     1    PERDIFF(var,var2)
	  xtext=TR(1)+TR(2)*float(var)
	  ytext=TR(4)+TR(6)*float(var2)
	  write(TEXT,'(F7.2)') PERDIFF(var,var2)
	  call PGTEXT(xtext,ytext,text)
	  hist4(var2+NX*(var-1))=PERDIFF(var,var2)
	 end do
	end do
	 
         call PGCONT(PERDIFF,100,100,1,NX,1,NY,CLEVEL,NC,TR) 


	var2=NX*NY

	write(*,*) 'var,hist1,hist2,hist3,hist4,hist5,hist6:'

	do var=1,var2
	 write(*,*) var, hist1(var),hist2(var),hist3(var),
     1   hist4(var),hist5(var),hist6(var)
	end do

	call pgadvance

	call pgadvance

!	call PGENV(-100.0,100.0,0.0,float(var2),0,0)
!	call PGHIST(var2,hist2,-100.0,100.0,40,1)
	 
	call PGENV(-102.5,102.5,0.0,float(var2+1),0,0)
	call PGHIST(var2,hist2,-102.5,102.5,41,1)


	call PGLABEL('% error','Number','% error in semi-major axis ')

	 sumhist=0.0
	 sumhist2=0.0 
	do var=1,var2
	 sumhist=sumhist+hist2(var)
	 sumhist2=sumhist2+hist2(var)**2
	end do
	  meanhist=sumhist/float(var2)
	  sdhist=sqrt((sumhist2-float(var2)*meanhist**2)/float(var2-1))
        write(texthist,'(f8.3)') meanhist
	texthist='mean  :  '//texthist
	call PGTEXT(40.0,0.95*float(var2),texthist)
        write(texthist,'(f8.3)') sdhist
	texthist='st dev :  '//texthist
	call PGTEXT(40.0,0.9*float(var2),texthist)
        write(texthist,'(f8.3)') float(var2)
	texthist='Number:  '//texthist
	call PGTEXT(40.0,0.85*float(var2),texthist)
	



!	call PGENV(-100.0,100.0,0.0,float(var2+1),0,0)
!	call PGHIST(var2,hist3,-100.0,100.0,40,1)

	call PGENV(-102.5,102.5,0.0,float(var2+1),0,0)
	call PGHIST(var2,hist3,-102.5,102.5,41,1)

	call PGLABEL('% error','Number','% error in axial ratio (=b/a) ')

	 sumhist=0.0
	 sumhist2=0.0 
	do var=1,var2
	 sumhist=sumhist+hist3(var)
	 sumhist2=sumhist2+hist3(var)**2
	end do
	  meanhist=sumhist/float(var2)
	  sdhist=sqrt((sumhist2-float(var2)*meanhist**2)/float(var2-1))
        write(texthist,'(f8.3)') meanhist
	texthist='mean  :  '//texthist
	call PGTEXT(40.0,0.95*float(var2),texthist)
        write(texthist,'(f8.3)') sdhist
	texthist='st dev :  '//texthist
	call PGTEXT(40.0,0.9*float(var2),texthist)
        write(texthist,'(f8.3)') float(var2)
	texthist='Number:  '//texthist
	call PGTEXT(40.0,0.85*float(var2),texthist)
	


!	call PGENV(-100.0,100.0,0.0,float(var2+1),0,0)
!	call PGHIST(var2,hist1,-100.0,100.0,40,1)

	call PGENV(-102.5,102.5,0.0,float(var2+1),0,0)
	call PGHIST(var2,hist1,-102.5,102.5,41,1)


	call PGLABEL('%error','Number','% error in flux density ')

	 sumhist=0.0
	 sumhist2=0.0 
	do var=1,var2
	 sumhist=sumhist+hist1(var)
	 sumhist2=sumhist2+hist1(var)**2
	end do
	  meanhist=sumhist/float(var2)
	  sdhist=sqrt((sumhist2-float(var2)*meanhist**2)/float(var2-1))
        write(texthist,'(f8.3)') meanhist
	texthist='mean  :  '//texthist
	call PGTEXT(40.0,0.95*float(var2),texthist)
        write(texthist,'(f8.3)') sdhist
	texthist='st dev :  '//texthist
	call PGTEXT(40.0,0.9*float(var2),texthist)
        write(texthist,'(f8.3)') float(var2)
	texthist='Number:  '//texthist
	call PGTEXT(40.0,0.85*float(var2),texthist)


	call PGENV(0.0,20.0,0.0,float(var2+1),0,0)
	call PGHIST(var2,hist5,0.0,10.0,10,1)
	call PGLABEL(' ','Number','Agreement factor ')

	 sumhist=0.0
	 sumhist2=0.0 
	do var=1,var2
	 sumhist=sumhist+hist5(var)
	 sumhist2=sumhist2+hist5(var)**2
	end do
	  meanhist=sumhist/float(var2)
	  sdhist=sqrt((sumhist2-float(var2)*meanhist**2)/float(var2-1))
        write(texthist,'(f8.3)') meanhist
	texthist='mean  :  '//texthist
	call PGTEXT(10.0,0.95*float(var2),texthist)
        write(texthist,'(f8.3)') sdhist
	texthist='st dev :  '//texthist
	call PGTEXT(10.0,0.9*float(var2),texthist)
        write(texthist,'(f8.3)') float(var2)
	texthist='Number:  '//texthist
	call PGTEXT(10.0,0.85*float(var2),texthist)
	


!	call PGENV(-100.0,200.0,0.0,float(var2+1),0,0)
!	call PGHIST(var2,hist6,-100.0,100.0,40,1)

	call PGENV(-102.5,102.5,0.0,float(var2+1),0,0)

	call PGLABEL('% error','Number','% error in brightness temperature ')

! only calculate statistics for finite brightness temperatures then
! set infinite brightness temperature to 100.0% error

	 sumhist=0.0
	 sumhist2=0.0 
	 numhist=0.0
	do var=1,var2
	 if(hist6(var).lt.1000.0) then
	  sumhist=sumhist+hist6(var)
	  sumhist2=sumhist2+hist6(var)**2
	  numhist=numhist+1.0
	 else
	  hist6(var)=100.0
	 end if
	end do

	call PGHIST(var2,hist6,-102.5,102.5,41,1)

C-gam	  meanhist=sumhist/float(numhist)
	  meanhist=sumhist/numhist   ! all real*4s

C-gam	  sdhist=sqrt((sumhist2-float(numhist)*meanhist**2)/float(numhist-1))
	  sdhist=sqrt((sumhist2-numhist*meanhist**2)/(numhist-1.0))   ! all real*4s

        write(texthist,'(f8.3)') meanhist
	texthist='mean  :  '//texthist
	call PGTEXT(40.0,0.95*float(var2),texthist)
        write(texthist,'(f8.3)') sdhist
	texthist='st dev :  '//texthist
	call PGTEXT(40.0,0.9*float(var2),texthist)
        write(texthist,'(f8.3)') numhist
	texthist='Number:  '//texthist
	call PGTEXT(40.0,0.85*float(var2),texthist)
	




!	call PGENV(-90.0,90.0,0.0,float(var2+1),0,0)
!	call PGHIST(var2,hist4,-90.0,90.0,180,1)

	call PGENV(-92.5,92.5,0.0,float(var2+1),0,0)
	call PGHIST(var2,hist4,-92.5,92.5,37,1)

	call PGLABEL('degrees','Number','error in position angle')

	 sumhist=0.0
	 sumhist2=0.0 
	do var=1,var2
	 sumhist=sumhist+hist4(var)
	 sumhist2=sumhist2+hist4(var)**2
	end do
	  meanhist=sumhist/float(var2)
	  sdhist=sqrt((sumhist2-float(var2)*meanhist**2)/float(var2-1))
        write(texthist,'(f8.3)') meanhist
	texthist='mean  :  '//texthist
	call PGTEXT(40.0,0.95*float(var2),texthist)
        write(texthist,'(f8.3)') sdhist
	texthist='st dev :  '//texthist
	call PGTEXT(40.0,0.9*float(var2),texthist)
        write(texthist,'(f8.3)') float(var2)
	texthist='Number:  '//texthist
	call PGTEXT(40.0,0.85*float(var2),texthist)
	
!	 call PGIDEN
! 	 call PGEND

	 end if  !if(MODELFIT.AND.UVDIST.AND.PARAPLOT) 





	if(skyplot) then
	  do var=1,ncont
	         clevel(var)=
     1           cmin+(cmax-cmin)*float(var-1)/float(ncont-1)
	  end do	
	         T(1)=rado(1)-rado(3)
	         T(2)=rado(3)
	         T(3)=0.0
	         T(4)=decdo(1)-decdo(3)
	         T(5)=0.0
	         T(6)=decdo(3)		 
	         write(22,*) ranum
	         write(22,*) decnum	
	  do var=1,ranum
	    do var2=1,decnum
	      if((.not.constraints).or.NORAPCS) then
	         write(22,221) ptel(var,var2,1),maxyz(1)
	      else
	         write(22,222) 
     1         ptel(var,var2,1),prad(var,var2,1),maxyzout(var,var2,1),
     2         ptel(var,var2,2),prad(var,var2,2),maxyzout(var,var2,2),
     3         ptel(var,var2,3),prad(var,var2,3),maxyzout(var,var2,3),
     4         ptel(var,var2,4),prad(var,var2,4),maxyzout(var,var2,4),
     5         ptel(var,var2,5),prad(var,var2,5)
	      end if    
	    end do
	  end do
221             format(1x,f5.1,1x,f5.1)
222	        format(4(1x,f5.1,1x,f5.1,1x,f5.1),1x,f5.1,1x,f5.1)
223             format(6(1x,f5.1))
224             format(4(1x,f5.1))
	  do var=1,6
	        write(22,*) t(var)
	  end do
	         write(22,*) ncont
	         write(22,*) cmin
	         write(22,*) cmax
        end if


	if(constraints.and.(.not.NORAPCS)) then
	  if(skyplot) then
	Write(22,*) ' '
	write(22,*) 'NOTE: all constraints refers to '
	write(22,*)  'all the constraints EXCEPT'
	write(22,*) 'the radiator normal-earth constraint'
	         write(22,*) ' '
	         write(22,*) 'for data that follows columns are: '
                 write(22,*) '1 = right ascension (decimal hours)' 
	         write(22,*) '2 = declination (degrees)' 
	         write(22,*) '3 = % time all constraints met '
                 write(22,*) '4 = % time radiator constraint met'
	         write(22,*) '5 = % time can observe but '
		 write(22,*) 'radiator constraint is broken'
	         write(22,*) '6 = optimum yz-rotation angle'
	         write(22,*) ' '	
		 write(22,*) 'Radiator-earth normal constraint met at'
		 write(22,*) 'same time as other constraints'
	         write(22,*) '(NO requirement for radiator constraint '
	         write(22,*) 'to be met for 21/24 hr'   	
	         write(*,*) ' '
	  end if
	         write(*,*) 'NOTE: all constraints refers to all the constraints'
	         write(*,*) '      EXCEPT the radiator normal-earth constraint'
	         write(*,*) ' '
	         write(*,*) 'for data that follows columns are: '
                 write(*,*) '1 = right ascension (decimal hours)' 
	         write(*,*) '2 = declination (degrees)' 
	         write(*,*) '3 = % time all constraints met '
                 write(*,*) '4 = % time radiator constraint met'
	         write(*,*) '5 = % time can observe but radiator constraint is broken'
	         write(*,*) '6 = optimum yz-rotation angle'
	         write(*,*) ' '	
	        write(*,*)  'Radiator-earth normal constraint met 
     1          at same time as other constraints'

	       write(*,*)  '(NO requirement for radiator constraint
     1         to be met for 21/24 hrs)'

           do var=1,ranum
             do var2=1,decnum
	         raout=rado(1)+Float(var-1)*rado(3)
	         decout=decdo(1)+Float(var2-1)*decdo(3)
	      if(.not.skyplot) then
                 raout=raout/(rpdeg*15.0d0)
	         decout=decout/rpdeg
	      end if
	         write(*,223) raout,decout,ptel(var,var2,1),prad(var,var2,1),
     1           pobsonly(var,var2,1),maxyz(1)
	    if (skyplot) write(22,223) raout,decout,ptel(var,var2,1),prad(var,var2,1),
     1           pobsonly(var,var2,1),maxyz(1)
	    end do
	  end do	
	         write(*,*) ' '
	         write(*,*) 'Radiator constraint must be met for 21/24 hrs'
	         write(*,*) 'NOT allowed to rotate satellite'
          do var=1,ranum
            do var2=1,decnum
	        raout=rado(1)+Float(var-1)*rado(3)
	        decout=decdo(1)+Float(var2-1)*decdo(3)
	     if(.not.skyplot) then
                raout=raout/(rpdeg*15.0d0)
	        decout=decout/rpdeg
	     end if
	        write(*,223) raout,decout,ptel(var,var2,2),prad(var,var2,2),
     1          pobsonly(var,var2,2),maxyz(2)
	   if (skyplot) write(22,223) raout,decout,ptel(var,var2,2),prad(var,var2,2),
     1          pobsonly(var,var2,2),maxyz(2)
	   end do
	 end do
	       write(*,*) ' '
	       write(*,*) 'Radiator normal-earth constraint must be met for 21/24 hrs'
	       write(*,*) 'Rotate satellite only when we cant met constraints '	
        do var=1,ranum
          do var2=1,decnum
	       raout=rado(1)+Float(var-1)*rado(3)
	       decout=decdo(1)+Float(var2-1)*decdo(3)
	    if(.not.skyplot) then
               raout=raout/(rpdeg*15.0d0)
	       decout=decout/rpdeg
	    end if
	       write(*,223) raout,decout,ptel(var,var2,3),prad(var,var2,3),
     1         pobsonly(var,var2,3),maxyz(3)
	   if (skyplot) write(22,223) raout,decout,ptel(var,var2,3),prad(var,var2,3),
     1         pobsonly(var,var2,3),maxyz(3)
	  end do
	end do
	      write(*,*) ' '
	      write(*,*) 'No radiator normal-earth constraint'
	      write(*,*) 'NOT allowed to rotate satellite '
        do var=1,ranum
         do var2=1,decnum
	      raout=rado(1)+Float(var-1)*rado(3)
	      decout=decdo(1)+Float(var2-1)*decdo(3)
	    if(.not.skyplot) then
              raout=raout/(rpdeg*15.0d0)
	      decout=decout/rpdeg
	    end if
	   write(*,223) raout,decout,ptel(var,var2,4),prad(var,var2,4),
     1       pobsonly(var,var2,4),maxyz(4)
	   if (skyplot) write(22,223) raout,decout,ptel(var,var2,4),prad(var,var2,4),
     1       pobsonly(var,var2,4),maxyz(4)
	  end do
	end do
	      write(*,*) ' '
	      write(*,*) 'Radiator normal-earth constraint must be met for 21/24 hrs'
	      write(*,*) 'Rotate satellite at any time '
	do var=1,ranum
          do var2=1,decnum
	      raout=rado(1)+Float(var-1)*rado(3)
	      decout=decdo(1)+Float(var2-1)*decdo(3)
	    if(.not.skyplot) then
              raout=raout/(rpdeg*15.0d0)
	      decout=decout/rpdeg
	    end if
	      write(*,224) raout,decout,ptel(var,var2,5),prad(var,var2,5)
	      if(skyplot) write(22,224) raout,decout,ptel(var,var2,5),prad(var,var2,5)
	  end do
	end do
	end if



	FIRST=.FALSE.

	IF(UVPLOTS) GOTO 6

999	CONTINUE


!	if(plots) then
!         call pgbegin(20, plotf2, 1, 1)



         if(consplot1.or.plotazel.or.complot.or.
     1      yzplot.or.ecliplot) then

	   if(plotmenu) then

	   init = .false.
	   screen = .true.

	  if(plot1x2y) then
           IER = PGBEGIN(0,PLTFIL2,1,2)
           call pgpage
	  else
           IER = PGBEGIN(0,PLTFIL2,2,1)
	   call pgpage
           color_menu = .false.
	   plotf1=' '
  	   call fakesat_menu1(def_file,init,screen,0.9,color_menu,
     1     plotf1,simple_menu)
	   call pgpage
	  end if

	  else

          IER = PGBEGIN(0,PLTFIL2,1,1)

	  end if


	end if

	if(tantcalc) close(32)	

	if(consplot1) then
	  close(19)
!	  write(*,*) 'calling consplot : '
!	  write(*,*) 'plotfile is:'
!	  write(*,'(a)') PLTFIL2	 

	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '> before call consplot()'
      write(dbg,*),'constraints,plotcons,plotgr,plotnum,plotprob=',
     1    constraints,plotcons,plotgrt,plotnum,plotprob
	endif     
	  call consplot('.fakesat_consplot.dat',constraints,PLTFIL2,
     1    plotcons,plotgrt,LINEWD,NDOTSZ,x1vp,x2vp,y2vp,y3vp,frac,
     2    hardcopy,plotnum,plotprob)
	  call system('/bin/rm .fakesat_consplot.dat')
	end if

	if(plotazel) then
	  close(24)
!	  write(*,*) 'calling plotazel : '
!	  write(*,*) 'plotfile is:'
!	  write(*,'(a)') PLTFIL2	 
	  call azelplot('.fakesat_plotazel.dat',PLTFIL2,LINEWD,NDOTSZ,
     1     x1vp,x2vp,y2vp,y3vp,1.0)
	  call system('/bin/rm .fakesat_consplot.dat')
	end if

	if(complot) then
	  close(25)
!	  write(*,*) 'calling plotcom : '
!	  write(*,*) 'plotfile is:'
!	  write(*,'(a)') PLTFIL2	 
	  call plotcom('.fakesat_complot.dat',PLTFIL2,LINEWD,NDOTSZ,
     1     x1vp,x2vp,y2vp,y3vp,1.0)
c	  call system('/bin/rm .fakesat_complot.dat')
	end if

	if(yzplot) then
	  close(27)
!	  write(*,*) 'calling yzplot : '
!	  write(*,*) 'plotfile is:'
!	  write(*,'(a)') PLTFIL2	 
	  call plotyz('.fakesat_plotyz.dat',PLTFIL2,LINEWD,NDOTSZ,
     1    x1vp,x2vp,y2vp,y3vp,frac)
	  call system('/bin/rm .fakesat_plotyz.dat')
	end if

	if(ECLIPLOT) then
	  close(41)
	  call ploteclip('.fakesat_ecliplot.dat',PLTFIL2,
     1    x1vp,x2vp,y2vp,y3vp,1.0)
!	  call system('/bin/rm .fakesat_ecliplot.dat')
	end if

!	call pgend
!	end if

!  write out INFO

	if(hardcopy) then
	  inum_info = inum_info + 1
	  info(inum_info) = 'defaults file: '//def_file(1:len1(def_file))
	end if 

       if(IER.eq.1) then
       if(.not.modelfit) then
       if(.not.plotsat.and..not.plotsat2.and..not.grtmap) then
       if (inum_info.gt.0) then
	    call pgvport2(x1vp,x2vp,y1vp,y2vp,1,1,1,frac,0.0)
	    call pgsci(1)
	    call pgsls(1)
	    call pgsch(0.8)
	    call pgwindow(0.0,1.0,0.0,1.0)
	    call pgbox('BC',0.0,0,'BC',0.0,0)
	      dyinfo =0.25
	      yinfo = 0.75
	    do i=1,inum_info
	     call pgptext(0.05,yinfo,0.0,0.0,info(i))
	     yinfo = yinfo - dyinfo
	    end do
	end if
	end if
	end if
	end if


! plot color key here:

        if(uvplot.or.uvdist) then 
	  if(.not.modelfit) then

	 call pgsch(0.8)
         x1 = 0.05
         x2 = 0.12
 	 x3 = 0.2
         y_text1  = 0.85
         dy_text = 0.05

         y_text  = y_text1

	  if(hardcopy.and.pscolor) then
	    iyellow2=iwhite
	  else
	    iyellow2=iyellow
	  end if


	     frac_key = 1.0

	     call pgvport2(x3vp,x4vp,y2vp,y3vp,1,1,1,frac_key,0.0)
             call pgwindow(0.0,1.0,0.0,1.0)
	 string80 = 'Sun angle (deg): '//str5_sa
           	if(debug_v) then
	write(dbg,*)
	write(dbg,*) '================='
	write(dbg,'(a80,f8.1)') string80,sa
		write(dbg,'(a5)') str5_sa
	endif	
c	 call pgsci(iyellow)
	 call pgsci(iwhite)	 
c          call pgtext(x1,y_text,string80(1:len1(string80)))
         y_text = y_text - dy_text


! for hardcopy print out message that only data above
! snr limit is plotted, else show the color key

	if(hardcopy.and..not.pscolor.and.SNRFLAG.ge.0.0) then
         call pgsci(iwhite)
         call pgptext(x1,y_text,0.0,0.0,'Note:')
         y_text = y_text - dy_text
         call pgptext(x1,y_text,0.0,0.0,'only data above')
         y_text = y_text - dy_text
         call pgptext(x1,y_text,0.0,0.0,'SNR limit are plotted')
         y_text = y_text - dy_text
	end if

	if(SNRFLAG.lt.0.0) then
        call pgsci(iwhite)
        call pgptext(x1,y_text,0.0,0.0,'Note:')
        y_text = y_text - dy_text
        call pgsci(iwhite)
        call pgptext(x1,y_text,0.0,0.0,'No SNR flagging of data')
        y_text = y_text - dy_text
	end if

        call pgsci(iyellow2)
        call pgsci(iwhite)
c       call pgptext(0.5,y_text,0.0,0.5,'Number of UV-Points')
        call pgptext(x1,y_text,0.0,0.0,'Number of UV-Points')
        y_text = y_text - dy_text

	if(orbiters) then
	  inumkey = 4
	else
	  inumkey = 2
	end if

	if(SNRFLAG.ge.0.0) then
	  istep = 1
	else
	  istep = 2
	end if

    	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '> before do i=1,inumkey,istep'
	write(dbg,*)  'orbiters,SNRFLAG',orbiters,SNRFLAG
	write(dbg,*)  'inumkey,istep',inumkey,istep	
	endif


        do i=1,inumkey,istep

! have to adjust text by a small amount

	 dy = -0.007
	 y_text2 = y_text + dy

	if(SNRFLAG.ge.0.0) then

	if(i.eq.1) then
         call pgsci(iyellow2)
	 if(orbiters) then
          call pgptext(0.5,y_text2,0.0,0.5,'earth-earth uv-data')
	 else
!         call pgptext(0.5,y_text2,0.0,0.5,'uv-data')
	 end if
         y_text = y_text - dy_text
	end if

	if(i.eq.3) then
         call pgsci(iyellow2)
         call pgptext(0.5,y_text2,0.0,0.5,'space-earth uv-data')
         y_text = y_text - dy_text
	end if

	end if

        y1 = y_text - 0.25*dy_text
        y2 = y_text + 0.25*dy_text

        if(i.eq.1) call pgsci(iee)
        if(i.eq.2) call pgsci(ieeflag)
        if(i.eq.3) call pgsci(ies)
        if(i.eq.4) call pgsci(iesflag)

	if(SNRFLAG.ge.0.0) then
	if(i.eq.1) string80='above SNR limit:'
	if(i.eq.2) string80='below SNR limit:'
	if(i.eq.3) string80='above SNR limit:'
	if(i.eq.4) string80='below SNR limit:'
	else
	if(i.eq.1) string80='earth-earth'
	if(i.eq.3) string80='earth-space'
	end if
	

       if(orbiters.or.SNRFLAG.ge.0.0) then

	if(.not.hardcopy.or.pscolor) then
         call pgrect(x1,x2,y1,y2)
         call pgsci(iwhite)
         call pgmove(x1,y1)
         call pgdraw(x2,y1)
         call pgdraw(x2,y2)
         call pgdraw(x1,y2)
         call pgdraw(x1,y1)
	end if

        call pgsci(iwhite)
        call pgtext(x3,y_text,string80(1:len1(string80)))	     
        y_text = y_text - dy_text
       end if



!      y_text = y_text - dy_text


	string80=' '

	if(i.eq.1) write(string80(1:10),'(i10)') inee
	if(i.eq.2) write(string80(1:10),'(i10)') ineeflag
	if(i.eq.3) write(string80(1:10),'(i10)') ines
	if(i.eq.4) write(string80(1:10),'(i10)') inesflag

	intotal = inee + ineeflag +  ines + inesflag

       if(orbiters.or.SNRFLAG.ge.0.0) then

	if(i.eq.1) pnum = 100.0*float(inee)/float(intotal)
	if(i.eq.2) pnum = 100.0*float(ineeflag)/float(intotal)
	if(i.eq.3) pnum = 100.0*float(ines)/float(intotal)
	if(i.eq.4) pnum = 100.0*float(inesflag)/float(intotal)

!	write(*,*) 'pnum is: ',pnum
	write(str5,'(f5.1)') pnum
	string80 = string80(1:len1(string80))//' ('//str5//'%)'

    	if(debug_v) then
	write(dbg,*)		
	write(dbg,*) '> i,pnum=',i,pnum
	write(dbg,*)  'inee,ineeflag,ines,inesflag=',
     1 	inee,ineeflag,ines,inesflag
	endif

	end if

        

	if(i.eq.1) then
!	 write(*,*) 'inee,ineeflag,ines,inesflag'
!	 write(*,*) inee,ineeflag,ines,inesflag
	end if

       call pgtext(x3,y_text,string80(1:len1(string80)))	     
       y_text = y_text - dy_text
        
        end do   ! do i=1,inumkey,istep

!	if(.not.ignore) then

! draw box around key information

        call pgsci(iwhite)

	x1box = 0.0
	x2box = 1.0
	y1box = 0.0
	y2box = 1.0

	x1box = 0.0
	x2box = 1.0

	x1box = 0.01
	x2box = 0.99

!	y1box = 0.05
	y1box = y_text
!	y2box = 0.95
	y2box = y_text1+dy_text


        call pgmove(x1box,y1box)
        call pgdraw(x2box,y1box)
        call pgdraw(x2box,y2box)
        call pgdraw(x1box,y2box)
        call pgdraw(x1box,y1box) 

!	end if !if(.not.ignore)




! end plotting key here

	   end if !if(modelfit)
	  end if !if(uvplot.or.uvdist) then


! plot copy of menu if required

	 if(UVPLOT.OR.GROUND.OR.UVPLOTG.or.UVPLOTT.or.
     2    consplot1.or.plotazel.or.complot.or. 
     3    yzplot.or.ecliplot) then
	  if(plot1x2y) then
	   call pgpage
           color_menu = .false.
	   plotf1=' '
       	   call fakesat_menu1(def_file,init,screen,0.9,color_menu,
     1     plotf1,simple_menu)

	  end if
	 end if

! call PGEND if required to close plotting device

        IF (UVPLOT.OR.GROUND.OR.UVPLOTG.or.UVPLOTT
     1    .or.UVDIST.or.AFPLOT.or.UVPLOTS.or.
     2    consplot1.or.plotazel.or.complot.or. 
     3    yzplot.or.ecliplot) then
          CALL PGIDEN
          CALL PGEND
	end if

	 if(MODELFIT.AND.UVDIST.AND.PARAPLOT) then
	  call PGIDEN
 	  call PGEND
	 end if  !if(MODELFIT.AND.UVDIST.AND.PARAPLOT) 

      IF (PLOTSAT.OR.PLOTSAT2) THEN
          CALL PGEND
      END IF


! After finished plotting move fakesat_plot files to
! today's subdirectory

!	write(*,*) 'fakesat_system mv_plot'
!	call system('fakesat_system mv_plot')

	write(*,*) ' '

	call system('fakesat_system exit ')

	write(*,*) ' '
	write(*,*)'______________________________________________________________'
	write(*,*) ' '

      END

C*PROPGAT
C+
      SUBROUTINE PROPGAT(AEIOWM,DT)
      DOUBLE PRECISION AEIOWM(6)
      DOUBLE PRECISION DT
C
C Integrate an orbit described by AEIOWM through a time interval
C of DT seconds. Orbital precession due to the "J2" term
C of the earth is included.
C-----------------------------------------------------------------------
C.    IMPLICIT NONE
      DOUBLE PRECISION PI,TWOPI
      PARAMETER  (PI=3.141592653589793 D0)
      PARAMETER  (TWOPI=2D0*PI)
      DOUBLE PRECISION RE,GM,HJ2
      DOUBLE PRECISION EN,SIN2I,ESQ,ASQ,DODT,DWDT,DMDT
      COMMON /EARTH/ RE,GM,HJ2
C
C     -- mean angular velocity
      EN = SQRT(GM/AEIOWM(1)**3)
      SIN2I = SIN(AEIOWM(3))**2
      ESQ = 1. - AEIOWM(2)**2
      ASQ  = (AEIOWM(1)/RE)**2
      DMDT = EN*(1. + (0.75*HJ2*(2.-3.*SIN2I))/(ASQ*ESQ**1.5))
      DWDT = 3.*EN*HJ2*(4.-5.*SIN2I)/(4.*ASQ*ESQ*ESQ)
      DODT = -1.5*HJ2*COS(AEIOWM(3))*EN/(ASQ*ESQ*ESQ)
C     -- new ascending node
      AEIOWM(4) = AEIOWM(4) + DODT*DT
C     -- new arg. of periapsis
      AEIOWM(5) = AEIOWM(5) + DWDT*DT
C     -- new mean anomaly
      AEIOWM(6) = MOD((AEIOWM(6)+DMDT*DT),TWOPI)
C

      END

